(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.1";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Helv", 24, L0, center, nohscroll, bold;
	fontset = subtitle, "Helv", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Helv", 14, L0, center, nohscroll, bold;
	fontset = section, "Helv", 14, L0, bold, grayBox;
	fontset = subsection, "Helv", 12, L0, bold, blackBox;
	fontset = subsubsection, "Helv", 10, L0, bold, whiteBox;
	fontset = text, "Helv", 12, L0;
	fontset = smalltext, "Helv", 10, L0;
	fontset = input, "Courier New", 12, L0, nowordwrap;
	fontset = output, "Courier New", 12, L0, nowordwrap;
	fontset = message, "Courier New", 10, L0, nowordwrap, R65280;
	fontset = print, "Courier New", 10, L0, nowordwrap;
	fontset = info, "Courier New", 10, L0, nowordwrap;
	fontset = postscript, "Courier New", 8, L0, nowordwrap;
	fontset = name, "Helv", 10, L0, nohscroll, italic, B65280;
	fontset = header, "Helv", 18, L0, nohscroll, bold;
	fontset = footer, "Helv", 18, L0, center, nohscroll, bold;
	fontset = help, "Helv", 10, L0, nohscroll;
	fontset = clipboard, "Helv", 12, L0, nohscroll;
	fontset = completions, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = network, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = graphlabel, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Helv", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Helv", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = Left Header, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = Left Footer, "Helv", 12, L0, nowordwrap, nohscroll;]
:[font = title; inactive; preserveAspect; startGroup; ]
A Brief Introduction to
the Signal Processing Packages
:[font = subtitle; inactive; preserveAspect; ]

by Brian L. Evans and James H. McClellan
:[font = text; inactive; preserveAspect; ]

     This is a freely distributable release of Mathematica code for symbolic signal processing copyrighted by The Georgia Tech Research Corporation.  The original release, Version 1.0, was also copyrighted by Wolfram Research Inc. and The Mathematica Journal.   The release is a collection of Mathematica packages to perform linear transforms and convolutions symbolically.
;[s]
7:0,0;48,1;59,2;236,3;260,4;294,5;305,6;375,-1;
7:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
     To get started using these extensions, you must move the directory hierarchy SignalProcessing to a place on Mathematica's directory path which is stored in the Mathematica variable $Path:
;[s]
5:0,0;113,1;124,2;165,3;176,4;193,-1;
5:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
$Path
:[font = text; inactive; preserveAspect; ]
For a first try of the packages, you could simply start up Mathematica in the SignalProcessing directory itself.  Then, you can invoke Mathematica and initialize it by typing 
;[s]
3:0,0;59,1;70,2;176,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
Needs[ "SignalProcessing`Master`" ]
:[font = text; inactive; preserveAspect; ]
It is possible to set up an  initialization file "init.m" to load these signal processing capabilities automatically.
:[font = text; inactive; preserveAspect; ]
     What you see below is a Table of Contents listing the sections in the Notebook.  To open a group of cells, simply double click on the downward pointing arrow on the far right-hand portion of this window.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Scope of and Philosophy Underlying This Work
:[font = text; inactive; preserveAspect; ]
     For the designer, the underlying philosophy of these extensions is that a user will start with many varied symbolic descriptions of a system expressed in Mathematica notation.  The user will then manipulate these expressions and simulate the results.  The hooks to generate TeX code for many of the new objects introduced by the signal processing packages are present.
:[font = text; inactive; preserveAspect; ]
     Students can learn how to take transforms and solve linear constant coefficient difference and differential equations by following the justification output of the transform (LaPlace, InvLaPlace, Fourier, InvFourier, ZTransform, etc.) and solver (ZSolve and LSolve) rule bases.  (Complete justification is enable by the Dialogue -> All option).  Students can also check the properties of such transforms by specifying their own transform pairs, e.g. x(t) <---> X(s), via the TransformLookup option.  The packages can perform convolution in the discrete and continuous domains.
:[font = text; inactive; preserveAspect; ]
     Professors have used these extensions to generate homework problems and their solution in circuits and systems, communications, and signal processing courses, primarily for problems involving linear systems.  We have written three tutorial notebooks that introduce students to the topics of convolution, analog filter design, and the z-transform.
:[font = text; inactive; preserveAspect; endGroup; ]
     In its present state, the signal processing packages can perform basic symbolic, graphical, and numerical analysis of signals and systems at the level of a senior electrical engineering student.  A future goal is for it to reason about more signal and system properties (besides stability and the region of convergence), rearrange signal processing expressions so that they are more efficient, and generate code for DSP chips for some signal processing structures.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Signal Processing Notebooks
:[font = text; inactive; preserveAspect; ]
     So far, fifteen Notebooks (besides the one you are presently reading) describe the signal processing packages.  Three serve as tutorials on the z-transform, convolution, and analog filter design.  The others serve as on-line help.  Together, these Notebooks allow students to read about signal processing, tinker with equations, and visualize ideas through animation [Evans, 1991].  With Mathematica 2.0, students can learn through hearing.  As a multimedia tool, Mathematica can enhance the learning process and make it more enjoyable.
;[s]
4:0,0;393,1;404,2;469,3;542,-1;
4:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;
:[font = subtitle; inactive; preserveAspect; startGroup; ]
Tutorial Notebooks
:[font = print; inactive; preserveAspect; fontSize = 12; fontName = "Courier"; ]
AnalogFilters            analog filter design
;[s]
2:0,0;13,1;45,-1;
2:1,10,8,Courier,2,12,0,0,0;1,10,8,Courier,0,12,0,0,0;
:[font = print; inactive; preserveAspect; fontSize = 12; fontName = "Courier"; ]
DTFT                     Fourier analysis
;[s]
2:0,0;4,1;41,-1;
2:1,10,8,Courier,2,12,0,0,0;1,10,8,Courier,0,12,0,0,0;
:[font = print; inactive; preserveAspect; fontSize = 12; fontName = "Courier"; ]
PiecewiseConvolution     discrete & continuous
;[s]
2:0,0;20,1;46,-1;
2:1,10,8,Courier,2,12,0,0,0;1,10,8,Courier,0,12,0,0,0;
:[font = print; inactive; preserveAspect; fontSize = 12; fontName = "Courier"; endGroup; ]
zTransformI-III          plus digital filters
;[s]
2:0,0;15,1;45,-1;
2:1,10,8,Courier,2,12,0,0,0;1,10,8,Courier,0,12,0,0,0;
:[font = subtitle; inactive; preserveAspect; startGroup; ]
On-Line Documentation
:[font = print; inactive; preserveAspect; fontSize = 12; fontName = "Courier"; ]
EducationalTool           1991 Southeastcon paper
;[s]
2:0,0;15,1;50,-1;
2:1,10,8,Courier,2,12,0,0,0;1,10,8,Courier,0,12,0,0,0;
:[font = print; inactive; preserveAspect; fontSize = 12; fontName = "Courier"; ]
SignalProcessingExamples  e.g. The Mathematica Journal
;[s]
3:0,0;24,1;31,2;54,-1;
3:1,10,8,Courier,2,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,10,8,Courier,2,12,0,0,0;
:[font = print; inactive; preserveAspect; fontSize = 12; fontName = "Courier"; ]
PiecewiseConvolution      discrete & continuous
;[s]
2:0,0;20,1;48,-1;
2:1,10,8,Courier,2,12,0,0,0;1,10,8,Courier,0,12,0,0,0;
:[font = print; inactive; preserveAspect; fontSize = 12; fontName = "Courier"; ]
zTransformI-III           plus digital filters
;[s]
2:0,0;15,1;47,-1;
2:1,10,8,Courier,2,12,0,0,0;1,10,8,Courier,0,12,0,0,0;
:[font = subtitle; inactive; preserveAspect; ]
Class Handouts
:[font = print; inactive; preserveAspect; fontSize = 12; fontName = "Courier"; ]
Intro                     to Mathematica and SPP
;[s]
4:0,0;15,1;29,2;40,3;48,-1;
4:1,10,8,Courier,2,12,0,0,0;1,10,8,Courier,0,12,0,0,0;1,10,8,Courier,2,12,0,0,0;1,10,8,Courier,0,12,0,0,0;
:[font = print; inactive; preserveAspect; fontSize = 12; fontName = "Courier"; ]
EE3216                    plotting and convolution
;[s]
2:0,0;24,1;50,-1;
2:1,10,8,Courier,2,12,0,0,0;1,10,8,Courier,0,12,0,0,0;
:[font = print; inactive; preserveAspect; fontSize = 12; fontName = "Courier"; ]
EE3221                    transforms and advanced plotting
;[s]
2:0,0;20,1;58,-1;
2:1,10,8,Courier,2,12,0,0,0;1,10,8,Courier,0,12,0,0,0;
:[font = print; inactive; preserveAspect; fontSize = 12; fontName = "Courier"; ]
EE3221Problem             problem from Oppenheim & Willsky
;[s]
2:0,0;13,1;58,-1;
2:1,10,8,Courier,2,12,0,0,0;1,10,8,Courier,0,12,0,0,0;
:[font = print; inactive; preserveAspect; fontSize = 12; fontName = "Courier"; ]
TroubleShooting           common problems
;[s]
2:0,0;15,1;41,-1;
2:1,10,8,Courier,2,12,0,0,0;1,10,8,Courier,0,12,0,0,0;
:[font = text; inactive; preserveAspect; endGroup; endGroup; endGroup; ]
We have added a section to the 'SignalProcessingExamples' notebook to summarize the changes to the signal processing packages since the original release in the Fall of 1990.  See also  "Symbolic Transforms with Applications to Signal Processing" published in the Fall 1990 issue of The Mathematica Journal  (vol. 1, no. 2) and "Mathematica As An Educational Tool for Signal Processing" in the proceedings of the 1991 IEEE Southern Conference (the content of this paper is reproduced in the EducationalTool notebook).
;[s]
7:0,0;282,1;305,2;328,3;339,4;490,5;505,6;517,-1;
7:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Hierarchical Relationship Between Files
:[font = text; inactive; preserveAspect; ]
     The Mathematica  packages  are grouped into  four  categories:   supporting routines, digital  signal  processing (DSP) packages , analog  signal  processing (ASP) packages, and object-oriented extensions.  They are all initialized by evaluating
:[font = input; preserveAspect; ]
Needs[ "SignalProcessing`Master`" ]
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Supporting Signal Processing Packages
:[font = text; inactive; preserveAspect; ]
     The supporting routines are maintained in eight files.  These are usually kept in the Support sub-directory of the SignalProcessing directory of the standard Mathematica Packages directory. 
:[font = text; inactive; preserveAspect; ]
     Six of the eight files form the foundation for the other signal processing capabilities.  "SupCode.m" defines general  purpose  Mathematica routines like Second,  SeriesQ,  ToList,  GenerateCode,  and PrintIt (which sends  Mathematica  output to a a PostScript printer).    The file "SigProc.m" establishes the representation of common signal processing operators (like  Upsample,  Shift, and Convolve) and functions  (like Step, CStep, Impulse, Delta, and Sinc), as well as some of the interactions between them.   The file "FilterSupport.m" defines the representation of linear filters (FIR and IIR)  and their impulse responses.   "ROC.m"  defines routines which  extract and combine regions of convergence (ROC's), where an ROC is one open interval of points.  The last file is "TransSupport.m" which  provides  a  general  set of routines to aid in the writing of transformation rule bases,  extends Mathematica's graphics capabilities to include  magnitude and phase responses as well as pole-zero diagrams, and 
defines tools for stability analysis of LSI systems.  The discrete and piecewise continuous convolution routines are combined in the file "Convolution.m".
:[font = text; inactive; preserveAspect; endGroup; ]
     The remaining two files may be useful in a future release, but the other signal processing packages do not rely on them.  They are "Tree.m" and "Window.m".  The first defines tree manipulation routines like AddChildToTree, DeleteFromTree, InitTree, and SubTree.  This file uses the same tree representation (lists) as does the ``standard'' tree extensions provided by Mathematica in the DiscreteMath packages.
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Digital Signal Processing Packages
:[font = text; inactive; preserveAspect; endGroup; ]
     The digital signal  processing  routines  are  maintained  in  the hierarchy shown below.  These files are maintained in the Mathematica sub-directory  Packages/SignalProcessing/Digital.  Most files in the DSP packages rely on the forward and inverse z-transform capabilities in "ZTransform.m" and "InvZTransform.m", respectively, which  in  turn depend on the file "ZSupport.m".   "ZSupport.m" defines  supporting routines for rule writing and checking for valid transforms.  The files "DTFT.m" and "DFT.m" contain the rules for the discrete-time Fourier transform and  the discrete Fourier transform, respectively.   The file "DSPAnalyze.m" provides  a  powerful analyzer of one- and two-dimensional signals generated  by  linear systems.  This routine graphs a signal  in  the  time-domain, prints out its z-transform, indicates conditions for the sequence to be stable, displays its pole-zero diagram, gives its DTFT, and plots its magnitude and phase responses.  The package "ZSolve.m" provides the ability to sol
ve linear constant coefficient difference equations.
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Analog Signal Processing Packages
:[font = text; inactive; preserveAspect; endGroup; ]
     The analog signal processing  (ASP) packages are arranged in a similar manner, as shown below.  "LaPlace.m" and "InvLaPlace.m" provide the forward and inverse Laplace transforms, which are able to transform expressions involving signal processing operators and functions.  Note that the Laplace transform extensions released by Wolfram Research only do one-dimensional, one-sided transforms and are biased toward higher-order mathematical functions common to physics.   ASPAnalyze in "ASPAnalyze.m" provides the same capabilities as does DSPAnalyze, but for analog signals.  The ASP packages support filter design ("FilterDesign.m").  Currently, the DSP packages cannot design digital filters.
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Signal and System Analysis Packages
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
     This, the very top layer, is still under development but it has released anyway.  The  files "Signal.m" and "System.m" will provide signal and system definitions after the work of  Cory Myers and Gary Kopec.  This will allow Mathematica to reason about properties of signals and systems.  Right now, Mathematica can only perform point-by-point and a limited amount of array-based signal processing.  This layer will fully implement array-based,  stream-based,  and  state machine-based signal processing.  This layer will simply provide more ways to represent, manipulate, and simulate signals and systems, as well as (hopefully) the ability to find optimal implementations of signal processing expressions.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Alteration of Standard Mathematica Routines
:[font = subsection; inactive; preserveAspect; startGroup; ]
And
:[font = text; inactive; preserveAspect; endGroup; ]
Simplify will remove redundant multiple arguments to And.
:[font = subsection; inactive; preserveAspect; startGroup; ]
ClearAttributes
:[font = text; inactive; preserveAspect; endGroup; ]
The first argument to ClearAttributes is held.
:[font = subsection; inactive; preserveAspect; startGroup; ]
Det
:[font = text; inactive; preserveAspect; endGroup; ]
The determinant Det of a number is that number.
:[font = subsection; inactive; preserveAspect; startGroup; ]
Dot
:[font = text; inactive; preserveAspect; endGroup; ]
The dot product (Dot) of two numbers is their product.
:[font = subsection; inactive; preserveAspect; startGroup; ]
SetAttributes
:[font = text; inactive; preserveAspect; endGroup; ]
The first argument to SetAttributes is held.
:[font = subsection; inactive; preserveAspect; startGroup; ]
Limit
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
Under Mathematica 2.0, the default options for the Limit operator have been changed to { Analytic -> True, Direction -> Automatic }.
;[s]
3:0,0;6,1;17,2;133,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; preserveAspect; ]
     After you read and understand the contents of this notebook, we recommend that you read the ``SignalProcessingIntroduction'' Notebook next.
^*)