(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.1";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Helv", 24, L0, center, nohscroll, bold;
	fontset = subtitle, "Helv", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Helv", 14, L0, center, nohscroll, bold;
	fontset = section, "Helv", 14, L0, bold, grayBox;
	fontset = subsection, "Helv", 12, L0, bold, blackBox;
	fontset = subsubsection, "Helv", 10, L0, bold, whiteBox;
	fontset = text, "Helv", 12, L0;
	fontset = smalltext, "Helv", 10, L0;
	fontset = input, "Courier New", 12, L0, nowordwrap;
	fontset = output, "Courier New", 12, L0, nowordwrap;
	fontset = message, "Courier New", 10, L0, nowordwrap, R65280;
	fontset = print, "Courier New", 10, L0, nowordwrap;
	fontset = info, "Courier New", 10, L0, nowordwrap;
	fontset = postscript, "Courier New", 8, L0, nowordwrap;
	fontset = name, "Helv", 10, L0, nohscroll, italic, B65280;
	fontset = header, "Helv", 18, L0, nohscroll, bold;
	fontset = footer, "Helv", 18, L0, center, nohscroll, bold;
	fontset = help, "Helv", 10, L0, nohscroll;
	fontset = clipboard, "Helv", 12, L0, nohscroll;
	fontset = completions, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = network, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = graphlabel, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Helv", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Helv", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = Left Header, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = Left Footer, "Helv", 12, L0, nowordwrap, nohscroll;]
:[font = title; inactive; preserveAspect; ]
Piecewise Convolution
:[font = subsubtitle; inactive; preserveAspect; ]

by
:[font = subtitle; inactive; preserveAspect; ]

Kevin A. West, Brian L. Evans, and
James H. McClellan

:[font = subsubtitle; inactive; preserveAspect; ]
Digital Signal Processing Laboratory
School of Electrical Engineering
Georgia Institute of Technology
Atlanta, GA 30332-0250

EMAIL:  evans@eedsp.gatech.edu
:[font = text; inactive; ]

     This Notebook contains examples of the continuous-time and discrete-time convolution operations as well as their supporting operations.
:[font = text; inactive; ]
     Remember that to expand a group of cells, just move the mouse to the downward pointing half arrow and click twice.	
:[font = text; inactive; ]
WARNING:  This Notebook was originally generated using Mathematica 1.2.  Under Mathematica 2.0 and higher,  the graphics in this Notebook will be rendered in advance (instead of when you look at the graphic cell).  The rendering will be carried out in the background so you can read the Notebook while the ``Rendering ...'' message appears in the header of the Notebook.  For this Notebook, the rendering will require an extra 1.2 Mb of memory because it contains 60 or so graphics cells (60 bit-maps x 20 kb/bit-map).   The ASCII version of this file contains 490 kb.
;[s]
5:0,0;55,1;66,2;79,3;90,4;569,-1;
5:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; ]
     The animation of the flip-and-slide approach to convolution appears in the Continuous Convolution section in the Animated Example sub-section under the Convolution of F-intervals section. 
;[s]
7:0,0;80,1;103,2;118,3;134,4;157,5;183,6;193,-1;
7:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = title; inactive; preserveAspect; ]

Table Of Contents

;[s]
1:0,0;19,-1;
1:1,21,16,Times,2,24,0,0,0;
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Introduction
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Continuous-Time Convolution
:[font = text; inactive; ]
     The continuous-time convolution operation, represented by an asterisk (*) in infix notation,  takes two functions as inputs and returns the function y(t) as defined by the integral below:
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 97; pictureTop = 5; pictureWidth = 267; pictureHeight = 32; ]

:[font = text; inactive; ]
     This integral represents the effect that a linear system with impulse response h(t) would have on a signal x(t).  It has several  important properties, two of which are shown below:
:[font = special2; inactive; left; ]
1.  x(t) * d(t) = x(t)
2.  x(t) * h(t) = h(t) * x(t)
;[s]
3:0,0;11,1;12,2;53,-1;
3:1,18,14,Times,2,20,0,0,0;1,0,0,Symbol,0,20,0,0,0;1,18,14,Times,2,20,0,0,0;
:[font = text; inactive; endGroup; ]
Here, d(t) is the Dirac delta function (represented by Delta in Mathematica).  CTPiecewiseConvolution performs the integration required, exploiting the properties shown above. 
;[s]
9:0,0;6,1;7,2;55,3;60,4;64,5;75,6;79,7;101,8;177,-1;
9:1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Discrete-Time Convolution
:[font = text; inactive; ]
     The discrete-time convolution operation, also represented by an asterisk in infix notation, takes the functions x[n] and h[n] as arguments and returns the function y[n] as defined by the summation below:
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 101; pictureWidth = 264; pictureHeight = 47; ]

:[font = text; inactive; ]
     This integral represents the effect that a discrete linear system with impulse response h[n] would have on a signal x[n].  It has several  important properties, two of which are shown below:
:[font = special2; inactive; left; ]
1.  x[n] * d[n] = x[n]
2.  x[n] * h[n] = h[n] * x[n]
;[s]
3:0,0;11,1;12,2;53,-1;
3:1,18,14,Times,2,20,0,0,0;1,0,0,Symbol,0,20,0,0,0;1,18,14,Times,2,20,0,0,0;
:[font = text; inactive; endGroup; ]
     Here, d[n] is the Kronecker delta function (represented by Impulse in Mathematica).  DTPiecewiseConvolution performs the summation required, exploiting the properties shown above. 
;[s]
9:0,0;11,1;12,2;64,3;71,4;75,5;86,6;90,7;112,8;186,-1;
9:1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Piecewise Functions in Mathematica
;[s]
2:0,0;23,1;34,-1;
2:1,12,9,Times,1,14,0,0,0;1,13,10,Times,3,14,0,0,0;
:[font = text; inactive; ]
     Often, the two signals being convolved are defined in a piecewise manner.  Internally, the convolution routines represent piecewise functions using F-intervals.  An F-interval contains a function and its domain specified as a left and right endpoint.  This approach defines one interval at a time rather than defining a single function over all time.
:[font = text; inactive; ]
	For example, consider the following triangular pulse:
:[font = postscript; PostScript; formatAsPostScript; output; inactive; locked; preserveAspect; pictureLeft = 128; pictureWidth = 167; pictureHeight = 102; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.5 0.47619 0.01472 0.59014 [
[(-1)] 0.02381 0.00222 0 1 Msboxa
[(-0.5)] 0.2619 0.00222 0 1 Msboxa
[(0.5)] 0.7381 0.00222 0 1 Msboxa
[(1)] 0.97619 0.00222 0 1 Msboxa
[(0.2)] 0.4875 0.13274 1 0 Msboxa
[(0.4)] 0.4875 0.25077 1 0 Msboxa
[(0.6)] 0.4875 0.3688 1 0 Msboxa
[(0.8)] 0.4875 0.48683 1 0 Msboxa
[(1)] 0.4875 0.60486 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.02381 0.00847 moveto
0.02381 0.02097 lineto
stroke
0 setgray
[(-1)] 0.02381 0.00222 0 1 Mshowa
0.2619 0.00847 moveto
0.2619 0.02097 lineto
stroke
0 setgray
[(-0.5)] 0.2619 0.00222 0 1 Mshowa
0.7381 0.00847 moveto
0.7381 0.02097 lineto
stroke
0 setgray
[(0.5)] 0.7381 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(1)] 0.97619 0.00222 0 1 Mshowa
0.5 0 moveto
0.5 0.61803 lineto
stroke
0.49375 0.13274 moveto
0.50625 0.13274 lineto
stroke
0 setgray
[(0.2)] 0.4875 0.13274 1 0 Mshowa
0.49375 0.25077 moveto
0.50625 0.25077 lineto
stroke
0 setgray
[(0.4)] 0.4875 0.25077 1 0 Mshowa
0.49375 0.3688 moveto
0.50625 0.3688 lineto
stroke
0 setgray
[(0.6)] 0.4875 0.3688 1 0 Mshowa
0.49375 0.48683 moveto
0.50625 0.48683 lineto
stroke
0 setgray
[(0.8)] 0.4875 0.48683 1 0 Mshowa
0.49375 0.60486 moveto
0.50625 0.60486 lineto
stroke
0 setgray
[(1)] 0.4875 0.60486 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.06389 lineto
0.10317 0.11307 lineto
0.14286 0.16225 lineto
0.18254 0.21143 lineto
0.22222 0.26061 lineto
0.2619 0.30979 lineto
0.30159 0.35896 lineto
0.34127 0.40814 lineto
0.38095 0.45732 lineto
0.42063 0.5065 lineto
0.44048 0.53109 lineto
0.46032 0.55568 lineto
0.47024 0.56797 lineto
0.48016 0.58027 lineto
0.48512 0.58641 lineto
0.49008 0.59256 lineto
0.49256 0.59563 lineto
0.49504 0.59871 lineto
0.49628 0.60025 lineto
0.49752 0.60178 lineto
0.49876 0.60332 lineto
0.5 0.30979 lineto
0.50124 0.60332 lineto
0.50248 0.60178 lineto
0.50496 0.59871 lineto
0.50992 0.59256 lineto
0.51984 0.58027 lineto
0.53968 0.55568 lineto
0.57937 0.5065 lineto
0.61905 0.45732 lineto
0.65873 0.40814 lineto
0.69841 0.35896 lineto
0.7381 0.30979 lineto
0.77778 0.26061 lineto
0.81746 0.21143 lineto
0.85714 0.16225 lineto
0.89683 0.11307 lineto
0.93651 0.06389 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = text; inactive; ]

This function is most easily represented by the following two F-interval definitions:
:[font = print; inactive; locked; preserveAspect; center; ]
     = t + 1   for -1 <= t < 0
f(t) = 1 - t   for 0 <= t < 1 
     =   0     otherwise      
:[font = text; inactive; ]
This function has two representations in the PiecewiseConvolution package:
;[s]
3:0,0;45,1;65,2;75,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; ]
(a) expression notation:
:[font = input; output; preserveAspect; center; ]
(1 - t)*CPulse[1, t] + (1 + t)*CPulse[1, 1 + t]
;[o]
(1 - t) CPulse[1, t] + (1 + t) CPulse[1, 1 + t]
:[font = text; inactive; ]
(b) list-of-F-intervals notation:
:[font = input; output; preserveAspect; center; ]
{{1 + t, -1, 0}, {1 - t, 0, 1}}
;[o]
{{1 + t, -1, 0}, {1 - t, 0, 1}}
:[font = text; inactive; endGroup; endGroup; ]
     These representations are equivalent and can be converted from one to the other.  These notations will be discussed below in the ``Data Structures'' section.  The convolution functions PiecewiseConvolution, DTPiecewiseConvolution, and CTPiecewiseConvolution automatically convert their inputs into a list of F-intervals form before convolving them.
;[s]
7:0,0;190,1;210,2;212,3;234,4;240,5;262,6;354,-1;
7:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Initialization
:[font = text; inactive; ]
     Before any Mathematica expressions in this notebook can be evaluated, the "Convolution.m" package and its supporting packages must be loaded.  This is accomplished by evaluating the following Mathematica expression (since it is marked as an initialization cell, it can be evaluated when the notebook is opened):
;[s]
5:0,0;16,1;27,2;197,3;208,4;317,-1;
5:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; initialization; preserveAspect; startGroup; ]
*)
Needs[ "SignalProcessing`Support`Convolution`" ]
(*
:[font = print; inactive; preserveAspect; endGroup; endGroup; ]
Support module has been loaded.
The knowledge base of signal processing operators has\
 
  been loaded.
Piecewise convolution rules have been loaded.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Data Structures
:[font = text; inactive; ]
     The continuous and discrete convolution routines rely on the same internal data structures.  This section discusses these data structures  in the context of the continuous domain.  The only difference in the data structures for discrete convolution is the F-interval form of  impulse functions.  In the continuous domain, the impulse function is the Dirac delta which is specified by its location and the area under the spike.  Hence, a special Area data tag is used in the F-interval format.  In the discrete domain, an impulse is a Kronecker delta function which can be fully specified by its location and its amplitude so no special data tag is necessary.
;[s]
3:0,0;450,1;454,2;664,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Finite- and Infinite-Extent F-intervals
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Finite-Extent F-intervals
:[font = text; inactive; ]
     A finite-valued interval is represented as a list containing three items, called an F-interval: 
:[font = input; preserveAspect; center; ]
{ f(t), t1, t2 }
:[font = text; inactive; ]
where f(t) is a particular function of t, t1 is the earliest time at which the function is non-zero, and t2 is the latest time at which the function is non-zero.  When both t1 and t2 are finite values, the interval represents a pulse which begins at time t1 and ends at time t2.
:[font = output; output; inactive; locked; preserveAspect; endGroup; ]
MatrixForm[{{"Interval", "Function          "}, 
   {"{f(t), t1, t2}", "f(t), t1 <= t < t2"}, 
   {" ", "      0 otherwise "}}]
;[o]
Interval            Function          
 
{f(t), t1, t2}      f(t), t1 <= t < t2
 
                          0 otherwise
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Infinite-Extent F-intervals
:[font = text; inactive; ]
     When t2 is infinity and t1 is not negative infinity, the interval represents a step function.  When t1 is negative infinity and t2 is not infinity, the interval represents a step function, but one that is reversed in time.
:[font = output; output; inactive; locked; preserveAspect; ]
MatrixForm[{{"Interval", "Expression   "}, 
   {"{f(t), t1, Infinity}", "CStep[t - t1]"}, 
   {"{f(t), -Infinity, t2}", "CStep[t2 - t]"}}]
;[o]
Interval               Expression   
 
{f(t), t1, Infinity}   CStep[t - t1]
 
{f(t), -Infinity, t2}  CStep[t2 - t]
:[font = text; inactive; ]
When t1 is negative infinity and t2 is infinity, then f(t) is valued over all time, as in
:[font = input; preserveAspect; center; endGroup; ]
{ f(t), -Infinity, Infinity }
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Invalid F-intervals
:[font = text; inactive; ]
     An F-interval, {f, t1, t2},  is considered to be invalid if t1 is greater than or equal to t2, unless f is an impulse function in which case t1 must equal t2.  Also, an interval which has a function f(t) = 0, while not having an invalid value, is an improper representation because such an interval represents f(t) = 0 for all t.  Such a function does not require an F-interval representation.  Therefore,
:[font = special3; inactive; ]
{ f(t), 5, 9 } is valid representation of f(t) on [5,9]
:[font = special3; inactive; endGroup; ]
{ 0, t1, t2 } is an invalid F-interval for any value of t1 and t2     
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Plotting F-intervals
:[font = text; inactive; ]
     The following example shows a function defined only on the interval [-p/4, p):
;[s]
5:0,0;75,1;76,2;80,3;81,4;84,-1;
5:1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
PiecewisePlot[ {{Cos[t], - Pi/4, Pi}},
               {t, -1, 4},
               Domain -> Continuous ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 38; pictureWidth = 283; pictureHeight = 175; startGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.21429 0.19048 0.30902 0.2943 [
[(-1)] 0.02381 0.29652 0 1 Msboxa
[(1)] 0.40476 0.29652 0 1 Msboxa
[(2)] 0.59524 0.29652 0 1 Msboxa
[(3)] 0.78571 0.29652 0 1 Msboxa
[(4)] 0.97619 0.29652 0 1 Msboxa
[(t)] 1.00625 0.30902 -1 0 Msboxa
[(-1)] 0.20179 0.01471 1 0 Msboxa
[(-0.5)] 0.20179 0.16187 1 0 Msboxa
[(0.5)] 0.20179 0.45617 1 0 Msboxa
[(1)] 0.20179 0.60332 1 0 Msboxa
[( )] 0.21429 0.62428 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
0.02381 0.30277 moveto
0.02381 0.31527 lineto
stroke
0 setgray
[(-1)] 0.02381 0.29652 0 1 Mshowa
0.40476 0.30277 moveto
0.40476 0.31527 lineto
stroke
0 setgray
[(1)] 0.40476 0.29652 0 1 Mshowa
0.59524 0.30277 moveto
0.59524 0.31527 lineto
stroke
0 setgray
[(2)] 0.59524 0.29652 0 1 Mshowa
0.78571 0.30277 moveto
0.78571 0.31527 lineto
stroke
0 setgray
[(3)] 0.78571 0.29652 0 1 Mshowa
0.97619 0.30277 moveto
0.97619 0.31527 lineto
stroke
0 setgray
[(4)] 0.97619 0.29652 0 1 Mshowa
0 setgray
[(t)] 1.00625 0.30902 -1 0 Mshowa
0.21429 0 moveto
0.21429 0.61803 lineto
stroke
0.20804 0.01471 moveto
0.22054 0.01471 lineto
stroke
0 setgray
[(-1)] 0.20179 0.01471 1 0 Mshowa
0.20804 0.16187 moveto
0.22054 0.16187 lineto
stroke
0 setgray
[(-0.5)] 0.20179 0.16187 1 0 Mshowa
0.20804 0.45617 moveto
0.22054 0.45617 lineto
stroke
0 setgray
[(0.5)] 0.20179 0.45617 1 0 Mshowa
0.20804 0.60332 moveto
0.22054 0.60332 lineto
stroke
0 setgray
[(1)] 0.20179 0.60332 1 0 Mshowa
0 setgray
[( )] 0.21429 0.62428 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.30902 moveto
0.04365 0.30902 lineto
0.05357 0.30902 lineto
0.05853 0.30902 lineto
0.06101 0.30902 lineto
0.06225 0.30902 lineto
0.06349 0.30902 lineto
0.06473 0.51717 lineto
0.06597 0.51852 lineto
0.06845 0.52119 lineto
0.07341 0.52643 lineto
0.08333 0.53646 lineto
0.10317 0.55465 lineto
0.12302 0.57018 lineto
0.14286 0.58287 lineto
0.15278 0.58811 lineto
0.1627 0.59259 lineto
0.17262 0.59631 lineto
0.18254 0.59924 lineto
0.1875 0.60041 lineto
0.19246 0.60139 lineto
0.19742 0.60217 lineto
0.1999 0.60248 lineto
0.20238 0.60275 lineto
0.20486 0.60296 lineto
0.2061 0.60305 lineto
0.20734 0.60312 lineto
0.20858 0.60319 lineto
0.20982 0.60324 lineto
0.21106 0.60328 lineto
0.2123 0.6033 lineto
0.21354 0.60332 lineto
0.21478 0.60332 lineto
0.21602 0.60331 lineto
0.21726 0.60328 lineto
0.2185 0.60325 lineto
0.21974 0.6032 lineto
0.22098 0.60314 lineto
0.22222 0.60306 lineto
0.22718 0.60265 lineto
0.22966 0.60236 lineto
0.23214 0.60203 lineto
0.24206 0.6002 lineto
0.24702 0.59898 lineto
0.25198 0.59757 lineto
0.2619 0.59417 lineto
0.28175 0.58505 lineto
0.30159 0.57295 lineto
0.34127 0.54031 lineto
0.38095 0.49766 lineto
Mistroke
0.42063 0.44686 lineto
0.46032 0.3901 lineto
0.5 0.32984 lineto
0.53968 0.26867 lineto
0.57937 0.20924 lineto
0.61905 0.15414 lineto
0.65873 0.10573 lineto
0.69841 0.06611 lineto
0.71825 0.05015 lineto
0.7381 0.03699 lineto
0.74802 0.03151 lineto
0.75794 0.02679 lineto
0.76786 0.02283 lineto
0.77778 0.01964 lineto
0.78274 0.01834 lineto
0.7877 0.01724 lineto
0.79266 0.01634 lineto
0.79762 0.01564 lineto
0.8001 0.01536 lineto
0.80258 0.01513 lineto
0.80506 0.01495 lineto
0.8063 0.01488 lineto
0.80754 0.01482 lineto
0.80878 0.01478 lineto
0.81002 0.01474 lineto
0.81126 0.01472 lineto
0.8125 0.01472 lineto
0.81374 0.30902 lineto
0.81498 0.30902 lineto
0.81746 0.30902 lineto
0.85714 0.30902 lineto
0.89683 0.30902 lineto
0.93651 0.30902 lineto
0.97619 0.30902 lineto
Mfstroke
grestore
grestore
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.30902 moveto
0.06349 0.30902 lineto
0.10317 0.30902 lineto
0.14286 0.30902 lineto
0.18254 0.30902 lineto
0.22222 0.30902 lineto
0.2619 0.30902 lineto
0.30159 0.30902 lineto
0.34127 0.30902 lineto
0.38095 0.30902 lineto
0.42063 0.30902 lineto
0.46032 0.30902 lineto
0.5 0.30902 lineto
0.53968 0.30902 lineto
0.57937 0.30902 lineto
0.61905 0.30902 lineto
0.65873 0.30902 lineto
0.69841 0.30902 lineto
0.7381 0.30902 lineto
0.77778 0.30902 lineto
0.81746 0.30902 lineto
0.85714 0.30902 lineto
0.89683 0.30902 lineto
0.93651 0.30902 lineto
0.97619 0.30902 lineto
stroke
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = text; inactive; endGroup; endGroup; ]
 (Note that the option Domain -> Continuous is not necessary if the value of $ConvolutionDomain is set to Continuous.)  The PlotList function will be discussed below under New Functions.
;[s]
7:0,0;23,1;43,2;77,3;95,4;124,5;132,6;187,-1;
7:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Delta Functions
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Properties
:[font = text; inactive; ]
     The Dirac delta function is a special "function" which is defined by what it does rather than what it is.  The unit delta d(t), represented in Mathematica as Delta[t],  can be defined as
;[s]
7:0,0;127,1;128,2;148,3;159,4;163,5;171,6;191,-1;
7:1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = special2; inactive; ]
x(t) = d(t) * x(t)
;[s]
3:0,0;7,1;8,2;19,-1;
3:1,18,14,Times,2,20,0,0,0;1,0,0,Symbol,0,20,0,0,0;1,18,14,Times,2,20,0,0,0;
:[font = text; inactive; ]
for any bounded integrable function x(t).  The unit delta function d(t) has the following properties:
;[s]
3:0,0;67,1;68,2;102,-1;
3:1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; ]
(1) 	d(t) is undefined at t = 0,
(2) 	d(t) is zero for all non-zero t,
(3)	d(t) = d/dt CStep[t], and
(4)	the integral of d(t) over all t is 1:
;[s]
11:0,0;5,1;6,2;38,3;39,4;75,5;76,6;87,7;95,8;121,9;122,10;142,-1;
11:1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 177; pictureWidth = 108; pictureHeight = 32; ]

:[font = text; inactive; ]
     A delta function can be a shifted and scaled version of the unit delta function.  The shifting affects at what time the delta function is undefined and the scaling affects the area under the function:
:[font = text; inactive; ]
(1)  A d(u - u0) is undefined at u = u0, and
(2)  the integral of A d(u - u0) over all u is A:
;[s]
11:0,0;7,1;8,2;14,3;15,4;38,5;39,6;68,7;69,8;75,9;76,10;94,-1;
11:1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,64,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,64,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,64,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 146; pictureWidth = 155; pictureHeight = 32; endGroup; ]

:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Representation as F-intervals
:[font = text; inactive; ]
     In Mathematica terms,
;[s]
3:0,0;8,1;19,2;27,-1;
3:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
CTPiecewiseConvolution[ A, Delta[t - t0], t ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{A, DirectedInfinity[-1], DirectedInfinity[1]}}
;[o]
{{A, -Infinity, Infinity}}
:[font = text; inactive; ]
A more general example of the shifting property is
:[font = input; preserveAspect; startGroup; ]
CTPiecewiseConvolution[ Delta[t - t0], f[t], t ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{f[t - t0], DirectedInfinity[-1], DirectedInfinity[1]}}
;[o]
{{f[t - t0], -Infinity, Infinity}}
:[font = text; inactive; ]
     The F-interval representation of a delta function is also a list of three items.  The items are arranged similarly to those in a finite-valued interval, but with two exceptions.  Instead of a function f(t), a delta has an area A, which is represented by the tag Area.  Also, since there is only one time of interest in a delta function, the t1 and t2 values are equal to t0, the time at which a delta function occurs.
:[font = special3; inactive; center; ]
{ Area[A], t0, t0 } represents the delta function A Delta[t - t0].
:[font = text; inactive; ]
      This representation of a delta function can be considered a generalization of the finite-valued interval.  The Area[A] tag indicates that the function is not an ordinary function of t.  The endpoints being equal to one other is consistent with the fact that all values outside of the interval are equal to zero.  An F-interval which contains an Area tag, but different values for the endpoints is invalid.  An F-interval representing a delta function with zero area is improper because such an interval represents f(t) for all t.
:[font = special3; inactive; center; ]
{ Area[A], t1, t2 } is invalid if t1 <> t2
:[font = special3; inactive; center; endGroup; endGroup; ]
{ Area[0], t0, t0 } is invalid because it is 0 for all t		
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
List of F-intervals
:[font = text; inactive; ]
     Some functions are defined piecewise, which means that the analytic function f(t) may be different for different intervals.  To define these functions, a list of F-intervals is used.  A list of F-intervals has the following form:
:[font = help; inactive; preserveAspect; center; ]
{ { e(t), a1, b1 }, { f(t), a2, b2 }, { g(t), a3, b3 }, ...  }
:[font = text; inactive; ]
where e(t), f(t), and g(t) are functions of t, and the a's and b's are the corresponding interval endpoints.  The ellipsis (...) indicates that a list of F-intervals does not have a fixed length.  It can contain as many intervals as are needed to define the piecewise function.  For example, a triangular pulse which begins at t=-1, ends at t=1, and has peak height 1 at t=0  is typically defined over two intervals:
:[font = print; inactive; locked; preserveAspect; center; ]
     = t + 1   for -1 <= t < 0
f(t) = 1 - t   for 0 <= t < 1 
     =   0     otherwise      
:[font = text; inactive; ]
     Using the F-interval data structure, it would take two F-intervals to describe this function:  one for the time during which f(t) = t + 1,  and another for the time during which f(t) = 1 - t.  By placing these two intervals in a list, the function is correctly represented as a list of intervals:
:[font = input; preserveAspect; center; ]
{ {t+1, -1, 0}, {1-t, 0, 1} }
:[font = text; inactive; ]
     Another example is
:[font = input; preserveAspect; center; ]
{ {-1, -2, -1}, {t, -1, 2}, {4/t, 2, Infinity} }		
:[font = text; inactive; ]
We can plot this piecewise function using PiecewisePlot:
;[s]
3:0,0;42,1;55,2;56,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; Cclosed; preserveAspect; startGroup; ]
PiecewisePlot[
     {{-1, -2, -1}, {t, -1, 2}, {4/t, 2, Infinity}},
     {t, -3, 5},
     Domain -> Continuous ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 39; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.380952 0.119048 0.211596 0.196881 [
[(-2)] 0.14286 0.2116 0 2 Msboxa
[(2)] 0.61905 0.2116 0 2 Msboxa
[(4)] 0.85714 0.2116 0 2 Msboxa
[(t)] 1.025 0.2116 -1 0 Msboxa
[(Signal Plot)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(-1)] 0.36845 0.01472 1 0 Msboxa
[(-0.5)] 0.36845 0.11316 1 0 Msboxa
[(0.5)] 0.36845 0.31004 1 0 Msboxa
[(1)] 0.36845 0.40848 1 0 Msboxa
[(1.5)] 0.36845 0.50692 1 0 Msboxa
[(2)] 0.36845 0.60536 1 0 Msboxa
[( )] 0.38095 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.14286 0.2116 moveto
0.14286 0.21785 lineto
stroke
grestore
[(-2)] 0.14286 0.2116 0 2 Mshowa
gsave
0.002 setlinewidth
0.61905 0.2116 moveto
0.61905 0.21785 lineto
stroke
grestore
[(2)] 0.61905 0.2116 0 2 Mshowa
gsave
0.002 setlinewidth
0.85714 0.2116 moveto
0.85714 0.21785 lineto
stroke
grestore
[(4)] 0.85714 0.2116 0 2 Mshowa
gsave
0.001 setlinewidth
0.19048 0.2116 moveto
0.19048 0.21535 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.2381 0.2116 moveto
0.2381 0.21535 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28571 0.2116 moveto
0.28571 0.21535 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.33333 0.2116 moveto
0.33333 0.21535 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42857 0.2116 moveto
0.42857 0.21535 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47619 0.2116 moveto
0.47619 0.21535 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.52381 0.2116 moveto
0.52381 0.21535 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.57143 0.2116 moveto
0.57143 0.21535 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66667 0.2116 moveto
0.66667 0.21535 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71429 0.2116 moveto
0.71429 0.21535 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.7619 0.2116 moveto
0.7619 0.21535 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.80952 0.2116 moveto
0.80952 0.21535 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09524 0.2116 moveto
0.09524 0.21535 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.04762 0.2116 moveto
0.04762 0.21535 lineto
stroke
grestore
gsave
0.001 setlinewidth
0 0.2116 moveto
0 0.21535 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.90476 0.2116 moveto
0.90476 0.21535 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.95238 0.2116 moveto
0.95238 0.21535 lineto
stroke
grestore
gsave
0.001 setlinewidth
1 0.2116 moveto
1 0.21535 lineto
stroke
grestore
[(t)] 1.025 0.2116 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.2116 moveto
1 0.2116 lineto
stroke
grestore
[(Signal Plot)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.38095 0.01472 moveto
0.3872 0.01472 lineto
stroke
grestore
[(-1)] 0.36845 0.01472 1 0 Mshowa
gsave
0.002 setlinewidth
0.38095 0.11316 moveto
0.3872 0.11316 lineto
stroke
grestore
[(-0.5)] 0.36845 0.11316 1 0 Mshowa
gsave
0.002 setlinewidth
0.38095 0.31004 moveto
0.3872 0.31004 lineto
stroke
grestore
[(0.5)] 0.36845 0.31004 1 0 Mshowa
gsave
0.002 setlinewidth
0.38095 0.40848 moveto
0.3872 0.40848 lineto
stroke
grestore
[(1)] 0.36845 0.40848 1 0 Mshowa
gsave
0.002 setlinewidth
0.38095 0.50692 moveto
0.3872 0.50692 lineto
stroke
grestore
[(1.5)] 0.36845 0.50692 1 0 Mshowa
gsave
0.002 setlinewidth
0.38095 0.60536 moveto
0.3872 0.60536 lineto
stroke
grestore
[(2)] 0.36845 0.60536 1 0 Mshowa
gsave
0.001 setlinewidth
0.38095 0.0344 moveto
0.3847 0.0344 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.05409 moveto
0.3847 0.05409 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.07378 moveto
0.3847 0.07378 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.09347 moveto
0.3847 0.09347 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.13284 moveto
0.3847 0.13284 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.15253 moveto
0.3847 0.15253 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.17222 moveto
0.3847 0.17222 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.19191 moveto
0.3847 0.19191 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.23128 moveto
0.3847 0.23128 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.25097 moveto
0.3847 0.25097 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.27066 moveto
0.3847 0.27066 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.29035 moveto
0.3847 0.29035 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.32973 moveto
0.3847 0.32973 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.34941 moveto
0.3847 0.34941 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.3691 moveto
0.3847 0.3691 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.38879 moveto
0.3847 0.38879 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.42817 moveto
0.3847 0.42817 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.44785 moveto
0.3847 0.44785 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.46754 moveto
0.3847 0.46754 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.48723 moveto
0.3847 0.48723 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.52661 moveto
0.3847 0.52661 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.54629 moveto
0.3847 0.54629 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.56598 moveto
0.3847 0.56598 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38095 0.58567 moveto
0.3847 0.58567 lineto
stroke
grestore
[( )] 0.38095 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.38095 0 moveto
0.38095 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
gsave
0.006 setlinewidth
0.02381 0.2116 moveto
0.06349 0.2116 lineto
0.10317 0.2116 lineto
0.12302 0.2116 lineto
0.12798 0.2116 lineto
0.13294 0.2116 lineto
0.1379 0.2116 lineto
0.13914 0.2116 lineto
0.14038 0.2116 lineto
0.14286 0.11316 lineto
0.1441 0.01472 lineto
0.14534 0.01472 lineto
0.14782 0.01472 lineto
0.15278 0.01472 lineto
0.1627 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.25198 0.01472 lineto
0.25694 0.01472 lineto
0.25942 0.01472 lineto
0.26066 0.01472 lineto
0.2619 0.01472 lineto
0.26438 0.01882 lineto
0.26687 0.02292 lineto
0.27183 0.03112 lineto
0.28175 0.04753 lineto
0.30159 0.08034 lineto
0.34127 0.14597 lineto
0.38095 0.2116 lineto
0.42063 0.27722 lineto
0.46032 0.34285 lineto
0.5 0.40848 lineto
0.53968 0.4741 lineto
0.55952 0.50692 lineto
0.57937 0.53973 lineto
0.59921 0.57255 lineto
0.60417 0.58075 lineto
0.60913 0.58895 lineto
0.61409 0.59716 lineto
0.61533 0.59921 lineto
0.61657 0.60126 lineto
0.61781 0.60331 lineto
0.61905 0.40848 lineto
0.62029 0.60332 lineto
0.62153 0.6013 lineto
0.62277 0.5993 lineto
0.62401 0.59732 lineto
0.62897 0.58961 lineto
0.63889 0.57507 lineto
Mistroke
0.65873 0.54911 lineto
0.69841 0.50692 lineto
0.7381 0.4741 lineto
0.77778 0.44785 lineto
0.81746 0.42638 lineto
0.85714 0.40848 lineto
0.89683 0.39333 lineto
0.93651 0.38035 lineto
0.97619 0.3691 lineto
Mfstroke
grestore
grestore
gsave
[ 0.05 0.05 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.2116 moveto
0.06349 0.2116 lineto
0.10317 0.2116 lineto
0.14286 0.2116 lineto
0.18254 0.2116 lineto
0.22222 0.2116 lineto
0.2619 0.2116 lineto
0.30159 0.2116 lineto
0.34127 0.2116 lineto
0.38095 0.2116 lineto
0.42063 0.2116 lineto
0.46032 0.2116 lineto
0.5 0.2116 lineto
0.53968 0.2116 lineto
0.57937 0.2116 lineto
0.61905 0.2116 lineto
0.65873 0.2116 lineto
0.69841 0.2116 lineto
0.7381 0.2116 lineto
0.77778 0.2116 lineto
0.81746 0.2116 lineto
0.85714 0.2116 lineto
0.89683 0.2116 lineto
0.93651 0.2116 lineto
0.97619 0.2116 lineto
stroke
grestore
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Preferences dialog box to 
control when Unformatted text is generated.
;[o]
-Graphics-
:[font = text; inactive; ]
     (Again, note that the option Domain -> Continuous is unnecessary if the value of $ConvolutionDomain is Continuous.)  Any piecewise function can be represented by a list of F-intervals which together define the function.  These intervals can be either finite-valued or delta functions.  Using combinations of intervals, an impulse train can be defined:
;[s]
7:0,0;34,1;54,2;86,3;104,4;108,5;118,6;357,-1;
7:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; center; ]
{ {Area[1],0,0}, {Area[1],1,1}, {Area[1],2,2} }
:[font = text; inactive; endGroup; ]
Finite-valued intervals and delta function intervals can be mixed in a list to describe a function which contains deltas and finite values over certain intervals.		
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Converting Between Expression and List-of-F-intervals Formats
:[font = text; inactive; ]
     Every piecewise function has two equivalent representations:  as an expression and as a list of F-intervals.  An expression would use the functions Delta, CStep, and Pulse to define a function.  It can be readily converted to a list of F-intervals, and vica-versa.  The conversions are based on the following corresponding representations:
;[s]
7:0,0;153,1;158,2;160,3;165,4;171,5;176,6;345,-1;
7:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = output; output; inactive; locked; preserveAspect; ]
MatrixForm[{{"-- F-interval --        ", 
    "-- Expression -- "}, 
   {"{Area[a], t0, t0}       ", "a Delta[t - t0]  "}, 
   {"{f, -Infinity, Infinity}", "f                "}, 
   {"{f, t1, Infinity}       ", "f CStep[t - t1]  "}, 
   {"{f, -Infinity, t2}      ", "f CStep[t2 - t]  "}, 
   {"{f, t1, t2}             ", "f CPulse[t2 - t1]"}}]
;[o]
-- F-interval --          -- Expression -- 
 
{Area[a], t0, t0}         a Delta[t - t0]  
 
{f, -Infinity, Infinity}  f                
 
{f, t1, Infinity}         f CStep[t - t1]  
 
{f, -Infinity, t2}        f CStep[t2 - t]  
 
{f, t1, t2}               f CPulse[t2 - t1]
:[font = text; inactive; ]
Converting between expressions and lists of intervals is done using the PiecewiseToFormula and FormulaToPiecewise routines.
;[s]
5:0,0;72,1;90,2;95,3;113,4;123,-1;
5:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
PiecewiseToFormula
:[font = text; ]
PiecewiseToFormula takes two arguments in the following format:
;[s]
2:0,0;18,1;63,-1;
2:1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; center; ]
PiecewiseToFormula[list, t]
:[font = text; inactive; ]
where list is a list of intervals (either deltas or finite intervals) , and t is the time variable. The following example Mathematica input expressions illustrate the use and results of the PiecewiseToFormula function.  We are assuming that the default convolution domain $ConvolutionDomain has been set to Continuous.
;[s]
9:0,0;122,1;133,2;190,3;208,4;272,5;290,6;307,7;317,8;319,-1;
9:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; startGroup; ]
--  Conversion of a symbolically defined delta interval to an
     expression:
:[font = input; preserveAspect; startGroup; ]
PiecewiseToFormula[{{Area[A], t0, t0}}, t]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
A*Delta[t - t0]
;[o]
A Delta[t - t0]
:[font = text; inactive; startGroup; ]
--  Conversion of a two-sided function (defined from negative infinity
      to infinity) to an expression:
:[font = input; preserveAspect; startGroup; ]
PiecewiseToFormula[{{t^2, -Infinity, Infinity}}, t]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
t^2
;[o]
 2
t
:[font = text; inactive; startGroup; ]
--  Conversion to a right-sided function (defined from some
     t0 to infinity) to an expression:
;[s]
4:0,0;66,1;67,2;79,3;100,-1;
4:1,13,10,Times,0,14,0,0,0;1,13,10,Times,64,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
PiecewiseToFormula[{{Exp[t], t0, Infinity}}, t]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
E^t*CStep[t - t0]
;[o]
 t
E  CStep[t - t0]
:[font = text; inactive; startGroup; ]
--  Conversion of a finite-duration interval to a pulse function
     expression:
:[font = input; preserveAspect; startGroup; ]
PiecewiseToFormula[{{Sin[t], t0, t1}},  t]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
CPulse[-t0 + t1, t - t0]*Sin[t]
;[o]
CPulse        [t - t0] Sin[t]
      -t0 + t1
:[font = text; inactive; startGroup; ]
--  Conversion of two finite-duration intervals to an expression:
:[font = input; preserveAspect; startGroup; ]
PiecewiseToFormula[{{t, -1, 1}, {1, 0, 1}}, t]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup; ]
CPulse[1, t] + t*CPulse[2, 1 + t]
;[o]
CPulse [t] + t CPulse [1 + t]
      1              2
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
FormulaToPiecewise
:[font = text; inactive; ]
     FormulaToPiecewise is the dual of PiecewiseToFormula.  FormulaToPiecewise takes two arguments in the following format:
;[s]
7:0,0;5,1;23,2;39,3;57,4;60,5;78,6;123,-1;
7:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; center; ]
ConvertToList[expression, variable]
:[font = text; inactive; ]
The expression may contain the functions Delta, CStep, or CPulse, and a common variable for continuous-time convolution is t (time).  The following Mathematica dialogue illustrates the use of ConvertToList.  Again, we assuming that the default convolution domain is Continuous.
;[s]
13:0,0;41,1;46,2;48,3;53,4;58,5;64,6;148,7;159,8;192,9;205,10;266,11;276,12;278,-1;
13:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; startGroup; ]
--  Conversion of a delta function expression to a list:
:[font = input; preserveAspect; startGroup; ]
FormulaToPiecewise[3 Delta[t - 5], t]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
{{Area[3], 5, 5}}
;[o]
{{Area[3], 5, 5}}
:[font = text; inactive; ]
--  Conversion of a two-sided expression (defined over all time)
      to a list:
:[font = input; preserveAspect; startGroup; ]
FormulaToPiecewise[Exp[t], t]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{E^t, DirectedInfinity[-1], DirectedInfinity[1]}}
;[o]
   t
{{E , -Infinity, Infinity}}
:[font = text; inactive; startGroup; ]
--  Conversion of  a right-sided function to a list:
:[font = input; preserveAspect; startGroup; ]
FormulaToPiecewise[Sin[t] CStep[t - 2 Pi], t]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
{{Sin[t], 2*Pi, DirectedInfinity[1]}}
;[o]
{{Sin[t], 2 Pi, Infinity}}
:[font = text; inactive; startGroup; ]
--  Conversion of a general expression to a list:
:[font = input; preserveAspect; startGroup; ]
FormulaToPiecewise[2 t CPulse[3, t] - Delta[t - 8] +
                   4 CStep[-t - 10], t]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup; endGroup; endGroup; ]
{{2*t, 0, 3}, {Area[-1], 8, 8}, 
  {4, DirectedInfinity[-1], -10}}
;[o]
{{2 t, 0, 3}, {Area[-1], 8, 8}, {4, -Infinity, -10}}
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
New Functions
:[font = text; inactive; ]
     Here are the definitions introduced by the convolution package:
:[font = info; inactive; locked; preserveAspect; center; ]
$ConvolutionDomain        PiecewiseConvolution
Area                      PiecewisePlot       
AutoCorrelation           PiecewiseToFormula  
CTPiecewiseConvolution    SetConvolutionDomain
DTPiecewiseConvolution    SimplifyList        
FormulaToPiecewise        ValidIntervalQ      
IntervalQ                                     
:[font = text; ]
Help information is provided below on each new function.  Except for DTPiecewiseConvolution and CTPiecewiseConvolution, these functions work for both continuous and discrete expressions and assume that you are working in the domain that the symbol $ConvolutionDomain holds (which initially is Continuous):
;[s]
9:0,0;69,1;91,2;96,3;118,4;248,5;266,6;293,7;303,8;306,-1;
9:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
$ConvolutionDomain
:[font = output; output; inactive; preserveAspect; endGroup; ]
Continuous
;[o]
Continuous
:[font = text; inactive; ]
One can reset the default domain at any time by using the function SetConvolutionDomain.  Whenever you call a function in the convolution package, you can also override the default domain by using the Domain option:
;[s]
5:0,0;67,1;87,2;201,3;207,4;216,-1;
5:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
SimplifyList[ {{n, 1, 10}, {10, 11, 20}}, n,
              Domain -> Discrete ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{n, 1, 10}, {10, 11, 20}}
;[o]
{{n, 1, 10}, {10, 11, 20}}
:[font = text; inactive; ]
The three convolvers are discussed below in sections ``Continuous Convolution'' and ``Discrete Convolution''.
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
SimplifyList
:[font = text; inactive; ]
     A list of F-intervals must meet certain conditions to be considered in to be in its simplest form.  A list may be valid but may not be in simplest form.  Take, for example, the following list:
:[font = input; preserveAspect; center; ]
{ {t, 1, 2}, {1, 0, 3} }
:[font = text; inactive; ]
Both of the F-intervals are valid, but they overlap.  If this overlap is interpreted as the superposition of  the intervals, then the list has the following equivalent representation:
:[font = input; preserveAspect; center; ]
 { {1, 0, 1}, {1 + t, 1, 2}, {1, 2, 3} }
:[font = text; inactive; ]
Notice the conditions that a list must meet to be considered in simplest form:
:[font = special3; inactive; ]
1.  No invalid F-intervals.
2.  No overlap of F-intervals.
3.  The sequence of F-intervals must be ordered from
     the lowest endpoints to highest enpoints.
:[font = text; inactive; ]
The SimplifyList function takes one argument, a list of F-intervals, and returns an equivalent list which is in simplest form.  The following Mathematica illustrates the use of SimplifyList:
;[s]
7:0,0;4,1;16,2;142,3;153,4;177,5;189,6;192,-1;
7:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; ]
---  Simplification of a list with overlapping intervals:
:[font = input; preserveAspect; startGroup; ]
SimplifyList[{{t, 1, 2}, {1, 0, 3}}]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{1, 0, 1}, {1 + t, 1, 2}, {1, 2, 3}}
;[o]
{{1, 0, 1}, {1 + t, 1, 2}, {1, 2, 3}}
:[font = text; inactive; ]
---  Simplification of a list with one interval split by a delta function:
:[font = input; preserveAspect; startGroup; ]
SimplifyList[{{t^2, -1, 1}, {Area[1], 0, 0}}, t]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{t^2, -1, 0}, {Area[1], 0, 0}, {t^2, 0, 1}}
;[o]
   2                             2
{{t , -1, 0}, {Area[1], 0, 0}, {t , 0, 1}}
:[font = text; inactive; ]
---  Omission of  invalid intervals:
:[font = input; preserveAspect; startGroup; ]
SimplifyList[ {{Area[1], 0, 0}, {Area[0], 1, 1},
               {1, 2, 3}, {t, 10, 9}}, t ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{Area[1], 0, 0}, {1, 2, 3}}
;[o]
{{Area[1], 0, 0}, {1, 2, 3}}
:[font = text; inactive; ]
--- Reordering of intervals according to which occurs first in time:
:[font = input; preserveAspect; startGroup; ]
SimplifyList[{{t, 2, 4}, {Sin[t], 0, 2}}, t]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
{{Sin[t], 0, 2}, {t, 2, 4}}
;[o]
{{Sin[t], 0, 2}, {t, 2, 4}}
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
PiecewisePlot
:[font = text; inactive; ]
     The PiecewisePlot routine is similar to the Mathematica  Plot routine except that the function is described by a list of F-intervals rather than as an expression.  The PiecewisePlot operation uses the following format:
;[s]
9:0,0;9,1;22,2;49,3;60,4;62,5;66,6;173,7;186,8;224,-1;
9:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; center; ]
PiecewisePlot[ list, {t, t1, t2} ]
:[font = text; inactive; ]
where list is a list of F-intervals, t is the variable against which the list is plotted, and t1 and t2 define the range in which the list is plotted.  
:[font = input; preserveAspect; endGroup; ]
PiecewisePlot[ {{1, 0, 5}, {Area[2], 6, 6}},
               {t, -1, 8},
               Domain -> Continuous ]
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Usage Information for Other Functions
:[font = text; inactive; ]
     Almost every function below supports the Domain option:
;[s]
3:0,0;46,1;52,2;61,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; startGroup; ]
Options[PiecewiseConvolution]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{Domain :> $ConvolutionDomain}
;[o]
{Domain :> $ConvolutionDomain}
:[font = text; inactive; ]
This form of default options sets the default domain for the convolution objects to the value of $ConvolutionDomain, which is initially Continuous.  The global setting of $ConvolutionDomain can be reset by using SetConvolutionDomain.
;[s]
7:0,0;97,1;115,2;171,3;189,4;212,5;232,6;234,-1;
7:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = info; inactive; locked; preserveAspect; center; ]
$ConvolutionDomain        PiecewiseConvolution
Area                      PiecewisePlot       
AutoCorrelation           PiecewiseToFormula  
CTPiecewiseConvolution    SetConvolutionDomain
DTPiecewiseConvolution    SimplifyList        
FormulaToPiecewise        ValidIntervalQ      
IntervalQ                                     
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
$ConvolutionDomain
:[font = info; inactive; locked; preserveAspect; endGroup; ]
$ConvolutionDomain is the default domain for all of the
   routines in the Convolution package (except for
   DTPiecewiseConvolution and CTPiecewiseConvolution
   which imply a domain). Use SetConvolutionDomain to
   reset its value.
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Area
:[font = info; inactive; locked; preserveAspect; endGroup; ]
Area[ar] is an object representing the area under a
   Dirac delta function. A Dirac delta function is
   usually written as C Delta[t - t0], where C is the
   area under the delta function and t0 is the location
   of the delta function. In F-interval form, C Delta[t
   - t0] becomes { Area[C], t0, t0 }.
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
AutoCorrelation
:[font = info; inactive; locked; preserveAspect; endGroup; ]
AutoCorrelation[e, v] computes the autocorrelation of
   expression e (in the form of a list of F-intervals,
   an F-interval, or a function) with respect to v. The
   variable v is treated as either discrete and
   continuous according to the value of the Domain
   option. The default domain is the value of
   $ConvolutionDomain.
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
CTPiecewiseConvolution
:[font = info; inactive; locked; preserveAspect; endGroup; ]
CTPiecewiseConvolution[f, g, t] carries out the
   one-dimensional, continuous-time piecewise
   convolution of f and g with respect to t. See
   PiecewiseConvolution for valid representation of f
   and g. Using F-interval notation {function,
   left_endpoint, right_endpoint}, a Dirac delta is
   meant when function = Area[<area>] (where <area>
   equals the area of under the impulse function) and
   left_endpoint = right_endpoint (which is the
   location of the impulse). A Dialogue option of True
   or All will cause the graphs for an animation of the
   flip-and-slide approach to convolution to be
   generated. See also PiecewiseConvolution.
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
DTPiecewiseConvolution
:[font = info; inactive; locked; preserveAspect; endGroup; ]
DTPiecewiseConvolution[f, g, n] carries out the
   one-dimensional,  discrete-time piecewise
   convolution of f and g with respect to n. See
   PiecewiseConvolution for the valid representations
   of f and g. Using F-interval notation {function,
   left_endpoint, right_endpoint}, an impulse
   (Kronecker delta) function is meant when
   left_endpoint = right_endpoint (which is the
   location of the impulse) and the strength of the
   impulse function is given by function. A Dialogue
   option of True or All will cause the graphs for an
   animation of the flip-and-slide approach to
   convolution to be generated. Real-valued interval
   endpoints will be truncated to integers. See also
   PiecewiseConvolution.
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
FormulaToPiecewise
:[font = info; inactive; locked; preserveAspect; endGroup; ]
FormulaToPiecewise[e, t] converts the expression e to a
   list of F-intervals in the form {fun, left, right}.
   The domain of the new expression is established
   according to the value of the Domain option. The
   default domain is the value of $ConvolutionDomain.
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
IntervalQ
:[font = info; inactive; locked; preserveAspect; endGroup; ]
IntervalQ[x] returns True if the argument x is an
   interval, and gives False otherwise. An interval has
   the form {f, t1, t2} such that none of f, t1, or t2
   are lists. See also ValidIntervalQ.
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
PiecewiseConvolution
:[font = info; inactive; locked; preserveAspect; endGroup; ]
PiecewiseConvolution[f, g, v] convolves the piecewise
   functions f and g with respect to the variable v. In
   this context, a function is represented in a
   piecewise fashion: (1) as F-intervals of the form
   {fun, left, right}, (2) as a list of F-intervals, or
   (3) as an expression. An F-interval has the form
   {function, left_endpoint, right_endpoint}. The
   F-interval notation represents a finite-extent
   function or sequence when the endpoints do not equal
   infinity. The result of convolution is always
   returned as a list of F-intervals. The variable v is
   treated as either discrete and continuous according
   to the value of the Domain option. The default
   domain is the value of $ConvolutionDomain, which can
   be reset by SetConvolutionDomain. See also
   CTPiecewiseConvolution and DTPiecewiseConvolution.
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
PiecewiseToFormula
:[font = info; inactive; locked; preserveAspect; endGroup; ]
PiecewiseToFormula[l, t] converts a list of F-intervals in
   the form {f, t1, t2} to a signal processing
   expression. The new expression will contain either
   Delta, CStep, and CPulse functions (continuous-time)
   or Impulse, Step, and Pulse functions (discrete-time)
   according to the value of the Domain option. The
   default domain is the value of $ConvolutionDomain.
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
SetConvolutionDomain
:[font = info; inactive; locked; preserveAspect; endGroup; ]
SetConvolutionDomain[domain] establishes the default
   convolution domain as either Continuous or Discrete.
   It returns domain on success, and Null on error.
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
ValidIntervalQ
:[font = info; inactive; locked; preserveAspect; endGroup; endGroup; endGroup; ]
ValidIntervalQ[i] returns True if i is a valid
   F-interval, and gives False otherwise. An F-interval
   is an interval of the form {f, leftendp, rightendp}
   where f is a function and leftendp < rightendp
   unless f is an impulse function in which case
   leftendp must equal rightendp. In a valid
   F-interval, leftendp and rightendp must be numbers.
   See also IntervalQ.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Continuous Convolution
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Convolution of Expressions
:[font = text; inactive; ]
     The PiecewiseConvolution function can accept two expressions as the f(t) and g(t) arguments.  PiecewiseConvolution will return the value f(t) ** g(t) expressed as a list of F-intervals.  The following examples of Mathematica dialogue illustrate the use and results of the PiecewiseConvolution operator when performing the convolution of two expressions.
;[s]
9:0,0;9,1;29,2;99,3;119,4;218,5;229,6;277,7;297,8;359,-1;
9:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Shifting and scaling effect of the Delta function
:[font = input; preserveAspect; startGroup; ]
PiecewiseConvolution[Delta[t - t0], f[t], t]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{f[t - t0], DirectedInfinity[-1], 
   DirectedInfinity[1]}}
;[o]
{{f[t - t0], -Infinity, Infinity}}
:[font = input; preserveAspect; startGroup; ]

PiecewiseConvolution[4 Delta[t - 3], t CStep[t], t]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{4*(-3 + t), 3, DirectedInfinity[1]}}
;[o]
{{4 (-3 + t), 3, Infinity}}
:[font = input; preserveAspect; startGroup; ]

PiecewiseConvolution[3 Delta[t + 2],
                     CStep[t] + 6 Delta[t - 1],
                     t]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
{{3, -2, -1}, {Area[18], -1, -1}, 
  {3, -1, DirectedInfinity[1]}}
;[o]
{{3, -2, -1}, {Area[18], -1, -1}, 
 
  {3, -1, Infinity}}
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Unit step function as an integrator
:[font = input; preserveAspect; startGroup; ]
PiecewiseConvolution[CStep[t], CStep[t], t]
:[font = message; inactive; preserveAspect; ]
Integrate::divg: Integral does not converge.
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{t, 0, DirectedInfinity[1]}}
;[o]
{{t, 0, Infinity}}
:[font = input; preserveAspect; startGroup; ]
Plot[CStep[t], {t, -1, 5}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 39; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.18254 0.15873 0.01472 0.5886 [
[(-1)] 0.02381 0.00222 0 1 Msboxa
[(1)] 0.34127 0.00222 0 1 Msboxa
[(2)] 0.5 0.00222 0 1 Msboxa
[(3)] 0.65873 0.00222 0 1 Msboxa
[(4)] 0.81746 0.00222 0 1 Msboxa
[(5)] 0.97619 0.00222 0 1 Msboxa
[(0.2)] 0.17004 0.13244 1 0 Msboxa
[(0.4)] 0.17004 0.25016 1 0 Msboxa
[(0.6)] 0.17004 0.36788 1 0 Msboxa
[(0.8)] 0.17004 0.4856 1 0 Msboxa
[(1)] 0.17004 0.60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.02381 0.00847 moveto
0.02381 0.02097 lineto
stroke
0 setgray
[(-1)] 0.02381 0.00222 0 1 Mshowa
0.34127 0.00847 moveto
0.34127 0.02097 lineto
stroke
0 setgray
[(1)] 0.34127 0.00222 0 1 Mshowa
0.5 0.00847 moveto
0.5 0.02097 lineto
stroke
0 setgray
[(2)] 0.5 0.00222 0 1 Mshowa
0.65873 0.00847 moveto
0.65873 0.02097 lineto
stroke
0 setgray
[(3)] 0.65873 0.00222 0 1 Mshowa
0.81746 0.00847 moveto
0.81746 0.02097 lineto
stroke
0 setgray
[(4)] 0.81746 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(5)] 0.97619 0.00222 0 1 Mshowa
0.18254 0 moveto
0.18254 0.61803 lineto
stroke
0.17629 0.13244 moveto
0.18879 0.13244 lineto
stroke
0 setgray
[(0.2)] 0.17004 0.13244 1 0 Mshowa
0.17629 0.25016 moveto
0.18879 0.25016 lineto
stroke
0 setgray
[(0.4)] 0.17004 0.25016 1 0 Mshowa
0.17629 0.36788 moveto
0.18879 0.36788 lineto
stroke
0 setgray
[(0.6)] 0.17004 0.36788 1 0 Mshowa
0.17629 0.4856 moveto
0.18879 0.4856 lineto
stroke
0 setgray
[(0.8)] 0.17004 0.4856 1 0 Mshowa
0.17629 0.60332 moveto
0.18879 0.60332 lineto
stroke
0 setgray
[(1)] 0.17004 0.60332 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.12302 0.01472 lineto
0.14286 0.01472 lineto
0.15278 0.01472 lineto
0.1627 0.01472 lineto
0.16766 0.01472 lineto
0.17262 0.01472 lineto
0.1751 0.01472 lineto
0.17758 0.01472 lineto
0.17882 0.01472 lineto
0.18006 0.01472 lineto
0.18254 0.30902 lineto
0.18378 0.60332 lineto
0.18502 0.60332 lineto
0.1875 0.60332 lineto
0.19246 0.60332 lineto
0.20238 0.60332 lineto
0.22222 0.60332 lineto
0.2619 0.60332 lineto
0.30159 0.60332 lineto
0.34127 0.60332 lineto
0.38095 0.60332 lineto
0.42063 0.60332 lineto
0.46032 0.60332 lineto
0.5 0.60332 lineto
0.53968 0.60332 lineto
0.57937 0.60332 lineto
0.61905 0.60332 lineto
0.65873 0.60332 lineto
0.69841 0.60332 lineto
0.7381 0.60332 lineto
0.77778 0.60332 lineto
0.81746 0.60332 lineto
0.85714 0.60332 lineto
0.89683 0.60332 lineto
0.93651 0.60332 lineto
0.97619 0.60332 lineto
stroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = input; preserveAspect; startGroup; ]
PlotList[{{t, 0, Infinity}}, {t, -1, 5}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 39; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.18254 0.15873 0.01472 0.11772 [
[(-1)] 0.02381 0.00222 0 1 Msboxa
[(1)] 0.34127 0.00222 0 1 Msboxa
[(2)] 0.5 0.00222 0 1 Msboxa
[(3)] 0.65873 0.00222 0 1 Msboxa
[(4)] 0.81746 0.00222 0 1 Msboxa
[(5)] 0.97619 0.00222 0 1 Msboxa
[(1)] 0.17004 0.13244 1 0 Msboxa
[(2)] 0.17004 0.25016 1 0 Msboxa
[(3)] 0.17004 0.36788 1 0 Msboxa
[(4)] 0.17004 0.4856 1 0 Msboxa
[(5)] 0.17004 0.60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.02381 0.00847 moveto
0.02381 0.02097 lineto
stroke
0 setgray
[(-1)] 0.02381 0.00222 0 1 Mshowa
0.34127 0.00847 moveto
0.34127 0.02097 lineto
stroke
0 setgray
[(1)] 0.34127 0.00222 0 1 Mshowa
0.5 0.00847 moveto
0.5 0.02097 lineto
stroke
0 setgray
[(2)] 0.5 0.00222 0 1 Mshowa
0.65873 0.00847 moveto
0.65873 0.02097 lineto
stroke
0 setgray
[(3)] 0.65873 0.00222 0 1 Mshowa
0.81746 0.00847 moveto
0.81746 0.02097 lineto
stroke
0 setgray
[(4)] 0.81746 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(5)] 0.97619 0.00222 0 1 Mshowa
0.18254 0 moveto
0.18254 0.61803 lineto
stroke
0.17629 0.13244 moveto
0.18879 0.13244 lineto
stroke
0 setgray
[(1)] 0.17004 0.13244 1 0 Mshowa
0.17629 0.25016 moveto
0.18879 0.25016 lineto
stroke
0 setgray
[(2)] 0.17004 0.25016 1 0 Mshowa
0.17629 0.36788 moveto
0.18879 0.36788 lineto
stroke
0 setgray
[(3)] 0.17004 0.36788 1 0 Mshowa
0.17629 0.4856 moveto
0.18879 0.4856 lineto
stroke
0 setgray
[(4)] 0.17004 0.4856 1 0 Mshowa
0.17629 0.60332 moveto
0.18879 0.60332 lineto
stroke
0 setgray
[(5)] 0.17004 0.60332 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.1627 0.01472 lineto
0.17262 0.01472 lineto
0.17758 0.01472 lineto
0.18006 0.01472 lineto
0.1813 0.01472 lineto
0.18254 0.01472 lineto
0.18502 0.01655 lineto
0.1875 0.01839 lineto
0.19246 0.02207 lineto
0.20238 0.02943 lineto
0.22222 0.04415 lineto
0.2619 0.07358 lineto
0.30159 0.10301 lineto
0.34127 0.13244 lineto
0.38095 0.16187 lineto
0.42063 0.1913 lineto
0.46032 0.22073 lineto
0.5 0.25016 lineto
0.53968 0.27959 lineto
0.57937 0.30902 lineto
0.61905 0.33845 lineto
0.65873 0.36788 lineto
0.69841 0.39731 lineto
0.7381 0.42674 lineto
0.77778 0.45617 lineto
0.81746 0.4856 lineto
0.85714 0.51503 lineto
0.89683 0.54446 lineto
0.93651 0.57389 lineto
0.97619 0.60332 lineto
stroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = input; preserveAspect; startGroup; ]
PiecewiseConvolution[CStep[t], (4 Cos[t] + t) CStep[t], t]
:[font = message; inactive; preserveAspect; ]
Limit::nlm: Could not find definite limit.
:[font = message; inactive; preserveAspect; ]
Limit::nlm: Could not find definite limit.
:[font = message; inactive; preserveAspect; ]
Limit::nlm: Could not find definite limit.
:[font = message; inactive; preserveAspect; ]
General::stop: 
   Further output of Limit::nlm
     will be suppressed during this calculation.
:[font = message; inactive; preserveAspect; ]
Infinity::indt: 
   Indeterminate expression -Infinity - -Infinity
     encountered.
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{t^2/2 + 4*Sin[t], 0, DirectedInfinity[1]}}
;[o]
   2
  t
{{-- + 4 Sin[t], 0, Infinity}}
  2
:[font = input; preserveAspect; startGroup; ]
Plot[(4 Cos[t] + t) CStep[t], {t, -1, 4 Pi}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 39; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.09401 0.0702 0.04772 0.03354 [
[(2)] 0.23441 0.03522 0 1 Msboxa
[(4)] 0.37482 0.03522 0 1 Msboxa
[(6)] 0.51522 0.03522 0 1 Msboxa
[(8)] 0.65562 0.03522 0 1 Msboxa
[(10)] 0.79603 0.03522 0 1 Msboxa
[(12)] 0.93643 0.03522 0 1 Msboxa
[(2.5)] 0.08151 0.13156 1 0 Msboxa
[(5)] 0.08151 0.21541 1 0 Msboxa
[(7.5)] 0.08151 0.29925 1 0 Msboxa
[(10)] 0.08151 0.3831 1 0 Msboxa
[(12.5)] 0.08151 0.46694 1 0 Msboxa
[(15)] 0.08151 0.55079 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.04772 moveto
1 0.04772 lineto
stroke
0.23441 0.04147 moveto
0.23441 0.05397 lineto
stroke
0 setgray
[(2)] 0.23441 0.03522 0 1 Mshowa
0.37482 0.04147 moveto
0.37482 0.05397 lineto
stroke
0 setgray
[(4)] 0.37482 0.03522 0 1 Mshowa
0.51522 0.04147 moveto
0.51522 0.05397 lineto
stroke
0 setgray
[(6)] 0.51522 0.03522 0 1 Mshowa
0.65562 0.04147 moveto
0.65562 0.05397 lineto
stroke
0 setgray
[(8)] 0.65562 0.03522 0 1 Mshowa
0.79603 0.04147 moveto
0.79603 0.05397 lineto
stroke
0 setgray
[(10)] 0.79603 0.03522 0 1 Mshowa
0.93643 0.04147 moveto
0.93643 0.05397 lineto
stroke
0 setgray
[(12)] 0.93643 0.03522 0 1 Mshowa
0.09401 0 moveto
0.09401 0.61803 lineto
stroke
0.08776 0.13156 moveto
0.10026 0.13156 lineto
stroke
0 setgray
[(2.5)] 0.08151 0.13156 1 0 Mshowa
0.08776 0.21541 moveto
0.10026 0.21541 lineto
stroke
0 setgray
[(5)] 0.08151 0.21541 1 0 Mshowa
0.08776 0.29925 moveto
0.10026 0.29925 lineto
stroke
0 setgray
[(7.5)] 0.08151 0.29925 1 0 Mshowa
0.08776 0.3831 moveto
0.10026 0.3831 lineto
stroke
0 setgray
[(10)] 0.08151 0.3831 1 0 Mshowa
0.08776 0.46694 moveto
0.10026 0.46694 lineto
stroke
0 setgray
[(12.5)] 0.08151 0.46694 1 0 Mshowa
0.08776 0.55079 moveto
0.10026 0.55079 lineto
stroke
0 setgray
[(15)] 0.08151 0.55079 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.04772 moveto
0.04365 0.04772 lineto
0.06349 0.04772 lineto
0.07341 0.04772 lineto
0.08333 0.04772 lineto
0.08829 0.04772 lineto
0.09077 0.04772 lineto
0.09201 0.04772 lineto
0.09325 0.04772 lineto
0.09449 0.1821 lineto
0.09573 0.18265 lineto
0.09821 0.18364 lineto
0.10069 0.18446 lineto
0.10317 0.18511 lineto
0.10441 0.18537 lineto
0.10565 0.18559 lineto
0.10689 0.18577 lineto
0.10813 0.18591 lineto
0.10938 0.18601 lineto
0.11062 0.18607 lineto
0.11186 0.18608 lineto
0.1131 0.18606 lineto
0.11434 0.186 lineto
0.11558 0.18589 lineto
0.11806 0.18556 lineto
0.1193 0.18534 lineto
0.12054 0.18508 lineto
0.12302 0.18444 lineto
0.12798 0.1827 lineto
0.13294 0.18037 lineto
0.14286 0.17402 lineto
0.15278 0.16562 lineto
0.1627 0.15543 lineto
0.18254 0.1309 lineto
0.22222 0.07506 lineto
0.24206 0.04969 lineto
0.2619 0.02977 lineto
0.26687 0.02593 lineto
0.27183 0.02261 lineto
0.27679 0.01984 lineto
0.28175 0.01764 lineto
0.28423 0.01677 lineto
0.28671 0.01604 lineto
0.28919 0.01547 lineto
0.29043 0.01525 lineto
0.29167 0.01506 lineto
0.29291 0.01492 lineto
0.29415 0.01481 lineto
0.29539 0.01474 lineto
0.29663 0.01472 lineto
Mistroke
0.29787 0.01473 lineto
0.29911 0.01478 lineto
0.30035 0.01488 lineto
0.30159 0.01502 lineto
0.30407 0.01541 lineto
0.30655 0.01598 lineto
0.30903 0.0167 lineto
0.31151 0.0176 lineto
0.31647 0.01989 lineto
0.32143 0.02285 lineto
0.33135 0.03077 lineto
0.34127 0.04129 lineto
0.36111 0.0696 lineto
0.38095 0.10631 lineto
0.42063 0.19575 lineto
0.46032 0.28768 lineto
0.48016 0.32732 lineto
0.5 0.3594 lineto
0.50992 0.37203 lineto
0.51984 0.38215 lineto
0.5248 0.38623 lineto
0.52976 0.38966 lineto
0.53472 0.39241 lineto
0.5372 0.39354 lineto
0.53968 0.3945 lineto
0.54216 0.39529 lineto
0.54464 0.39592 lineto
0.54712 0.39638 lineto
0.54836 0.39654 lineto
0.5496 0.39667 lineto
0.55084 0.39676 lineto
0.55208 0.3968 lineto
0.55332 0.39681 lineto
0.55456 0.39677 lineto
0.5558 0.39669 lineto
0.55704 0.39658 lineto
0.55828 0.39642 lineto
0.55952 0.39623 lineto
0.562 0.39572 lineto
0.56448 0.39505 lineto
0.56944 0.39327 lineto
0.5744 0.39089 lineto
0.57937 0.38795 lineto
0.58929 0.38047 lineto
0.59921 0.37107 lineto
0.61905 0.34768 lineto
0.65873 0.29213 lineto
0.67857 0.26588 lineto
0.68849 0.25441 lineto
0.69841 0.24448 lineto
Mistroke
0.70833 0.23638 lineto
0.71825 0.23037 lineto
0.72321 0.22822 lineto
0.72569 0.22737 lineto
0.72817 0.22667 lineto
0.73065 0.22613 lineto
0.73189 0.22591 lineto
0.73313 0.22574 lineto
0.73437 0.2256 lineto
0.73562 0.22551 lineto
0.73686 0.22545 lineto
0.7381 0.22544 lineto
0.73934 0.22547 lineto
0.74058 0.22553 lineto
0.74182 0.22564 lineto
0.74306 0.22579 lineto
0.74554 0.22621 lineto
0.74802 0.2268 lineto
0.7505 0.22755 lineto
0.75298 0.22848 lineto
0.75794 0.23082 lineto
0.7629 0.23383 lineto
0.76786 0.23751 lineto
0.77778 0.24684 lineto
0.79762 0.27298 lineto
0.81746 0.30792 lineto
0.85714 0.39557 lineto
0.89683 0.48842 lineto
0.91667 0.52948 lineto
0.93651 0.56349 lineto
0.94643 0.57722 lineto
0.95635 0.58852 lineto
0.96131 0.59321 lineto
0.96627 0.59724 lineto
0.97619 0.60332 lineto
Mfstroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = input; preserveAspect; startGroup; ]
PlotList[ {{t^2/2 + 4 Sin[t], 0, Infinity}},
          {t, -1, 4 Pi},
          PlotRange -> {-1, 15} ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 39; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.09401 0.0702 0.03863 0.03863 [
[(2)] 0.23441 0.02613 0 1 Msboxa
[(4)] 0.37482 0.02613 0 1 Msboxa
[(6)] 0.51522 0.02613 0 1 Msboxa
[(8)] 0.65562 0.02613 0 1 Msboxa
[(10)] 0.79603 0.02613 0 1 Msboxa
[(12)] 0.93643 0.02613 0 1 Msboxa
[(2)] 0.08151 0.11588 1 0 Msboxa
[(4)] 0.08151 0.19314 1 0 Msboxa
[(6)] 0.08151 0.27039 1 0 Msboxa
[(8)] 0.08151 0.34764 1 0 Msboxa
[(10)] 0.08151 0.4249 1 0 Msboxa
[(12)] 0.08151 0.50215 1 0 Msboxa
[(14)] 0.08151 0.57941 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.03863 moveto
1 0.03863 lineto
stroke
0.23441 0.03238 moveto
0.23441 0.04488 lineto
stroke
0 setgray
[(2)] 0.23441 0.02613 0 1 Mshowa
0.37482 0.03238 moveto
0.37482 0.04488 lineto
stroke
0 setgray
[(4)] 0.37482 0.02613 0 1 Mshowa
0.51522 0.03238 moveto
0.51522 0.04488 lineto
stroke
0 setgray
[(6)] 0.51522 0.02613 0 1 Mshowa
0.65562 0.03238 moveto
0.65562 0.04488 lineto
stroke
0 setgray
[(8)] 0.65562 0.02613 0 1 Mshowa
0.79603 0.03238 moveto
0.79603 0.04488 lineto
stroke
0 setgray
[(10)] 0.79603 0.02613 0 1 Mshowa
0.93643 0.03238 moveto
0.93643 0.04488 lineto
stroke
0 setgray
[(12)] 0.93643 0.02613 0 1 Mshowa
0.09401 0 moveto
0.09401 0.61803 lineto
stroke
0.08776 0.11588 moveto
0.10026 0.11588 lineto
stroke
0 setgray
[(2)] 0.08151 0.11588 1 0 Mshowa
0.08776 0.19314 moveto
0.10026 0.19314 lineto
stroke
0 setgray
[(4)] 0.08151 0.19314 1 0 Mshowa
0.08776 0.27039 moveto
0.10026 0.27039 lineto
stroke
0 setgray
[(6)] 0.08151 0.27039 1 0 Mshowa
0.08776 0.34764 moveto
0.10026 0.34764 lineto
stroke
0 setgray
[(8)] 0.08151 0.34764 1 0 Mshowa
0.08776 0.4249 moveto
0.10026 0.4249 lineto
stroke
0 setgray
[(10)] 0.08151 0.4249 1 0 Mshowa
0.08776 0.50215 moveto
0.10026 0.50215 lineto
stroke
0 setgray
[(12)] 0.08151 0.50215 1 0 Mshowa
0.08776 0.57941 moveto
0.10026 0.57941 lineto
stroke
0 setgray
[(14)] 0.08151 0.57941 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.03863 moveto
0.04365 0.03863 lineto
0.06349 0.03863 lineto
0.07341 0.03863 lineto
0.08333 0.03863 lineto
0.08829 0.03863 lineto
0.09077 0.03863 lineto
0.09201 0.03863 lineto
0.09325 0.03863 lineto
0.09449 0.03969 lineto
0.09573 0.04243 lineto
0.09821 0.04794 lineto
0.10317 0.05907 lineto
0.14286 0.14702 lineto
0.1627 0.1853 lineto
0.18254 0.2165 lineto
0.19246 0.22893 lineto
0.20238 0.2391 lineto
0.2123 0.24697 lineto
0.21726 0.25003 lineto
0.22222 0.25254 lineto
0.22718 0.25449 lineto
0.22966 0.25526 lineto
0.23214 0.2559 lineto
0.23462 0.25641 lineto
0.23586 0.25662 lineto
0.2371 0.2568 lineto
0.23834 0.25694 lineto
0.23958 0.25706 lineto
0.24082 0.25714 lineto
0.24206 0.2572 lineto
0.2433 0.25722 lineto
0.24454 0.25722 lineto
0.24578 0.25719 lineto
0.24702 0.25713 lineto
0.24826 0.25704 lineto
0.2495 0.25693 lineto
0.25198 0.25662 lineto
0.25446 0.25621 lineto
0.25694 0.2557 lineto
0.2619 0.25441 lineto
0.27183 0.25088 lineto
0.28175 0.24636 lineto
0.30159 0.23587 lineto
0.32143 0.22621 lineto
0.32639 0.22433 lineto
0.33135 0.22277 lineto
0.33383 0.22213 lineto
0.33631 0.22159 lineto
0.33879 0.22115 lineto
Mistroke
0.34003 0.22098 lineto
0.34127 0.22083 lineto
0.34251 0.22072 lineto
0.34375 0.22063 lineto
0.34499 0.22058 lineto
0.34623 0.22056 lineto
0.34747 0.22057 lineto
0.34871 0.22061 lineto
0.34995 0.22069 lineto
0.35119 0.22081 lineto
0.35243 0.22096 lineto
0.35367 0.22115 lineto
0.35615 0.22164 lineto
0.35863 0.22229 lineto
0.36111 0.2231 lineto
0.36607 0.22522 lineto
0.37103 0.22805 lineto
0.38095 0.23599 lineto
0.39087 0.24721 lineto
0.40079 0.26192 lineto
0.42063 0.30248 lineto
0.44048 0.35836 lineto
0.46032 0.42929 lineto
0.5 0.6105 lineto
0.53968 0.8271 lineto
0.57937 1.0529 lineto
0.61905 1.26271 lineto
0.65873 1.44013 lineto
0.69841 1.58269 lineto
0.7381 1.7026 lineto
0.77778 1.82297 lineto
0.81746 1.97058 lineto
0.85714 2.1676 lineto
0.89683 2.42465 lineto
0.93651 2.73753 lineto
0.97619 3.0885 lineto
Mfstroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Convolution of F-intervals
:[font = text; inactive; ]
     The PiecewiseConvolution function can accept two intervals as the f(t) and g(t) arguments.  PiecewiseConvolution will return the value f(t)*g(t) expressed as a list of intervals.  Each list will have a maximum of three F-intervals.  This is because there are three ways the functions f(u) and g(t - u) can overlap when plotted against u, provided that f(u) and g(t - u) are functions that can be represented by a single F-interval.
;[s]
5:0,0;9,1;29,2;97,3;117,4;436,-1;
5:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; ]
     Consider the convolution integral:
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 138; pictureTop = 3; pictureWidth = 180; pictureHeight = 32; ]

:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Simple Example
:[font = text; inactive; ]
     For the following example illustrations, let x(t) be the function corresponding to the interval {2, 0, 1}, and let h(t) be the function corresponding to the interval {1, 0, 2}.
:[font = print; inactive; locked; preserveAspect; center; ]
x(t) = 2   for 0 <= t < 1
       0   otherwise     
:[font = print; inactive; locked; preserveAspect; center; ]
h(t) = 1   for 0 <= t < 2
       0   otherwise     
:[font = text; inactive; ]
If t is small enough such that the non-zero parts of x(u) and h(t-u) do not overlap at all, then their product will be zero everywhere.  The following graph illustrates x(u) and h(t-u) plotted together for t = -1/2:
:[font = postscript; PostScript; formatAsPostScript; output; inactive; locked; preserveAspect; pictureLeft = 39; pictureWidth = 225; pictureHeight = 138; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.5 0.15873 0.01472 0.2943 [
[(-3)] 0.02381 0.00222 0 1 Msboxa
[(-2)] 0.18254 0.00222 0 1 Msboxa
[(-1)] 0.34127 0.00222 0 1 Msboxa
[(1)] 0.65873 0.00222 0 1 Msboxa
[(2)] 0.81746 0.00222 0 1 Msboxa
[(3)] 0.97619 0.00222 0 1 Msboxa
[(0.5)] 0.4875 0.16187 1 0 Msboxa
[(1)] 0.4875 0.30902 1 0 Msboxa
[(1.5)] 0.4875 0.45617 1 0 Msboxa
[(2)] 0.4875 0.60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.02381 0.00847 moveto
0.02381 0.02097 lineto
stroke
0 setgray
[(-3)] 0.02381 0.00222 0 1 Mshowa
0.18254 0.00847 moveto
0.18254 0.02097 lineto
stroke
0 setgray
[(-2)] 0.18254 0.00222 0 1 Mshowa
0.34127 0.00847 moveto
0.34127 0.02097 lineto
stroke
0 setgray
[(-1)] 0.34127 0.00222 0 1 Mshowa
0.65873 0.00847 moveto
0.65873 0.02097 lineto
stroke
0 setgray
[(1)] 0.65873 0.00222 0 1 Mshowa
0.81746 0.00847 moveto
0.81746 0.02097 lineto
stroke
0 setgray
[(2)] 0.81746 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(3)] 0.97619 0.00222 0 1 Mshowa
0.5 0 moveto
0.5 0.61803 lineto
stroke
0.49375 0.16187 moveto
0.50625 0.16187 lineto
stroke
0 setgray
[(0.5)] 0.4875 0.16187 1 0 Mshowa
0.49375 0.30902 moveto
0.50625 0.30902 lineto
stroke
0 setgray
[(1)] 0.4875 0.30902 1 0 Mshowa
0.49375 0.45617 moveto
0.50625 0.45617 lineto
stroke
0 setgray
[(1.5)] 0.4875 0.45617 1 0 Mshowa
0.49375 0.60332 moveto
0.50625 0.60332 lineto
stroke
0 setgray
[(2)] 0.4875 0.60332 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.2619 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.44048 0.01472 lineto
0.46032 0.01472 lineto
0.47024 0.01472 lineto
0.48016 0.01472 lineto
0.48512 0.01472 lineto
0.49008 0.01472 lineto
0.49256 0.01472 lineto
0.49504 0.01472 lineto
0.49628 0.01472 lineto
0.49752 0.01472 lineto
0.5 0.30902 lineto
0.50124 0.60332 lineto
0.50248 0.60332 lineto
0.50496 0.60332 lineto
0.50992 0.60332 lineto
0.51984 0.60332 lineto
0.53968 0.60332 lineto
0.57937 0.60332 lineto
0.59921 0.60332 lineto
0.61905 0.60332 lineto
0.62897 0.60332 lineto
0.63889 0.60332 lineto
0.64385 0.60332 lineto
0.64881 0.60332 lineto
0.65129 0.60332 lineto
0.65377 0.60332 lineto
0.65501 0.60332 lineto
0.65625 0.60332 lineto
0.65873 0.30902 lineto
0.65997 0.01472 lineto
0.66121 0.01472 lineto
0.66369 0.01472 lineto
0.66865 0.01472 lineto
0.67857 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
Mistroke
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.04365 0.01472 lineto
0.06349 0.01472 lineto
0.07341 0.01472 lineto
0.08333 0.01472 lineto
0.08829 0.01472 lineto
0.09325 0.01472 lineto
0.09573 0.01472 lineto
0.09821 0.01472 lineto
0.09945 0.01472 lineto
0.10069 0.01472 lineto
0.10317 0.16187 lineto
0.10441 0.30902 lineto
0.10565 0.30902 lineto
0.10813 0.30902 lineto
0.1131 0.30902 lineto
0.12302 0.30902 lineto
0.14286 0.30902 lineto
0.18254 0.30902 lineto
0.22222 0.30902 lineto
0.2619 0.30902 lineto
0.30159 0.30902 lineto
0.34127 0.30902 lineto
0.36111 0.30902 lineto
0.38095 0.30902 lineto
0.39087 0.30902 lineto
0.40079 0.30902 lineto
0.40575 0.30902 lineto
0.41071 0.30902 lineto
0.41319 0.30902 lineto
0.41567 0.30902 lineto
0.41691 0.30902 lineto
0.41815 0.30902 lineto
0.42063 0.16187 lineto
0.42188 0.01472 lineto
0.42312 0.01472 lineto
0.4256 0.01472 lineto
0.43056 0.01472 lineto
0.44048 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
Mistroke
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = text; inactive; ]
     As t  increases, the functions will begin to overlap.  The first case of overlap encountered is when neither function begins and ends before the other; that is, the time interval of neither function is contained in the time interval of the other.  The following graph illustrates x(u) and h(t-u) plotted together for t = 1/2:
:[font = postscript; PostScript; formatAsPostScript; output; inactive; locked; preserveAspect; pictureLeft = 39; pictureWidth = 225; pictureHeight = 138; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.5 0.15873 0.01472 0.2943 [
[(-3)] 0.02381 0.00222 0 1 Msboxa
[(-2)] 0.18254 0.00222 0 1 Msboxa
[(-1)] 0.34127 0.00222 0 1 Msboxa
[(1)] 0.65873 0.00222 0 1 Msboxa
[(2)] 0.81746 0.00222 0 1 Msboxa
[(3)] 0.97619 0.00222 0 1 Msboxa
[(0.5)] 0.4875 0.16187 1 0 Msboxa
[(1)] 0.4875 0.30902 1 0 Msboxa
[(1.5)] 0.4875 0.45617 1 0 Msboxa
[(2)] 0.4875 0.60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.02381 0.00847 moveto
0.02381 0.02097 lineto
stroke
0 setgray
[(-3)] 0.02381 0.00222 0 1 Mshowa
0.18254 0.00847 moveto
0.18254 0.02097 lineto
stroke
0 setgray
[(-2)] 0.18254 0.00222 0 1 Mshowa
0.34127 0.00847 moveto
0.34127 0.02097 lineto
stroke
0 setgray
[(-1)] 0.34127 0.00222 0 1 Mshowa
0.65873 0.00847 moveto
0.65873 0.02097 lineto
stroke
0 setgray
[(1)] 0.65873 0.00222 0 1 Mshowa
0.81746 0.00847 moveto
0.81746 0.02097 lineto
stroke
0 setgray
[(2)] 0.81746 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(3)] 0.97619 0.00222 0 1 Mshowa
0.5 0 moveto
0.5 0.61803 lineto
stroke
0.49375 0.16187 moveto
0.50625 0.16187 lineto
stroke
0 setgray
[(0.5)] 0.4875 0.16187 1 0 Mshowa
0.49375 0.30902 moveto
0.50625 0.30902 lineto
stroke
0 setgray
[(1)] 0.4875 0.30902 1 0 Mshowa
0.49375 0.45617 moveto
0.50625 0.45617 lineto
stroke
0 setgray
[(1.5)] 0.4875 0.45617 1 0 Mshowa
0.49375 0.60332 moveto
0.50625 0.60332 lineto
stroke
0 setgray
[(2)] 0.4875 0.60332 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.2619 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.44048 0.01472 lineto
0.46032 0.01472 lineto
0.47024 0.01472 lineto
0.48016 0.01472 lineto
0.48512 0.01472 lineto
0.49008 0.01472 lineto
0.49256 0.01472 lineto
0.49504 0.01472 lineto
0.49628 0.01472 lineto
0.49752 0.01472 lineto
0.5 0.30902 lineto
0.50124 0.60332 lineto
0.50248 0.60332 lineto
0.50496 0.60332 lineto
0.50992 0.60332 lineto
0.51984 0.60332 lineto
0.53968 0.60332 lineto
0.57937 0.60332 lineto
0.59921 0.60332 lineto
0.61905 0.60332 lineto
0.62897 0.60332 lineto
0.63889 0.60332 lineto
0.64385 0.60332 lineto
0.64881 0.60332 lineto
0.65129 0.60332 lineto
0.65377 0.60332 lineto
0.65501 0.60332 lineto
0.65625 0.60332 lineto
0.65873 0.30902 lineto
0.65997 0.01472 lineto
0.66121 0.01472 lineto
0.66369 0.01472 lineto
0.66865 0.01472 lineto
0.67857 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
Mistroke
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.20238 0.01472 lineto
0.22222 0.01472 lineto
0.23214 0.01472 lineto
0.24206 0.01472 lineto
0.24702 0.01472 lineto
0.25198 0.01472 lineto
0.25446 0.01472 lineto
0.25694 0.01472 lineto
0.25818 0.01472 lineto
0.25942 0.01472 lineto
0.2619 0.16187 lineto
0.26314 0.30902 lineto
0.26438 0.30902 lineto
0.26687 0.30902 lineto
0.27183 0.30902 lineto
0.28175 0.30902 lineto
0.30159 0.30902 lineto
0.34127 0.30902 lineto
0.38095 0.30902 lineto
0.42063 0.30902 lineto
0.46032 0.30902 lineto
0.5 0.30902 lineto
0.51984 0.30902 lineto
0.53968 0.30902 lineto
0.5496 0.30902 lineto
0.55952 0.30902 lineto
0.56448 0.30902 lineto
0.56944 0.30902 lineto
0.57192 0.30902 lineto
0.5744 0.30902 lineto
0.57564 0.30902 lineto
0.57688 0.30902 lineto
0.57937 0.16187 lineto
0.58061 0.01472 lineto
0.58185 0.01472 lineto
0.58433 0.01472 lineto
0.58929 0.01472 lineto
0.59921 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
Mistroke
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = text; inactive; ]

     The second case of overlap is when one function begins and ends before the other.  This means that the time interval of one function is contained in the other.  The following graph illustrates x(u) and h(t-u) plotted together for t = 3/2:
:[font = postscript; PostScript; formatAsPostScript; output; inactive; locked; preserveAspect; pictureLeft = 39; pictureWidth = 225; pictureHeight = 138; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.5 0.15873 0.01472 0.2943 [
[(-3)] 0.02381 0.00222 0 1 Msboxa
[(-2)] 0.18254 0.00222 0 1 Msboxa
[(-1)] 0.34127 0.00222 0 1 Msboxa
[(1)] 0.65873 0.00222 0 1 Msboxa
[(2)] 0.81746 0.00222 0 1 Msboxa
[(3)] 0.97619 0.00222 0 1 Msboxa
[(0.5)] 0.4875 0.16187 1 0 Msboxa
[(1)] 0.4875 0.30902 1 0 Msboxa
[(1.5)] 0.4875 0.45617 1 0 Msboxa
[(2)] 0.4875 0.60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.02381 0.00847 moveto
0.02381 0.02097 lineto
stroke
0 setgray
[(-3)] 0.02381 0.00222 0 1 Mshowa
0.18254 0.00847 moveto
0.18254 0.02097 lineto
stroke
0 setgray
[(-2)] 0.18254 0.00222 0 1 Mshowa
0.34127 0.00847 moveto
0.34127 0.02097 lineto
stroke
0 setgray
[(-1)] 0.34127 0.00222 0 1 Mshowa
0.65873 0.00847 moveto
0.65873 0.02097 lineto
stroke
0 setgray
[(1)] 0.65873 0.00222 0 1 Mshowa
0.81746 0.00847 moveto
0.81746 0.02097 lineto
stroke
0 setgray
[(2)] 0.81746 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(3)] 0.97619 0.00222 0 1 Mshowa
0.5 0 moveto
0.5 0.61803 lineto
stroke
0.49375 0.16187 moveto
0.50625 0.16187 lineto
stroke
0 setgray
[(0.5)] 0.4875 0.16187 1 0 Mshowa
0.49375 0.30902 moveto
0.50625 0.30902 lineto
stroke
0 setgray
[(1)] 0.4875 0.30902 1 0 Mshowa
0.49375 0.45617 moveto
0.50625 0.45617 lineto
stroke
0 setgray
[(1.5)] 0.4875 0.45617 1 0 Mshowa
0.49375 0.60332 moveto
0.50625 0.60332 lineto
stroke
0 setgray
[(2)] 0.4875 0.60332 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.2619 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.44048 0.01472 lineto
0.46032 0.01472 lineto
0.47024 0.01472 lineto
0.48016 0.01472 lineto
0.48512 0.01472 lineto
0.49008 0.01472 lineto
0.49256 0.01472 lineto
0.49504 0.01472 lineto
0.49628 0.01472 lineto
0.49752 0.01472 lineto
0.5 0.30902 lineto
0.50124 0.60332 lineto
0.50248 0.60332 lineto
0.50496 0.60332 lineto
0.50992 0.60332 lineto
0.51984 0.60332 lineto
0.53968 0.60332 lineto
0.57937 0.60332 lineto
0.59921 0.60332 lineto
0.61905 0.60332 lineto
0.62897 0.60332 lineto
0.63889 0.60332 lineto
0.64385 0.60332 lineto
0.64881 0.60332 lineto
0.65129 0.60332 lineto
0.65377 0.60332 lineto
0.65501 0.60332 lineto
0.65625 0.60332 lineto
0.65873 0.30902 lineto
0.65997 0.01472 lineto
0.66121 0.01472 lineto
0.66369 0.01472 lineto
0.66865 0.01472 lineto
0.67857 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
Mistroke
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.2619 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.36111 0.01472 lineto
0.38095 0.01472 lineto
0.39087 0.01472 lineto
0.40079 0.01472 lineto
0.40575 0.01472 lineto
0.41071 0.01472 lineto
0.41319 0.01472 lineto
0.41567 0.01472 lineto
0.41691 0.01472 lineto
0.41815 0.01472 lineto
0.42063 0.16187 lineto
0.42188 0.30902 lineto
0.42312 0.30902 lineto
0.4256 0.30902 lineto
0.43056 0.30902 lineto
0.44048 0.30902 lineto
0.46032 0.30902 lineto
0.5 0.30902 lineto
0.53968 0.30902 lineto
0.57937 0.30902 lineto
0.61905 0.30902 lineto
0.65873 0.30902 lineto
0.67857 0.30902 lineto
0.69841 0.30902 lineto
0.70833 0.30902 lineto
0.71825 0.30902 lineto
0.72321 0.30902 lineto
0.72817 0.30902 lineto
0.73065 0.30902 lineto
0.73313 0.30902 lineto
0.73438 0.30902 lineto
0.73562 0.30902 lineto
0.7381 0.16187 lineto
0.73934 0.01472 lineto
0.74058 0.01472 lineto
0.74306 0.01472 lineto
0.74802 0.01472 lineto
0.75794 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
Mistroke
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = text; inactive; ]

     The third case of overlap is when t becomes so large that the conditions of the second case no longer hold.  This case is just like the first case of overlap: neither function begins and ends before the other.  The following graph illustrates x(u) and h(t-u) plotted together for t = 5/2:
:[font = postscript; PostScript; formatAsPostScript; output; inactive; locked; preserveAspect; pictureLeft = 39; pictureWidth = 225; pictureHeight = 138; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.5 0.15873 0.01472 0.2943 [
[(-3)] 0.02381 0.00222 0 1 Msboxa
[(-2)] 0.18254 0.00222 0 1 Msboxa
[(-1)] 0.34127 0.00222 0 1 Msboxa
[(1)] 0.65873 0.00222 0 1 Msboxa
[(2)] 0.81746 0.00222 0 1 Msboxa
[(3)] 0.97619 0.00222 0 1 Msboxa
[(0.5)] 0.4875 0.16187 1 0 Msboxa
[(1)] 0.4875 0.30902 1 0 Msboxa
[(1.5)] 0.4875 0.45617 1 0 Msboxa
[(2)] 0.4875 0.60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.02381 0.00847 moveto
0.02381 0.02097 lineto
stroke
0 setgray
[(-3)] 0.02381 0.00222 0 1 Mshowa
0.18254 0.00847 moveto
0.18254 0.02097 lineto
stroke
0 setgray
[(-2)] 0.18254 0.00222 0 1 Mshowa
0.34127 0.00847 moveto
0.34127 0.02097 lineto
stroke
0 setgray
[(-1)] 0.34127 0.00222 0 1 Mshowa
0.65873 0.00847 moveto
0.65873 0.02097 lineto
stroke
0 setgray
[(1)] 0.65873 0.00222 0 1 Mshowa
0.81746 0.00847 moveto
0.81746 0.02097 lineto
stroke
0 setgray
[(2)] 0.81746 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(3)] 0.97619 0.00222 0 1 Mshowa
0.5 0 moveto
0.5 0.61803 lineto
stroke
0.49375 0.16187 moveto
0.50625 0.16187 lineto
stroke
0 setgray
[(0.5)] 0.4875 0.16187 1 0 Mshowa
0.49375 0.30902 moveto
0.50625 0.30902 lineto
stroke
0 setgray
[(1)] 0.4875 0.30902 1 0 Mshowa
0.49375 0.45617 moveto
0.50625 0.45617 lineto
stroke
0 setgray
[(1.5)] 0.4875 0.45617 1 0 Mshowa
0.49375 0.60332 moveto
0.50625 0.60332 lineto
stroke
0 setgray
[(2)] 0.4875 0.60332 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.2619 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.44048 0.01472 lineto
0.46032 0.01472 lineto
0.47024 0.01472 lineto
0.48016 0.01472 lineto
0.48512 0.01472 lineto
0.49008 0.01472 lineto
0.49256 0.01472 lineto
0.49504 0.01472 lineto
0.49628 0.01472 lineto
0.49752 0.01472 lineto
0.5 0.30902 lineto
0.50124 0.60332 lineto
0.50248 0.60332 lineto
0.50496 0.60332 lineto
0.50992 0.60332 lineto
0.51984 0.60332 lineto
0.53968 0.60332 lineto
0.57937 0.60332 lineto
0.59921 0.60332 lineto
0.61905 0.60332 lineto
0.62897 0.60332 lineto
0.63889 0.60332 lineto
0.64385 0.60332 lineto
0.64881 0.60332 lineto
0.65129 0.60332 lineto
0.65377 0.60332 lineto
0.65501 0.60332 lineto
0.65625 0.60332 lineto
0.65873 0.30902 lineto
0.65997 0.01472 lineto
0.66121 0.01472 lineto
0.66369 0.01472 lineto
0.66865 0.01472 lineto
0.67857 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
Mistroke
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.2619 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.51984 0.01472 lineto
0.53968 0.01472 lineto
0.5496 0.01472 lineto
0.55952 0.01472 lineto
0.56448 0.01472 lineto
0.56944 0.01472 lineto
0.57192 0.01472 lineto
0.5744 0.01472 lineto
0.57564 0.01472 lineto
0.57688 0.01472 lineto
0.57937 0.16187 lineto
0.58061 0.30902 lineto
0.58185 0.30902 lineto
0.58433 0.30902 lineto
0.58929 0.30902 lineto
0.59921 0.30902 lineto
0.61905 0.30902 lineto
0.65873 0.30902 lineto
0.69841 0.30902 lineto
0.7381 0.30902 lineto
0.77778 0.30902 lineto
0.81746 0.30902 lineto
0.8373 0.30902 lineto
0.85714 0.30902 lineto
0.86706 0.30902 lineto
0.87698 0.30902 lineto
0.88194 0.30902 lineto
0.8869 0.30902 lineto
0.88938 0.30902 lineto
0.89187 0.30902 lineto
0.89311 0.30902 lineto
0.89435 0.30902 lineto
0.89683 0.16187 lineto
0.89807 0.01472 lineto
0.89931 0.01472 lineto
0.90179 0.01472 lineto
0.90675 0.01472 lineto
Mistroke
0.91667 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = text; inactive; ]

     Finally, t becomes so large that, once again, the functions x(u) and h(t-u) no longer overlap.  The product is zero everywhere.  The following graph illustrates x(u) and h(t-u) plotted together for t = 7/2:
:[font = postscript; PostScript; formatAsPostScript; output; inactive; locked; preserveAspect; pictureLeft = 39; pictureWidth = 220; pictureHeight = 135; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.43197 0.13605 0.01472 0.2943 [
[(-3)] 0.02381 0.00222 0 1 Msboxa
[(-2)] 0.15986 0.00222 0 1 Msboxa
[(-1)] 0.29592 0.00222 0 1 Msboxa
[(1)] 0.56803 0.00222 0 1 Msboxa
[(2)] 0.70408 0.00222 0 1 Msboxa
[(3)] 0.84014 0.00222 0 1 Msboxa
[(4)] 0.97619 0.00222 0 1 Msboxa
[(0.5)] 0.41947 0.16187 1 0 Msboxa
[(1)] 0.41947 0.30902 1 0 Msboxa
[(1.5)] 0.41947 0.45617 1 0 Msboxa
[(2)] 0.41947 0.60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.02381 0.00847 moveto
0.02381 0.02097 lineto
stroke
0 setgray
[(-3)] 0.02381 0.00222 0 1 Mshowa
0.15986 0.00847 moveto
0.15986 0.02097 lineto
stroke
0 setgray
[(-2)] 0.15986 0.00222 0 1 Mshowa
0.29592 0.00847 moveto
0.29592 0.02097 lineto
stroke
0 setgray
[(-1)] 0.29592 0.00222 0 1 Mshowa
0.56803 0.00847 moveto
0.56803 0.02097 lineto
stroke
0 setgray
[(1)] 0.56803 0.00222 0 1 Mshowa
0.70408 0.00847 moveto
0.70408 0.02097 lineto
stroke
0 setgray
[(2)] 0.70408 0.00222 0 1 Mshowa
0.84014 0.00847 moveto
0.84014 0.02097 lineto
stroke
0 setgray
[(3)] 0.84014 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(4)] 0.97619 0.00222 0 1 Mshowa
0.43197 0 moveto
0.43197 0.61803 lineto
stroke
0.42572 0.16187 moveto
0.43822 0.16187 lineto
stroke
0 setgray
[(0.5)] 0.41947 0.16187 1 0 Mshowa
0.42572 0.30902 moveto
0.43822 0.30902 lineto
stroke
0 setgray
[(1)] 0.41947 0.30902 1 0 Mshowa
0.42572 0.45617 moveto
0.43822 0.45617 lineto
stroke
0 setgray
[(1.5)] 0.41947 0.45617 1 0 Mshowa
0.42572 0.60332 moveto
0.43822 0.60332 lineto
stroke
0 setgray
[(2)] 0.41947 0.60332 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.2619 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.38095 0.01472 lineto
0.40079 0.01472 lineto
0.41071 0.01472 lineto
0.42063 0.01472 lineto
0.4256 0.01472 lineto
0.42808 0.01472 lineto
0.42932 0.01472 lineto
0.43056 0.01472 lineto
0.4318 0.01472 lineto
0.43304 0.60332 lineto
0.43552 0.60332 lineto
0.44048 0.60332 lineto
0.46032 0.60332 lineto
0.5 0.60332 lineto
0.51984 0.60332 lineto
0.53968 0.60332 lineto
0.5496 0.60332 lineto
0.55952 0.60332 lineto
0.562 0.60332 lineto
0.56448 0.60332 lineto
0.56572 0.60332 lineto
0.56696 0.60332 lineto
0.5682 0.01472 lineto
0.56944 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.2619 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.59921 0.01472 lineto
0.60913 0.01472 lineto
0.61905 0.01472 lineto
0.62401 0.01472 lineto
0.62897 0.01472 lineto
0.63145 0.01472 lineto
0.63269 0.01472 lineto
0.63393 0.01472 lineto
0.63517 0.01472 lineto
0.63641 0.30902 lineto
0.63889 0.30902 lineto
0.65873 0.30902 lineto
0.69841 0.30902 lineto
0.7381 0.30902 lineto
0.77778 0.30902 lineto
0.81746 0.30902 lineto
0.85714 0.30902 lineto
0.87698 0.30902 lineto
0.89683 0.30902 lineto
0.90179 0.30902 lineto
0.90427 0.30902 lineto
0.90551 0.30902 lineto
0.90675 0.30902 lineto
0.90799 0.30902 lineto
0.90923 0.01472 lineto
0.91171 0.01472 lineto
0.91667 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = text; inactive; ]

     In general, the convolution integral can be evaluated in these different cases simply by changing the endpoints of integration.  Suppose that you have two functions f (t) and g(t) such that
:[font = special3; inactive; ]
		f(t) can be non-zero over the interval [t1, t2)
		g(t) can be non-zero over the interval [t3, t4)
		(t2-t1) >= (t4-t3)
:[font = text; inactive; ]
     Then, if t is in the interval (-infinity, t1+t3) or [t2+t4, infinity), the value of f(t)*g(t) will evaluate to zero.  If t falls in one of the following intervals, then f(t)*g(t) will evaluate to the definite integral of f(t) g(t-u) in the interval [a, b], as shown below:
:[font = print; inactive; locked; preserveAspect; center; endGroup; ]
   Interval          a         b  
--------------      ----      ----
[t1+t3, t1+t4]       t1       t-t3
[t1+t4, t2+t3]      t-t4      t-t3
[t2+t3, t2+t4]      t-t4       t2 
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Animated Example
:[font = text; inactive; ]
     The following animation example illustrates the convolution process by "sliding" one function against another and showing the resulting function as it is generated in time.  We will convolve a (two concatenated pulses) with b (a triangular function) to get c.
;[s]
7:0,0;196,1;198,2;229,3;230,4;262,5;263,6;264,-1;
7:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = print; inactive; Cclosed; preserveAspect; spaceAbove = 12; startGroup; ]
-->  Definitions of expressions a, b, and c
:[font = input; initialization; preserveAspect; startGroup; ]
*)
a = ConvertFromList[{{2,0,2},{1,2,3}},t]
(*
:[font = output; output; inactive; preserveAspect; endGroup; ]
CPulse[1, -2 + t] + 2*CPulse[2, t]
;[o]
CPulse [-2 + t] + 2 CPulse [t]
      1                   2
:[font = input; initialization; preserveAspect; startGroup; ]
*)
b = ConvertFromList[{{2 t,0,2}},t]
(*
:[font = output; output; inactive; preserveAspect; endGroup; ]
2*t*CPulse[2, t]
;[o]
2 t CPulse [t]
          2
:[font = input; initialization; preserveAspect; startGroup; ]
*)
c = CTPiecewiseConvolution[ a, b, t ]
(*
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
{{2*t^2, 0, 2}, {4 + 4*t - t^2, 2, 3}, 
  {-5 + 10*t - 2*t^2, 3, 4}, {-5 + 6*t - t^2, 4, 5}}
;[o]
     2                     2
{{2 t , 0, 2}, {4 + 4 t - t , 2, 3}, 
 
                  2                      2
  {-5 + 10 t - 2 t , 3, 4}, {-5 + 6 t - t , 4, 5}}
:[font = print; inactive; Cclosed; preserveAspect; spaceAbove = 12; startGroup; ]
-->  Plots of expressions a, b, and c
:[font = input; preserveAspect; startGroup; ]
Plot[a, {t,0,5}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 120; pictureWidth = 282; pictureHeight = 174; startGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.19048 0.01472 0.2943 [
[(1)] 0.21429 0.00222 0 1 Msboxa
[(2)] 0.40476 0.00222 0 1 Msboxa
[(3)] 0.59524 0.00222 0 1 Msboxa
[(4)] 0.78571 0.00222 0 1 Msboxa
[(5)] 0.97619 0.00222 0 1 Msboxa
[(0.5)] 0.01131 0.16187 1 0 Msboxa
[(1)] 0.01131 0.30902 1 0 Msboxa
[(1.5)] 0.01131 0.45617 1 0 Msboxa
[(2)] 0.01131 0.60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.21429 0.00847 moveto
0.21429 0.02097 lineto
stroke
0 setgray
[(1)] 0.21429 0.00222 0 1 Mshowa
0.40476 0.00847 moveto
0.40476 0.02097 lineto
stroke
0 setgray
[(2)] 0.40476 0.00222 0 1 Mshowa
0.59524 0.00847 moveto
0.59524 0.02097 lineto
stroke
0 setgray
[(3)] 0.59524 0.00222 0 1 Mshowa
0.78571 0.00847 moveto
0.78571 0.02097 lineto
stroke
0 setgray
[(4)] 0.78571 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(5)] 0.97619 0.00222 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.16187 moveto
0.03006 0.16187 lineto
stroke
0 setgray
[(0.5)] 0.01131 0.16187 1 0 Mshowa
0.01756 0.30902 moveto
0.03006 0.30902 lineto
stroke
0 setgray
[(1)] 0.01131 0.30902 1 0 Mshowa
0.01756 0.45617 moveto
0.03006 0.45617 lineto
stroke
0 setgray
[(1.5)] 0.01131 0.45617 1 0 Mshowa
0.01756 0.60332 moveto
0.03006 0.60332 lineto
stroke
0 setgray
[(2)] 0.01131 0.60332 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.30902 moveto
0.02505 0.60332 lineto
0.02629 0.60332 lineto
0.02877 0.60332 lineto
0.03373 0.60332 lineto
0.04365 0.60332 lineto
0.06349 0.60332 lineto
0.10317 0.60332 lineto
0.14286 0.60332 lineto
0.18254 0.60332 lineto
0.22222 0.60332 lineto
0.2619 0.60332 lineto
0.30159 0.60332 lineto
0.34127 0.60332 lineto
0.38095 0.60332 lineto
0.39087 0.60332 lineto
0.39583 0.60332 lineto
0.39831 0.60332 lineto
0.40079 0.60332 lineto
0.40327 0.60332 lineto
0.40451 0.60332 lineto
0.40575 0.30902 lineto
0.41071 0.30902 lineto
0.42063 0.30902 lineto
0.46032 0.30902 lineto
0.5 0.30902 lineto
0.53968 0.30902 lineto
0.55952 0.30902 lineto
0.56944 0.30902 lineto
0.57937 0.30902 lineto
0.58929 0.30902 lineto
0.59177 0.30902 lineto
0.59301 0.30902 lineto
0.59425 0.30902 lineto
0.59549 0.01472 lineto
0.59673 0.01472 lineto
0.59797 0.01472 lineto
0.59921 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; ]
Graphics[{{Line[{{0., 1.}, {0.006510416666666667, 2.}, 
      {0.01302083333333333, 2.}, 
      {0.02604166666666667, 2.}, 
      {0.05208333333333334, 2.}, 
      {0.1041666666666667, 2.}, {0.2083333333333333, 2.}, 
      {0.4166666666666667, 2.}, {0.625, 2.}, 
      {0.833333333333333, 2.}, {1.041666666666667, 2.}, 
      {1.25, 2.}, {1.458333333333333, 2.}, 
      {1.666666666666667, 2.}, {1.875, 2.}, 
      {1.927083333333333, 2.}, {1.953125, 2.}, 
      {1.966145833333333, 2.}, {1.979166666666667, 2.}, 
      {1.9921875, 2.}, {1.998697916666667, 2.}, 
      {2.005208333333333, 1.}, {2.03125, 1.}, 
      {2.083333333333333, 1.}, {2.291666666666667, 1.}, 
      {2.5, 1.}, {2.708333333333333, 1.}, {2.8125, 1.}, 
      {2.864583333333333, 1.}, {2.916666666666667, 1.}, 
      {2.96875, 1.}, {2.981770833333333, 1.}, 
      {2.98828125, 1.}, {2.994791666666667, 1.}, 
      {3.001302083333333, 0.}, {3.0078125, 0.}, 
      {3.014322916666667, 0.}, {3.020833333333333, 0.}, 
      {3.125, 0.}, {3.333333333333333, 0.}, 
      {3.541666666666667, 0.}, {3.75, 0.}, 
      {3.958333333333333, 0.}, {4.166666666666667, 0.}, 
      {4.375, 0.}, {4.583333333333334, 0.}, 
      {4.791666666666667, 0.}, {5., 0.}}]}}, 
  {PlotRange -> Automatic, 
   AspectRatio -> GoldenRatio^(-1), 
   DisplayFunction -> (Display[$Display, #1] & ), 
   PlotColor -> Automatic, Axes -> Automatic, 
   PlotLabel -> None, AxesLabel -> None, 
   Ticks -> Automatic, Framed -> False, Prolog -> {}, 
   Epilog -> {}, AxesStyle -> {}, 
   Background -> Automatic, DefaultColor -> Automatic}]
;[o]
-Graphics-
:[font = input; preserveAspect; startGroup; ]
Plot[b, {t,0,5}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 120; pictureWidth = 282; pictureHeight = 174; startGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.19048 0.01472 0.14725 [
[(1)] 0.21429 0.00222 0 1 Msboxa
[(2)] 0.40476 0.00222 0 1 Msboxa
[(3)] 0.59524 0.00222 0 1 Msboxa
[(4)] 0.78571 0.00222 0 1 Msboxa
[(5)] 0.97619 0.00222 0 1 Msboxa
[(1)] 0.01131 0.16196 1 0 Msboxa
[(2)] 0.01131 0.30921 1 0 Msboxa
[(3)] 0.01131 0.45646 1 0 Msboxa
[(4)] 0.01131 0.6037 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.21429 0.00847 moveto
0.21429 0.02097 lineto
stroke
0 setgray
[(1)] 0.21429 0.00222 0 1 Mshowa
0.40476 0.00847 moveto
0.40476 0.02097 lineto
stroke
0 setgray
[(2)] 0.40476 0.00222 0 1 Mshowa
0.59524 0.00847 moveto
0.59524 0.02097 lineto
stroke
0 setgray
[(3)] 0.59524 0.00222 0 1 Mshowa
0.78571 0.00847 moveto
0.78571 0.02097 lineto
stroke
0 setgray
[(4)] 0.78571 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(5)] 0.97619 0.00222 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.16196 moveto
0.03006 0.16196 lineto
stroke
0 setgray
[(1)] 0.01131 0.16196 1 0 Mshowa
0.01756 0.30921 moveto
0.03006 0.30921 lineto
stroke
0 setgray
[(2)] 0.01131 0.30921 1 0 Mshowa
0.01756 0.45646 moveto
0.03006 0.45646 lineto
stroke
0 setgray
[(3)] 0.01131 0.45646 1 0 Mshowa
0.01756 0.6037 moveto
0.03006 0.6037 lineto
stroke
0 setgray
[(4)] 0.01131 0.6037 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.07607 lineto
0.10317 0.13742 lineto
0.14286 0.19877 lineto
0.18254 0.26013 lineto
0.22222 0.32148 lineto
0.2619 0.38283 lineto
0.30159 0.44418 lineto
0.34127 0.50554 lineto
0.38095 0.56689 lineto
0.39087 0.58223 lineto
0.39583 0.5899 lineto
0.39831 0.59373 lineto
0.40079 0.59757 lineto
0.40327 0.6014 lineto
0.40451 0.60332 lineto
0.40575 0.01472 lineto
0.41071 0.01472 lineto
0.42063 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup; ]
Graphics[{{Line[{{0., 0.}, 
      {0.2083333333333333, 0.4166666666666667}, 
      {0.4166666666666667, 0.833333333333333}, 
      {0.625, 1.25}, {0.833333333333333, 
       1.666666666666667}, 
      {1.041666666666667, 2.083333333333333}, 
      {1.25, 2.5}, {1.458333333333333, 
       2.916666666666667}, 
      {1.666666666666667, 3.333333333333333}, 
      {1.875, 3.75}, {1.927083333333333, 
       3.854166666666667}, {1.953125, 3.90625}, 
      {1.966145833333333, 3.932291666666667}, 
      {1.979166666666667, 3.958333333333333}, 
      {1.9921875, 3.984375}, 
      {1.998697916666667, 3.997395833333333}, 
      {2.005208333333333, 0.}, {2.03125, 0.}, 
      {2.083333333333333, 0.}, {2.291666666666667, 0.}, 
      {2.5, 0.}, {2.708333333333333, 0.}, 
      {2.916666666666667, 0.}, {3.125, 0.}, 
      {3.333333333333333, 0.}, {3.541666666666667, 0.}, 
      {3.75, 0.}, {3.958333333333333, 0.}, 
      {4.166666666666667, 0.}, {4.375, 0.}, 
      {4.583333333333334, 0.}, {4.791666666666667, 0.}, 
      {5., 0.}}]}}, {PlotRange -> Automatic, 
   AspectRatio -> GoldenRatio^(-1), 
   DisplayFunction -> (Display[$Display, #1] & ), 
   PlotColor -> Automatic, Axes -> Automatic, 
   PlotLabel -> None, AxesLabel -> None, 
   Ticks -> Automatic, Framed -> False, Prolog -> {}, 
   Epilog -> {}, AxesStyle -> {}, 
   Background -> Automatic, DefaultColor -> Automatic}]
;[o]
-Graphics-
:[font = input; preserveAspect; startGroup; ]
PiecewisePlot[c, {t,0,5}, Domain -> Continuous]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 120; pictureWidth = 282; pictureHeight = 174; startGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.19048 0.01472 0.07358 [
[(1)] 0.21429 0.00222 0 1 Msboxa
[(2)] 0.40476 0.00222 0 1 Msboxa
[(3)] 0.59524 0.00222 0 1 Msboxa
[(4)] 0.78571 0.00222 0 1 Msboxa
[(5)] 0.97619 0.00222 0 1 Msboxa
[(2)] 0.01131 0.16187 1 0 Msboxa
[(4)] 0.01131 0.30902 1 0 Msboxa
[(6)] 0.01131 0.45617 1 0 Msboxa
[(8)] 0.01131 0.60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.21429 0.00847 moveto
0.21429 0.02097 lineto
stroke
0 setgray
[(1)] 0.21429 0.00222 0 1 Mshowa
0.40476 0.00847 moveto
0.40476 0.02097 lineto
stroke
0 setgray
[(2)] 0.40476 0.00222 0 1 Mshowa
0.59524 0.00847 moveto
0.59524 0.02097 lineto
stroke
0 setgray
[(3)] 0.59524 0.00222 0 1 Mshowa
0.78571 0.00847 moveto
0.78571 0.02097 lineto
stroke
0 setgray
[(4)] 0.78571 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(5)] 0.97619 0.00222 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.16187 moveto
0.03006 0.16187 lineto
stroke
0 setgray
[(2)] 0.01131 0.16187 1 0 Mshowa
0.01756 0.30902 moveto
0.03006 0.30902 lineto
stroke
0 setgray
[(4)] 0.01131 0.30902 1 0 Mshowa
0.01756 0.45617 moveto
0.03006 0.45617 lineto
stroke
0 setgray
[(6)] 0.01131 0.45617 1 0 Mshowa
0.01756 0.60332 moveto
0.03006 0.60332 lineto
stroke
0 setgray
[(8)] 0.01131 0.60332 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.02505 0.01472 lineto
0.02629 0.01474 lineto
0.02753 0.01477 lineto
0.02877 0.01481 lineto
0.03125 0.01494 lineto
0.03373 0.01511 lineto
0.03621 0.01534 lineto
0.03869 0.01561 lineto
0.04365 0.01631 lineto
0.04861 0.01721 lineto
0.05357 0.01831 lineto
0.06349 0.0211 lineto
0.07341 0.02469 lineto
0.08333 0.02909 lineto
0.10317 0.04026 lineto
0.12302 0.05463 lineto
0.14286 0.0722 lineto
0.18254 0.1169 lineto
0.22222 0.17438 lineto
0.2619 0.24464 lineto
0.30159 0.32767 lineto
0.34127 0.42347 lineto
0.38095 0.53204 lineto
0.39087 0.56118 lineto
0.39583 0.57605 lineto
0.40079 0.59112 lineto
0.40327 0.59873 lineto
0.40451 0.60255 lineto
0.40575 0.60332 lineto
0.40699 0.60331 lineto
0.40823 0.6033 lineto
0.41071 0.60325 lineto
0.41195 0.60322 lineto
0.41319 0.60318 lineto
0.41567 0.60308 lineto
0.42063 0.60281 lineto
0.4256 0.60244 lineto
0.43056 0.60197 lineto
0.44048 0.60073 lineto
0.4504 0.5991 lineto
0.46032 0.59706 lineto
0.48016 0.59179 lineto
0.5 0.58493 lineto
0.53968 0.56641 lineto
0.57937 0.5415 lineto
0.61905 0.50905 lineto
0.65873 0.46434 lineto
0.69841 0.40686 lineto
0.7381 0.33661 lineto
Mistroke
0.75794 0.29669 lineto
0.76786 0.27554 lineto
0.77778 0.25358 lineto
0.78274 0.2423 lineto
0.78398 0.23945 lineto
0.78522 0.23659 lineto
0.7877 0.2339 lineto
0.79266 0.22998 lineto
0.79762 0.22596 lineto
0.81746 0.20887 lineto
0.85714 0.16991 lineto
0.89683 0.12457 lineto
0.93651 0.07283 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup; ]
Graphics[{{Line[{{0., 0.}, 
      {0.006510416666666667, 0.0000847710503472222}, 
      {0.01302083333333333, 0.0003390842013888889}, 
      {0.01953125, 0.000762939453125}, 
      {0.02604166666666667, 0.001356336805555556}, 
      {0.0390625, 0.0030517578125}, 
      {0.05208333333333334, 0.005425347222222223}, 
      {0.06510416666666667, 0.00847710503472222}, 
      {0.078125, 0.01220703125}, 
      {0.1041666666666667, 0.02170138888888889}, 
      {0.1302083333333333, 0.0339084201388889}, 
      {0.15625, 0.048828125}, 
      {0.2083333333333333, 0.0868055555555556}, 
      {0.2604166666666667, 0.1356336805555556}, 
      {0.3125, 0.1953125}, 
      {0.4166666666666667, 0.3472222222222223}, 
      {0.5208333333333334, 0.5425347222222223}, 
      {0.625, 0.78125}, 
      {0.833333333333333, 1.388888888888889}, 
      {1.041666666666667, 2.170138888888889}, 
      {1.25, 3.125}, {1.458333333333333, 
       4.253472222222223}, 
      {1.666666666666667, 5.555555555555556}, 
      {1.875, 7.03125}, 
      {1.927083333333333, 7.427300347222223}, 
      {1.953125, 7.62939453125}, 
      {1.979166666666667, 7.834201388888889}, 
      {1.9921875, 7.9376220703125}, 
      {1.998697916666667, 7.989586724175348}, 
      {2.005208333333333, 7.999972873263889}, 
      {2.01171875, 7.999862670898438}, 
      {2.018229166666667, 7.999667697482639}, 
      {2.03125, 7.9990234375}, 
      {2.037760416666667, 7.99857415093316}, 
      {2.044270833333333, 7.998040093315972}, 
      {2.057291666666667, 7.996717664930555}, 
      {2.083333333333333, 7.993055555555555}, 
      {2.109375, 7.988037109375}, 
      {2.135416666666667, 7.981662326388888}, 
      {2.1875, 7.96484375}, 
      {2.239583333333333, 7.942599826388888}, 
      {2.291666666666667, 7.914930555555555}, 
      {2.395833333333333, 7.843315972222222}, {2.5, 7.75}, 
      {2.708333333333333, 7.498263888888888}, 
      {2.916666666666667, 7.159722222222221}, 
      {3.125, 6.71875}, 
      {3.333333333333333, 6.111111111111111}, 
      {3.541666666666667, 5.329861111111111}, 
      {3.75, 4.375}, {3.854166666666667, 
       3.832465277777779}, {3.90625, 3.544921875}, 
      {3.958333333333333, 3.246527777777779}, 
      {3.984375, 3.09326171875}, 
      {3.990885416666667, 3.054521348741318}, 
      {3.997395833333333, 3.015611436631943}, 
      {4.010416666666667, 2.979058159722221}, 
      {4.036458333333334, 2.925754123263888}, 
      {4.0625, 2.87109375}, 
      {4.166666666666667, 2.638888888888888}, 
      {4.375, 2.109375}, 
      {4.583333333333334, 1.493055555555554}, 
      {4.791666666666667, 0.7899305555555545}, {5., 0.}}]}}
   , {PlotRange -> Automatic, 
   AspectRatio -> GoldenRatio^(-1), 
   DisplayFunction -> (Display[$Display, #1] & ), 
   PlotColor -> Automatic, Axes -> Automatic, 
   PlotLabel -> None, AxesLabel -> None, 
   Ticks -> Automatic, Framed -> False, Prolog -> {}, 
   Epilog -> {}, AxesStyle -> {}, Background -> Automatic, 
   DefaultColor -> Automatic}]
;[o]
-Graphics-
:[font = print; inactive; Cclosed; preserveAspect; spaceAbove = 12; startGroup; ]
-->  Convolution Animation
:[font = text; inactive; ]
     To animate the graphics below, just double click on it.  (If that does not work, then select the grouped of closed graphics cells below and either choose the Animate Selected Graphics option from the Graph menu or hit COMMAND-Y for the keyboard short-cut).  While the animation is running, you can set the speed of the animation by hitting one of the keys on the numeric keypad (0 slow - 9 fast) or you can adjust the speed by clicking on the upward pointing arrow to make it faster or the downward pointing arrow to make it slower.  You can peruse the animation frame by frame, first by clicking once on the button with two rectangles in it (which is the one to the right of the right arrow button) and then by grabbing the horizontal slider button at the bottom of the window.
;[s]
5:0,0;163,1;188,2;205,3;210,4;784,-1;
5:1,13,10,Times,0,14,0,0,0;1,13,10,Times,3,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,3,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = postscript; PostScript; formatAsPostScript; output; inactive; Cclosed; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; startGroup; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.16187 lineto
0.28671 0.16187 lineto
0.29167 0.16187 lineto
0.30159 0.16187 lineto
0.34127 0.16187 lineto
0.38095 0.16187 lineto
0.42063 0.16187 lineto
0.43056 0.16187 lineto
0.43552 0.16187 lineto
0.438 0.16187 lineto
0.43924 0.16187 lineto
0.44048 0.16187 lineto
0.44172 0.08829 lineto
0.44296 0.08829 lineto
0.4442 0.08829 lineto
0.44544 0.08829 lineto
0.4504 0.08829 lineto
0.46032 0.08829 lineto
0.48016 0.08829 lineto
0.49008 0.08829 lineto
0.5 0.08829 lineto
0.50496 0.08829 lineto
0.50992 0.08829 lineto
0.5124 0.08829 lineto
0.51488 0.08829 lineto
0.51612 0.08829 lineto
0.51736 0.08829 lineto
0.5186 0.08829 lineto
0.51984 0.01472 lineto
0.52232 0.01472 lineto
0.5248 0.01472 lineto
0.52976 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
Mistroke
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.16187 lineto
0.28671 0.16187 lineto
0.29167 0.16187 lineto
0.30159 0.16187 lineto
0.34127 0.16187 lineto
0.38095 0.16187 lineto
0.42063 0.16187 lineto
0.43056 0.16187 lineto
0.43552 0.16187 lineto
0.438 0.16187 lineto
0.43924 0.16187 lineto
0.44048 0.16187 lineto
0.44172 0.08829 lineto
0.44296 0.08829 lineto
0.4442 0.08829 lineto
0.44544 0.08829 lineto
0.4504 0.08829 lineto
0.46032 0.08829 lineto
0.48016 0.08829 lineto
0.49008 0.08829 lineto
0.5 0.08829 lineto
0.50496 0.08829 lineto
0.50992 0.08829 lineto
0.5124 0.08829 lineto
0.51488 0.08829 lineto
0.51612 0.08829 lineto
0.51736 0.08829 lineto
0.5186 0.08829 lineto
0.51984 0.01472 lineto
0.52232 0.01472 lineto
0.5248 0.01472 lineto
0.52976 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
Mistroke
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.16187 lineto
0.28671 0.16187 lineto
0.29167 0.16187 lineto
0.30159 0.16187 lineto
0.34127 0.16187 lineto
0.38095 0.16187 lineto
0.42063 0.16187 lineto
0.43056 0.16187 lineto
0.43552 0.16187 lineto
0.438 0.16187 lineto
0.43924 0.16187 lineto
0.44048 0.16187 lineto
0.44172 0.08829 lineto
0.44296 0.08829 lineto
0.4442 0.08829 lineto
0.44544 0.08829 lineto
0.4504 0.08829 lineto
0.46032 0.08829 lineto
0.48016 0.08829 lineto
0.49008 0.08829 lineto
0.5 0.08829 lineto
0.50496 0.08829 lineto
0.50992 0.08829 lineto
0.5124 0.08829 lineto
0.51488 0.08829 lineto
0.51612 0.08829 lineto
0.51736 0.08829 lineto
0.5186 0.08829 lineto
0.51984 0.01472 lineto
0.52232 0.01472 lineto
0.5248 0.01472 lineto
0.52976 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
Mistroke
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.16187 lineto
0.28671 0.16187 lineto
0.29167 0.16187 lineto
0.30159 0.16187 lineto
0.34127 0.16187 lineto
0.38095 0.16187 lineto
0.42063 0.16187 lineto
0.43056 0.16187 lineto
0.43552 0.16187 lineto
0.438 0.16187 lineto
0.43924 0.16187 lineto
0.44048 0.16187 lineto
0.44172 0.08829 lineto
0.44296 0.08829 lineto
0.4442 0.08829 lineto
0.44544 0.08829 lineto
0.4504 0.08829 lineto
0.46032 0.08829 lineto
0.48016 0.08829 lineto
0.49008 0.08829 lineto
0.5 0.08829 lineto
0.50496 0.08829 lineto
0.50992 0.08829 lineto
0.5124 0.08829 lineto
0.51488 0.08829 lineto
0.51612 0.08829 lineto
0.51736 0.08829 lineto
0.5186 0.08829 lineto
0.51984 0.01472 lineto
0.52232 0.01472 lineto
0.5248 0.01472 lineto
0.52976 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
Mistroke
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.03373 0.01472 lineto
0.03869 0.01472 lineto
0.04117 0.01472 lineto
0.04365 0.01472 lineto
0.04613 0.01472 lineto
0.04737 0.01472 lineto
0.04861 0.08829 lineto
0.05357 0.08829 lineto
0.06349 0.08829 lineto
0.08333 0.08829 lineto
0.10317 0.08829 lineto
0.1131 0.08829 lineto
0.11806 0.08829 lineto
0.12054 0.08829 lineto
0.12302 0.08829 lineto
0.12426 0.08829 lineto
0.1255 0.08829 lineto
0.12674 0.16187 lineto
0.12798 0.16187 lineto
0.12922 0.16187 lineto
0.13046 0.16187 lineto
0.13294 0.16187 lineto
0.14286 0.16187 lineto
0.18254 0.16187 lineto
0.22222 0.16187 lineto
0.24206 0.16187 lineto
0.2619 0.16187 lineto
0.27183 0.16187 lineto
0.27679 0.16187 lineto
0.27927 0.16187 lineto
0.28051 0.16187 lineto
0.28175 0.16187 lineto
0.28299 0.16187 lineto
0.28423 0.01472 lineto
0.28671 0.01472 lineto
0.29167 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
Mistroke
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.03373 0.01472 lineto
0.03869 0.01472 lineto
0.04117 0.01472 lineto
0.04365 0.01472 lineto
0.04613 0.01472 lineto
0.04737 0.01472 lineto
0.04861 0.08829 lineto
0.05357 0.08829 lineto
0.06349 0.08829 lineto
0.08333 0.08829 lineto
0.10317 0.08829 lineto
0.1131 0.08829 lineto
0.11806 0.08829 lineto
0.12054 0.08829 lineto
0.12302 0.08829 lineto
0.12426 0.08829 lineto
0.1255 0.08829 lineto
0.12674 0.16187 lineto
0.12798 0.16187 lineto
0.12922 0.16187 lineto
0.13046 0.16187 lineto
0.13294 0.16187 lineto
0.14286 0.16187 lineto
0.18254 0.16187 lineto
0.22222 0.16187 lineto
0.24206 0.16187 lineto
0.2619 0.16187 lineto
0.27183 0.16187 lineto
0.27679 0.16187 lineto
0.27927 0.16187 lineto
0.28051 0.16187 lineto
0.28175 0.16187 lineto
0.28299 0.16187 lineto
0.28423 0.01472 lineto
0.28671 0.01472 lineto
0.29167 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
Mistroke
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.03373 0.01472 lineto
0.03869 0.01472 lineto
0.04117 0.01472 lineto
0.04365 0.01472 lineto
0.04613 0.01472 lineto
0.04737 0.01472 lineto
0.04861 0.08829 lineto
0.05357 0.08829 lineto
0.06349 0.08829 lineto
0.08333 0.08829 lineto
0.10317 0.08829 lineto
0.1131 0.08829 lineto
0.11806 0.08829 lineto
0.12054 0.08829 lineto
0.12302 0.08829 lineto
0.12426 0.08829 lineto
0.1255 0.08829 lineto
0.12674 0.16187 lineto
0.12798 0.16187 lineto
0.12922 0.16187 lineto
0.13046 0.16187 lineto
0.13294 0.16187 lineto
0.14286 0.16187 lineto
0.18254 0.16187 lineto
0.22222 0.16187 lineto
0.24206 0.16187 lineto
0.2619 0.16187 lineto
0.27183 0.16187 lineto
0.27679 0.16187 lineto
0.27927 0.16187 lineto
0.28051 0.16187 lineto
0.28175 0.16187 lineto
0.28299 0.16187 lineto
0.28423 0.01472 lineto
0.28671 0.01472 lineto
0.29167 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
Mistroke
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.03373 0.01472 lineto
0.03869 0.01472 lineto
0.04117 0.01472 lineto
0.04365 0.01472 lineto
0.04613 0.01472 lineto
0.04737 0.01472 lineto
0.04861 0.08829 lineto
0.05357 0.08829 lineto
0.06349 0.08829 lineto
0.08333 0.08829 lineto
0.10317 0.08829 lineto
0.1131 0.08829 lineto
0.11806 0.08829 lineto
0.12054 0.08829 lineto
0.12302 0.08829 lineto
0.12426 0.08829 lineto
0.1255 0.08829 lineto
0.12674 0.16187 lineto
0.12798 0.16187 lineto
0.12922 0.16187 lineto
0.13046 0.16187 lineto
0.13294 0.16187 lineto
0.14286 0.16187 lineto
0.18254 0.16187 lineto
0.22222 0.16187 lineto
0.24206 0.16187 lineto
0.2619 0.16187 lineto
0.27183 0.16187 lineto
0.27679 0.16187 lineto
0.27927 0.16187 lineto
0.28051 0.16187 lineto
0.28175 0.16187 lineto
0.28299 0.16187 lineto
0.28423 0.01472 lineto
0.28671 0.01472 lineto
0.29167 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
Mistroke
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.04365 0.01472 lineto
0.05357 0.01472 lineto
0.06349 0.01472 lineto
0.06845 0.01472 lineto
0.07341 0.01472 lineto
0.07589 0.01472 lineto
0.07713 0.01472 lineto
0.07837 0.01472 lineto
0.07961 0.08829 lineto
0.08085 0.08829 lineto
0.08333 0.08829 lineto
0.10317 0.08829 lineto
0.12302 0.08829 lineto
0.13294 0.08829 lineto
0.14286 0.08829 lineto
0.14782 0.08829 lineto
0.1503 0.08829 lineto
0.15278 0.08829 lineto
0.15402 0.08829 lineto
0.15526 0.08829 lineto
0.1565 0.08829 lineto
0.15774 0.16187 lineto
0.16022 0.16187 lineto
0.1627 0.16187 lineto
0.18254 0.16187 lineto
0.22222 0.16187 lineto
0.2619 0.16187 lineto
0.28175 0.16187 lineto
0.29167 0.16187 lineto
0.30159 0.16187 lineto
0.30655 0.16187 lineto
0.30903 0.16187 lineto
0.31151 0.16187 lineto
0.31275 0.16187 lineto
0.31399 0.16187 lineto
0.31523 0.01472 lineto
0.31647 0.01472 lineto
0.31895 0.01472 lineto
0.32143 0.01472 lineto
0.34127 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
Mistroke
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
gsave
gsave
0.01 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01473 lineto
0.28547 0.0148 lineto
0.28671 0.01495 lineto
0.28795 0.01517 lineto
0.28919 0.01547 lineto
0.29167 0.01628 lineto
0.29415 0.01738 lineto
0.29663 0.01878 lineto
0.30159 0.02244 lineto
0.30655 0.02728 lineto
0.30903 0.03013 lineto
0.31151 0.03328 lineto
0.31275 0.03497 lineto
0.31399 0.03672 lineto
0.31523 0.01472 lineto
0.31647 0.01472 lineto
0.31895 0.01472 lineto
0.32143 0.01472 lineto
0.34127 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.08333 0.01472 lineto
0.09325 0.01472 lineto
0.09821 0.01472 lineto
0.10317 0.01472 lineto
0.10565 0.01472 lineto
0.10689 0.01472 lineto
0.10813 0.01472 lineto
0.10938 0.01472 lineto
0.11062 0.08829 lineto
0.11186 0.08829 lineto
0.1131 0.08829 lineto
0.12302 0.08829 lineto
0.14286 0.08829 lineto
0.1627 0.08829 lineto
0.17262 0.08829 lineto
0.17758 0.08829 lineto
0.18254 0.08829 lineto
0.18502 0.08829 lineto
0.18626 0.08829 lineto
0.1875 0.08829 lineto
0.18874 0.08829 lineto
0.18998 0.16187 lineto
0.19246 0.16187 lineto
0.20238 0.16187 lineto
0.22222 0.16187 lineto
0.2619 0.16187 lineto
0.30159 0.16187 lineto
0.32143 0.16187 lineto
0.33135 0.16187 lineto
0.33631 0.16187 lineto
0.34127 0.16187 lineto
0.34375 0.16187 lineto
0.34499 0.16187 lineto
0.34623 0.16187 lineto
0.34747 0.01472 lineto
0.34871 0.01472 lineto
0.35119 0.01472 lineto
0.36111 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
Mistroke
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
gsave
gsave
0.01 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01473 lineto
0.28547 0.0148 lineto
0.28671 0.01495 lineto
0.28795 0.01517 lineto
0.28919 0.01547 lineto
0.29167 0.01628 lineto
0.29415 0.01738 lineto
0.29663 0.01878 lineto
0.30159 0.02244 lineto
0.30655 0.02728 lineto
0.31151 0.03328 lineto
0.32143 0.0488 lineto
0.33135 0.06899 lineto
0.33631 0.08083 lineto
0.34127 0.09385 lineto
0.34375 0.1008 lineto
0.34499 0.10438 lineto
0.34623 0.10804 lineto
0.34747 0.01472 lineto
0.34871 0.01472 lineto
0.35119 0.01472 lineto
0.36111 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
Mistroke
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.08333 0.01472 lineto
0.10317 0.01472 lineto
0.12302 0.01472 lineto
0.13294 0.01472 lineto
0.1379 0.01472 lineto
0.13914 0.01472 lineto
0.14038 0.01472 lineto
0.14162 0.01472 lineto
0.14286 0.08829 lineto
0.14534 0.08829 lineto
0.14782 0.08829 lineto
0.15278 0.08829 lineto
0.1627 0.08829 lineto
0.18254 0.08829 lineto
0.20238 0.08829 lineto
0.20734 0.08829 lineto
0.2123 0.08829 lineto
0.21478 0.08829 lineto
0.21726 0.08829 lineto
0.2185 0.08829 lineto
0.21974 0.08829 lineto
0.22098 0.16187 lineto
0.22222 0.16187 lineto
0.2247 0.16187 lineto
0.22718 0.16187 lineto
0.23214 0.16187 lineto
0.24206 0.16187 lineto
0.2619 0.16187 lineto
0.30159 0.16187 lineto
0.32143 0.16187 lineto
0.34127 0.16187 lineto
0.35119 0.16187 lineto
0.36111 0.16187 lineto
0.36607 0.16187 lineto
0.37103 0.16187 lineto
0.37351 0.16187 lineto
0.37475 0.16187 lineto
0.37599 0.16187 lineto
0.37723 0.16187 lineto
0.37847 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
Mistroke
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
gsave
gsave
0.01 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01473 lineto
0.28547 0.0148 lineto
0.28671 0.01495 lineto
0.28795 0.01517 lineto
0.28919 0.01547 lineto
0.29167 0.01628 lineto
0.29415 0.01738 lineto
0.29663 0.01878 lineto
0.30159 0.02244 lineto
0.30655 0.02728 lineto
0.31151 0.03328 lineto
0.32143 0.0488 lineto
0.33135 0.06899 lineto
0.34127 0.09385 lineto
0.35119 0.12339 lineto
0.36111 0.15761 lineto
0.36607 0.17647 lineto
0.37103 0.1965 lineto
0.37351 0.20695 lineto
0.37475 0.21229 lineto
0.37599 0.2177 lineto
0.37723 0.22318 lineto
0.37847 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
Mistroke
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.12302 0.01472 lineto
0.14286 0.01472 lineto
0.15278 0.01472 lineto
0.1627 0.01472 lineto
0.16766 0.01472 lineto
0.17014 0.01472 lineto
0.17138 0.01472 lineto
0.17262 0.01472 lineto
0.17386 0.08829 lineto
0.1751 0.08829 lineto
0.17758 0.08829 lineto
0.18254 0.08829 lineto
0.20238 0.08829 lineto
0.22222 0.08829 lineto
0.23214 0.08829 lineto
0.24206 0.08829 lineto
0.24702 0.08829 lineto
0.2495 0.08829 lineto
0.25074 0.08829 lineto
0.25198 0.08829 lineto
0.25322 0.16187 lineto
0.25446 0.16187 lineto
0.25694 0.16187 lineto
0.2619 0.16187 lineto
0.30159 0.16187 lineto
0.34127 0.16187 lineto
0.36111 0.16187 lineto
0.38095 0.16187 lineto
0.39087 0.16187 lineto
0.39583 0.16187 lineto
0.40079 0.16187 lineto
0.40327 0.16187 lineto
0.40575 0.16187 lineto
0.40699 0.16187 lineto
0.40823 0.16187 lineto
0.40947 0.16187 lineto
0.41071 0.01472 lineto
0.41319 0.01472 lineto
0.41567 0.01472 lineto
0.42063 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
Mistroke
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
gsave
gsave
0.01 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01473 lineto
0.28547 0.0148 lineto
0.28671 0.01495 lineto
0.28795 0.01517 lineto
0.28919 0.01547 lineto
0.29167 0.01628 lineto
0.29415 0.01738 lineto
0.29663 0.01878 lineto
0.30159 0.02244 lineto
0.30655 0.02728 lineto
0.31151 0.03328 lineto
0.32143 0.0488 lineto
0.33135 0.06899 lineto
0.34127 0.09385 lineto
0.36111 0.15761 lineto
0.38095 0.24007 lineto
0.39087 0.28831 lineto
0.39583 0.31418 lineto
0.40079 0.34123 lineto
0.40327 0.35519 lineto
0.40575 0.36944 lineto
0.40699 0.37667 lineto
0.40823 0.38398 lineto
0.40947 0.39136 lineto
0.41071 0.01472 lineto
0.41319 0.01472 lineto
0.41567 0.01472 lineto
0.42063 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
Mistroke
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.1627 0.01472 lineto
0.18254 0.01472 lineto
0.19246 0.01472 lineto
0.19742 0.01472 lineto
0.1999 0.01472 lineto
0.20114 0.01472 lineto
0.20238 0.01472 lineto
0.20362 0.01472 lineto
0.20486 0.08829 lineto
0.20734 0.08829 lineto
0.2123 0.08829 lineto
0.22222 0.08829 lineto
0.24206 0.08829 lineto
0.2619 0.08829 lineto
0.27183 0.08829 lineto
0.27679 0.08829 lineto
0.27927 0.08829 lineto
0.28051 0.08829 lineto
0.28175 0.08829 lineto
0.28299 0.08829 lineto
0.28423 0.16187 lineto
0.28671 0.16187 lineto
0.29167 0.16187 lineto
0.30159 0.16187 lineto
0.34127 0.16187 lineto
0.38095 0.16187 lineto
0.42063 0.16187 lineto
0.43056 0.16187 lineto
0.43552 0.16187 lineto
0.438 0.16187 lineto
0.43924 0.16187 lineto
0.44048 0.16187 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
Mistroke
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
gsave
gsave
0.01 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01473 lineto
0.28547 0.0148 lineto
0.28671 0.01495 lineto
0.28795 0.01517 lineto
0.28919 0.01547 lineto
0.29167 0.01628 lineto
0.29415 0.01738 lineto
0.29663 0.01878 lineto
0.30159 0.02244 lineto
0.30655 0.02728 lineto
0.31151 0.03328 lineto
0.32143 0.0488 lineto
0.33135 0.06899 lineto
0.34127 0.09385 lineto
0.36111 0.15761 lineto
0.38095 0.24007 lineto
0.42063 0.46109 lineto
0.43056 0.52803 lineto
0.43552 0.56326 lineto
0.438 0.58131 lineto
0.43924 0.59044 lineto
0.44048 0.59965 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
Mistroke
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.20238 0.01472 lineto
0.2123 0.01472 lineto
0.22222 0.01472 lineto
0.22718 0.01472 lineto
0.22966 0.01472 lineto
0.23214 0.01472 lineto
0.23338 0.01472 lineto
0.23462 0.01472 lineto
0.23586 0.01472 lineto
0.2371 0.08829 lineto
0.23958 0.08829 lineto
0.24206 0.08829 lineto
0.2619 0.08829 lineto
0.28175 0.08829 lineto
0.29167 0.08829 lineto
0.30159 0.08829 lineto
0.30655 0.08829 lineto
0.30903 0.08829 lineto
0.31151 0.08829 lineto
0.31275 0.08829 lineto
0.31399 0.08829 lineto
0.31523 0.16187 lineto
0.31647 0.16187 lineto
0.31895 0.16187 lineto
0.32143 0.16187 lineto
0.34127 0.16187 lineto
0.38095 0.16187 lineto
0.42063 0.16187 lineto
0.44048 0.16187 lineto
0.4504 0.16187 lineto
0.46032 0.16187 lineto
0.46528 0.16187 lineto
0.46776 0.16187 lineto
0.469 0.16187 lineto
0.47024 0.16187 lineto
0.47148 0.16187 lineto
0.47272 0.01472 lineto
0.47396 0.01472 lineto
0.4752 0.01472 lineto
0.48016 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
Mistroke
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
gsave
gsave
0.01 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01473 lineto
0.28547 0.0148 lineto
0.28671 0.01495 lineto
0.28795 0.01517 lineto
0.28919 0.01547 lineto
0.29167 0.01628 lineto
0.29415 0.01738 lineto
0.29663 0.01878 lineto
0.30159 0.02244 lineto
0.30655 0.02728 lineto
0.31151 0.03328 lineto
0.32143 0.0488 lineto
0.33135 0.06899 lineto
0.34127 0.09385 lineto
0.36111 0.15761 lineto
0.38095 0.24007 lineto
0.42063 0.46109 lineto
0.43056 0.52803 lineto
0.43552 0.56326 lineto
0.438 0.58131 lineto
0.43924 0.59044 lineto
0.44048 0.59965 lineto
0.44172 0.60332 lineto
0.44296 0.60328 lineto
0.4442 0.6032 lineto
0.44544 0.60309 lineto
0.44668 0.60294 lineto
0.44792 0.60275 lineto
0.4504 0.60227 lineto
0.45288 0.60164 lineto
0.45536 0.60087 lineto
0.46032 0.59888 lineto
0.46528 0.59631 lineto
0.46776 0.5948 lineto
0.469 0.59399 lineto
0.47024 0.59315 lineto
Mistroke
0.47148 0.59227 lineto
0.47272 0.01472 lineto
0.47396 0.01472 lineto
0.4752 0.01472 lineto
0.48016 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.25198 0.01472 lineto
0.25694 0.01472 lineto
0.2619 0.01472 lineto
0.26438 0.01472 lineto
0.26563 0.01472 lineto
0.26687 0.01472 lineto
0.26811 0.08829 lineto
0.26935 0.08829 lineto
0.27183 0.08829 lineto
0.28175 0.08829 lineto
0.30159 0.08829 lineto
0.32143 0.08829 lineto
0.33135 0.08829 lineto
0.33631 0.08829 lineto
0.34127 0.08829 lineto
0.34375 0.08829 lineto
0.34499 0.08829 lineto
0.34623 0.08829 lineto
0.34747 0.16187 lineto
0.34871 0.16187 lineto
0.35119 0.16187 lineto
0.36111 0.16187 lineto
0.38095 0.16187 lineto
0.42063 0.16187 lineto
0.46032 0.16187 lineto
0.48016 0.16187 lineto
0.49008 0.16187 lineto
0.49504 0.16187 lineto
0.49752 0.16187 lineto
0.5 0.16187 lineto
0.50248 0.16187 lineto
0.50372 0.16187 lineto
0.50496 0.01472 lineto
0.50992 0.01472 lineto
0.51984 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
Mistroke
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
gsave
gsave
0.01 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01473 lineto
0.28547 0.0148 lineto
0.28671 0.01495 lineto
0.28795 0.01517 lineto
0.28919 0.01547 lineto
0.29167 0.01628 lineto
0.29415 0.01738 lineto
0.29663 0.01878 lineto
0.30159 0.02244 lineto
0.30655 0.02728 lineto
0.31151 0.03328 lineto
0.32143 0.0488 lineto
0.33135 0.06899 lineto
0.34127 0.09385 lineto
0.36111 0.15761 lineto
0.38095 0.24007 lineto
0.42063 0.46109 lineto
0.43056 0.52803 lineto
0.43552 0.56326 lineto
0.438 0.58131 lineto
0.43924 0.59044 lineto
0.44048 0.59965 lineto
0.44172 0.60332 lineto
0.44296 0.60328 lineto
0.4442 0.6032 lineto
0.44544 0.60309 lineto
0.44668 0.60294 lineto
0.44792 0.60275 lineto
0.4504 0.60227 lineto
0.45288 0.60164 lineto
0.45536 0.60087 lineto
0.46032 0.59888 lineto
0.46528 0.59631 lineto
0.47024 0.59315 lineto
0.48016 0.58508 lineto
0.49008 0.57468 lineto
Mistroke
0.49504 0.5686 lineto
0.49752 0.56534 lineto
0.5 0.56194 lineto
0.50248 0.55839 lineto
0.50372 0.55656 lineto
0.50496 0.01472 lineto
0.50992 0.01472 lineto
0.51984 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.28175 0.01472 lineto
0.28671 0.01472 lineto
0.29167 0.01472 lineto
0.29415 0.01472 lineto
0.29663 0.01472 lineto
0.29787 0.01472 lineto
0.29911 0.01472 lineto
0.30035 0.08829 lineto
0.30159 0.08829 lineto
0.30407 0.08829 lineto
0.30655 0.08829 lineto
0.31151 0.08829 lineto
0.32143 0.08829 lineto
0.34127 0.08829 lineto
0.35119 0.08829 lineto
0.36111 0.08829 lineto
0.36607 0.08829 lineto
0.37103 0.08829 lineto
0.37351 0.08829 lineto
0.37475 0.08829 lineto
0.37599 0.08829 lineto
0.37723 0.08829 lineto
0.37847 0.16187 lineto
0.38095 0.16187 lineto
0.42063 0.16187 lineto
0.46032 0.16187 lineto
0.48016 0.16187 lineto
0.5 0.16187 lineto
0.50992 0.16187 lineto
0.51984 0.16187 lineto
0.5248 0.16187 lineto
0.52976 0.16187 lineto
0.53224 0.16187 lineto
0.53348 0.16187 lineto
0.53472 0.16187 lineto
0.53596 0.01472 lineto
0.5372 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
Mistroke
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
gsave
gsave
0.01 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01473 lineto
0.28547 0.0148 lineto
0.28671 0.01495 lineto
0.28795 0.01517 lineto
0.28919 0.01547 lineto
0.29167 0.01628 lineto
0.29415 0.01738 lineto
0.29663 0.01878 lineto
0.30159 0.02244 lineto
0.30655 0.02728 lineto
0.31151 0.03328 lineto
0.32143 0.0488 lineto
0.33135 0.06899 lineto
0.34127 0.09385 lineto
0.36111 0.15761 lineto
0.38095 0.24007 lineto
0.42063 0.46109 lineto
0.43056 0.52803 lineto
0.43552 0.56326 lineto
0.438 0.58131 lineto
0.43924 0.59044 lineto
0.44048 0.59965 lineto
0.44172 0.60332 lineto
0.44296 0.60328 lineto
0.4442 0.6032 lineto
0.44544 0.60309 lineto
0.44668 0.60294 lineto
0.44792 0.60275 lineto
0.4504 0.60227 lineto
0.45288 0.60164 lineto
0.45536 0.60087 lineto
0.46032 0.59888 lineto
0.46528 0.59631 lineto
0.47024 0.59315 lineto
0.48016 0.58508 lineto
0.49008 0.57468 lineto
Mistroke
0.5 0.56194 lineto
0.50992 0.54686 lineto
0.51984 0.52944 lineto
0.5248 0.51955 lineto
0.52976 0.50848 lineto
0.53224 0.50251 lineto
0.53348 0.49941 lineto
0.53472 0.49625 lineto
0.53596 0.01472 lineto
0.5372 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.2619 0.01472 lineto
0.28175 0.01472 lineto
0.30159 0.01472 lineto
0.31151 0.01472 lineto
0.32143 0.01472 lineto
0.32391 0.01472 lineto
0.32639 0.01472 lineto
0.32763 0.01472 lineto
0.32887 0.01472 lineto
0.33011 0.01472 lineto
0.33135 0.08829 lineto
0.33383 0.08829 lineto
0.33631 0.08829 lineto
0.34127 0.08829 lineto
0.36111 0.08829 lineto
0.38095 0.08829 lineto
0.39087 0.08829 lineto
0.39583 0.08829 lineto
0.40079 0.08829 lineto
0.40327 0.08829 lineto
0.40575 0.08829 lineto
0.40699 0.08829 lineto
0.40823 0.08829 lineto
0.40947 0.08829 lineto
0.41071 0.16187 lineto
0.41319 0.16187 lineto
0.41567 0.16187 lineto
0.42063 0.16187 lineto
0.46032 0.16187 lineto
0.5 0.16187 lineto
0.53968 0.16187 lineto
0.5496 0.16187 lineto
0.55456 0.16187 lineto
0.55952 0.16187 lineto
0.562 0.16187 lineto
0.56324 0.16187 lineto
0.56448 0.16187 lineto
0.56572 0.16187 lineto
0.56696 0.01472 lineto
0.56944 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
Mistroke
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
gsave
gsave
0.01 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01473 lineto
0.28547 0.0148 lineto
0.28671 0.01495 lineto
0.28795 0.01517 lineto
0.28919 0.01547 lineto
0.29167 0.01628 lineto
0.29415 0.01738 lineto
0.29663 0.01878 lineto
0.30159 0.02244 lineto
0.30655 0.02728 lineto
0.31151 0.03328 lineto
0.32143 0.0488 lineto
0.33135 0.06899 lineto
0.34127 0.09385 lineto
0.36111 0.15761 lineto
0.38095 0.24007 lineto
0.42063 0.46109 lineto
0.43056 0.52803 lineto
0.43552 0.56326 lineto
0.438 0.58131 lineto
0.43924 0.59044 lineto
0.44048 0.59965 lineto
0.44172 0.60332 lineto
0.44296 0.60328 lineto
0.4442 0.6032 lineto
0.44544 0.60309 lineto
0.44668 0.60294 lineto
0.44792 0.60275 lineto
0.4504 0.60227 lineto
0.45288 0.60164 lineto
0.45536 0.60087 lineto
0.46032 0.59888 lineto
0.46528 0.59631 lineto
0.47024 0.59315 lineto
0.48016 0.58508 lineto
0.49008 0.57468 lineto
Mistroke
0.5 0.56194 lineto
0.50992 0.54686 lineto
0.51984 0.52944 lineto
0.53968 0.48284 lineto
0.5496 0.45253 lineto
0.55456 0.43562 lineto
0.55952 0.41754 lineto
0.562 0.40806 lineto
0.56324 0.40321 lineto
0.56448 0.39829 lineto
0.56572 0.3933 lineto
0.56696 0.01472 lineto
0.56944 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.2619 0.01472 lineto
0.30159 0.01472 lineto
0.32143 0.01472 lineto
0.34127 0.01472 lineto
0.35119 0.01472 lineto
0.35615 0.01472 lineto
0.35863 0.01472 lineto
0.35987 0.01472 lineto
0.36111 0.01472 lineto
0.36235 0.08829 lineto
0.36359 0.08829 lineto
0.36607 0.08829 lineto
0.37103 0.08829 lineto
0.38095 0.08829 lineto
0.42063 0.08829 lineto
0.43056 0.08829 lineto
0.43552 0.08829 lineto
0.438 0.08829 lineto
0.43924 0.08829 lineto
0.44048 0.08829 lineto
0.44172 0.16187 lineto
0.44296 0.16187 lineto
0.4442 0.16187 lineto
0.44544 0.16187 lineto
0.4504 0.16187 lineto
0.46032 0.16187 lineto
0.5 0.16187 lineto
0.53968 0.16187 lineto
0.55952 0.16187 lineto
0.56944 0.16187 lineto
0.57937 0.16187 lineto
0.58433 0.16187 lineto
0.58929 0.16187 lineto
0.59177 0.16187 lineto
0.59425 0.16187 lineto
0.59549 0.16187 lineto
0.59673 0.16187 lineto
0.59797 0.16187 lineto
0.59921 0.01472 lineto
0.60045 0.01472 lineto
0.60169 0.01472 lineto
0.60417 0.01472 lineto
0.60913 0.01472 lineto
0.61905 0.01472 lineto
Mistroke
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
gsave
gsave
0.01 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01473 lineto
0.28547 0.0148 lineto
0.28671 0.01495 lineto
0.28795 0.01517 lineto
0.28919 0.01547 lineto
0.29167 0.01628 lineto
0.29415 0.01738 lineto
0.29663 0.01878 lineto
0.30159 0.02244 lineto
0.30655 0.02728 lineto
0.31151 0.03328 lineto
0.32143 0.0488 lineto
0.33135 0.06899 lineto
0.34127 0.09385 lineto
0.36111 0.15761 lineto
0.38095 0.24007 lineto
0.42063 0.46109 lineto
0.43056 0.52803 lineto
0.43552 0.56326 lineto
0.438 0.58131 lineto
0.43924 0.59044 lineto
0.44048 0.59965 lineto
0.44172 0.60332 lineto
0.44296 0.60328 lineto
0.4442 0.6032 lineto
0.44544 0.60309 lineto
0.44668 0.60294 lineto
0.44792 0.60275 lineto
0.4504 0.60227 lineto
0.45288 0.60164 lineto
0.45536 0.60087 lineto
0.46032 0.59888 lineto
0.46528 0.59631 lineto
0.47024 0.59315 lineto
0.48016 0.58508 lineto
0.49008 0.57468 lineto
Mistroke
0.5 0.56194 lineto
0.50992 0.54686 lineto
0.51984 0.52944 lineto
0.53968 0.48284 lineto
0.55952 0.41754 lineto
0.56944 0.37788 lineto
0.57937 0.33354 lineto
0.58433 0.30961 lineto
0.58929 0.28452 lineto
0.59177 0.27154 lineto
0.59425 0.25826 lineto
0.59549 0.25151 lineto
0.59673 0.24469 lineto
0.59797 0.2378 lineto
0.59921 0.01472 lineto
0.60045 0.01472 lineto
0.60169 0.01472 lineto
0.60417 0.01472 lineto
0.60913 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.2619 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.36111 0.01472 lineto
0.38095 0.01472 lineto
0.38591 0.01472 lineto
0.38839 0.01472 lineto
0.39087 0.01472 lineto
0.39211 0.01472 lineto
0.39335 0.01472 lineto
0.39459 0.08829 lineto
0.39583 0.08829 lineto
0.39831 0.08829 lineto
0.40079 0.08829 lineto
0.42063 0.08829 lineto
0.44048 0.08829 lineto
0.4504 0.08829 lineto
0.46032 0.08829 lineto
0.46528 0.08829 lineto
0.46776 0.08829 lineto
0.469 0.08829 lineto
0.47024 0.08829 lineto
0.47148 0.08829 lineto
0.47272 0.16187 lineto
0.47396 0.16187 lineto
0.4752 0.16187 lineto
0.48016 0.16187 lineto
0.5 0.16187 lineto
0.53968 0.16187 lineto
0.57937 0.16187 lineto
0.59921 0.16187 lineto
0.60913 0.16187 lineto
0.61905 0.16187 lineto
0.62401 0.16187 lineto
0.62649 0.16187 lineto
0.62773 0.16187 lineto
0.62897 0.16187 lineto
0.63021 0.01472 lineto
0.63145 0.01472 lineto
0.63393 0.01472 lineto
0.63889 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
Mistroke
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
gsave
gsave
0.01 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01473 lineto
0.28547 0.0148 lineto
0.28671 0.01495 lineto
0.28795 0.01517 lineto
0.28919 0.01547 lineto
0.29167 0.01628 lineto
0.29415 0.01738 lineto
0.29663 0.01878 lineto
0.30159 0.02244 lineto
0.30655 0.02728 lineto
0.31151 0.03328 lineto
0.32143 0.0488 lineto
0.33135 0.06899 lineto
0.34127 0.09385 lineto
0.36111 0.15761 lineto
0.38095 0.24007 lineto
0.42063 0.46109 lineto
0.43056 0.52803 lineto
0.43552 0.56326 lineto
0.438 0.58131 lineto
0.43924 0.59044 lineto
0.44048 0.59965 lineto
0.44172 0.60332 lineto
0.44296 0.60328 lineto
0.4442 0.6032 lineto
0.44544 0.60309 lineto
0.44668 0.60294 lineto
0.44792 0.60275 lineto
0.4504 0.60227 lineto
0.45288 0.60164 lineto
0.45536 0.60087 lineto
0.46032 0.59888 lineto
0.46528 0.59631 lineto
0.47024 0.59315 lineto
0.48016 0.58508 lineto
0.49008 0.57468 lineto
Mistroke
0.5 0.56194 lineto
0.50992 0.54686 lineto
0.51984 0.52944 lineto
0.53968 0.48284 lineto
0.55952 0.41754 lineto
0.57937 0.33354 lineto
0.61905 0.19175 lineto
0.62401 0.17975 lineto
0.62649 0.17353 lineto
0.62773 0.17036 lineto
0.62897 0.16716 lineto
0.63021 0.01472 lineto
0.63145 0.01472 lineto
0.63393 0.01472 lineto
0.63889 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.2619 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.36111 0.01472 lineto
0.38095 0.01472 lineto
0.39087 0.01472 lineto
0.39583 0.01472 lineto
0.40079 0.01472 lineto
0.40327 0.01472 lineto
0.40575 0.01472 lineto
0.40699 0.01472 lineto
0.40823 0.01472 lineto
0.40947 0.01472 lineto
0.41071 0.08829 lineto
0.41319 0.08829 lineto
0.41567 0.08829 lineto
0.42063 0.08829 lineto
0.44048 0.08829 lineto
0.46032 0.08829 lineto
0.47024 0.08829 lineto
0.4752 0.08829 lineto
0.48016 0.08829 lineto
0.48264 0.08829 lineto
0.48512 0.08829 lineto
0.48636 0.08829 lineto
0.4876 0.08829 lineto
0.48884 0.16187 lineto
0.49008 0.16187 lineto
0.49256 0.16187 lineto
0.49504 0.16187 lineto
0.5 0.16187 lineto
0.53968 0.16187 lineto
0.57937 0.16187 lineto
0.59921 0.16187 lineto
0.61905 0.16187 lineto
0.62897 0.16187 lineto
0.63393 0.16187 lineto
0.63889 0.16187 lineto
0.64137 0.16187 lineto
0.64261 0.16187 lineto
0.64385 0.16187 lineto
0.64509 0.16187 lineto
0.64633 0.01472 lineto
0.64881 0.01472 lineto
Mistroke
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
gsave
gsave
0.01 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01473 lineto
0.28547 0.0148 lineto
0.28671 0.01495 lineto
0.28795 0.01517 lineto
0.28919 0.01547 lineto
0.29167 0.01628 lineto
0.29415 0.01738 lineto
0.29663 0.01878 lineto
0.30159 0.02244 lineto
0.30655 0.02728 lineto
0.31151 0.03328 lineto
0.32143 0.0488 lineto
0.33135 0.06899 lineto
0.34127 0.09385 lineto
0.36111 0.15761 lineto
0.38095 0.24007 lineto
0.42063 0.46109 lineto
0.43056 0.52803 lineto
0.43552 0.56326 lineto
0.438 0.58131 lineto
0.43924 0.59044 lineto
0.44048 0.59965 lineto
0.44172 0.60332 lineto
0.44296 0.60328 lineto
0.4442 0.6032 lineto
0.44544 0.60309 lineto
0.44668 0.60294 lineto
0.44792 0.60275 lineto
0.4504 0.60227 lineto
0.45288 0.60164 lineto
0.45536 0.60087 lineto
0.46032 0.59888 lineto
0.46528 0.59631 lineto
0.47024 0.59315 lineto
0.48016 0.58508 lineto
0.49008 0.57468 lineto
Mistroke
0.5 0.56194 lineto
0.50992 0.54686 lineto
0.51984 0.52944 lineto
0.53968 0.48284 lineto
0.55952 0.41754 lineto
0.57937 0.33354 lineto
0.61905 0.19175 lineto
0.62897 0.16716 lineto
0.63393 0.15399 lineto
0.63889 0.14024 lineto
0.64137 0.13314 lineto
0.64261 0.12954 lineto
0.64385 0.1259 lineto
0.64509 0.12223 lineto
0.64633 0.01472 lineto
0.64881 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.2619 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.38095 0.01472 lineto
0.40079 0.01472 lineto
0.41071 0.01472 lineto
0.41567 0.01472 lineto
0.41815 0.01472 lineto
0.42063 0.01472 lineto
0.42188 0.01472 lineto
0.42312 0.01472 lineto
0.42436 0.01472 lineto
0.4256 0.08829 lineto
0.42808 0.08829 lineto
0.43056 0.08829 lineto
0.44048 0.08829 lineto
0.46032 0.08829 lineto
0.48016 0.08829 lineto
0.49008 0.08829 lineto
0.49504 0.08829 lineto
0.49752 0.08829 lineto
0.5 0.08829 lineto
0.50248 0.08829 lineto
0.50372 0.08829 lineto
0.50496 0.16187 lineto
0.50992 0.16187 lineto
0.51984 0.16187 lineto
0.53968 0.16187 lineto
0.57937 0.16187 lineto
0.61905 0.16187 lineto
0.63889 0.16187 lineto
0.64881 0.16187 lineto
0.65377 0.16187 lineto
0.65625 0.16187 lineto
0.65873 0.16187 lineto
0.65997 0.16187 lineto
0.66121 0.16187 lineto
0.66245 0.01472 lineto
0.66369 0.01472 lineto
0.66617 0.01472 lineto
0.66865 0.01472 lineto
0.67857 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
Mistroke
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
gsave
gsave
0.01 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01473 lineto
0.28547 0.0148 lineto
0.28671 0.01495 lineto
0.28795 0.01517 lineto
0.28919 0.01547 lineto
0.29167 0.01628 lineto
0.29415 0.01738 lineto
0.29663 0.01878 lineto
0.30159 0.02244 lineto
0.30655 0.02728 lineto
0.31151 0.03328 lineto
0.32143 0.0488 lineto
0.33135 0.06899 lineto
0.34127 0.09385 lineto
0.36111 0.15761 lineto
0.38095 0.24007 lineto
0.42063 0.46109 lineto
0.43056 0.52803 lineto
0.43552 0.56326 lineto
0.438 0.58131 lineto
0.43924 0.59044 lineto
0.44048 0.59965 lineto
0.44172 0.60332 lineto
0.44296 0.60328 lineto
0.4442 0.6032 lineto
0.44544 0.60309 lineto
0.44668 0.60294 lineto
0.44792 0.60275 lineto
0.4504 0.60227 lineto
0.45288 0.60164 lineto
0.45536 0.60087 lineto
0.46032 0.59888 lineto
0.46528 0.59631 lineto
0.47024 0.59315 lineto
0.48016 0.58508 lineto
0.49008 0.57468 lineto
Mistroke
0.5 0.56194 lineto
0.50992 0.54686 lineto
0.51984 0.52944 lineto
0.53968 0.48284 lineto
0.55952 0.41754 lineto
0.57937 0.33354 lineto
0.61905 0.19175 lineto
0.63889 0.14024 lineto
0.65873 0.07938 lineto
0.65997 0.07527 lineto
0.66121 0.07112 lineto
0.66245 0.01472 lineto
0.66369 0.01472 lineto
0.66617 0.01472 lineto
0.66865 0.01472 lineto
0.67857 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.2619 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.43056 0.01472 lineto
0.43552 0.01472 lineto
0.438 0.01472 lineto
0.43924 0.01472 lineto
0.44048 0.01472 lineto
0.44172 0.08829 lineto
0.44296 0.08829 lineto
0.4442 0.08829 lineto
0.44544 0.08829 lineto
0.4504 0.08829 lineto
0.46032 0.08829 lineto
0.48016 0.08829 lineto
0.49008 0.08829 lineto
0.5 0.08829 lineto
0.50496 0.08829 lineto
0.50992 0.08829 lineto
0.5124 0.08829 lineto
0.51488 0.08829 lineto
0.51612 0.08829 lineto
0.51736 0.08829 lineto
0.5186 0.08829 lineto
0.51984 0.16187 lineto
0.52232 0.16187 lineto
0.5248 0.16187 lineto
0.52976 0.16187 lineto
0.53968 0.16187 lineto
0.57937 0.16187 lineto
0.61905 0.16187 lineto
0.63889 0.16187 lineto
0.64881 0.16187 lineto
0.65873 0.16187 lineto
0.66369 0.16187 lineto
0.66865 0.16187 lineto
0.67361 0.16187 lineto
0.67485 0.16187 lineto
0.67609 0.16187 lineto
0.67733 0.01472 lineto
0.67857 0.01472 lineto
0.69841 0.01472 lineto
Mistroke
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
gsave
gsave
0.01 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01473 lineto
0.28547 0.0148 lineto
0.28671 0.01495 lineto
0.28795 0.01517 lineto
0.28919 0.01547 lineto
0.29167 0.01628 lineto
0.29415 0.01738 lineto
0.29663 0.01878 lineto
0.30159 0.02244 lineto
0.30655 0.02728 lineto
0.31151 0.03328 lineto
0.32143 0.0488 lineto
0.33135 0.06899 lineto
0.34127 0.09385 lineto
0.36111 0.15761 lineto
0.38095 0.24007 lineto
0.42063 0.46109 lineto
0.43056 0.52803 lineto
0.43552 0.56326 lineto
0.438 0.58131 lineto
0.43924 0.59044 lineto
0.44048 0.59965 lineto
0.44172 0.60332 lineto
0.44296 0.60328 lineto
0.4442 0.6032 lineto
0.44544 0.60309 lineto
0.44668 0.60294 lineto
0.44792 0.60275 lineto
0.4504 0.60227 lineto
0.45288 0.60164 lineto
0.45536 0.60087 lineto
0.46032 0.59888 lineto
0.46528 0.59631 lineto
0.47024 0.59315 lineto
0.48016 0.58508 lineto
0.49008 0.57468 lineto
Mistroke
0.5 0.56194 lineto
0.50992 0.54686 lineto
0.51984 0.52944 lineto
0.53968 0.48284 lineto
0.55952 0.41754 lineto
0.57937 0.33354 lineto
0.61905 0.19175 lineto
0.63889 0.14024 lineto
0.65873 0.07938 lineto
0.66865 0.04544 lineto
0.67361 0.0276 lineto
0.67609 0.01846 lineto
0.67733 0.01472 lineto
0.67857 0.01472 lineto
0.68353 0.01472 lineto
0.68849 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.2619 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.43056 0.01472 lineto
0.43552 0.01472 lineto
0.438 0.01472 lineto
0.43924 0.01472 lineto
0.44048 0.01472 lineto
0.44172 0.08829 lineto
0.44296 0.08829 lineto
0.4442 0.08829 lineto
0.44544 0.08829 lineto
0.4504 0.08829 lineto
0.46032 0.08829 lineto
0.48016 0.08829 lineto
0.49008 0.08829 lineto
0.5 0.08829 lineto
0.50496 0.08829 lineto
0.50992 0.08829 lineto
0.5124 0.08829 lineto
0.51488 0.08829 lineto
0.51612 0.08829 lineto
0.51736 0.08829 lineto
0.5186 0.08829 lineto
0.51984 0.16187 lineto
0.52232 0.16187 lineto
0.5248 0.16187 lineto
0.52976 0.16187 lineto
0.53968 0.16187 lineto
0.57937 0.16187 lineto
0.61905 0.16187 lineto
0.63889 0.16187 lineto
0.64881 0.16187 lineto
0.65873 0.16187 lineto
0.66369 0.16187 lineto
0.66865 0.16187 lineto
0.67361 0.16187 lineto
0.67485 0.16187 lineto
0.67609 0.16187 lineto
0.67733 0.01472 lineto
0.67857 0.01472 lineto
0.69841 0.01472 lineto
Mistroke
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
gsave
gsave
0.01 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01473 lineto
0.28547 0.0148 lineto
0.28671 0.01495 lineto
0.28795 0.01517 lineto
0.28919 0.01547 lineto
0.29167 0.01628 lineto
0.29415 0.01738 lineto
0.29663 0.01878 lineto
0.30159 0.02244 lineto
0.30655 0.02728 lineto
0.31151 0.03328 lineto
0.32143 0.0488 lineto
0.33135 0.06899 lineto
0.34127 0.09385 lineto
0.36111 0.15761 lineto
0.38095 0.24007 lineto
0.42063 0.46109 lineto
0.43056 0.52803 lineto
0.43552 0.56326 lineto
0.438 0.58131 lineto
0.43924 0.59044 lineto
0.44048 0.59965 lineto
0.44172 0.60332 lineto
0.44296 0.60328 lineto
0.4442 0.6032 lineto
0.44544 0.60309 lineto
0.44668 0.60294 lineto
0.44792 0.60275 lineto
0.4504 0.60227 lineto
0.45288 0.60164 lineto
0.45536 0.60087 lineto
0.46032 0.59888 lineto
0.46528 0.59631 lineto
0.47024 0.59315 lineto
0.48016 0.58508 lineto
0.49008 0.57468 lineto
Mistroke
0.5 0.56194 lineto
0.50992 0.54686 lineto
0.51984 0.52944 lineto
0.53968 0.48284 lineto
0.55952 0.41754 lineto
0.57937 0.33354 lineto
0.61905 0.19175 lineto
0.63889 0.14024 lineto
0.65873 0.07938 lineto
0.66865 0.04544 lineto
0.67361 0.0276 lineto
0.67609 0.01846 lineto
0.67733 0.01472 lineto
0.67857 0.01472 lineto
0.68353 0.01472 lineto
0.68849 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; endGroup; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.28355 0.078709 0.014715 0.073576 [
[(-2)] 0.12613 0.01472 0 2 Msboxa
[(2)] 0.44097 0.01472 0 2 Msboxa
[(4)] 0.59839 0.01472 0 2 Msboxa
[(6)] 0.7558 0.01472 0 2 Msboxa
[(8)] 0.91322 0.01472 0 2 Msboxa
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Msboxa
[(2)] 0.27105 0.16187 1 0 Msboxa
[(4)] 0.27105 0.30902 1 0 Msboxa
[(6)] 0.27105 0.45617 1 0 Msboxa
[(8)] 0.27105 0.60333 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.12613 0.01472 moveto
0.12613 0.02097 lineto
stroke
grestore
[(-2)] 0.12613 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.44097 0.01472 moveto
0.44097 0.02097 lineto
stroke
grestore
[(2)] 0.44097 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.59839 0.01472 moveto
0.59839 0.02097 lineto
stroke
grestore
[(4)] 0.59839 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.7558 0.01472 moveto
0.7558 0.02097 lineto
stroke
grestore
[(6)] 0.7558 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.91322 0.01472 moveto
0.91322 0.02097 lineto
stroke
grestore
[(8)] 0.91322 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.15762 0.01472 moveto
0.15762 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1891 0.01472 moveto
0.1891 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22058 0.01472 moveto
0.22058 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25207 0.01472 moveto
0.25207 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31503 0.01472 moveto
0.31503 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34652 0.01472 moveto
0.34652 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.378 0.01472 moveto
0.378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40948 0.01472 moveto
0.40948 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47245 0.01472 moveto
0.47245 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.50394 0.01472 moveto
0.50394 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53542 0.01472 moveto
0.53542 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5669 0.01472 moveto
0.5669 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62987 0.01472 moveto
0.62987 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66135 0.01472 moveto
0.66135 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69284 0.01472 moveto
0.69284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72432 0.01472 moveto
0.72432 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78729 0.01472 moveto
0.78729 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.81877 0.01472 moveto
0.81877 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85026 0.01472 moveto
0.85026 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88174 0.01472 moveto
0.88174 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.09465 0.01472 moveto
0.09465 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06316 0.01472 moveto
0.06316 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.03168 0.01472 moveto
0.03168 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0002 0.01472 moveto
0.0002 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94471 0.01472 moveto
0.94471 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01847 lineto
stroke
grestore
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Flip-and-Slide Convolution)] 0.5 0.61803 0 -2 Mshowa
gsave
0.002 setlinewidth
0.28355 0.16187 moveto
0.2898 0.16187 lineto
stroke
grestore
[(2)] 0.27105 0.16187 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.30902 moveto
0.2898 0.30902 lineto
stroke
grestore
[(4)] 0.27105 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.45617 moveto
0.2898 0.45617 lineto
stroke
grestore
[(6)] 0.27105 0.45617 1 0 Mshowa
gsave
0.002 setlinewidth
0.28355 0.60333 moveto
0.2898 0.60333 lineto
stroke
grestore
[(8)] 0.27105 0.60333 1 0 Mshowa
gsave
0.001 setlinewidth
0.28355 0.04415 moveto
0.2873 0.04415 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.07358 moveto
0.2873 0.07358 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.10301 moveto
0.2873 0.10301 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.13244 moveto
0.2873 0.13244 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.1913 moveto
0.2873 0.1913 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.22073 moveto
0.2873 0.22073 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.25016 moveto
0.2873 0.25016 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.27959 moveto
0.2873 0.27959 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.33845 moveto
0.2873 0.33845 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.36788 moveto
0.2873 0.36788 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.39731 moveto
0.2873 0.39731 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.42674 moveto
0.2873 0.42674 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.4856 moveto
0.2873 0.4856 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.51503 moveto
0.2873 0.51503 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.54446 moveto
0.2873 0.54446 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28355 0.5739 moveto
0.2873 0.5739 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.28355 0 moveto
0.28355 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
[ 0.05 0.03 ] 0 setdash
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.2619 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.43056 0.01472 lineto
0.43552 0.01472 lineto
0.438 0.01472 lineto
0.43924 0.01472 lineto
0.44048 0.01472 lineto
0.44172 0.08829 lineto
0.44296 0.08829 lineto
0.4442 0.08829 lineto
0.44544 0.08829 lineto
0.4504 0.08829 lineto
0.46032 0.08829 lineto
0.48016 0.08829 lineto
0.49008 0.08829 lineto
0.5 0.08829 lineto
0.50496 0.08829 lineto
0.50992 0.08829 lineto
0.5124 0.08829 lineto
0.51488 0.08829 lineto
0.51612 0.08829 lineto
0.51736 0.08829 lineto
0.5186 0.08829 lineto
0.51984 0.16187 lineto
0.52232 0.16187 lineto
0.5248 0.16187 lineto
0.52976 0.16187 lineto
0.53968 0.16187 lineto
0.57937 0.16187 lineto
0.61905 0.16187 lineto
0.63889 0.16187 lineto
0.64881 0.16187 lineto
0.65873 0.16187 lineto
0.66369 0.16187 lineto
0.66865 0.16187 lineto
0.67361 0.16187 lineto
0.67485 0.16187 lineto
0.67609 0.16187 lineto
0.67733 0.01472 lineto
0.67857 0.01472 lineto
0.69841 0.01472 lineto
Mistroke
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
gsave
gsave
0.005 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01598 lineto
0.28671 0.02062 lineto
0.29167 0.02989 lineto
0.30159 0.04844 lineto
0.34127 0.12263 lineto
0.38095 0.19682 lineto
0.42063 0.27101 lineto
0.43056 0.28955 lineto
0.43552 0.29883 lineto
0.438 0.30346 lineto
0.43924 0.30578 lineto
0.44048 0.3081 lineto
0.44172 0.01472 lineto
0.44296 0.01472 lineto
0.4442 0.01472 lineto
0.44544 0.01472 lineto
0.4504 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
gsave
gsave
0.01 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.24206 0.01472 lineto
0.2619 0.01472 lineto
0.27183 0.01472 lineto
0.27679 0.01472 lineto
0.27927 0.01472 lineto
0.28051 0.01472 lineto
0.28175 0.01472 lineto
0.28299 0.01472 lineto
0.28423 0.01473 lineto
0.28547 0.0148 lineto
0.28671 0.01495 lineto
0.28795 0.01517 lineto
0.28919 0.01547 lineto
0.29167 0.01628 lineto
0.29415 0.01738 lineto
0.29663 0.01878 lineto
0.30159 0.02244 lineto
0.30655 0.02728 lineto
0.31151 0.03328 lineto
0.32143 0.0488 lineto
0.33135 0.06899 lineto
0.34127 0.09385 lineto
0.36111 0.15761 lineto
0.38095 0.24007 lineto
0.42063 0.46109 lineto
0.43056 0.52803 lineto
0.43552 0.56326 lineto
0.438 0.58131 lineto
0.43924 0.59044 lineto
0.44048 0.59965 lineto
0.44172 0.60332 lineto
0.44296 0.60328 lineto
0.4442 0.6032 lineto
0.44544 0.60309 lineto
0.44668 0.60294 lineto
0.44792 0.60275 lineto
0.4504 0.60227 lineto
0.45288 0.60164 lineto
0.45536 0.60087 lineto
0.46032 0.59888 lineto
0.46528 0.59631 lineto
0.47024 0.59315 lineto
0.48016 0.58508 lineto
0.49008 0.57468 lineto
Mistroke
0.5 0.56194 lineto
0.50992 0.54686 lineto
0.51984 0.52944 lineto
0.53968 0.48284 lineto
0.55952 0.41754 lineto
0.57937 0.33354 lineto
0.61905 0.19175 lineto
0.63889 0.14024 lineto
0.65873 0.07938 lineto
0.66865 0.04544 lineto
0.67361 0.0276 lineto
0.67609 0.01846 lineto
0.67733 0.01472 lineto
0.67857 0.01472 lineto
0.68353 0.01472 lineto
0.68849 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = text; ]
     Before you generate your own convolution animations, please view the animation above.  The animation above was generated by enabling the Dialogue option for the piecewise continuous convolution routine (although we removed a few frames to reduce the size of the animation):
;[s]
3:0,0;142,1;150,2;278,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; endGroup; endGroup; endGroup; ]
CTPiecewiseConvolution[ a, b, t, Dialogue -> True ]
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Convolution of Lists of F-intervals
:[font = text; inactive; ]
     The PiecewiseConvolution function can accept an expression, an interval, or a list of intervals for either of its first two arguments.  If these arguments are lists, then the Convolution operator automatically simplifies the result using the SimplifyList operator.  This result will be a list of intervals.  There may be large number of  intervals in the result, depending, of course, on the complexity of the arguments.  
;[s]
7:0,0;9,1;29,2;180,3;191,4;247,5;259,6;428,-1;
7:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example:  Convolving Two Functions in List Form
:[font = text; inactive; ]
     The following example takes two lists and computes their convolution.  Notice that the resulting list contains eleven intervals.
:[font = input; preserveAspect; ]
a = {{1,1,2},{1,4,Infinity}}
:[font = output; output; inactive; preserveAspect; ]
{{1, 1, 2}, {1, 4, DirectedInfinity[1]}}
;[o]
{{1, 1, 2}, {1, 4, Infinity}}
:[font = input; preserveAspect; ]
b = {{1+t,0,1},{1,1,5},{5-t,5,6},{4-t,6,7}}
:[font = output; output; inactive; preserveAspect; ]
{{1 + t, 0, 1}, {1, 1, 5}, {5 - t, 5, 6}, {4 - t, 6, 7}}
;[o]
{{1 + t, 0, 1}, {1, 1, 5}, {5 - t, 5, 6}, {4 - t, 6, 7}}
:[font = input; preserveAspect; ]
c = PiecewiseConvolution[a,b,t]
:[font = output; output; inactive; preserveAspect; ]
{{(-1 + t^2)/2, 1, 2}, {-(1 - 4*t + t^2)/2, 2, 3}, 
  {1, 3, 4}, {5 - 3*t + t^2/2, 4, 5}, {-5/2 + t, 5, 6}, 
  {-(29 - 12*t + t^2)/2, 6, 7}, {10 - t, 7, 8}, 
  {10 - 5*t + t^2/2, 8, 9}, {-35 + 9*t - t^2/2, 9, 10}, 
  {-25 + 8*t - t^2/2, 10, 11}, 
  {5/2, 11, DirectedInfinity[1]}}
;[o]
        2                       2
  -1 + t           -(1 - 4 t + t )
{{-------, 1, 2}, {---------------, 2, 3}, {1, 3, 4}, 
     2                    2
 
              2
             t             5
  {5 - 3 t + --, 4, 5}, {-(-) + t, 5, 6}, 
             2             2
 
                  2
   -(29 - 12 t + t )
  {-----------------, 6, 7}, {10 - t, 7, 8}, 
           2
 
               2                       2
              t                       t
  {10 - 5 t + --, 8, 9}, {-35 + 9 t - --, 9, 10}, 
              2                       2
 
                2
               t             5
  {-25 + 8 t - --, 10, 11}, {-, 11, Infinity}}
               2             2
:[font = input; preserveAspect; ]
PlotList[a,{t,0,7}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 39; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.13605 0.01472 0.5886 [
[(1)] 0.15986 0.00222 0 1 Msboxa
[(2)] 0.29592 0.00222 0 1 Msboxa
[(3)] 0.43197 0.00222 0 1 Msboxa
[(4)] 0.56803 0.00222 0 1 Msboxa
[(5)] 0.70408 0.00222 0 1 Msboxa
[(6)] 0.84014 0.00222 0 1 Msboxa
[(7)] 0.97619 0.00222 0 1 Msboxa
[(0.2)] 0.01131 0.13244 1 0 Msboxa
[(0.4)] 0.01131 0.25016 1 0 Msboxa
[(0.6)] 0.01131 0.36788 1 0 Msboxa
[(0.8)] 0.01131 0.4856 1 0 Msboxa
[(1)] 0.01131 0.60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.15986 0.00847 moveto
0.15986 0.02097 lineto
stroke
0 setgray
[(1)] 0.15986 0.00222 0 1 Mshowa
0.29592 0.00847 moveto
0.29592 0.02097 lineto
stroke
0 setgray
[(2)] 0.29592 0.00222 0 1 Mshowa
0.43197 0.00847 moveto
0.43197 0.02097 lineto
stroke
0 setgray
[(3)] 0.43197 0.00222 0 1 Mshowa
0.56803 0.00847 moveto
0.56803 0.02097 lineto
stroke
0 setgray
[(4)] 0.56803 0.00222 0 1 Mshowa
0.70408 0.00847 moveto
0.70408 0.02097 lineto
stroke
0 setgray
[(5)] 0.70408 0.00222 0 1 Mshowa
0.84014 0.00847 moveto
0.84014 0.02097 lineto
stroke
0 setgray
[(6)] 0.84014 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(7)] 0.97619 0.00222 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.13244 moveto
0.03006 0.13244 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.13244 1 0 Mshowa
0.01756 0.25016 moveto
0.03006 0.25016 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.25016 1 0 Mshowa
0.01756 0.36788 moveto
0.03006 0.36788 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.36788 1 0 Mshowa
0.01756 0.4856 moveto
0.03006 0.4856 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.4856 1 0 Mshowa
0.01756 0.60332 moveto
0.03006 0.60332 lineto
stroke
0 setgray
[(1)] 0.01131 0.60332 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.12302 0.01472 lineto
0.14286 0.01472 lineto
0.14782 0.01472 lineto
0.15278 0.01472 lineto
0.15526 0.01472 lineto
0.1565 0.01472 lineto
0.15774 0.01472 lineto
0.15898 0.01472 lineto
0.16022 0.60332 lineto
0.16146 0.60332 lineto
0.1627 0.60332 lineto
0.18254 0.60332 lineto
0.22222 0.60332 lineto
0.2619 0.60332 lineto
0.27183 0.60332 lineto
0.28175 0.60332 lineto
0.28671 0.60332 lineto
0.28919 0.60332 lineto
0.29167 0.60332 lineto
0.29291 0.60332 lineto
0.29415 0.60332 lineto
0.29539 0.60332 lineto
0.29663 0.01472 lineto
0.29911 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.51984 0.01472 lineto
0.53968 0.01472 lineto
0.5496 0.01472 lineto
0.55456 0.01472 lineto
0.55952 0.01472 lineto
0.562 0.01472 lineto
0.56448 0.01472 lineto
0.56572 0.01472 lineto
0.56696 0.01472 lineto
0.5682 0.60332 lineto
0.56944 0.60332 lineto
0.57068 0.60332 lineto
0.57192 0.60332 lineto
0.5744 0.60332 lineto
0.57937 0.60332 lineto
0.61905 0.60332 lineto
0.65873 0.60332 lineto
Mistroke
0.69841 0.60332 lineto
0.7381 0.60332 lineto
0.77778 0.60332 lineto
0.81746 0.60332 lineto
0.85714 0.60332 lineto
0.89683 0.60332 lineto
0.93651 0.60332 lineto
0.97619 0.60332 lineto
Mfstroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = input; preserveAspect; ]
PlotList[b,{t,0,7}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 39; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.13605 0.36748 0.11831 [
[(1)] 0.15986 0.35498 0 1 Msboxa
[(2)] 0.29592 0.35498 0 1 Msboxa
[(3)] 0.43197 0.35498 0 1 Msboxa
[(4)] 0.56803 0.35498 0 1 Msboxa
[(5)] 0.70408 0.35498 0 1 Msboxa
[(6)] 0.84014 0.35498 0 1 Msboxa
[(7)] 0.97619 0.35498 0 1 Msboxa
[(-3)] 0.01131 0.01256 1 0 Msboxa
[(-2)] 0.01131 0.13086 1 0 Msboxa
[(-1)] 0.01131 0.24917 1 0 Msboxa
[(1)] 0.01131 0.48578 1 0 Msboxa
[(2)] 0.01131 0.60409 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.36748 moveto
1 0.36748 lineto
stroke
0.15986 0.36123 moveto
0.15986 0.37373 lineto
stroke
0 setgray
[(1)] 0.15986 0.35498 0 1 Mshowa
0.29592 0.36123 moveto
0.29592 0.37373 lineto
stroke
0 setgray
[(2)] 0.29592 0.35498 0 1 Mshowa
0.43197 0.36123 moveto
0.43197 0.37373 lineto
stroke
0 setgray
[(3)] 0.43197 0.35498 0 1 Mshowa
0.56803 0.36123 moveto
0.56803 0.37373 lineto
stroke
0 setgray
[(4)] 0.56803 0.35498 0 1 Mshowa
0.70408 0.36123 moveto
0.70408 0.37373 lineto
stroke
0 setgray
[(5)] 0.70408 0.35498 0 1 Mshowa
0.84014 0.36123 moveto
0.84014 0.37373 lineto
stroke
0 setgray
[(6)] 0.84014 0.35498 0 1 Mshowa
0.97619 0.36123 moveto
0.97619 0.37373 lineto
stroke
0 setgray
[(7)] 0.97619 0.35498 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.01256 moveto
0.03006 0.01256 lineto
stroke
0 setgray
[(-3)] 0.01131 0.01256 1 0 Mshowa
0.01756 0.13086 moveto
0.03006 0.13086 lineto
stroke
0 setgray
[(-2)] 0.01131 0.13086 1 0 Mshowa
0.01756 0.24917 moveto
0.03006 0.24917 lineto
stroke
0 setgray
[(-1)] 0.01131 0.24917 1 0 Mshowa
0.01756 0.48578 moveto
0.03006 0.48578 lineto
stroke
0 setgray
[(1)] 0.01131 0.48578 1 0 Mshowa
0.01756 0.60409 moveto
0.03006 0.60409 lineto
stroke
0 setgray
[(2)] 0.01131 0.60409 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.42663 moveto
0.02505 0.48686 lineto
0.02629 0.48794 lineto
0.02877 0.4901 lineto
0.03373 0.49441 lineto
0.04365 0.50304 lineto
0.06349 0.52029 lineto
0.10317 0.55479 lineto
0.12302 0.57205 lineto
0.14286 0.5893 lineto
0.14782 0.59361 lineto
0.15278 0.59793 lineto
0.15526 0.60008 lineto
0.1565 0.60116 lineto
0.15774 0.60224 lineto
0.15898 0.60332 lineto
0.16022 0.48578 lineto
0.16146 0.48578 lineto
0.1627 0.48578 lineto
0.18254 0.48578 lineto
0.22222 0.48578 lineto
0.2619 0.48578 lineto
0.30159 0.48578 lineto
0.34127 0.48578 lineto
0.38095 0.48578 lineto
0.42063 0.48578 lineto
0.46032 0.48578 lineto
0.5 0.48578 lineto
0.53968 0.48578 lineto
0.57937 0.48578 lineto
0.61905 0.48578 lineto
0.65873 0.48578 lineto
0.67857 0.48578 lineto
0.68849 0.48578 lineto
0.69345 0.48578 lineto
0.69841 0.48578 lineto
0.70089 0.48578 lineto
0.70213 0.48578 lineto
0.70337 0.48578 lineto
0.70461 0.36701 lineto
0.70585 0.36594 lineto
0.70833 0.36378 lineto
0.71825 0.35515 lineto
0.7381 0.3379 lineto
0.77778 0.30339 lineto
0.79762 0.28614 lineto
0.81746 0.26889 lineto
0.82738 0.26026 lineto
0.83234 0.25595 lineto
0.83482 0.25379 lineto
Mistroke
0.8373 0.25164 lineto
0.83854 0.25056 lineto
0.83978 0.24948 lineto
0.84102 0.13009 lineto
0.84226 0.12902 lineto
0.8435 0.12794 lineto
0.84474 0.12686 lineto
0.84722 0.1247 lineto
0.85714 0.11608 lineto
0.89683 0.08157 lineto
0.91667 0.06432 lineto
0.93651 0.04706 lineto
0.94643 0.03844 lineto
0.95635 0.02981 lineto
0.96131 0.0255 lineto
0.96627 0.02118 lineto
0.96875 0.01903 lineto
0.97123 0.01687 lineto
0.97247 0.01579 lineto
0.97371 0.01472 lineto
0.97619 0.19002 lineto
Mfstroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = input; preserveAspect; ]
PlotList[c,{t,0,14}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 39; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.06803 0.01472 0.10702 [
[(2)] 0.15986 0.00222 0 1 Msboxa
[(4)] 0.29592 0.00222 0 1 Msboxa
[(6)] 0.43197 0.00222 0 1 Msboxa
[(8)] 0.56803 0.00222 0 1 Msboxa
[(10)] 0.70408 0.00222 0 1 Msboxa
[(12)] 0.84014 0.00222 0 1 Msboxa
[(14)] 0.97619 0.00222 0 1 Msboxa
[(1)] 0.01131 0.12173 1 0 Msboxa
[(2)] 0.01131 0.22875 1 0 Msboxa
[(3)] 0.01131 0.33577 1 0 Msboxa
[(4)] 0.01131 0.44279 1 0 Msboxa
[(5)] 0.01131 0.54981 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.15986 0.00847 moveto
0.15986 0.02097 lineto
stroke
0 setgray
[(2)] 0.15986 0.00222 0 1 Mshowa
0.29592 0.00847 moveto
0.29592 0.02097 lineto
stroke
0 setgray
[(4)] 0.29592 0.00222 0 1 Mshowa
0.43197 0.00847 moveto
0.43197 0.02097 lineto
stroke
0 setgray
[(6)] 0.43197 0.00222 0 1 Mshowa
0.56803 0.00847 moveto
0.56803 0.02097 lineto
stroke
0 setgray
[(8)] 0.56803 0.00222 0 1 Mshowa
0.70408 0.00847 moveto
0.70408 0.02097 lineto
stroke
0 setgray
[(10)] 0.70408 0.00222 0 1 Mshowa
0.84014 0.00847 moveto
0.84014 0.02097 lineto
stroke
0 setgray
[(12)] 0.84014 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(14)] 0.97619 0.00222 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.12173 moveto
0.03006 0.12173 lineto
stroke
0 setgray
[(1)] 0.01131 0.12173 1 0 Mshowa
0.01756 0.22875 moveto
0.03006 0.22875 lineto
stroke
0 setgray
[(2)] 0.01131 0.22875 1 0 Mshowa
0.01756 0.33577 moveto
0.03006 0.33577 lineto
stroke
0 setgray
[(3)] 0.01131 0.33577 1 0 Mshowa
0.01756 0.44279 moveto
0.03006 0.44279 lineto
stroke
0 setgray
[(4)] 0.01131 0.44279 1 0 Mshowa
0.01756 0.54981 moveto
0.03006 0.54981 lineto
stroke
0 setgray
[(5)] 0.01131 0.54981 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.04365 0.01472 lineto
0.06349 0.01472 lineto
0.07341 0.01472 lineto
0.08333 0.01472 lineto
0.08581 0.01472 lineto
0.08829 0.01472 lineto
0.08953 0.01472 lineto
0.09077 0.01472 lineto
0.09201 0.01499 lineto
0.09325 0.01697 lineto
0.09573 0.02102 lineto
0.09821 0.02522 lineto
0.10317 0.03404 lineto
0.14286 0.12508 lineto
0.15278 0.15353 lineto
0.15526 0.161 lineto
0.15774 0.16861 lineto
0.15898 0.17247 lineto
0.16022 0.17524 lineto
0.16146 0.17521 lineto
0.1627 0.17515 lineto
0.16394 0.17505 lineto
0.16518 0.17492 lineto
0.16642 0.17475 lineto
0.16766 0.17454 lineto
0.17262 0.17336 lineto
0.1751 0.17256 lineto
0.17758 0.17161 lineto
0.18254 0.1693 lineto
0.19246 0.16296 lineto
0.20238 0.15434 lineto
0.2123 0.14345 lineto
0.21726 0.13715 lineto
0.22222 0.13028 lineto
0.2247 0.12663 lineto
0.22594 0.12476 lineto
0.22718 0.12284 lineto
0.22842 0.12173 lineto
0.22966 0.12173 lineto
0.23214 0.12173 lineto
0.24206 0.12173 lineto
0.2619 0.12173 lineto
0.27183 0.12173 lineto
0.28175 0.12173 lineto
0.28671 0.12173 lineto
0.28919 0.12173 lineto
0.29167 0.12173 lineto
0.29291 0.12173 lineto
0.29415 0.12173 lineto
Mistroke
0.29539 0.12173 lineto
0.29663 0.12285 lineto
0.29911 0.12687 lineto
0.30159 0.13102 lineto
0.34127 0.21686 lineto
0.35119 0.24401 lineto
0.35615 0.25844 lineto
0.36111 0.27344 lineto
0.36235 0.27728 lineto
0.36359 0.28115 lineto
0.36607 0.28561 lineto
0.36855 0.28951 lineto
0.37103 0.29341 lineto
0.38095 0.30902 lineto
0.40079 0.34023 lineto
0.41071 0.35584 lineto
0.42063 0.37145 lineto
0.4256 0.37925 lineto
0.42808 0.38315 lineto
0.42932 0.3851 lineto
0.43056 0.38705 lineto
0.4318 0.389 lineto
0.43304 0.38927 lineto
0.43428 0.38922 lineto
0.43552 0.38914 lineto
0.43676 0.38902 lineto
0.438 0.38886 lineto
0.44048 0.38845 lineto
0.44296 0.38789 lineto
0.44544 0.38719 lineto
0.4504 0.38536 lineto
0.45536 0.38296 lineto
0.46032 0.37999 lineto
0.47024 0.37235 lineto
0.48016 0.36243 lineto
0.5 0.33577 lineto
0.51984 0.30456 lineto
0.53968 0.27334 lineto
0.5496 0.25774 lineto
0.55456 0.24993 lineto
0.55952 0.24213 lineto
0.562 0.23823 lineto
0.56448 0.23433 lineto
0.56572 0.23238 lineto
0.56696 0.23043 lineto
0.5682 0.22959 lineto
0.56944 0.23547 lineto
0.57068 0.24138 lineto
0.57192 0.24732 lineto
0.5744 0.25932 lineto
Mistroke
0.57937 0.28375 lineto
0.61905 0.49965 lineto
0.62897 0.55931 lineto
0.63393 0.59 lineto
0.63517 0.59776 lineto
0.63641 0.60332 lineto
0.63765 0.60329 lineto
0.63889 0.60323 lineto
0.64013 0.60313 lineto
0.64137 0.60299 lineto
0.64261 0.60282 lineto
0.64385 0.60262 lineto
0.64881 0.60144 lineto
0.65129 0.60064 lineto
0.65377 0.59969 lineto
0.65873 0.59737 lineto
0.66865 0.59103 lineto
0.67857 0.58242 lineto
0.68849 0.57153 lineto
0.69345 0.56523 lineto
0.69841 0.55836 lineto
0.70089 0.55471 lineto
0.70213 0.55283 lineto
0.70337 0.55092 lineto
0.70585 0.5442 lineto
0.70833 0.53622 lineto
0.71825 0.5029 lineto
0.7381 0.42941 lineto
0.75794 0.34683 lineto
0.76786 0.30212 lineto
0.77034 0.29059 lineto
0.77158 0.28477 lineto
0.77282 0.28226 lineto
0.7753 0.28226 lineto
0.77778 0.28226 lineto
0.79762 0.28226 lineto
0.81746 0.28226 lineto
0.85714 0.28226 lineto
0.89683 0.28226 lineto
0.93651 0.28226 lineto
0.97619 0.28226 lineto
Mfstroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example:  Convolving an Expression with a Function in List Form
:[font = text; inactive; ]
     The next example shows the convolution of an expression with a list.  The list is a finite pulse train, and the expression is a decaying exponential.  Notice the long list of adjacent intervals.
:[font = input; Cclosed; preserveAspect; startGroup; ]
list= {{10,0,.1},{10,1,1.1},{10,2,2.1},{10,3,3.1},{10,4,4.1}}
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{10, 0, 0.1}, {10, 1, 1.1}, {10, 2, 2.1}, {10, 3, 3.1}, 
  {10, 4, 4.1}}
;[o]
{{10, 0, 0.1}, {10, 1, 1.1}, {10, 2, 2.1}, {10, 3, 3.1}, 
 
  {10, 4, 4.1}}
:[font = input; Cclosed; preserveAspect; startGroup; ]
expr = Exp[-t] CStep[t]
:[font = output; output; inactive; preserveAspect; endGroup; ]
CStep[t]/E^t
;[o]
CStep[t]
--------
    t
   E
:[font = input; Cclosed; preserveAspect; startGroup; ]
conv = PiecewiseConvolution[list,expr,t]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{10 - 10/E^t, 0, 0.1}, {1.051709180756477/E^t, 0.1, 1}, 
  {(1.051709180756477 - 10*E + 10*E^t)/E^t, 1, 1.1}, 
  {(31.09336942022081 - 10*E)/E^t, 1.1, 2}, 
  {(31.09336942022081 - 10*E - 10*E^2 + 10*E^t)/E^t, 2, 
   2.1}, {(112.7550685458973 - 10*E - 10*E^2)/E^t, 2.1, 
   3}, {(112.7550685458973 - 10*E - 10*E^2 - 10*E^3 + 
      10*E^t)/E^t, 3, 3.1}, 
  {(334.7345813603137 - 10*E - 10*E^2 - 10*E^3)/E^t, 3.1, 
   4}, {(334.7345813603137 - 10*E - 10*E^2 - 10*E^3 - 
      10*E^4 + 10*E^t)/E^t, 4, 4.1}, 
  {(938.137457333933 - 10*E - 10*E^2 - 10*E^3 - 10*E^4)/
    E^t, 4.1, DirectedInfinity[1]}}
;[o]
       10            1.05171
{{10 - --, 0, 0.1}, {-------, 0.1, 1}, 
        t               t
       E               E
 
                        t
   1.05171 - 10 E + 10 E
  {----------------------, 1, 1.1}, 
              t
             E
 
   31.0934 - 10 E
  {--------------, 1.1, 2}, 
          t
         E
 
                        2       t
   31.0934 - 10 E - 10 E  + 10 E
  {------------------------------, 2, 2.1}, 
                  t
                 E
 
                        2
   112.755 - 10 E - 10 E
  {----------------------, 2.1, 3}, 
              t
             E
 
                        2       3       t
   112.755 - 10 E - 10 E  - 10 E  + 10 E
  {--------------------------------------, 3, 3.1}, 
                      t
                     E
 
                        2       3
   334.735 - 10 E - 10 E  - 10 E
  {------------------------------, 3.1, 4}, 
                  t
                 E
 
                        2       3       4       t
   334.735 - 10 E - 10 E  - 10 E  - 10 E  + 10 E
  {----------------------------------------------, 4, 
                          t
                         E
 
                               2       3       4
          938.137 - 10 E - 10 E  - 10 E  - 10 E
   4.1}, {--------------------------------------, 4.1, 
                             t
                            E
 
   Infinity}}
:[font = input; Cclosed; preserveAspect; startGroup; ]
PlotList[list,{t,0,6}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 120; pictureWidth = 282; pictureHeight = 174; startGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.15873 0.01472 0.05886 [
[(1)] 0.18254 0.00222 0 1 Msboxa
[(2)] 0.34127 0.00222 0 1 Msboxa
[(3)] 0.5 0.00222 0 1 Msboxa
[(4)] 0.65873 0.00222 0 1 Msboxa
[(5)] 0.81746 0.00222 0 1 Msboxa
[(6)] 0.97619 0.00222 0 1 Msboxa
[(2)] 0.01131 0.13244 1 0 Msboxa
[(4)] 0.01131 0.25016 1 0 Msboxa
[(6)] 0.01131 0.36788 1 0 Msboxa
[(8)] 0.01131 0.4856 1 0 Msboxa
[(10)] 0.01131 0.60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.18254 0.00847 moveto
0.18254 0.02097 lineto
stroke
0 setgray
[(1)] 0.18254 0.00222 0 1 Mshowa
0.34127 0.00847 moveto
0.34127 0.02097 lineto
stroke
0 setgray
[(2)] 0.34127 0.00222 0 1 Mshowa
0.5 0.00847 moveto
0.5 0.02097 lineto
stroke
0 setgray
[(3)] 0.5 0.00222 0 1 Mshowa
0.65873 0.00847 moveto
0.65873 0.02097 lineto
stroke
0 setgray
[(4)] 0.65873 0.00222 0 1 Mshowa
0.81746 0.00847 moveto
0.81746 0.02097 lineto
stroke
0 setgray
[(5)] 0.81746 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(6)] 0.97619 0.00222 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.13244 moveto
0.03006 0.13244 lineto
stroke
0 setgray
[(2)] 0.01131 0.13244 1 0 Mshowa
0.01756 0.25016 moveto
0.03006 0.25016 lineto
stroke
0 setgray
[(4)] 0.01131 0.25016 1 0 Mshowa
0.01756 0.36788 moveto
0.03006 0.36788 lineto
stroke
0 setgray
[(6)] 0.01131 0.36788 1 0 Mshowa
0.01756 0.4856 moveto
0.03006 0.4856 lineto
stroke
0 setgray
[(8)] 0.01131 0.4856 1 0 Mshowa
0.01756 0.60332 moveto
0.03006 0.60332 lineto
stroke
0 setgray
[(10)] 0.01131 0.60332 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.30902 moveto
0.02505 0.60332 lineto
0.02629 0.60332 lineto
0.02877 0.60332 lineto
0.03373 0.60332 lineto
0.03621 0.60332 lineto
0.03745 0.60332 lineto
0.03869 0.60332 lineto
0.03993 0.01472 lineto
0.04117 0.01472 lineto
0.04365 0.01472 lineto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.12302 0.01472 lineto
0.14286 0.01472 lineto
0.15278 0.01472 lineto
0.1627 0.01472 lineto
0.16766 0.01472 lineto
0.17262 0.01472 lineto
0.1751 0.01472 lineto
0.17758 0.01472 lineto
0.17882 0.01472 lineto
0.18006 0.01472 lineto
0.18254 0.30902 lineto
0.18378 0.60332 lineto
0.18502 0.60332 lineto
0.1875 0.60332 lineto
0.19246 0.60332 lineto
0.19494 0.60332 lineto
0.19618 0.60332 lineto
0.19742 0.60332 lineto
0.19866 0.01472 lineto
0.1999 0.01472 lineto
0.20238 0.01472 lineto
0.22222 0.01472 lineto
0.2619 0.01472 lineto
0.28175 0.01472 lineto
0.30159 0.01472 lineto
0.31151 0.01472 lineto
0.32143 0.01472 lineto
0.32639 0.01472 lineto
0.33135 0.01472 lineto
0.33383 0.01472 lineto
0.33631 0.01472 lineto
0.33755 0.01472 lineto
0.33879 0.01472 lineto
0.34127 0.30902 lineto
0.34251 0.60332 lineto
0.34375 0.60332 lineto
0.34623 0.60332 lineto
Mistroke
0.35119 0.60332 lineto
0.35367 0.60332 lineto
0.35491 0.60332 lineto
0.35615 0.60332 lineto
0.35739 0.01472 lineto
0.35863 0.01472 lineto
0.36111 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.44048 0.01472 lineto
0.46032 0.01472 lineto
0.47024 0.01472 lineto
0.48016 0.01472 lineto
0.48512 0.01472 lineto
0.49008 0.01472 lineto
0.49256 0.01472 lineto
0.49504 0.01472 lineto
0.49628 0.01472 lineto
0.49752 0.01472 lineto
0.5 0.30902 lineto
0.50124 0.60332 lineto
0.50248 0.60332 lineto
0.50496 0.60332 lineto
0.50992 0.60332 lineto
0.5124 0.60332 lineto
0.51364 0.60332 lineto
0.51488 0.60332 lineto
0.51612 0.01472 lineto
0.51736 0.01472 lineto
0.51984 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.59921 0.01472 lineto
0.61905 0.01472 lineto
0.62897 0.01472 lineto
0.63889 0.01472 lineto
0.64385 0.01472 lineto
0.64881 0.01472 lineto
0.65129 0.01472 lineto
0.65377 0.01472 lineto
0.65501 0.01472 lineto
0.65625 0.01472 lineto
0.65873 0.30902 lineto
0.65997 0.60332 lineto
0.66121 0.60332 lineto
0.66369 0.60332 lineto
0.66865 0.60332 lineto
0.67113 0.60332 lineto
0.67237 0.60332 lineto
0.67361 0.60332 lineto
Mistroke
0.67485 0.01472 lineto
0.67609 0.01472 lineto
0.67857 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
Graphics[{{Line[{{0., 5.}, {0.0078125, 10.}, 
      {0.015625, 10.}, {0.03125, 10.}, {0.0625, 10.}, 
      {0.078125, 10.}, {0.0859375, 10.}, {0.09375, 10.}, 
      {0.1015625, 0.}, {0.109375, 0.}, {0.125, 0.}, 
      {0.25, 0.}, {0.5, 0.}, {0.625, 0.}, {0.75, 0.}, 
      {0.8125, 0.}, {0.875, 0.}, {0.90625, 0.}, 
      {0.9375, 0.}, {0.953125, 0.}, {0.96875, 0.}, 
      {0.9765625, 0.}, {0.984375, 0.}, {1., 5.}, 
      {1.0078125, 10.}, {1.015625, 10.}, {1.03125, 10.}, 
      {1.0625, 10.}, {1.078125, 10.}, {1.0859375, 10.}, 
      {1.09375, 10.}, {1.1015625, 0.}, {1.109375, 0.}, 
      {1.125, 0.}, {1.25, 0.}, {1.5, 0.}, {1.625, 0.}, 
      {1.75, 0.}, {1.8125, 0.}, {1.875, 0.}, 
      {1.90625, 0.}, {1.9375, 0.}, {1.953125, 0.}, 
      {1.96875, 0.}, {1.9765625, 0.}, {1.984375, 0.}, 
      {2., 5.}, {2.0078125, 10.}, {2.015625, 10.}, 
      {2.03125, 10.}, {2.0625, 10.}, {2.078125, 10.}, 
      {2.0859375, 10.}, {2.09375, 10.}, {2.1015625, 0.}, 
      {2.109375, 0.}, {2.125, 0.}, {2.25, 0.}, {2.5, 0.}, 
      {2.625, 0.}, {2.75, 0.}, {2.8125, 0.}, {2.875, 0.}, 
      {2.90625, 0.}, {2.9375, 0.}, {2.953125, 0.}, 
      {2.96875, 0.}, {2.9765625, 0.}, {2.984375, 0.}, 
      {3., 5.}, {3.0078125, 10.}, {3.015625, 10.}, 
      {3.03125, 10.}, {3.0625, 10.}, {3.078125, 10.}, 
      {3.0859375, 10.}, {3.09375, 10.}, {3.1015625, 0.}, 
      {3.109375, 0.}, {3.125, 0.}, {3.25, 0.}, {3.5, 0.}, 
      {3.625, 0.}, {3.75, 0.}, {3.8125, 0.}, {3.875, 0.}, 
      {3.90625, 0.}, {3.9375, 0.}, {3.953125, 0.}, 
      {3.96875, 0.}, {3.9765625, 0.}, {3.984375, 0.}, 
      {4., 5.}, {4.0078125, 10.}, {4.015625, 10.}, 
      {4.03125, 10.}, {4.0625, 10.}, {4.078125, 10.}, 
      {4.0859375, 10.}, {4.09375, 10.}, {4.1015625, 0.}, 
      {4.109375, 0.}, {4.125, 0.}, {4.25, 0.}, {4.5, 0.}, 
      {4.75, 0.}, {5., 0.}, {5.25, 0.}, {5.5, 0.}, 
      {5.75, 0.}, {6., 0.}}]}}, 
  {PlotRange -> Automatic, 
   AspectRatio -> GoldenRatio^(-1), 
   DisplayFunction -> (Display[$Display, #1] & ), 
   PlotColor -> Automatic, Axes -> Automatic, 
   PlotLabel -> None, AxesLabel -> None, 
   Ticks -> Automatic, Framed -> False, Prolog -> {}, 
   Epilog -> {}, AxesStyle -> {}, Background -> Automatic, 
   DefaultColor -> Automatic}]
;[o]
-Graphics-
:[font = input; Cclosed; preserveAspect; startGroup; ]
Plot[expr,{t,0,10}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 120; pictureWidth = 282; pictureHeight = 174; startGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.09524 0.01472 0.59632 [
[(2)] 0.21429 0.00222 0 1 Msboxa
[(4)] 0.40476 0.00222 0 1 Msboxa
[(6)] 0.59524 0.00222 0 1 Msboxa
[(8)] 0.78571 0.00222 0 1 Msboxa
[(10)] 0.97619 0.00222 0 1 Msboxa
[(0.2)] 0.01131 0.13398 1 0 Msboxa
[(0.4)] 0.01131 0.25324 1 0 Msboxa
[(0.6)] 0.01131 0.37251 1 0 Msboxa
[(0.8)] 0.01131 0.49177 1 0 Msboxa
[(1)] 0.01131 0.61103 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.21429 0.00847 moveto
0.21429 0.02097 lineto
stroke
0 setgray
[(2)] 0.21429 0.00222 0 1 Mshowa
0.40476 0.00847 moveto
0.40476 0.02097 lineto
stroke
0 setgray
[(4)] 0.40476 0.00222 0 1 Mshowa
0.59524 0.00847 moveto
0.59524 0.02097 lineto
stroke
0 setgray
[(6)] 0.59524 0.00222 0 1 Mshowa
0.78571 0.00847 moveto
0.78571 0.02097 lineto
stroke
0 setgray
[(8)] 0.78571 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(10)] 0.97619 0.00222 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.13398 moveto
0.03006 0.13398 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.13398 1 0 Mshowa
0.01756 0.25324 moveto
0.03006 0.25324 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.25324 1 0 Mshowa
0.01756 0.37251 moveto
0.03006 0.37251 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.37251 1 0 Mshowa
0.01756 0.49177 moveto
0.03006 0.49177 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.49177 1 0 Mshowa
0.01756 0.61103 moveto
0.03006 0.61103 lineto
stroke
0 setgray
[(1)] 0.01131 0.61103 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.31287 moveto
0.02505 0.60332 lineto
0.02629 0.5957 lineto
0.02877 0.58077 lineto
0.03373 0.55204 lineto
0.04365 0.49889 lineto
0.06349 0.40783 lineto
0.08333 0.3339 lineto
0.10317 0.27387 lineto
0.14286 0.18556 lineto
0.1627 0.15343 lineto
0.18254 0.12735 lineto
0.20238 0.10616 lineto
0.22222 0.08897 lineto
0.2619 0.06366 lineto
0.28175 0.05446 lineto
0.30159 0.04698 lineto
0.32143 0.04092 lineto
0.34127 0.03599 lineto
0.38095 0.02874 lineto
0.40079 0.0261 lineto
0.42063 0.02396 lineto
0.44048 0.02222 lineto
0.46032 0.02081 lineto
0.5 0.01873 lineto
0.51984 0.01798 lineto
0.53968 0.01736 lineto
0.55952 0.01687 lineto
0.57937 0.01646 lineto
0.61905 0.01587 lineto
0.63889 0.01565 lineto
0.65873 0.01547 lineto
0.67857 0.01533 lineto
0.69841 0.01522 lineto
0.7381 0.01504 lineto
0.75794 0.01498 lineto
0.77778 0.01493 lineto
0.79762 0.01489 lineto
0.81746 0.01486 lineto
0.85714 0.01481 lineto
0.87698 0.01479 lineto
0.89683 0.01478 lineto
0.91667 0.01477 lineto
0.93651 0.01476 lineto
0.97619 0.01474 lineto
stroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
Graphics[{{Line[{{0., 0.5}, 
      {0.01302083333333333, 0.987063570981684}, 
      {0.02604166666666667, 0.974294493159114}, 
      {0.05208333333333334, 0.949249759400175}, 
      {0.1041666666666667, 0.901075105721291}, 
      {0.2083333333333333, 0.811936346150635}, 
      {0.4166666666666667, 0.6592406302004438}, 
      {0.625, 0.5352614285189903}, 
      {0.833333333333333, 0.4345982085070782}, 
      {1.25, 0.2865047968601901}, 
      {1.458333333333333, 0.2326236579172926}, 
      {1.666666666666667, 0.1888756028375618}, 
      {1.875, 0.1533549668449285}, 
      {2.083333333333333, 0.124514471444123}, 
      {2.5, 0.0820849986238988}, 
      {2.708333333333333, 0.06664779385646828}, 
      {2.916666666666667, 0.05411376622282158}, 
      {3.125, 0.04393693362340742}, 
      {3.333333333333333, 0.03567399334725239}, 
      {3.75, 0.02351774585600911}, 
      {3.958333333333333, 0.01909491264002727}, 
      {4.166666666666667, 0.01550385359900931}, 
      {4.375, 0.012588142242434}, 
      {4.583333333333334, 0.01022077021714632}, 
      {5., 0.006737946999085467}, 
      {5.208333333333334, 0.005470784066994087}, 
      {5.416666666666667, 0.004441928425934291}, 
      {5.625, 0.00360656313601573}, 
      {5.833333333333334, 0.002928299694818186}, 
      {6.25, 0.001930454136227709}, 
      {6.458333333333334, 0.001567405877780106}, 
      {6.666666666666667, 0.001272633801339808}, 
      {6.875, 0.001033297638647637}, 
      {7.083333333333334, 0.000838971909209641}, 
      {7.5, 0.0005530843701478336}, 
      {7.708333333333334, 0.0004490693026108571}, 
      {7.916666666666667, 0.0003646156887302732}, 
      {8.125, 0.0002960447300568554}, 
      {8.33333333333333, 0.0002403694764195141}, 
      {8.75, 0.0001584613251157513}, 
      {8.95833333333333, 0.0001286605093206708}, 
      {9.16666666666667, 0.0001044641438317051}, 
      {9.375, 0.0000848182352464692}, 
      {9.58333333333333, 0.00006886700801296313}, 
      {10., 0.00004539992976248485}}]}}, 
  {PlotRange -> Automatic, 
   AspectRatio -> GoldenRatio^(-1), 
   DisplayFunction -> (Display[$Display, #1] & ), 
   PlotColor -> Automatic, Axes -> Automatic, 
   PlotLabel -> None, AxesLabel -> None, 
   Ticks -> Automatic, Framed -> False, Prolog -> {}, 
   Epilog -> {}, AxesStyle -> {}, Background -> Automatic, 
   DefaultColor -> Automatic}]
;[o]
-Graphics-
:[font = input; Cclosed; preserveAspect; startGroup; ]
PlotList[conv,{t,0,10}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 120; pictureWidth = 282; pictureHeight = 174; startGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.09524 0.01472 0.39425 [
[(2)] 0.21429 0.00222 0 1 Msboxa
[(4)] 0.40476 0.00222 0 1 Msboxa
[(6)] 0.59524 0.00222 0 1 Msboxa
[(8)] 0.78571 0.00222 0 1 Msboxa
[(10)] 0.97619 0.00222 0 1 Msboxa
[(0.2)] 0.01131 0.09357 1 0 Msboxa
[(0.4)] 0.01131 0.17242 1 0 Msboxa
[(0.6)] 0.01131 0.25126 1 0 Msboxa
[(0.8)] 0.01131 0.33011 1 0 Msboxa
[(1)] 0.01131 0.40896 1 0 Msboxa
[(1.2)] 0.01131 0.48781 1 0 Msboxa
[(1.4)] 0.01131 0.56666 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.21429 0.00847 moveto
0.21429 0.02097 lineto
stroke
0 setgray
[(2)] 0.21429 0.00222 0 1 Mshowa
0.40476 0.00847 moveto
0.40476 0.02097 lineto
stroke
0 setgray
[(4)] 0.40476 0.00222 0 1 Mshowa
0.59524 0.00847 moveto
0.59524 0.02097 lineto
stroke
0 setgray
[(6)] 0.59524 0.00222 0 1 Mshowa
0.78571 0.00847 moveto
0.78571 0.02097 lineto
stroke
0 setgray
[(8)] 0.78571 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(10)] 0.97619 0.00222 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.09357 moveto
0.03006 0.09357 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.09357 1 0 Mshowa
0.01756 0.17242 moveto
0.03006 0.17242 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.17242 1 0 Mshowa
0.01756 0.25126 moveto
0.03006 0.25126 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.25126 1 0 Mshowa
0.01756 0.33011 moveto
0.03006 0.33011 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.33011 1 0 Mshowa
0.01756 0.40896 moveto
0.03006 0.40896 lineto
stroke
0 setgray
[(1)] 0.01131 0.40896 1 0 Mshowa
0.01756 0.48781 moveto
0.03006 0.48781 lineto
stroke
0 setgray
[(1.2)] 0.01131 0.48781 1 0 Mshowa
0.01756 0.56666 moveto
0.03006 0.56666 lineto
stroke
0 setgray
[(1.4)] 0.01131 0.56666 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.02877 0.2148 lineto
0.03125 0.311 lineto
0.03249 0.35817 lineto
0.03373 0.38833 lineto
0.03621 0.37873 lineto
0.03869 0.36937 lineto
0.04365 0.35137 lineto
0.06349 0.28806 lineto
0.08333 0.23665 lineto
0.09325 0.2147 lineto
0.10317 0.19492 lineto
0.1131 0.17709 lineto
0.11558 0.17292 lineto
0.11682 0.17087 lineto
0.11806 0.16885 lineto
0.1193 0.17711 lineto
0.12054 0.22601 lineto
0.12178 0.27428 lineto
0.12302 0.32192 lineto
0.1255 0.41537 lineto
0.12674 0.46119 lineto
0.12798 0.50641 lineto
0.12922 0.52445 lineto
0.13046 0.51786 lineto
0.13294 0.50492 lineto
0.14286 0.45643 lineto
0.15278 0.41273 lineto
0.1627 0.37336 lineto
0.18254 0.30591 lineto
0.20238 0.25115 lineto
0.20734 0.23915 lineto
0.20982 0.23338 lineto
0.21106 0.23055 lineto
0.2123 0.22776 lineto
0.21354 0.225 lineto
0.21478 0.24276 lineto
0.21726 0.33824 lineto
0.21974 0.43127 lineto
0.22098 0.47689 lineto
0.22222 0.52191 lineto
0.22346 0.56635 lineto
0.2247 0.57343 lineto
0.22594 0.5662 lineto
0.22718 0.55906 lineto
0.23214 0.53144 lineto
0.24206 0.48032 lineto
0.2619 0.39276 lineto
0.28175 0.32166 lineto
0.29167 0.2913 lineto
Mistroke
0.29663 0.27726 lineto
0.30159 0.26394 lineto
0.30655 0.25129 lineto
0.30779 0.24823 lineto
0.30903 0.24521 lineto
0.31151 0.32057 lineto
0.31399 0.41405 lineto
0.31647 0.50513 lineto
0.31771 0.54979 lineto
0.31895 0.59387 lineto
0.32143 0.58298 lineto
0.32639 0.55414 lineto
0.33135 0.52677 lineto
0.34127 0.47611 lineto
0.38095 0.31889 lineto
0.39087 0.2888 lineto
0.39583 0.27489 lineto
0.39831 0.2682 lineto
0.40079 0.26168 lineto
0.40327 0.25533 lineto
0.40451 0.25222 lineto
0.40575 0.29 lineto
0.41071 0.47612 lineto
0.41195 0.52115 lineto
0.41319 0.5656 lineto
0.41443 0.60332 lineto
0.41567 0.5957 lineto
0.41815 0.58077 lineto
0.42063 0.56622 lineto
0.44048 0.4625 lineto
0.46032 0.37829 lineto
0.5 0.2544 lineto
0.51984 0.20932 lineto
0.53968 0.17272 lineto
0.55952 0.14301 lineto
0.57937 0.11888 lineto
0.61905 0.08339 lineto
0.63889 0.07047 lineto
0.65873 0.05999 lineto
0.67857 0.05147 lineto
0.69841 0.04456 lineto
0.7381 0.03439 lineto
0.75794 0.03069 lineto
0.77778 0.02769 lineto
0.79762 0.02525 lineto
0.81746 0.02327 lineto
0.85714 0.02035 lineto
0.87698 0.01929 lineto
0.89683 0.01843 lineto
0.91667 0.01773 lineto
Mistroke
0.93651 0.01716 lineto
0.97619 0.01633 lineto
Mfstroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup; endGroup; ]
Graphics[{{Line[{{0., 0.}, 
      {0.05208333333333334, 0.5075024059982489}, 
      {0.078125, 0.7515118678379515}, 
      {0.0911458333333333, 0.871154278086403}, 
      {0.1041666666666667, 0.947668961238195}, 
      {0.1302083333333333, 0.923308650272191}, 
      {0.15625, 0.89957453344637}, 
      {0.2083333333333333, 0.853920909436492}, 
      {0.4166666666666667, 0.6933294231094924}, 
      {0.625, 0.5629393584782489}, 
      {0.7291666666666667, 0.5072506419554635}, 
      {0.833333333333333, 0.4570709258272118}, 
      {0.9375, 0.4118552328118831}, 
      {0.963541666666667, 0.4012682853073826}, 
      {0.9765625, 0.3960773066172024}, 
      {0.989583333333333, 0.3909534806543832}, 
      {1.002604166666667, 0.4119037263642031}, 
      {1.015625, 0.5359394532288693}, 
      {1.028645833333333, 0.6583706007172189}, 
      {1.041666666666667, 0.7792179263564527}, 
      {1.067708333333333, 1.016242803028816}, 
      {1.080729166666667, 1.132460540325217}, 
      {1.09375, 1.247174835112415}, 
      {1.106770833333333, 1.292925507690155}, 
      {1.119791666666667, 1.276199668633951}, 
      {1.145833333333333, 1.243394309321545}, 
      {1.25, 1.120391658725162}, 
      {1.354166666666667, 1.009557032335027}, 
      {1.458333333333333, 0.909686709642957}, 
      {1.666666666666667, 0.7386077031692962}, 
      {1.875, 0.5997024397499913}, 
      {1.927083333333333, 0.5692673966443772}, 
      {1.953125, 0.554634089685642}, 
      {1.966145833333333, 0.5474591051532853}, 
      {1.979166666666667, 0.5403769392990392}, 
      {1.9921875, 0.5333863913806625}, 
      {2.005208333333333, 0.5784342110108609}, 
      {2.03125, 0.820620334851576}, 
      {2.057291666666667, 1.056580941629139}, 
      {2.0703125, 1.172276847458805}, 
      {2.083333333333333, 1.286476061414997}, 
      {2.096354166666667, 1.3991979453459}, 
      {2.109375, 1.417149693673128}, 
      {2.122395833333333, 1.398816837252598}, 
      {2.135416666666667, 1.380721142527854}, 
      {2.1875, 1.310649212343301}, 
      {2.291666666666667, 1.180993377575766}, 
      {2.5, 0.958891447816965}, 
      {2.708333333333333, 0.7785588184955986}, 
      {2.8125, 0.7015399696861647}, 
      {2.864583333333333, 0.6659366474341979}, 
      {2.916666666666667, 0.6321402023526715}, 
      {2.96875, 0.6000589349904518}, 
      {2.981770833333333, 0.5922963151711416}, 
      {2.994791666666667, 0.5846341159321199}, 
      {3.020833333333333, 0.7757839863532123}, 
      {3.046875, 1.012897134193819}, 
      {3.072916666666667, 1.243915168390546}, 
      {3.0859375, 1.357187638293011}, 
      {3.098958333333333, 1.468994766928857}, 
      {3.125, 1.441387700590526}, 
      {3.177083333333333, 1.368236927987929}, 
      {3.229166666666667, 1.298798574694976}, 
      {3.333333333333333, 1.170315063003937}, 
      {3.75, 0.7715192396677875}, 
      {3.854166666666667, 0.6951967804496613}, 
      {3.90625, 0.6599153765776175}, 
      {3.932291666666667, 0.6429519173505956}, 
      {3.958333333333333, 0.6264245124407793}, 
      {3.984375, 0.6103219528509345}, 
      {3.997395833333333, 0.6024265662295583}, 
      {4.010416666666667, 0.698259328566819}, 
      {4.0625, 1.170324905639225}, 
      {4.075520833333334, 1.284549370752221}, 
      {4.088541666666667, 1.39729617918012}, 
      {4.1015625, 1.492971647199648}, 
      {4.114583333333334, 1.473657925459291}, 
      {4.140625, 1.435776801575272}, 
      {4.166666666666667, 1.398869431180394}, 
      {4.375, 1.135792934694426}, 
      {4.583333333333334, 0.922191565379499}, 
      {5., 0.6079461487263148}, 
      {5.208333333333334, 0.4936135746531942}, 
      {5.416666666666667, 0.4007828022142683}, 
      {5.625, 0.3254101240298657}, 
      {5.833333333333334, 0.264212307105234}, 
      {6.25, 0.1741794878427677}, 
      {6.458333333333334, 0.1414226569334457}, 
      {6.666666666666667, 0.1148261953334567}, 
      {6.875, 0.0932315614814259}, 
      {7.083333333333334, 0.07569809337514723}, 
      {7.5, 0.04990325878160413}, 
      {7.708333333333334, 0.04051826959614521}, 
      {7.916666666666667, 0.03289825576824052}, 
      {8.125, 0.02671128958319427}, 
      {8.33333333333333, 0.02168786686515026}, 
      {8.75, 0.01429752301988499}, 
      {8.95833333333333, 0.01160867859977}, 
      {9.16666666666667, 0.00942550808593432}, 
      {9.375, 0.007652912595906784}, 
      {9.58333333333333, 0.006213677890530722}, 
      {10., 0.00409630892841604}}]}}, 
  {PlotRange -> Automatic, 
   AspectRatio -> GoldenRatio^(-1), 
   DisplayFunction -> (Display[$Display, #1] & ), 
   PlotColor -> Automatic, Axes -> Automatic, 
   PlotLabel -> None, AxesLabel -> None, 
   Ticks -> Automatic, Framed -> False, Prolog -> {}, 
   Epilog -> {}, AxesStyle -> {}, Background -> Automatic, 
   DefaultColor -> Automatic}]
;[o]
-Graphics-
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
AutoCorrelation
:[font = text; inactive; ]
     The AutoCorrelation function, a unary function, is defined as the convolution of a function with itself reversed in time.  It  takes two arguments.  The first argument is either an expression, interval, or list of intervals, and the second argument is the variable of  convolution.  Notice that the result of the function AutoCorrelation is always symmetric in time; that is, if f(t) is the result returned by the AutoCorrelation operator, then f(t) = f(-t).
;[s]
7:0,0;9,1;24,2;327,3;342,4;419,5;434,6;463,-1;
7:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example:  AutoCorrelation of a Trapezoidal Function
:[font = input; preserveAspect; ]
x = {{t,0,1},{1,1,2},{3-t,2,3}}
:[font = output; output; inactive; preserveAspect; ]
{{t, 0, 1}, {1, 1, 2}, {3 - t, 2, 3}}
;[o]
{{t, 0, 1}, {1, 1, 2}, {3 - t, 2, 3}}
:[font = input; preserveAspect; ]
autox = AutoCorrelation[x,t]
:[font = output; output; inactive; preserveAspect; ]
{{(3 + t)^3/6, -3, -2}, 
  {-(-11 - 3*t + 3*t^2 + t^3)/6, -2, -1}, 
  {-(-5 + 3*t^2 + t^3)/3, -1, 0}, 
  {(5 - 3*t^2 + t^3)/3, 0, 1}, 
  {(11 - 3*t - 3*t^2 + t^3)/6, 1, 2}, 
  {-(-3 + t)^3/6, 2, 3}}
;[o]
         3                             2    3
  (3 + t)             -(-11 - 3 t + 3 t  + t )
{{--------, -3, -2}, {------------------------, -2, -1}, 
     6                           6
 
             2    3                   2    3
   -(-5 + 3 t  + t )           5 - 3 t  + t
  {-----------------, -1, 0}, {-------------, 0, 1}, 
           3                         3
 
                 2    3                   3
   11 - 3 t - 3 t  + t           -(-3 + t)
  {--------------------, 1, 2}, {----------, 2, 3}}
            6                        6
:[font = input; preserveAspect; ]
PlotList[x,{t,0,4}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 39; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.2381 0.01472 0.5886 [
[(1)] 0.2619 0.00222 0 1 Msboxa
[(2)] 0.5 0.00222 0 1 Msboxa
[(3)] 0.7381 0.00222 0 1 Msboxa
[(4)] 0.97619 0.00222 0 1 Msboxa
[(0.2)] 0.01131 0.13244 1 0 Msboxa
[(0.4)] 0.01131 0.25016 1 0 Msboxa
[(0.6)] 0.01131 0.36788 1 0 Msboxa
[(0.8)] 0.01131 0.4856 1 0 Msboxa
[(1)] 0.01131 0.60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.2619 0.00847 moveto
0.2619 0.02097 lineto
stroke
0 setgray
[(1)] 0.2619 0.00222 0 1 Mshowa
0.5 0.00847 moveto
0.5 0.02097 lineto
stroke
0 setgray
[(2)] 0.5 0.00222 0 1 Mshowa
0.7381 0.00847 moveto
0.7381 0.02097 lineto
stroke
0 setgray
[(3)] 0.7381 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(4)] 0.97619 0.00222 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.13244 moveto
0.03006 0.13244 lineto
stroke
0 setgray
[(0.2)] 0.01131 0.13244 1 0 Mshowa
0.01756 0.25016 moveto
0.03006 0.25016 lineto
stroke
0 setgray
[(0.4)] 0.01131 0.25016 1 0 Mshowa
0.01756 0.36788 moveto
0.03006 0.36788 lineto
stroke
0 setgray
[(0.6)] 0.01131 0.36788 1 0 Mshowa
0.01756 0.4856 moveto
0.03006 0.4856 lineto
stroke
0 setgray
[(0.8)] 0.01131 0.4856 1 0 Mshowa
0.01756 0.60332 moveto
0.03006 0.60332 lineto
stroke
0 setgray
[(1)] 0.01131 0.60332 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.11282 lineto
0.10317 0.21092 lineto
0.14286 0.30902 lineto
0.18254 0.40712 lineto
0.22222 0.50522 lineto
0.24206 0.55427 lineto
0.25198 0.57879 lineto
0.25694 0.59106 lineto
0.25942 0.59719 lineto
0.26066 0.60025 lineto
0.2619 0.60332 lineto
0.26438 0.60332 lineto
0.26687 0.60332 lineto
0.27183 0.60332 lineto
0.28175 0.60332 lineto
0.30159 0.60332 lineto
0.34127 0.60332 lineto
0.38095 0.60332 lineto
0.42063 0.60332 lineto
0.46032 0.60332 lineto
0.48016 0.60332 lineto
0.49008 0.60332 lineto
0.49504 0.60332 lineto
0.49752 0.60332 lineto
0.49876 0.60332 lineto
0.5 0.60332 lineto
0.50248 0.59719 lineto
0.50496 0.59106 lineto
0.50992 0.57879 lineto
0.51984 0.55427 lineto
0.53968 0.50522 lineto
0.57937 0.40712 lineto
0.61905 0.30902 lineto
0.65873 0.21092 lineto
0.69841 0.11282 lineto
0.71825 0.06377 lineto
0.72817 0.03924 lineto
0.73313 0.02698 lineto
0.73562 0.02085 lineto
0.73686 0.01778 lineto
0.7381 0.01472 lineto
0.74058 0.01472 lineto
0.74306 0.01472 lineto
0.74802 0.01472 lineto
0.75794 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
Mistroke
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = input; preserveAspect; ]
PlotList[autox,{t,-4,4}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 39; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.5 0.11905 0.01472 0.35316 [
[(-4)] 0.02381 0.00222 0 1 Msboxa
[(-2)] 0.2619 0.00222 0 1 Msboxa
[(2)] 0.7381 0.00222 0 1 Msboxa
[(4)] 0.97619 0.00222 0 1 Msboxa
[(0.25)] 0.4875 0.10301 1 0 Msboxa
[(0.5)] 0.4875 0.1913 1 0 Msboxa
[(0.75)] 0.4875 0.27959 1 0 Msboxa
[(1)] 0.4875 0.36788 1 0 Msboxa
[(1.25)] 0.4875 0.45617 1 0 Msboxa
[(1.5)] 0.4875 0.54446 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.02381 0.00847 moveto
0.02381 0.02097 lineto
stroke
0 setgray
[(-4)] 0.02381 0.00222 0 1 Mshowa
0.2619 0.00847 moveto
0.2619 0.02097 lineto
stroke
0 setgray
[(-2)] 0.2619 0.00222 0 1 Mshowa
0.7381 0.00847 moveto
0.7381 0.02097 lineto
stroke
0 setgray
[(2)] 0.7381 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(4)] 0.97619 0.00222 0 1 Mshowa
0.5 0 moveto
0.5 0.61803 lineto
stroke
0.49375 0.10301 moveto
0.50625 0.10301 lineto
stroke
0 setgray
[(0.25)] 0.4875 0.10301 1 0 Mshowa
0.49375 0.1913 moveto
0.50625 0.1913 lineto
stroke
0 setgray
[(0.5)] 0.4875 0.1913 1 0 Mshowa
0.49375 0.27959 moveto
0.50625 0.27959 lineto
stroke
0 setgray
[(0.75)] 0.4875 0.27959 1 0 Mshowa
0.49375 0.36788 moveto
0.50625 0.36788 lineto
stroke
0 setgray
[(1)] 0.4875 0.36788 1 0 Mshowa
0.49375 0.45617 moveto
0.50625 0.45617 lineto
stroke
0 setgray
[(1.25)] 0.4875 0.45617 1 0 Mshowa
0.49375 0.54446 moveto
0.50625 0.54446 lineto
stroke
0 setgray
[(1.5)] 0.4875 0.54446 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.12302 0.01472 lineto
0.13294 0.01472 lineto
0.1379 0.01472 lineto
0.14038 0.01472 lineto
0.14162 0.01472 lineto
0.14286 0.01472 lineto
0.1441 0.01472 lineto
0.14534 0.01472 lineto
0.14658 0.01472 lineto
0.14782 0.01472 lineto
0.14906 0.01472 lineto
0.1503 0.01473 lineto
0.15154 0.01474 lineto
0.15278 0.01475 lineto
0.15402 0.01476 lineto
0.15526 0.01478 lineto
0.15774 0.01483 lineto
0.16022 0.0149 lineto
0.1627 0.01499 lineto
0.16518 0.0151 lineto
0.16766 0.01525 lineto
0.17262 0.01563 lineto
0.17758 0.01618 lineto
0.18254 0.0169 lineto
0.1875 0.01782 lineto
0.19246 0.01897 lineto
0.20238 0.02207 lineto
0.2123 0.0264 lineto
0.22222 0.03216 lineto
0.23214 0.03955 lineto
0.24206 0.04878 lineto
0.2619 0.07358 lineto
0.28175 0.10764 lineto
0.30159 0.14988 lineto
0.34127 0.25234 lineto
0.38095 0.36788 lineto
0.42063 0.48124 lineto
0.44048 0.52974 lineto
0.4504 0.55052 lineto
0.46032 0.56844 lineto
0.47024 0.58309 lineto
0.4752 0.58906 lineto
0.48016 0.59405 lineto
0.48512 0.59803 lineto
0.4876 0.59962 lineto
0.49008 0.60093 lineto
0.49256 0.60197 lineto
Mistroke
0.4938 0.60238 lineto
0.49504 0.60271 lineto
0.49628 0.60298 lineto
0.49752 0.60317 lineto
0.49876 0.60328 lineto
0.5 0.60332 lineto
0.50124 0.60328 lineto
0.50248 0.60317 lineto
0.50372 0.60298 lineto
0.50496 0.60271 lineto
0.5062 0.60238 lineto
0.50744 0.60197 lineto
0.50992 0.60093 lineto
0.51488 0.59803 lineto
0.51984 0.59405 lineto
0.52976 0.58309 lineto
0.53968 0.56844 lineto
0.55952 0.52974 lineto
0.57937 0.48124 lineto
0.61905 0.36788 lineto
0.65873 0.25234 lineto
0.69841 0.14988 lineto
0.71825 0.10764 lineto
0.7381 0.07358 lineto
0.75794 0.04878 lineto
0.76786 0.03955 lineto
0.77778 0.03216 lineto
0.7877 0.0264 lineto
0.79762 0.02207 lineto
0.80258 0.02038 lineto
0.80754 0.01897 lineto
0.8125 0.01782 lineto
0.81746 0.0169 lineto
0.82242 0.01618 lineto
0.82738 0.01563 lineto
0.83234 0.01525 lineto
0.83482 0.0151 lineto
0.8373 0.01499 lineto
0.83978 0.0149 lineto
0.84226 0.01483 lineto
0.8435 0.0148 lineto
0.84474 0.01478 lineto
0.84598 0.01476 lineto
0.84722 0.01475 lineto
0.84846 0.01474 lineto
0.8497 0.01473 lineto
0.85094 0.01472 lineto
0.85218 0.01472 lineto
0.85342 0.01472 lineto
0.85466 0.01472 lineto
Mistroke
0.8559 0.01472 lineto
0.85714 0.01472 lineto
0.85838 0.01472 lineto
0.85962 0.01472 lineto
0.8621 0.01472 lineto
0.86458 0.01472 lineto
0.86706 0.01472 lineto
0.87698 0.01472 lineto
0.8869 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
Mfstroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example:  AutoCorrelation of a Sinusoid
:[font = input; preserveAspect; startGroup; ]
sin = {{Sin[t],0,16 Pi}}
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{Sin[t], 0, 16*Pi}}
;[o]
{{Sin[t], 0, 16 Pi}}
:[font = input; preserveAspect; startGroup; ]
autosin = AutoCorrelation[sin,t]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{(32*Pi*Cos[t] + 2*t*Cos[t] + Sin[-t] - Sin[32*Pi + t])/
    4, -16*Pi, 0}, {(32*Pi*Cos[t] - 2*t*Cos[t] - 
      Sin[32*Pi - t] + Sin[t])/4, 0, 16*Pi}}
;[o]
  32 Pi Cos[t] + 2 t Cos[t] + Sin[-t] - Sin[32 Pi + t]
{{----------------------------------------------------, 
                           4
 
   -16 Pi, 0}, {
 
    32 Pi Cos[t] - 2 t Cos[t] - Sin[32 Pi - t] + Sin[t]
    ---------------------------------------------------, 
                             4
 
   0, 16 Pi}}
:[font = input; preserveAspect; startGroup; ]
PlotList[sin,{t,0,16 Pi}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 39; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.02381 0.01895 0.30902 0.2943 [
[(10)] 0.21328 0.29652 0 1 Msboxa
[(20)] 0.40275 0.29652 0 1 Msboxa
[(30)] 0.59222 0.29652 0 1 Msboxa
[(40)] 0.78169 0.29652 0 1 Msboxa
[(50)] 0.97116 0.29652 0 1 Msboxa
[(-1)] 0.01131 0.01472 1 0 Msboxa
[(-0.5)] 0.01131 0.16187 1 0 Msboxa
[(0.5)] 0.01131 0.45617 1 0 Msboxa
[(1)] 0.01131 0.60332 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
0.21328 0.30277 moveto
0.21328 0.31527 lineto
stroke
0 setgray
[(10)] 0.21328 0.29652 0 1 Mshowa
0.40275 0.30277 moveto
0.40275 0.31527 lineto
stroke
0 setgray
[(20)] 0.40275 0.29652 0 1 Mshowa
0.59222 0.30277 moveto
0.59222 0.31527 lineto
stroke
0 setgray
[(30)] 0.59222 0.29652 0 1 Mshowa
0.78169 0.30277 moveto
0.78169 0.31527 lineto
stroke
0 setgray
[(40)] 0.78169 0.29652 0 1 Mshowa
0.97116 0.30277 moveto
0.97116 0.31527 lineto
stroke
0 setgray
[(50)] 0.97116 0.29652 0 1 Mshowa
0.02381 0 moveto
0.02381 0.61803 lineto
stroke
0.01756 0.01472 moveto
0.03006 0.01472 lineto
stroke
0 setgray
[(-1)] 0.01131 0.01472 1 0 Mshowa
0.01756 0.16187 moveto
0.03006 0.16187 lineto
stroke
0 setgray
[(-0.5)] 0.01131 0.16187 1 0 Mshowa
0.01756 0.45617 moveto
0.03006 0.45617 lineto
stroke
0 setgray
[(0.5)] 0.01131 0.45617 1 0 Mshowa
0.01756 0.60332 moveto
0.03006 0.60332 lineto
stroke
0 setgray
[(1)] 0.01131 0.60332 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.30902 moveto
0.03373 0.45617 lineto
0.03869 0.51712 lineto
0.04117 0.5425 lineto
0.04365 0.56389 lineto
0.04613 0.58092 lineto
0.04861 0.59329 lineto
0.04985 0.59766 lineto
0.05109 0.6008 lineto
0.05233 0.60269 lineto
0.05357 0.60332 lineto
0.05481 0.60269 lineto
0.05605 0.6008 lineto
0.05729 0.59766 lineto
0.05853 0.59329 lineto
0.06101 0.58092 lineto
0.06349 0.56389 lineto
0.06597 0.5425 lineto
0.06845 0.51712 lineto
0.07341 0.45617 lineto
0.08333 0.30902 lineto
0.09325 0.16187 lineto
0.09821 0.10091 lineto
0.10317 0.05414 lineto
0.10565 0.03712 lineto
0.10689 0.03033 lineto
0.10813 0.02474 lineto
0.10938 0.02037 lineto
0.11062 0.01723 lineto
0.11186 0.01535 lineto
0.1131 0.01472 lineto
0.11434 0.01535 lineto
0.11558 0.01723 lineto
0.11682 0.02037 lineto
0.11806 0.02474 lineto
0.12054 0.03712 lineto
0.12302 0.05414 lineto
0.12798 0.10091 lineto
0.13294 0.16187 lineto
0.14286 0.30902 lineto
0.15278 0.45617 lineto
0.15774 0.51712 lineto
0.16022 0.5425 lineto
0.1627 0.56389 lineto
0.16518 0.58092 lineto
0.16642 0.5877 lineto
0.16766 0.59329 lineto
0.1689 0.59766 lineto
0.17014 0.6008 lineto
0.17138 0.60269 lineto
Mistroke
0.17262 0.60332 lineto
0.17386 0.60269 lineto
0.1751 0.6008 lineto
0.17634 0.59766 lineto
0.17758 0.59329 lineto
0.17882 0.5877 lineto
0.18006 0.58092 lineto
0.18254 0.56389 lineto
0.1875 0.51712 lineto
0.19246 0.45617 lineto
0.20238 0.30902 lineto
0.2123 0.16187 lineto
0.21726 0.10091 lineto
0.21974 0.07553 lineto
0.22222 0.05414 lineto
0.2247 0.03712 lineto
0.22594 0.03033 lineto
0.22718 0.02474 lineto
0.22842 0.02037 lineto
0.22966 0.01723 lineto
0.2309 0.01535 lineto
0.23214 0.01472 lineto
0.23338 0.01535 lineto
0.23462 0.01723 lineto
0.23586 0.02037 lineto
0.2371 0.02474 lineto
0.23958 0.03712 lineto
0.24206 0.05414 lineto
0.24702 0.10091 lineto
0.25198 0.16187 lineto
0.2619 0.30902 lineto
0.27183 0.45617 lineto
0.27679 0.51712 lineto
0.27927 0.5425 lineto
0.28175 0.56389 lineto
0.28423 0.58092 lineto
0.28547 0.5877 lineto
0.28671 0.59329 lineto
0.28795 0.59766 lineto
0.28919 0.6008 lineto
0.29043 0.60269 lineto
0.29167 0.60332 lineto
0.29291 0.60269 lineto
0.29415 0.6008 lineto
0.29539 0.59766 lineto
0.29663 0.59329 lineto
0.29911 0.58092 lineto
0.30159 0.56389 lineto
0.30655 0.51712 lineto
0.31151 0.45617 lineto
Mistroke
0.32143 0.30902 lineto
0.33135 0.16187 lineto
0.33631 0.10091 lineto
0.33879 0.07553 lineto
0.34127 0.05414 lineto
0.34375 0.03712 lineto
0.34623 0.02474 lineto
0.34747 0.02037 lineto
0.34871 0.01723 lineto
0.34995 0.01535 lineto
0.35119 0.01472 lineto
0.35243 0.01535 lineto
0.35367 0.01723 lineto
0.35491 0.02037 lineto
0.35615 0.02474 lineto
0.35863 0.03712 lineto
0.36111 0.05414 lineto
0.36607 0.10091 lineto
0.37103 0.16187 lineto
0.38095 0.30902 lineto
0.39087 0.45617 lineto
0.39583 0.51712 lineto
0.39831 0.5425 lineto
0.40079 0.56389 lineto
0.40327 0.58092 lineto
0.40451 0.5877 lineto
0.40575 0.59329 lineto
0.40699 0.59766 lineto
0.40823 0.6008 lineto
0.40947 0.60269 lineto
0.41071 0.60332 lineto
0.41195 0.60269 lineto
0.41319 0.6008 lineto
0.41443 0.59766 lineto
0.41567 0.59329 lineto
0.41691 0.5877 lineto
0.41815 0.58092 lineto
0.42063 0.56389 lineto
0.4256 0.51712 lineto
0.43056 0.45617 lineto
0.44048 0.30902 lineto
0.4504 0.16187 lineto
0.45536 0.10091 lineto
0.45784 0.07553 lineto
0.46032 0.05414 lineto
0.4628 0.03712 lineto
0.46528 0.02474 lineto
0.46652 0.02037 lineto
0.46776 0.01723 lineto
0.469 0.01535 lineto
Mistroke
0.47024 0.01472 lineto
0.47148 0.01535 lineto
0.47272 0.01723 lineto
0.47396 0.02037 lineto
0.4752 0.02474 lineto
0.47768 0.03712 lineto
0.48016 0.05414 lineto
0.48512 0.10091 lineto
0.49008 0.16187 lineto
0.5 0.30902 lineto
0.50992 0.45617 lineto
0.51488 0.51712 lineto
0.51736 0.5425 lineto
0.51984 0.56389 lineto
0.52232 0.58092 lineto
0.52356 0.5877 lineto
0.5248 0.59329 lineto
0.52604 0.59766 lineto
0.52728 0.6008 lineto
0.52852 0.60269 lineto
0.52976 0.60332 lineto
0.531 0.60269 lineto
0.53224 0.6008 lineto
0.53348 0.59766 lineto
0.53472 0.59329 lineto
0.53596 0.5877 lineto
0.5372 0.58092 lineto
0.53968 0.56389 lineto
0.54464 0.51712 lineto
0.5496 0.45617 lineto
0.55952 0.30902 lineto
0.56944 0.16187 lineto
0.5744 0.10091 lineto
0.57688 0.07553 lineto
0.57937 0.05414 lineto
0.58185 0.03712 lineto
0.58433 0.02474 lineto
0.58557 0.02037 lineto
0.58681 0.01723 lineto
0.58805 0.01535 lineto
0.58929 0.01472 lineto
0.59053 0.01535 lineto
0.59177 0.01723 lineto
0.59301 0.02037 lineto
0.59425 0.02474 lineto
0.59673 0.03712 lineto
0.59921 0.05414 lineto
0.60417 0.10091 lineto
0.60913 0.16187 lineto
0.61905 0.30902 lineto
Mistroke
0.62897 0.45617 lineto
0.63393 0.51712 lineto
0.63641 0.5425 lineto
0.63889 0.56389 lineto
0.64137 0.58092 lineto
0.64261 0.5877 lineto
0.64385 0.59329 lineto
0.64509 0.59766 lineto
0.64633 0.6008 lineto
0.64757 0.60269 lineto
0.64881 0.60332 lineto
0.65005 0.60269 lineto
0.65129 0.6008 lineto
0.65253 0.59766 lineto
0.65377 0.59329 lineto
0.65501 0.5877 lineto
0.65625 0.58092 lineto
0.65873 0.56389 lineto
0.66369 0.51712 lineto
0.66865 0.45617 lineto
0.67857 0.30902 lineto
0.68849 0.16187 lineto
0.69345 0.10091 lineto
0.69593 0.07553 lineto
0.69841 0.05414 lineto
0.70089 0.03712 lineto
0.70213 0.03033 lineto
0.70337 0.02474 lineto
0.70461 0.02037 lineto
0.70585 0.01723 lineto
0.70709 0.01535 lineto
0.70833 0.01472 lineto
0.70957 0.01535 lineto
0.71081 0.01723 lineto
0.71205 0.02037 lineto
0.71329 0.02474 lineto
0.71577 0.03712 lineto
0.71825 0.05414 lineto
0.72321 0.10091 lineto
0.72817 0.16187 lineto
0.7381 0.30902 lineto
0.74802 0.45617 lineto
0.75298 0.51712 lineto
0.75546 0.5425 lineto
0.75794 0.56389 lineto
0.76042 0.58092 lineto
0.76166 0.5877 lineto
0.7629 0.59329 lineto
0.76414 0.59766 lineto
0.76538 0.6008 lineto
Mistroke
0.76662 0.60269 lineto
0.76786 0.60332 lineto
0.7691 0.60269 lineto
0.77034 0.6008 lineto
0.77158 0.59766 lineto
0.77282 0.59329 lineto
0.7753 0.58092 lineto
0.77778 0.56389 lineto
0.78274 0.51712 lineto
0.7877 0.45617 lineto
0.79762 0.30902 lineto
0.80754 0.16187 lineto
0.8125 0.10091 lineto
0.81498 0.07553 lineto
0.81746 0.05414 lineto
0.81994 0.03712 lineto
0.82118 0.03033 lineto
0.82242 0.02474 lineto
0.82366 0.02037 lineto
0.8249 0.01723 lineto
0.82614 0.01535 lineto
0.82738 0.01472 lineto
0.82862 0.01535 lineto
0.82986 0.01723 lineto
0.8311 0.02037 lineto
0.83234 0.02474 lineto
0.83482 0.03712 lineto
0.8373 0.05414 lineto
0.84226 0.10091 lineto
0.84722 0.16187 lineto
0.85714 0.30902 lineto
0.86706 0.45617 lineto
0.87202 0.51712 lineto
0.8745 0.5425 lineto
0.87698 0.56389 lineto
0.87946 0.58092 lineto
0.8807 0.5877 lineto
0.88194 0.59329 lineto
0.88318 0.59766 lineto
0.88442 0.6008 lineto
0.88566 0.60269 lineto
0.8869 0.60332 lineto
0.88814 0.60269 lineto
0.88938 0.6008 lineto
0.89062 0.59766 lineto
0.89187 0.59329 lineto
0.89311 0.5877 lineto
0.89435 0.58092 lineto
0.89683 0.56389 lineto
0.90179 0.51712 lineto
Mistroke
0.90675 0.45617 lineto
0.91667 0.30902 lineto
0.92659 0.16187 lineto
0.93155 0.10091 lineto
0.93403 0.07553 lineto
0.93651 0.05414 lineto
0.93899 0.03712 lineto
0.94023 0.03033 lineto
0.94147 0.02474 lineto
0.94271 0.02037 lineto
0.94395 0.01723 lineto
0.94519 0.01535 lineto
0.94643 0.01472 lineto
0.94767 0.01535 lineto
0.94891 0.01723 lineto
0.95015 0.02037 lineto
0.95139 0.02474 lineto
0.95387 0.03712 lineto
0.95635 0.05414 lineto
0.96131 0.10091 lineto
0.96627 0.16187 lineto
0.97619 0.30902 lineto
Mfstroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = input; preserveAspect; startGroup; ]
PlotList[autosin,{t,-16 Pi,16 Pi}]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 39; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.5 0.00947 0.29952 0.01209 [
[(-40)] 0.12106 0.28702 0 1 Msboxa
[(-20)] 0.31053 0.28702 0 1 Msboxa
[(20)] 0.68947 0.28702 0 1 Msboxa
[(40)] 0.87894 0.28702 0 1 Msboxa
[(-20)] 0.4875 0.05777 1 0 Msboxa
[(-10)] 0.4875 0.17865 1 0 Msboxa
[(10)] 0.4875 0.4204 1 0 Msboxa
[(20)] 0.4875 0.54128 1 0 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0 0.29952 moveto
1 0.29952 lineto
stroke
0.12106 0.29327 moveto
0.12106 0.30577 lineto
stroke
0 setgray
[(-40)] 0.12106 0.28702 0 1 Mshowa
0.31053 0.29327 moveto
0.31053 0.30577 lineto
stroke
0 setgray
[(-20)] 0.31053 0.28702 0 1 Mshowa
0.68947 0.29327 moveto
0.68947 0.30577 lineto
stroke
0 setgray
[(20)] 0.68947 0.28702 0 1 Mshowa
0.87894 0.29327 moveto
0.87894 0.30577 lineto
stroke
0 setgray
[(40)] 0.87894 0.28702 0 1 Mshowa
0.5 0 moveto
0.5 0.61803 lineto
stroke
0.49375 0.05777 moveto
0.50625 0.05777 lineto
stroke
0 setgray
[(-20)] 0.4875 0.05777 1 0 Mshowa
0.49375 0.17865 moveto
0.50625 0.17865 lineto
stroke
0 setgray
[(-10)] 0.4875 0.17865 1 0 Mshowa
0.49375 0.4204 moveto
0.50625 0.4204 lineto
stroke
0 setgray
[(10)] 0.4875 0.4204 1 0 Mshowa
0.49375 0.54128 moveto
0.50625 0.54128 lineto
stroke
0 setgray
[(20)] 0.4875 0.54128 1 0 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.29952 moveto
0.04365 0.28796 lineto
0.04613 0.28518 lineto
0.04737 0.28392 lineto
0.04861 0.2828 lineto
0.04985 0.28186 lineto
0.05109 0.28115 lineto
0.05233 0.28069 lineto
0.05357 0.28054 lineto
0.05481 0.2807 lineto
0.05605 0.28122 lineto
0.05729 0.2821 lineto
0.05853 0.28336 lineto
0.06101 0.28701 lineto
0.06349 0.2921 lineto
0.06845 0.30557 lineto
0.07341 0.32058 lineto
0.07589 0.32729 lineto
0.07713 0.33019 lineto
0.07837 0.33269 lineto
0.07961 0.33473 lineto
0.08085 0.33624 lineto
0.08209 0.33718 lineto
0.08333 0.3375 lineto
0.10317 0.26897 lineto
0.10565 0.25833 lineto
0.10813 0.24991 lineto
0.10937 0.24678 lineto
0.11062 0.24447 lineto
0.11186 0.24304 lineto
0.1131 0.24256 lineto
0.11434 0.24305 lineto
0.11558 0.24454 lineto
0.11682 0.24702 lineto
0.11806 0.25047 lineto
0.12054 0.26016 lineto
0.12302 0.27311 lineto
0.12798 0.30557 lineto
0.13294 0.33957 lineto
0.13542 0.35414 lineto
0.1379 0.36558 lineto
0.13914 0.36981 lineto
0.14038 0.37292 lineto
0.14162 0.37483 lineto
0.14286 0.37547 lineto
0.1441 0.37482 lineto
0.14534 0.37285 lineto
0.14658 0.36957 lineto
0.14782 0.36502 lineto
0.1503 0.35231 lineto
Mistroke
0.15278 0.33543 lineto
0.15774 0.29348 lineto
0.1627 0.24999 lineto
0.16518 0.23148 lineto
0.16642 0.22366 lineto
0.16766 0.21702 lineto
0.1689 0.21169 lineto
0.17014 0.20779 lineto
0.17138 0.20539 lineto
0.17262 0.20459 lineto
0.17386 0.2054 lineto
0.1751 0.20786 lineto
0.17634 0.21193 lineto
0.17758 0.21759 lineto
0.17882 0.22475 lineto
0.18006 0.23331 lineto
0.18254 0.25412 lineto
0.19246 0.35855 lineto
0.19494 0.381 lineto
0.19618 0.39045 lineto
0.19742 0.39847 lineto
0.19866 0.40489 lineto
0.1999 0.4096 lineto
0.20114 0.41248 lineto
0.20238 0.41345 lineto
0.20362 0.41247 lineto
0.20486 0.40953 lineto
0.2061 0.40465 lineto
0.20734 0.3979 lineto
0.2123 0.35442 lineto
0.21726 0.29348 lineto
0.22222 0.231 lineto
0.2247 0.20462 lineto
0.22594 0.19354 lineto
0.22718 0.18414 lineto
0.22842 0.17661 lineto
0.22966 0.17111 lineto
0.2309 0.16775 lineto
0.23214 0.16661 lineto
0.23338 0.16775 lineto
0.23462 0.17118 lineto
0.23586 0.17685 lineto
0.2371 0.1847 lineto
0.23958 0.20646 lineto
0.24206 0.23514 lineto
0.24702 0.30557 lineto
0.25198 0.37754 lineto
0.25446 0.40785 lineto
0.2557 0.42057 lineto
0.25694 0.43135 lineto
Mistroke
0.25818 0.43998 lineto
0.25942 0.44628 lineto
0.26066 0.45013 lineto
0.2619 0.45142 lineto
0.26314 0.45012 lineto
0.26438 0.44621 lineto
0.26562 0.43974 lineto
0.26687 0.43079 lineto
0.26935 0.40601 lineto
0.27183 0.3734 lineto
0.27679 0.29348 lineto
0.28175 0.21201 lineto
0.28423 0.17777 lineto
0.28547 0.16341 lineto
0.28671 0.15125 lineto
0.28795 0.14153 lineto
0.28919 0.13443 lineto
0.29043 0.1301 lineto
0.29167 0.12864 lineto
0.29291 0.1301 lineto
0.29415 0.1345 lineto
0.29539 0.14177 lineto
0.29663 0.15181 lineto
0.29911 0.17961 lineto
0.30159 0.21615 lineto
0.30655 0.30557 lineto
0.31151 0.39653 lineto
0.31399 0.4347 lineto
0.31523 0.4507 lineto
0.31647 0.46424 lineto
0.31771 0.47506 lineto
0.31895 0.48296 lineto
0.32019 0.48778 lineto
0.32143 0.4894 lineto
0.32267 0.48777 lineto
0.32391 0.48289 lineto
0.32515 0.47482 lineto
0.32639 0.46368 lineto
0.32887 0.43287 lineto
0.33135 0.39239 lineto
0.33631 0.29348 lineto
0.34127 0.19302 lineto
0.34375 0.15092 lineto
0.34623 0.11836 lineto
0.34747 0.10644 lineto
0.34871 0.09774 lineto
0.34995 0.09245 lineto
0.35119 0.09066 lineto
0.35243 0.09246 lineto
0.35367 0.09782 lineto
Mistroke
0.35491 0.10668 lineto
0.35615 0.11893 lineto
0.35739 0.13437 lineto
0.35863 0.15275 lineto
0.36111 0.19716 lineto
0.36607 0.30557 lineto
0.37103 0.41552 lineto
0.37351 0.46155 lineto
0.37475 0.48083 lineto
0.37599 0.49713 lineto
0.37723 0.51015 lineto
0.37847 0.51964 lineto
0.37971 0.52543 lineto
0.38095 0.52737 lineto
0.38219 0.52542 lineto
0.38343 0.51957 lineto
0.38467 0.50991 lineto
0.38591 0.49656 lineto
0.38715 0.47975 lineto
0.38839 0.45972 lineto
0.39087 0.41138 lineto
0.39583 0.29348 lineto
0.40079 0.17404 lineto
0.40327 0.12407 lineto
0.40451 0.10316 lineto
0.40575 0.08548 lineto
0.40699 0.07136 lineto
0.40823 0.06106 lineto
0.40947 0.0548 lineto
0.41071 0.05269 lineto
0.41195 0.05481 lineto
0.41319 0.06114 lineto
0.41443 0.0716 lineto
0.41567 0.08604 lineto
0.41691 0.10424 lineto
0.41815 0.1259 lineto
0.42063 0.17818 lineto
0.4256 0.30557 lineto
0.43056 0.4345 lineto
0.43304 0.4884 lineto
0.43428 0.51095 lineto
0.43552 0.53001 lineto
0.43676 0.54523 lineto
0.438 0.55632 lineto
0.43924 0.56307 lineto
0.44048 0.56534 lineto
0.44172 0.56307 lineto
0.44296 0.55625 lineto
0.4442 0.54499 lineto
0.44544 0.52945 lineto
Mistroke
0.4504 0.43036 lineto
0.45536 0.29348 lineto
0.46032 0.15505 lineto
0.4628 0.09722 lineto
0.46404 0.07303 lineto
0.46528 0.05259 lineto
0.46652 0.03627 lineto
0.46776 0.02438 lineto
0.469 0.01715 lineto
0.47024 0.01472 lineto
0.47148 0.01716 lineto
0.47272 0.02446 lineto
0.47396 0.03651 lineto
0.4752 0.05315 lineto
0.47768 0.09905 lineto
0.48016 0.15919 lineto
0.48512 0.30557 lineto
0.49008 0.45349 lineto
0.49256 0.51526 lineto
0.4938 0.54108 lineto
0.49504 0.5629 lineto
0.49628 0.58031 lineto
0.49752 0.593 lineto
0.49876 0.60072 lineto
0.5 0.60332 lineto
0.50124 0.60072 lineto
0.50248 0.593 lineto
0.50372 0.58031 lineto
0.50496 0.5629 lineto
0.5062 0.54108 lineto
0.50744 0.51526 lineto
0.50992 0.45349 lineto
0.51984 0.15919 lineto
0.52232 0.09905 lineto
0.5248 0.05315 lineto
0.52604 0.03651 lineto
0.52728 0.02446 lineto
0.52852 0.01716 lineto
0.52976 0.01472 lineto
0.531 0.01715 lineto
0.53224 0.02438 lineto
0.53348 0.03627 lineto
0.53472 0.05259 lineto
0.53968 0.15505 lineto
0.5496 0.43036 lineto
0.55208 0.48657 lineto
0.55332 0.50987 lineto
0.55456 0.52945 lineto
0.5558 0.54499 lineto
0.55704 0.55625 lineto
Mistroke
0.55828 0.56307 lineto
0.55952 0.56534 lineto
0.56076 0.56307 lineto
0.562 0.55632 lineto
0.56324 0.54523 lineto
0.56448 0.53001 lineto
0.56696 0.4884 lineto
0.56944 0.4345 lineto
0.57937 0.17818 lineto
0.58185 0.1259 lineto
0.58309 0.10424 lineto
0.58433 0.08604 lineto
0.58557 0.0716 lineto
0.58681 0.06114 lineto
0.58805 0.05481 lineto
0.58929 0.05269 lineto
0.59053 0.0548 lineto
0.59177 0.06106 lineto
0.59301 0.07136 lineto
0.59425 0.08548 lineto
0.59673 0.12407 lineto
0.59921 0.17404 lineto
0.60417 0.29348 lineto
0.60913 0.41138 lineto
0.61161 0.45972 lineto
0.61285 0.47975 lineto
0.61409 0.49656 lineto
0.61533 0.50991 lineto
0.61657 0.51957 lineto
0.61781 0.52542 lineto
0.61905 0.52737 lineto
0.62029 0.52543 lineto
0.62153 0.51964 lineto
0.62277 0.51015 lineto
0.62401 0.49713 lineto
0.62649 0.46155 lineto
0.62897 0.41552 lineto
0.63393 0.30557 lineto
0.63889 0.19716 lineto
0.64137 0.15275 lineto
0.64261 0.13437 lineto
0.64385 0.11893 lineto
0.64509 0.10668 lineto
0.64633 0.09782 lineto
0.64757 0.09246 lineto
0.64881 0.09066 lineto
0.65005 0.09245 lineto
0.65129 0.09774 lineto
0.65253 0.10644 lineto
0.65377 0.11836 lineto
Mistroke
0.65625 0.15092 lineto
0.65873 0.19302 lineto
0.66369 0.29348 lineto
0.66865 0.39239 lineto
0.67113 0.43287 lineto
0.67237 0.44962 lineto
0.67361 0.46368 lineto
0.67485 0.47482 lineto
0.67609 0.48289 lineto
0.67733 0.48777 lineto
0.67857 0.4894 lineto
0.67981 0.48778 lineto
0.68105 0.48296 lineto
0.68229 0.47506 lineto
0.68353 0.46424 lineto
0.68601 0.4347 lineto
0.68849 0.39653 lineto
0.69345 0.30557 lineto
0.69841 0.21615 lineto
0.70089 0.17961 lineto
0.70213 0.16449 lineto
0.70337 0.15181 lineto
0.70461 0.14177 lineto
0.70585 0.1345 lineto
0.70709 0.1301 lineto
0.70833 0.12864 lineto
0.70957 0.1301 lineto
0.71081 0.13443 lineto
0.71205 0.14153 lineto
0.71329 0.15125 lineto
0.71577 0.17777 lineto
0.71825 0.21201 lineto
0.72321 0.29348 lineto
0.72817 0.3734 lineto
0.73065 0.40601 lineto
0.73189 0.41949 lineto
0.73313 0.43079 lineto
0.73438 0.43974 lineto
0.73562 0.44621 lineto
0.73686 0.45012 lineto
0.7381 0.45142 lineto
0.73934 0.45013 lineto
0.74058 0.44628 lineto
0.74182 0.43998 lineto
0.74306 0.43135 lineto
0.74554 0.40785 lineto
0.74802 0.37754 lineto
0.75298 0.30557 lineto
0.75794 0.23514 lineto
0.76042 0.20646 lineto
Mistroke
0.76166 0.19462 lineto
0.7629 0.1847 lineto
0.76414 0.17685 lineto
0.76538 0.17118 lineto
0.76662 0.16775 lineto
0.76786 0.16661 lineto
0.7691 0.16775 lineto
0.77034 0.17111 lineto
0.77158 0.17661 lineto
0.77282 0.18414 lineto
0.7753 0.20462 lineto
0.77778 0.231 lineto
0.78274 0.29348 lineto
0.7877 0.35442 lineto
0.79018 0.37916 lineto
0.79142 0.38936 lineto
0.79266 0.3979 lineto
0.7939 0.40465 lineto
0.79514 0.40953 lineto
0.79638 0.41247 lineto
0.79762 0.41345 lineto
0.79886 0.41248 lineto
0.8001 0.4096 lineto
0.80134 0.40489 lineto
0.80258 0.39847 lineto
0.80506 0.381 lineto
0.80754 0.35855 lineto
0.8125 0.30557 lineto
0.81746 0.25412 lineto
0.81994 0.23331 lineto
0.82118 0.22475 lineto
0.82242 0.21759 lineto
0.82366 0.21193 lineto
0.8249 0.20786 lineto
0.82614 0.2054 lineto
0.82738 0.20459 lineto
0.8373 0.24999 lineto
0.84226 0.29348 lineto
0.84722 0.33543 lineto
0.8497 0.35231 lineto
0.85094 0.35924 lineto
0.85218 0.36502 lineto
0.85342 0.36957 lineto
0.85466 0.37285 lineto
0.8559 0.37482 lineto
0.85714 0.37547 lineto
0.85838 0.37483 lineto
0.85962 0.37292 lineto
0.86086 0.36981 lineto
0.8621 0.36558 lineto
Mistroke
0.86334 0.36032 lineto
0.86458 0.35414 lineto
0.86706 0.33957 lineto
0.87202 0.30557 lineto
0.8745 0.28857 lineto
0.87698 0.27311 lineto
0.87946 0.26016 lineto
0.8807 0.25487 lineto
0.88194 0.25047 lineto
0.88318 0.24702 lineto
0.88442 0.24454 lineto
0.88566 0.24305 lineto
0.8869 0.24256 lineto
0.89683 0.26897 lineto
0.90179 0.29348 lineto
0.90427 0.30556 lineto
0.90675 0.31644 lineto
0.90923 0.32546 lineto
0.91171 0.33213 lineto
0.91295 0.33449 lineto
0.91419 0.33617 lineto
0.91543 0.33717 lineto
0.91667 0.3375 lineto
0.91791 0.33718 lineto
0.91915 0.33624 lineto
0.92039 0.33473 lineto
0.92163 0.33269 lineto
0.92411 0.32729 lineto
0.92659 0.32058 lineto
0.93155 0.30557 lineto
0.93403 0.2984 lineto
0.93651 0.2921 lineto
0.93899 0.28701 lineto
0.94023 0.285 lineto
0.94147 0.28336 lineto
0.94271 0.2821 lineto
0.94395 0.28122 lineto
0.94519 0.2807 lineto
0.94643 0.28054 lineto
0.95635 0.28796 lineto
0.97619 0.29952 lineto
Mfstroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Discrete Convolution
:[font = text; inactive; ]
     The previous section discusses the implementation of continuous piecewise convolution, which is very similar to the implementation in the discrete domain.  Discrete convolution ultimately boils down to performing symbolic summation (instead of  indefinite integration) which is carried out by the symbolic summation package bundled with Mathematica (``GosperSum.m'' for Mathematica 1.2 and ``SymbolicSum.m'' for Mathematica 2.0).   Unfortunately, the GosperSum  implementation may cause the kernel to crash for some summations.
;[s]
9:0,0;342,1;353,2;375,3;386,4;417,5;428,6;456,7;465,8;532,-1;
9:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; ]
     The discrete convolution routine DTPiecewiseConvolution is invoked by passing the option Domain -> Discrete to PiecewiseConvolution.  If the default convolution domain $ConvolutionDomain is set to Discrete, then no option has to be specified to PiecewiseConvolution (see the ``Continuous Convolution'' section  for more information). 
;[s]
13:0,0;38,1;60,2;94,3;112,4;116,5;136,6;173,7;191,8;202,9;210,10;250,11;270,12;339,-1;
13:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; ]
     DTPiecewiseConvolution, like its continuous-time counterpart, will generate the frames of an animation showing the flip-and-slide approach to the convolution if the Dialogue option is enabled.  For example, 
;[s]
5:0,0;5,1;27,2;170,3;178,4;214,-1;
5:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
DTPiecewiseConvolution[ Pulse[3, n], 2 Pulse[5, n], n,
                        Dialogue -> True ]
:[font = text; inactive; ]
     The rest of this section presents four examples of discrete convolution.
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Pulse Convolved with a Finite-Duration Ramp
:[font = text; ]
     In this example, we will convolve a pulse of length 10
:[font = postscript; PostScript; formatAsPostScript; output; inactive; locked; preserveAspect; pictureLeft = 72; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.12963 0.05291 0.01472 0.5886 [
[(Sequence Plot)] 0.5 0.62428 0 -1 Msboxa
[(5)] 0.39418 0.00222 0 1 Msboxa
[(10)] 0.65873 0.00222 0 1 Msboxa
[(15)] 0.92328 0.00222 0 1 Msboxa
[(n)] 1.00625 0.01472 -1 0 Msboxa
[(0.2)] 0.11713 0.13244 1 0 Msboxa
[(0.4)] 0.11713 0.25016 1 0 Msboxa
[(0.6)] 0.11713 0.36788 1 0 Msboxa
[(0.8)] 0.11713 0.4856 1 0 Msboxa
[(1)] 0.11713 0.60332 1 0 Msboxa
[( )] 0.12963 0.62428 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(Sequence Plot)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.39418 0.00847 moveto
0.39418 0.02097 lineto
stroke
0 setgray
[(5)] 0.39418 0.00222 0 1 Mshowa
0.65873 0.00847 moveto
0.65873 0.02097 lineto
stroke
0 setgray
[(10)] 0.65873 0.00222 0 1 Mshowa
0.92328 0.00847 moveto
0.92328 0.02097 lineto
stroke
0 setgray
[(15)] 0.92328 0.00222 0 1 Mshowa
0 setgray
[(n)] 1.00625 0.01472 -1 0 Mshowa
0.12963 0 moveto
0.12963 0.61803 lineto
stroke
0.12338 0.13244 moveto
0.13588 0.13244 lineto
stroke
0 setgray
[(0.2)] 0.11713 0.13244 1 0 Mshowa
0.12338 0.25016 moveto
0.13588 0.25016 lineto
stroke
0 setgray
[(0.4)] 0.11713 0.25016 1 0 Mshowa
0.12338 0.36788 moveto
0.13588 0.36788 lineto
stroke
0 setgray
[(0.6)] 0.11713 0.36788 1 0 Mshowa
0.12338 0.4856 moveto
0.13588 0.4856 lineto
stroke
0 setgray
[(0.8)] 0.11713 0.4856 1 0 Mshowa
0.12338 0.60332 moveto
0.13588 0.60332 lineto
stroke
0 setgray
[(1)] 0.11713 0.60332 1 0 Mshowa
0 setgray
[( )] 0.12963 0.62428 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
0.00605 setlinewidth
0.02381 0.01472 moveto
0.02381 0.01472 lineto
stroke
0.01815 setlinewidth
0.02381 0.01472 Mdot
0.00605 setlinewidth
0.07672 0.01472 moveto
0.07672 0.01472 lineto
stroke
0.01815 setlinewidth
0.07672 0.01472 Mdot
0.00605 setlinewidth
0.12963 0.01472 moveto
0.12963 0.60332 lineto
stroke
0.01815 setlinewidth
0.12963 0.60332 Mdot
0.00605 setlinewidth
0.18254 0.01472 moveto
0.18254 0.60332 lineto
stroke
0.01815 setlinewidth
0.18254 0.60332 Mdot
0.00605 setlinewidth
0.23545 0.01472 moveto
0.23545 0.60332 lineto
stroke
0.01815 setlinewidth
0.23545 0.60332 Mdot
0.00605 setlinewidth
0.28836 0.01472 moveto
0.28836 0.60332 lineto
stroke
0.01815 setlinewidth
0.28836 0.60332 Mdot
0.00605 setlinewidth
0.34127 0.01472 moveto
0.34127 0.60332 lineto
stroke
0.01815 setlinewidth
0.34127 0.60332 Mdot
0.00605 setlinewidth
0.39418 0.01472 moveto
0.39418 0.60332 lineto
stroke
0.01815 setlinewidth
0.39418 0.60332 Mdot
0.00605 setlinewidth
0.44709 0.01472 moveto
0.44709 0.60332 lineto
stroke
0.01815 setlinewidth
0.44709 0.60332 Mdot
0.00605 setlinewidth
0.5 0.01472 moveto
0.5 0.60332 lineto
stroke
0.01815 setlinewidth
0.5 0.60332 Mdot
0.00605 setlinewidth
0.55291 0.01472 moveto
0.55291 0.60332 lineto
stroke
0.01815 setlinewidth
0.55291 0.60332 Mdot
0.00605 setlinewidth
0.60582 0.01472 moveto
0.60582 0.60332 lineto
stroke
0.01815 setlinewidth
0.60582 0.60332 Mdot
0.00605 setlinewidth
0.65873 0.01472 moveto
0.65873 0.01472 lineto
stroke
0.01815 setlinewidth
0.65873 0.01472 Mdot
0.00605 setlinewidth
0.71164 0.01472 moveto
0.71164 0.01472 lineto
stroke
0.01815 setlinewidth
0.71164 0.01472 Mdot
0.00605 setlinewidth
0.76455 0.01472 moveto
0.76455 0.01472 lineto
stroke
0.01815 setlinewidth
0.76455 0.01472 Mdot
0.00605 setlinewidth
0.81746 0.01472 moveto
0.81746 0.01472 lineto
stroke
0.01815 setlinewidth
0.81746 0.01472 Mdot
0.00605 setlinewidth
0.87037 0.01472 moveto
0.87037 0.01472 lineto
stroke
0.01815 setlinewidth
0.87037 0.01472 Mdot
0.00605 setlinewidth
0.92328 0.01472 moveto
0.92328 0.01472 lineto
stroke
0.01815 setlinewidth
0.92328 0.01472 Mdot
0.00605 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01472 lineto
stroke
0.01815 setlinewidth
0.97619 0.01472 Mdot
grestore
% End of Graphics
MathPictureEnd
:[font = text; ]
with a finite-duration ramp:
:[font = postscript; PostScript; formatAsPostScript; output; inactive; locked; preserveAspect; pictureLeft = 70; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.12963 0.05291 0.01472 0.11772 [
[(Sequence Plot)] 0.5 0.62428 0 -1 Msboxa
[(5)] 0.39418 0.00222 0 1 Msboxa
[(10)] 0.65873 0.00222 0 1 Msboxa
[(15)] 0.92328 0.00222 0 1 Msboxa
[(n)] 1.00625 0.01472 -1 0 Msboxa
[(1)] 0.11713 0.13244 1 0 Msboxa
[(2)] 0.11713 0.25016 1 0 Msboxa
[(3)] 0.11713 0.36788 1 0 Msboxa
[(4)] 0.11713 0.4856 1 0 Msboxa
[(5)] 0.11713 0.60332 1 0 Msboxa
[( )] 0.12963 0.62428 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(Sequence Plot)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.39418 0.00847 moveto
0.39418 0.02097 lineto
stroke
0 setgray
[(5)] 0.39418 0.00222 0 1 Mshowa
0.65873 0.00847 moveto
0.65873 0.02097 lineto
stroke
0 setgray
[(10)] 0.65873 0.00222 0 1 Mshowa
0.92328 0.00847 moveto
0.92328 0.02097 lineto
stroke
0 setgray
[(15)] 0.92328 0.00222 0 1 Mshowa
0 setgray
[(n)] 1.00625 0.01472 -1 0 Mshowa
0.12963 0 moveto
0.12963 0.61803 lineto
stroke
0.12338 0.13244 moveto
0.13588 0.13244 lineto
stroke
0 setgray
[(1)] 0.11713 0.13244 1 0 Mshowa
0.12338 0.25016 moveto
0.13588 0.25016 lineto
stroke
0 setgray
[(2)] 0.11713 0.25016 1 0 Mshowa
0.12338 0.36788 moveto
0.13588 0.36788 lineto
stroke
0 setgray
[(3)] 0.11713 0.36788 1 0 Mshowa
0.12338 0.4856 moveto
0.13588 0.4856 lineto
stroke
0 setgray
[(4)] 0.11713 0.4856 1 0 Mshowa
0.12338 0.60332 moveto
0.13588 0.60332 lineto
stroke
0 setgray
[(5)] 0.11713 0.60332 1 0 Mshowa
0 setgray
[( )] 0.12963 0.62428 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
0.00605 setlinewidth
0.02381 0.01472 moveto
0.02381 0.01472 lineto
stroke
0.01815 setlinewidth
0.02381 0.01472 Mdot
0.00605 setlinewidth
0.07672 0.01472 moveto
0.07672 0.01472 lineto
stroke
0.01815 setlinewidth
0.07672 0.01472 Mdot
0.00605 setlinewidth
0.12963 0.01472 moveto
0.12963 0.01472 lineto
stroke
0.01815 setlinewidth
0.12963 0.01472 Mdot
0.00605 setlinewidth
0.18254 0.01472 moveto
0.18254 0.13244 lineto
stroke
0.01815 setlinewidth
0.18254 0.13244 Mdot
0.00605 setlinewidth
0.23545 0.01472 moveto
0.23545 0.25016 lineto
stroke
0.01815 setlinewidth
0.23545 0.25016 Mdot
0.00605 setlinewidth
0.28836 0.01472 moveto
0.28836 0.36788 lineto
stroke
0.01815 setlinewidth
0.28836 0.36788 Mdot
0.00605 setlinewidth
0.34127 0.01472 moveto
0.34127 0.4856 lineto
stroke
0.01815 setlinewidth
0.34127 0.4856 Mdot
0.00605 setlinewidth
0.39418 0.01472 moveto
0.39418 0.60332 lineto
stroke
0.01815 setlinewidth
0.39418 0.60332 Mdot
0.00605 setlinewidth
0.44709 0.01472 moveto
0.44709 0.01472 lineto
stroke
0.01815 setlinewidth
0.44709 0.01472 Mdot
0.00605 setlinewidth
0.5 0.01472 moveto
0.5 0.01472 lineto
stroke
0.01815 setlinewidth
0.5 0.01472 Mdot
0.00605 setlinewidth
0.55291 0.01472 moveto
0.55291 0.01472 lineto
stroke
0.01815 setlinewidth
0.55291 0.01472 Mdot
0.00605 setlinewidth
0.60582 0.01472 moveto
0.60582 0.01472 lineto
stroke
0.01815 setlinewidth
0.60582 0.01472 Mdot
0.00605 setlinewidth
0.65873 0.01472 moveto
0.65873 0.01472 lineto
stroke
0.01815 setlinewidth
0.65873 0.01472 Mdot
0.00605 setlinewidth
0.71164 0.01472 moveto
0.71164 0.01472 lineto
stroke
0.01815 setlinewidth
0.71164 0.01472 Mdot
0.00605 setlinewidth
0.76455 0.01472 moveto
0.76455 0.01472 lineto
stroke
0.01815 setlinewidth
0.76455 0.01472 Mdot
0.00605 setlinewidth
0.81746 0.01472 moveto
0.81746 0.01472 lineto
stroke
0.01815 setlinewidth
0.81746 0.01472 Mdot
0.00605 setlinewidth
0.87037 0.01472 moveto
0.87037 0.01472 lineto
stroke
0.01815 setlinewidth
0.87037 0.01472 Mdot
0.00605 setlinewidth
0.92328 0.01472 moveto
0.92328 0.01472 lineto
stroke
0.01815 setlinewidth
0.92328 0.01472 Mdot
0.00605 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01472 lineto
stroke
0.01815 setlinewidth
0.97619 0.01472 Mdot
grestore
% End of Graphics
MathPictureEnd
:[font = text; ]
The code that carries out the convolution is:
:[font = input; initialization; preserveAspect; startGroup; ]
*)
pandfdr =
  DTPiecewiseConvolution[{1, 0, 10},
                         {n, 0, 5},
                         n]
(*
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{(n*(1 + n))/2, 0, 5}, {15, 6, 10}, 
  {-40 + (21*n)/2 - n^2/2, 11, 15}}
;[o]
  n (1 + n)
{{---------, 0, 5}, {15, 6, 10}, 
      2
 
                 2
         21 n   n
  {-40 + ---- - --, 11, 15}}
          2     2
:[font = input; preserveAspect; startGroup; ]
PlotList[ pandfdr,
          {n, -1, 16},
          Domain -> Discrete ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 38; pictureWidth = 283; pictureHeight = 175; startGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.07983 0.05602 0.01472 0.03924 [
[(Sequence Plot)] 0.5 0.62428 0 -1 Msboxa
[(2)] 0.19188 0.00222 0 1 Msboxa
[(4)] 0.30392 0.00222 0 1 Msboxa
[(6)] 0.41597 0.00222 0 1 Msboxa
[(8)] 0.52801 0.00222 0 1 Msboxa
[(10)] 0.64006 0.00222 0 1 Msboxa
[(12)] 0.7521 0.00222 0 1 Msboxa
[(14)] 0.86415 0.00222 0 1 Msboxa
[(16)] 0.97619 0.00222 0 1 Msboxa
[(n)] 1.00625 0.01472 -1 0 Msboxa
[(2)] 0.06733 0.0932 1 0 Msboxa
[(4)] 0.06733 0.17168 1 0 Msboxa
[(6)] 0.06733 0.25016 1 0 Msboxa
[(8)] 0.06733 0.32864 1 0 Msboxa
[(10)] 0.06733 0.40712 1 0 Msboxa
[(12)] 0.06733 0.4856 1 0 Msboxa
[(14)] 0.06733 0.56408 1 0 Msboxa
[( )] 0.07983 0.62428 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(Sequence Plot)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.19188 0.00847 moveto
0.19188 0.02097 lineto
stroke
0 setgray
[(2)] 0.19188 0.00222 0 1 Mshowa
0.30392 0.00847 moveto
0.30392 0.02097 lineto
stroke
0 setgray
[(4)] 0.30392 0.00222 0 1 Mshowa
0.41597 0.00847 moveto
0.41597 0.02097 lineto
stroke
0 setgray
[(6)] 0.41597 0.00222 0 1 Mshowa
0.52801 0.00847 moveto
0.52801 0.02097 lineto
stroke
0 setgray
[(8)] 0.52801 0.00222 0 1 Mshowa
0.64006 0.00847 moveto
0.64006 0.02097 lineto
stroke
0 setgray
[(10)] 0.64006 0.00222 0 1 Mshowa
0.7521 0.00847 moveto
0.7521 0.02097 lineto
stroke
0 setgray
[(12)] 0.7521 0.00222 0 1 Mshowa
0.86415 0.00847 moveto
0.86415 0.02097 lineto
stroke
0 setgray
[(14)] 0.86415 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(16)] 0.97619 0.00222 0 1 Mshowa
0 setgray
[(n)] 1.00625 0.01472 -1 0 Mshowa
0.07983 0 moveto
0.07983 0.61803 lineto
stroke
0.07358 0.0932 moveto
0.08608 0.0932 lineto
stroke
0 setgray
[(2)] 0.06733 0.0932 1 0 Mshowa
0.07358 0.17168 moveto
0.08608 0.17168 lineto
stroke
0 setgray
[(4)] 0.06733 0.17168 1 0 Mshowa
0.07358 0.25016 moveto
0.08608 0.25016 lineto
stroke
0 setgray
[(6)] 0.06733 0.25016 1 0 Mshowa
0.07358 0.32864 moveto
0.08608 0.32864 lineto
stroke
0 setgray
[(8)] 0.06733 0.32864 1 0 Mshowa
0.07358 0.40712 moveto
0.08608 0.40712 lineto
stroke
0 setgray
[(10)] 0.06733 0.40712 1 0 Mshowa
0.07358 0.4856 moveto
0.08608 0.4856 lineto
stroke
0 setgray
[(12)] 0.06733 0.4856 1 0 Mshowa
0.07358 0.56408 moveto
0.08608 0.56408 lineto
stroke
0 setgray
[(14)] 0.06733 0.56408 1 0 Mshowa
0 setgray
[( )] 0.07983 0.62428 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
0.00615 setlinewidth
0.02381 0.01472 moveto
0.02381 0.01472 lineto
stroke
0.01845 setlinewidth
0.02381 0.01472 Mdot
0.00615 setlinewidth
0.07983 0.01472 moveto
0.07983 0.01472 lineto
stroke
0.01845 setlinewidth
0.07983 0.01472 Mdot
0.00615 setlinewidth
0.13585 0.01472 moveto
0.13585 0.05396 lineto
stroke
0.01845 setlinewidth
0.13585 0.05396 Mdot
0.00615 setlinewidth
0.19188 0.01472 moveto
0.19188 0.13244 lineto
stroke
0.01845 setlinewidth
0.19188 0.13244 Mdot
0.00615 setlinewidth
0.2479 0.01472 moveto
0.2479 0.25016 lineto
stroke
0.01845 setlinewidth
0.2479 0.25016 Mdot
0.00615 setlinewidth
0.30392 0.01472 moveto
0.30392 0.40712 lineto
stroke
0.01845 setlinewidth
0.30392 0.40712 Mdot
0.00615 setlinewidth
0.35994 0.01472 moveto
0.35994 0.60332 lineto
stroke
0.01845 setlinewidth
0.35994 0.60332 Mdot
0.00615 setlinewidth
0.41597 0.01472 moveto
0.41597 0.60332 lineto
stroke
0.01845 setlinewidth
0.41597 0.60332 Mdot
0.00615 setlinewidth
0.47199 0.01472 moveto
0.47199 0.60332 lineto
stroke
0.01845 setlinewidth
0.47199 0.60332 Mdot
0.00615 setlinewidth
0.52801 0.01472 moveto
0.52801 0.60332 lineto
stroke
0.01845 setlinewidth
0.52801 0.60332 Mdot
0.00615 setlinewidth
0.58403 0.01472 moveto
0.58403 0.60332 lineto
stroke
0.01845 setlinewidth
0.58403 0.60332 Mdot
0.00615 setlinewidth
0.64006 0.01472 moveto
0.64006 0.60332 lineto
stroke
0.01845 setlinewidth
0.64006 0.60332 Mdot
0.00615 setlinewidth
0.69608 0.01472 moveto
0.69608 0.60332 lineto
stroke
0.01845 setlinewidth
0.69608 0.60332 Mdot
0.00615 setlinewidth
0.7521 0.01472 moveto
0.7521 0.56408 lineto
stroke
0.01845 setlinewidth
0.7521 0.56408 Mdot
0.00615 setlinewidth
0.80812 0.01472 moveto
0.80812 0.4856 lineto
stroke
0.01845 setlinewidth
0.80812 0.4856 Mdot
0.00615 setlinewidth
0.86415 0.01472 moveto
0.86415 0.36788 lineto
stroke
0.01845 setlinewidth
0.86415 0.36788 Mdot
0.00615 setlinewidth
0.92017 0.01472 moveto
0.92017 0.21092 lineto
stroke
0.01845 setlinewidth
0.92017 0.21092 Mdot
0.00615 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01472 lineto
stroke
0.01845 setlinewidth
0.97619 0.01472 Mdot
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Convolution of Two Sequences of Infinite Extent
:[font = text; ]
     In this example, two sequences defined over the interval [0, infinity) are convolved.  Here, DTPiecewiseConvolution convolves two functions given as algebraic expressions.
;[s]
2:0,0;98,1;186,-1;
2:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;
:[font = input; initialization; preserveAspect; startGroup; ]
*)
longconv =
  DTPiecewiseConvolution[ Step[n],
                          Exp[-n] Step[n],
                          n ]
(*
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{(-1 + E^(1 + n))/((-1 + E)*E^n), 0, 
   DirectedInfinity[1]}}
;[o]
        1 + n
  -1 + E
{{-----------, 0, Infinity}}
            n
  (-1 + E) E
:[font = text; ]
DTPiecewiseConvolution automatically converts the two functions from algebraic forms into the list-of-interval forms and returns the result in the list-of-interval form.  The result can be plotted:
;[s]
2:0,0;22,1;198,-1;
2:1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; Cclosed; preserveAspect; startGroup; ]
PlotList[ longconv, {n, -1, 10},
          Domain -> Discrete ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 38; pictureWidth = 283; pictureHeight = 175; startGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.11039 0.08658 0.01472 0.37207 [
[(Sequence Plot)] 0.5 0.62428 0 -1 Msboxa
[(2)] 0.28355 0.00222 0 1 Msboxa
[(4)] 0.45671 0.00222 0 1 Msboxa
[(6)] 0.62987 0.00222 0 1 Msboxa
[(8)] 0.80303 0.00222 0 1 Msboxa
[(10)] 0.97619 0.00222 0 1 Msboxa
[(n)] 1.00625 0.01472 -1 0 Msboxa
[(0.25)] 0.09789 0.10773 1 0 Msboxa
[(0.5)] 0.09789 0.20075 1 0 Msboxa
[(0.75)] 0.09789 0.29377 1 0 Msboxa
[(1)] 0.09789 0.38679 1 0 Msboxa
[(1.25)] 0.09789 0.47981 1 0 Msboxa
[(1.5)] 0.09789 0.57283 1 0 Msboxa
[( )] 0.11039 0.62428 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(Sequence Plot)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.28355 0.00847 moveto
0.28355 0.02097 lineto
stroke
0 setgray
[(2)] 0.28355 0.00222 0 1 Mshowa
0.45671 0.00847 moveto
0.45671 0.02097 lineto
stroke
0 setgray
[(4)] 0.45671 0.00222 0 1 Mshowa
0.62987 0.00847 moveto
0.62987 0.02097 lineto
stroke
0 setgray
[(6)] 0.62987 0.00222 0 1 Mshowa
0.80303 0.00847 moveto
0.80303 0.02097 lineto
stroke
0 setgray
[(8)] 0.80303 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(10)] 0.97619 0.00222 0 1 Mshowa
0 setgray
[(n)] 1.00625 0.01472 -1 0 Mshowa
0.11039 0 moveto
0.11039 0.61803 lineto
stroke
0.10414 0.10773 moveto
0.11664 0.10773 lineto
stroke
0 setgray
[(0.25)] 0.09789 0.10773 1 0 Mshowa
0.10414 0.20075 moveto
0.11664 0.20075 lineto
stroke
0 setgray
[(0.5)] 0.09789 0.20075 1 0 Mshowa
0.10414 0.29377 moveto
0.11664 0.29377 lineto
stroke
0 setgray
[(0.75)] 0.09789 0.29377 1 0 Mshowa
0.10414 0.38679 moveto
0.11664 0.38679 lineto
stroke
0 setgray
[(1)] 0.09789 0.38679 1 0 Mshowa
0.10414 0.47981 moveto
0.11664 0.47981 lineto
stroke
0 setgray
[(1.25)] 0.09789 0.47981 1 0 Mshowa
0.10414 0.57283 moveto
0.11664 0.57283 lineto
stroke
0 setgray
[(1.5)] 0.09789 0.57283 1 0 Mshowa
0 setgray
[( )] 0.11039 0.62428 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
0.00698 setlinewidth
0.02381 0.01472 moveto
0.02381 0.01472 lineto
stroke
0.02094 setlinewidth
0.02381 0.01472 Mdot
0.00698 setlinewidth
0.11039 0.01472 moveto
0.11039 0.38679 lineto
stroke
0.02094 setlinewidth
0.11039 0.38679 Mdot
0.00698 setlinewidth
0.19697 0.01472 moveto
0.19697 0.52367 lineto
stroke
0.02094 setlinewidth
0.19697 0.52367 Mdot
0.00698 setlinewidth
0.28355 0.01472 moveto
0.28355 0.57402 lineto
stroke
0.02094 setlinewidth
0.28355 0.57402 Mdot
0.00698 setlinewidth
0.37013 0.01472 moveto
0.37013 0.59255 lineto
stroke
0.02094 setlinewidth
0.37013 0.59255 Mdot
0.00698 setlinewidth
0.45671 0.01472 moveto
0.45671 0.59936 lineto
stroke
0.02094 setlinewidth
0.45671 0.59936 Mdot
0.00698 setlinewidth
0.54329 0.01472 moveto
0.54329 0.60187 lineto
stroke
0.02094 setlinewidth
0.54329 0.60187 Mdot
0.00698 setlinewidth
0.62987 0.01472 moveto
0.62987 0.60279 lineto
stroke
0.02094 setlinewidth
0.62987 0.60279 Mdot
0.00698 setlinewidth
0.71645 0.01472 moveto
0.71645 0.60313 lineto
stroke
0.02094 setlinewidth
0.71645 0.60313 Mdot
0.00698 setlinewidth
0.80303 0.01472 moveto
0.80303 0.60326 lineto
stroke
0.02094 setlinewidth
0.80303 0.60326 Mdot
0.00698 setlinewidth
0.88961 0.01472 moveto
0.88961 0.6033 lineto
stroke
0.02094 setlinewidth
0.88961 0.6033 Mdot
0.00698 setlinewidth
0.97619 0.01472 moveto
0.97619 0.60332 lineto
stroke
0.02094 setlinewidth
0.97619 0.60332 Mdot
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = text; ]
The result can be converted back into an algebraic expression:
:[font = input; Cclosed; preserveAspect; startGroup; ]
ConvertFromList[ longconv, n,
                 Domain -> Discrete ]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
((-1 + E^(1 + n))*Step[n])/((-1 + E)*E^n)
;[o]
       1 + n
(-1 + E     ) Step[n]
---------------------
               n
     (-1 + E) E
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
A More Complicated Example
:[font = text; inactive; ]
     In this example, we consider the inner workings of discrete-time convolution when f[n] has three adjacent F-intervals and g[n] has two.  We use the following two discrete-time signals:
:[font = output; output; inactive; locked; preserveAspect; spaceAbove = 14; ]
MatrixForm[{{"     = n,     ", "1 <= n <= 4  "}, 
   {"f[n] = 7 - n, ", "5 <= n <= 13 "}, 
   {"     = n - 25,", "14 <= n <= 32"}}]
;[o]
     = n,       1 <= n <= 4  
 
f[n] = 7 - n,   5 <= n <= 13 
 
     = n - 25,  14 <= n <= 32
:[font = output; output; inactive; locked; preserveAspect; spaceAbove = 14; ]
MatrixForm[{{"g[n] = 2,", "10 <= n <= 43"}, 
   {"     = -2,", "44 <= n <= 90"}}]
;[o]
g[n] = 2,      10 <= n <= 43
 
     = -2,     44 <= n <= 90
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Putting f[n] and g[n] in list-of-interval form
:[font = text; inactive; ]
     In the list-of-interval form, f[n] becomes
:[font = input; initialization; preserveAspect; startGroup; ]
*)
f1 = {n, 1, 4};
f2 = {7 - n, 5, 13};
f3 = {n - 25, 14, 32};
fdisclist = {f1, f2, f3}
(*
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{n, 1, 4}, {7 - n, 5, 13}, {-25 + n, 14, 32}}
;[o]
{{n, 1, 4}, {7 - n, 5, 13}, {-25 + n, 14, 32}}
:[font = text; inactive; ]
and g[n] becomes
:[font = input; initialization; preserveAspect; startGroup; ]
*)
g1 = {2, 10, 43};
g2 = {-2, 44, 90};
gdisclist = {g1, g2}
(*
:[font = message; inactive; preserveAspect; ]
General::spell1: 
   Possible spelling error: new symbol name 
    "gdisclist" is similar to existing symbol 
    "fdisclist".
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
{{2, 10, 43}, {-2, 44, 90}}
;[o]
{{2, 10, 43}, {-2, 44, 90}}
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Performing the convolution
:[font = text; inactive; ]
     The convolution of f[n] and g[n] will produce at most 18 F-intervals.  Each F-interval in f will be convolved with each F-interval in g which means that 6 F-intervals will be convolved.  When one F-interval is convolved with another F-interval, three F-intervals are produced.
:[font = input; preserveAspect; ]
FconvG =
 DTPiecewiseConvolution[fdisclist, gdisclist, n];
:[font = text; inactive; ]
     After removing overlapping F-intervals, the answer to this convolution problem actually contains eleven separate F-intervals:
:[font = input; preserveAspect; startGroup; ]
ColumnForm[ FconvG ]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
{(-10 + n)*(-9 + n), 11, 14}
{-246 + 33*n - n^2, 15, 23}
{1042 - 69*n + n^2, 24, 42}
{-92, 43, 44}
{-3876 + 174*n - 2*n^2, 45, 48}
{2*(-59 + n)*(-42 + n), 49, 57}
{-9180 + 274*n - 2*n^2, 58, 76}
{92, 77, 91}
{8282 - 181*n + n^2, 92, 95}
{-9388 + 195*n - n^2, 96, 104}
{(-123 + n)*(-108 + n), 105, 122}
;[o]
{(-10 + n) (-9 + n), 11, 14}
                2
{-246 + 33 n - n , 15, 23}
                2
{1042 - 69 n + n , 24, 42}
{-92, 43, 44}
                    2
{-3876 + 174 n - 2 n , 45, 48}
{2 (-59 + n) (-42 + n), 49, 57}
                    2
{-9180 + 274 n - 2 n , 58, 76}
{92, 77, 91}
                 2
{8282 - 181 n + n , 92, 95}
                  2
{-9388 + 195 n - n , 96, 104}
{(-123 + n) (-108 + n), 105, 122}
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Plotting the result
:[font = input; preserveAspect; startGroup; ]
PlotList[ FconvG, {n, -5, 140},
          Domain -> Discrete ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 39; pictureWidth = 282; pictureHeight = 174; startGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.05665 0.00657 0.2622 0.00167 [
[(Sequence Plot)] 0.5 0.62428 0 -1 Msboxa
[(20)] 0.18801 0.2497 0 1 Msboxa
[(40)] 0.31938 0.2497 0 1 Msboxa
[(60)] 0.45074 0.2497 0 1 Msboxa
[(80)] 0.5821 0.2497 0 1 Msboxa
[(100)] 0.71346 0.2497 0 1 Msboxa
[(120)] 0.84483 0.2497 0 1 Msboxa
[(140)] 0.97619 0.2497 0 1 Msboxa
[(n)] 1.00625 0.2622 -1 0 Msboxa
[(-150)] 0.04415 0.01137 1 0 Msboxa
[(-100)] 0.04415 0.09498 1 0 Msboxa
[(-50)] 0.04415 0.17859 1 0 Msboxa
[(50)] 0.04415 0.3458 1 0 Msboxa
[(100)] 0.04415 0.42941 1 0 Msboxa
[(150)] 0.04415 0.51302 1 0 Msboxa
[(200)] 0.04415 0.59663 1 0 Msboxa
[( )] 0.05665 0.62428 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(Sequence Plot)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.2622 moveto
1 0.2622 lineto
stroke
0.18801 0.25595 moveto
0.18801 0.26845 lineto
stroke
0 setgray
[(20)] 0.18801 0.2497 0 1 Mshowa
0.31938 0.25595 moveto
0.31938 0.26845 lineto
stroke
0 setgray
[(40)] 0.31938 0.2497 0 1 Mshowa
0.45074 0.25595 moveto
0.45074 0.26845 lineto
stroke
0 setgray
[(60)] 0.45074 0.2497 0 1 Mshowa
0.5821 0.25595 moveto
0.5821 0.26845 lineto
stroke
0 setgray
[(80)] 0.5821 0.2497 0 1 Mshowa
0.71346 0.25595 moveto
0.71346 0.26845 lineto
stroke
0 setgray
[(100)] 0.71346 0.2497 0 1 Mshowa
0.84483 0.25595 moveto
0.84483 0.26845 lineto
stroke
0 setgray
[(120)] 0.84483 0.2497 0 1 Mshowa
0.97619 0.25595 moveto
0.97619 0.26845 lineto
stroke
0 setgray
[(140)] 0.97619 0.2497 0 1 Mshowa
0 setgray
[(n)] 1.00625 0.2622 -1 0 Mshowa
0.05665 0 moveto
0.05665 0.61803 lineto
stroke
0.0504 0.01137 moveto
0.0629 0.01137 lineto
stroke
0 setgray
[(-150)] 0.04415 0.01137 1 0 Mshowa
0.0504 0.09498 moveto
0.0629 0.09498 lineto
stroke
0 setgray
[(-100)] 0.04415 0.09498 1 0 Mshowa
0.0504 0.17859 moveto
0.0629 0.17859 lineto
stroke
0 setgray
[(-50)] 0.04415 0.17859 1 0 Mshowa
0.0504 0.3458 moveto
0.0629 0.3458 lineto
stroke
0 setgray
[(50)] 0.04415 0.3458 1 0 Mshowa
0.0504 0.42941 moveto
0.0629 0.42941 lineto
stroke
0 setgray
[(100)] 0.04415 0.42941 1 0 Mshowa
0.0504 0.51302 moveto
0.0629 0.51302 lineto
stroke
0 setgray
[(150)] 0.04415 0.51302 1 0 Mshowa
0.0504 0.59663 moveto
0.0629 0.59663 lineto
stroke
0 setgray
[(200)] 0.04415 0.59663 1 0 Mshowa
0 setgray
[( )] 0.05665 0.62428 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
0.004 setlinewidth
0.02381 0.2622 moveto
0.02381 0.2622 lineto
stroke
0.008 setlinewidth
0.02381 0.2622 Mdot
0.004 setlinewidth
0.03038 0.2622 moveto
0.03038 0.2622 lineto
stroke
0.008 setlinewidth
0.03038 0.2622 Mdot
0.004 setlinewidth
0.03695 0.2622 moveto
0.03695 0.2622 lineto
stroke
0.008 setlinewidth
0.03695 0.2622 Mdot
0.004 setlinewidth
0.04351 0.2622 moveto
0.04351 0.2622 lineto
stroke
0.008 setlinewidth
0.04351 0.2622 Mdot
0.004 setlinewidth
0.05008 0.2622 moveto
0.05008 0.2622 lineto
stroke
0.008 setlinewidth
0.05008 0.2622 Mdot
0.004 setlinewidth
0.05665 0.2622 moveto
0.05665 0.2622 lineto
stroke
0.008 setlinewidth
0.05665 0.2622 Mdot
0.004 setlinewidth
0.06322 0.2622 moveto
0.06322 0.2622 lineto
stroke
0.008 setlinewidth
0.06322 0.2622 Mdot
0.004 setlinewidth
0.06979 0.2622 moveto
0.06979 0.2622 lineto
stroke
0.008 setlinewidth
0.06979 0.2622 Mdot
0.004 setlinewidth
0.07635 0.2622 moveto
0.07635 0.2622 lineto
stroke
0.008 setlinewidth
0.07635 0.2622 Mdot
0.004 setlinewidth
0.08292 0.2622 moveto
0.08292 0.2622 lineto
stroke
0.008 setlinewidth
0.08292 0.2622 Mdot
0.004 setlinewidth
0.08949 0.2622 moveto
0.08949 0.2622 lineto
stroke
0.008 setlinewidth
0.08949 0.2622 Mdot
0.004 setlinewidth
0.09606 0.2622 moveto
0.09606 0.2622 lineto
stroke
0.008 setlinewidth
0.09606 0.2622 Mdot
0.004 setlinewidth
0.10263 0.2622 moveto
0.10263 0.2622 lineto
stroke
0.008 setlinewidth
0.10263 0.2622 Mdot
0.004 setlinewidth
0.1092 0.2622 moveto
0.1092 0.2622 lineto
stroke
0.008 setlinewidth
0.1092 0.2622 Mdot
0.004 setlinewidth
0.11576 0.2622 moveto
0.11576 0.2622 lineto
stroke
0.008 setlinewidth
0.11576 0.2622 Mdot
0.004 setlinewidth
0.12233 0.2622 moveto
0.12233 0.2622 lineto
stroke
0.008 setlinewidth
0.12233 0.2622 Mdot
0.004 setlinewidth
0.1289 0.2622 moveto
0.1289 0.26554 lineto
stroke
0.008 setlinewidth
0.1289 0.26554 Mdot
0.004 setlinewidth
0.13547 0.2622 moveto
0.13547 0.27223 lineto
stroke
0.008 setlinewidth
0.13547 0.27223 Mdot
0.004 setlinewidth
0.14204 0.2622 moveto
0.14204 0.28226 lineto
stroke
0.008 setlinewidth
0.14204 0.28226 Mdot
0.004 setlinewidth
0.1486 0.2622 moveto
0.1486 0.29564 lineto
stroke
0.008 setlinewidth
0.1486 0.29564 Mdot
0.004 setlinewidth
0.15517 0.2622 moveto
0.15517 0.30233 lineto
stroke
0.008 setlinewidth
0.15517 0.30233 Mdot
0.004 setlinewidth
0.16174 0.2622 moveto
0.16174 0.30567 lineto
stroke
0.008 setlinewidth
0.16174 0.30567 Mdot
0.004 setlinewidth
0.16831 0.2622 moveto
0.16831 0.30567 lineto
stroke
0.008 setlinewidth
0.16831 0.30567 Mdot
0.004 setlinewidth
0.17488 0.2622 moveto
0.17488 0.30233 lineto
stroke
0.008 setlinewidth
0.17488 0.30233 Mdot
0.004 setlinewidth
0.18144 0.2622 moveto
0.18144 0.29564 lineto
stroke
0.008 setlinewidth
0.18144 0.29564 Mdot
0.004 setlinewidth
0.18801 0.2622 moveto
0.18801 0.28561 lineto
stroke
0.008 setlinewidth
0.18801 0.28561 Mdot
0.004 setlinewidth
0.19458 0.2622 moveto
0.19458 0.27223 lineto
stroke
0.008 setlinewidth
0.19458 0.27223 Mdot
0.004 setlinewidth
0.20115 0.2622 moveto
0.20115 0.25551 lineto
stroke
0.008 setlinewidth
0.20115 0.25551 Mdot
0.004 setlinewidth
0.20772 0.2622 moveto
0.20772 0.23544 lineto
stroke
0.008 setlinewidth
0.20772 0.23544 Mdot
0.004 setlinewidth
0.21429 0.2622 moveto
0.21429 0.19865 lineto
stroke
0.008 setlinewidth
0.21429 0.19865 Mdot
0.004 setlinewidth
0.22085 0.2622 moveto
0.22085 0.16521 lineto
stroke
0.008 setlinewidth
0.22085 0.16521 Mdot
0.004 setlinewidth
0.22742 0.2622 moveto
0.22742 0.13511 lineto
stroke
0.008 setlinewidth
0.22742 0.13511 Mdot
0.004 setlinewidth
0.23399 0.2622 moveto
0.23399 0.10836 lineto
stroke
0.008 setlinewidth
0.23399 0.10836 Mdot
0.004 setlinewidth
0.24056 0.2622 moveto
0.24056 0.08495 lineto
stroke
0.008 setlinewidth
0.24056 0.08495 Mdot
0.004 setlinewidth
0.24713 0.2622 moveto
0.24713 0.06488 lineto
stroke
0.008 setlinewidth
0.24713 0.06488 Mdot
0.004 setlinewidth
0.25369 0.2622 moveto
0.25369 0.04816 lineto
stroke
0.008 setlinewidth
0.25369 0.04816 Mdot
0.004 setlinewidth
0.26026 0.2622 moveto
0.26026 0.03478 lineto
stroke
0.008 setlinewidth
0.26026 0.03478 Mdot
0.004 setlinewidth
0.26683 0.2622 moveto
0.26683 0.02475 lineto
stroke
0.008 setlinewidth
0.26683 0.02475 Mdot
0.004 setlinewidth
0.2734 0.2622 moveto
0.2734 0.01806 lineto
stroke
0.008 setlinewidth
0.2734 0.01806 Mdot
0.004 setlinewidth
0.27997 0.2622 moveto
0.27997 0.01472 lineto
stroke
0.008 setlinewidth
0.27997 0.01472 Mdot
0.004 setlinewidth
0.28654 0.2622 moveto
0.28654 0.01472 lineto
stroke
0.008 setlinewidth
0.28654 0.01472 Mdot
0.004 setlinewidth
0.2931 0.2622 moveto
0.2931 0.01806 lineto
stroke
0.008 setlinewidth
0.2931 0.01806 Mdot
0.004 setlinewidth
0.29967 0.2622 moveto
0.29967 0.02475 lineto
stroke
0.008 setlinewidth
0.29967 0.02475 Mdot
0.004 setlinewidth
0.30624 0.2622 moveto
0.30624 0.03478 lineto
stroke
0.008 setlinewidth
0.30624 0.03478 Mdot
0.004 setlinewidth
0.31281 0.2622 moveto
0.31281 0.04816 lineto
stroke
0.008 setlinewidth
0.31281 0.04816 Mdot
0.004 setlinewidth
0.31938 0.2622 moveto
0.31938 0.06488 lineto
stroke
0.008 setlinewidth
0.31938 0.06488 Mdot
0.004 setlinewidth
0.32594 0.2622 moveto
0.32594 0.08495 lineto
stroke
0.008 setlinewidth
0.32594 0.08495 Mdot
0.004 setlinewidth
0.33251 0.2622 moveto
0.33251 0.10836 lineto
stroke
0.008 setlinewidth
0.33251 0.10836 Mdot
0.004 setlinewidth
0.33908 0.2622 moveto
0.33908 0.10836 lineto
stroke
0.008 setlinewidth
0.33908 0.10836 Mdot
0.004 setlinewidth
0.34565 0.2622 moveto
0.34565 0.10836 lineto
stroke
0.008 setlinewidth
0.34565 0.10836 Mdot
0.004 setlinewidth
0.35222 0.2622 moveto
0.35222 0.10167 lineto
stroke
0.008 setlinewidth
0.35222 0.10167 Mdot
0.004 setlinewidth
0.35878 0.2622 moveto
0.35878 0.08829 lineto
stroke
0.008 setlinewidth
0.35878 0.08829 Mdot
0.004 setlinewidth
0.36535 0.2622 moveto
0.36535 0.06822 lineto
stroke
0.008 setlinewidth
0.36535 0.06822 Mdot
0.004 setlinewidth
0.37192 0.2622 moveto
0.37192 0.04147 lineto
stroke
0.008 setlinewidth
0.37192 0.04147 Mdot
0.004 setlinewidth
0.37849 0.2622 moveto
0.37849 0.02809 lineto
stroke
0.008 setlinewidth
0.37849 0.02809 Mdot
0.004 setlinewidth
0.38506 0.2622 moveto
0.38506 0.0214 lineto
stroke
0.008 setlinewidth
0.38506 0.0214 Mdot
0.004 setlinewidth
0.39163 0.2622 moveto
0.39163 0.0214 lineto
stroke
0.008 setlinewidth
0.39163 0.0214 Mdot
0.004 setlinewidth
0.39819 0.2622 moveto
0.39819 0.02809 lineto
stroke
0.008 setlinewidth
0.39819 0.02809 Mdot
0.004 setlinewidth
0.40476 0.2622 moveto
0.40476 0.04147 lineto
stroke
0.008 setlinewidth
0.40476 0.04147 Mdot
0.004 setlinewidth
0.41133 0.2622 moveto
0.41133 0.06154 lineto
stroke
0.008 setlinewidth
0.41133 0.06154 Mdot
0.004 setlinewidth
0.4179 0.2622 moveto
0.4179 0.08829 lineto
stroke
0.008 setlinewidth
0.4179 0.08829 Mdot
0.004 setlinewidth
0.42447 0.2622 moveto
0.42447 0.12173 lineto
stroke
0.008 setlinewidth
0.42447 0.12173 Mdot
0.004 setlinewidth
0.43103 0.2622 moveto
0.43103 0.16187 lineto
stroke
0.008 setlinewidth
0.43103 0.16187 Mdot
0.004 setlinewidth
0.4376 0.2622 moveto
0.4376 0.23544 lineto
stroke
0.008 setlinewidth
0.4376 0.23544 Mdot
0.004 setlinewidth
0.44417 0.2622 moveto
0.44417 0.30233 lineto
stroke
0.008 setlinewidth
0.44417 0.30233 Mdot
0.004 setlinewidth
0.45074 0.2622 moveto
0.45074 0.36253 lineto
stroke
0.008 setlinewidth
0.45074 0.36253 Mdot
0.004 setlinewidth
0.45731 0.2622 moveto
0.45731 0.41604 lineto
stroke
0.008 setlinewidth
0.45731 0.41604 Mdot
0.004 setlinewidth
0.46388 0.2622 moveto
0.46388 0.46286 lineto
stroke
0.008 setlinewidth
0.46388 0.46286 Mdot
0.004 setlinewidth
0.47044 0.2622 moveto
0.47044 0.50299 lineto
stroke
0.008 setlinewidth
0.47044 0.50299 Mdot
0.004 setlinewidth
0.47701 0.2622 moveto
0.47701 0.53643 lineto
stroke
0.008 setlinewidth
0.47701 0.53643 Mdot
0.004 setlinewidth
0.48358 0.2622 moveto
0.48358 0.56319 lineto
stroke
0.008 setlinewidth
0.48358 0.56319 Mdot
0.004 setlinewidth
0.49015 0.2622 moveto
0.49015 0.58325 lineto
stroke
0.008 setlinewidth
0.49015 0.58325 Mdot
0.004 setlinewidth
0.49672 0.2622 moveto
0.49672 0.59663 lineto
stroke
0.008 setlinewidth
0.49672 0.59663 Mdot
0.004 setlinewidth
0.50328 0.2622 moveto
0.50328 0.60332 lineto
stroke
0.008 setlinewidth
0.50328 0.60332 Mdot
0.004 setlinewidth
0.50985 0.2622 moveto
0.50985 0.60332 lineto
stroke
0.008 setlinewidth
0.50985 0.60332 Mdot
0.004 setlinewidth
0.51642 0.2622 moveto
0.51642 0.59663 lineto
stroke
0.008 setlinewidth
0.51642 0.59663 Mdot
0.004 setlinewidth
0.52299 0.2622 moveto
0.52299 0.58325 lineto
stroke
0.008 setlinewidth
0.52299 0.58325 Mdot
0.004 setlinewidth
0.52956 0.2622 moveto
0.52956 0.56319 lineto
stroke
0.008 setlinewidth
0.52956 0.56319 Mdot
0.004 setlinewidth
0.53612 0.2622 moveto
0.53612 0.53643 lineto
stroke
0.008 setlinewidth
0.53612 0.53643 Mdot
0.004 setlinewidth
0.54269 0.2622 moveto
0.54269 0.50299 lineto
stroke
0.008 setlinewidth
0.54269 0.50299 Mdot
0.004 setlinewidth
0.54926 0.2622 moveto
0.54926 0.46286 lineto
stroke
0.008 setlinewidth
0.54926 0.46286 Mdot
0.004 setlinewidth
0.55583 0.2622 moveto
0.55583 0.41604 lineto
stroke
0.008 setlinewidth
0.55583 0.41604 Mdot
0.004 setlinewidth
0.5624 0.2622 moveto
0.5624 0.41604 lineto
stroke
0.008 setlinewidth
0.5624 0.41604 Mdot
0.004 setlinewidth
0.56897 0.2622 moveto
0.56897 0.41604 lineto
stroke
0.008 setlinewidth
0.56897 0.41604 Mdot
0.004 setlinewidth
0.57553 0.2622 moveto
0.57553 0.41604 lineto
stroke
0.008 setlinewidth
0.57553 0.41604 Mdot
0.004 setlinewidth
0.5821 0.2622 moveto
0.5821 0.41604 lineto
stroke
0.008 setlinewidth
0.5821 0.41604 Mdot
0.004 setlinewidth
0.58867 0.2622 moveto
0.58867 0.41604 lineto
stroke
0.008 setlinewidth
0.58867 0.41604 Mdot
0.004 setlinewidth
0.59524 0.2622 moveto
0.59524 0.41604 lineto
stroke
0.008 setlinewidth
0.59524 0.41604 Mdot
0.004 setlinewidth
0.60181 0.2622 moveto
0.60181 0.41604 lineto
stroke
0.008 setlinewidth
0.60181 0.41604 Mdot
0.004 setlinewidth
0.60837 0.2622 moveto
0.60837 0.41604 lineto
stroke
0.008 setlinewidth
0.60837 0.41604 Mdot
0.004 setlinewidth
0.61494 0.2622 moveto
0.61494 0.41604 lineto
stroke
0.008 setlinewidth
0.61494 0.41604 Mdot
0.004 setlinewidth
0.62151 0.2622 moveto
0.62151 0.41604 lineto
stroke
0.008 setlinewidth
0.62151 0.41604 Mdot
0.004 setlinewidth
0.62808 0.2622 moveto
0.62808 0.41604 lineto
stroke
0.008 setlinewidth
0.62808 0.41604 Mdot
0.004 setlinewidth
0.63465 0.2622 moveto
0.63465 0.41604 lineto
stroke
0.008 setlinewidth
0.63465 0.41604 Mdot
0.004 setlinewidth
0.64122 0.2622 moveto
0.64122 0.41604 lineto
stroke
0.008 setlinewidth
0.64122 0.41604 Mdot
0.004 setlinewidth
0.64778 0.2622 moveto
0.64778 0.41604 lineto
stroke
0.008 setlinewidth
0.64778 0.41604 Mdot
0.004 setlinewidth
0.65435 0.2622 moveto
0.65435 0.41604 lineto
stroke
0.008 setlinewidth
0.65435 0.41604 Mdot
0.004 setlinewidth
0.66092 0.2622 moveto
0.66092 0.41938 lineto
stroke
0.008 setlinewidth
0.66092 0.41938 Mdot
0.004 setlinewidth
0.66749 0.2622 moveto
0.66749 0.42607 lineto
stroke
0.008 setlinewidth
0.66749 0.42607 Mdot
0.004 setlinewidth
0.67406 0.2622 moveto
0.67406 0.4361 lineto
stroke
0.008 setlinewidth
0.67406 0.4361 Mdot
0.004 setlinewidth
0.68062 0.2622 moveto
0.68062 0.44948 lineto
stroke
0.008 setlinewidth
0.68062 0.44948 Mdot
0.004 setlinewidth
0.68719 0.2622 moveto
0.68719 0.45617 lineto
stroke
0.008 setlinewidth
0.68719 0.45617 Mdot
0.004 setlinewidth
0.69376 0.2622 moveto
0.69376 0.45951 lineto
stroke
0.008 setlinewidth
0.69376 0.45951 Mdot
0.004 setlinewidth
0.70033 0.2622 moveto
0.70033 0.45951 lineto
stroke
0.008 setlinewidth
0.70033 0.45951 Mdot
0.004 setlinewidth
0.7069 0.2622 moveto
0.7069 0.45617 lineto
stroke
0.008 setlinewidth
0.7069 0.45617 Mdot
0.004 setlinewidth
0.71346 0.2622 moveto
0.71346 0.44948 lineto
stroke
0.008 setlinewidth
0.71346 0.44948 Mdot
0.004 setlinewidth
0.72003 0.2622 moveto
0.72003 0.43945 lineto
stroke
0.008 setlinewidth
0.72003 0.43945 Mdot
0.004 setlinewidth
0.7266 0.2622 moveto
0.7266 0.42607 lineto
stroke
0.008 setlinewidth
0.7266 0.42607 Mdot
0.004 setlinewidth
0.73317 0.2622 moveto
0.73317 0.40935 lineto
stroke
0.008 setlinewidth
0.73317 0.40935 Mdot
0.004 setlinewidth
0.73974 0.2622 moveto
0.73974 0.38928 lineto
stroke
0.008 setlinewidth
0.73974 0.38928 Mdot
0.004 setlinewidth
0.74631 0.2622 moveto
0.74631 0.35249 lineto
stroke
0.008 setlinewidth
0.74631 0.35249 Mdot
0.004 setlinewidth
0.75287 0.2622 moveto
0.75287 0.31905 lineto
stroke
0.008 setlinewidth
0.75287 0.31905 Mdot
0.004 setlinewidth
0.75944 0.2622 moveto
0.75944 0.28895 lineto
stroke
0.008 setlinewidth
0.75944 0.28895 Mdot
0.004 setlinewidth
0.76601 0.2622 moveto
0.76601 0.2622 lineto
stroke
0.008 setlinewidth
0.76601 0.2622 Mdot
0.004 setlinewidth
0.77258 0.2622 moveto
0.77258 0.23879 lineto
stroke
0.008 setlinewidth
0.77258 0.23879 Mdot
0.004 setlinewidth
0.77915 0.2622 moveto
0.77915 0.21872 lineto
stroke
0.008 setlinewidth
0.77915 0.21872 Mdot
0.004 setlinewidth
0.78571 0.2622 moveto
0.78571 0.202 lineto
stroke
0.008 setlinewidth
0.78571 0.202 Mdot
0.004 setlinewidth
0.79228 0.2622 moveto
0.79228 0.18862 lineto
stroke
0.008 setlinewidth
0.79228 0.18862 Mdot
0.004 setlinewidth
0.79885 0.2622 moveto
0.79885 0.17859 lineto
stroke
0.008 setlinewidth
0.79885 0.17859 Mdot
0.004 setlinewidth
0.80542 0.2622 moveto
0.80542 0.1719 lineto
stroke
0.008 setlinewidth
0.80542 0.1719 Mdot
0.004 setlinewidth
0.81199 0.2622 moveto
0.81199 0.16855 lineto
stroke
0.008 setlinewidth
0.81199 0.16855 Mdot
0.004 setlinewidth
0.81856 0.2622 moveto
0.81856 0.16855 lineto
stroke
0.008 setlinewidth
0.81856 0.16855 Mdot
0.004 setlinewidth
0.82512 0.2622 moveto
0.82512 0.1719 lineto
stroke
0.008 setlinewidth
0.82512 0.1719 Mdot
0.004 setlinewidth
0.83169 0.2622 moveto
0.83169 0.17859 lineto
stroke
0.008 setlinewidth
0.83169 0.17859 Mdot
0.004 setlinewidth
0.83826 0.2622 moveto
0.83826 0.18862 lineto
stroke
0.008 setlinewidth
0.83826 0.18862 Mdot
0.004 setlinewidth
0.84483 0.2622 moveto
0.84483 0.202 lineto
stroke
0.008 setlinewidth
0.84483 0.202 Mdot
0.004 setlinewidth
0.8514 0.2622 moveto
0.8514 0.21872 lineto
stroke
0.008 setlinewidth
0.8514 0.21872 Mdot
0.004 setlinewidth
0.85796 0.2622 moveto
0.85796 0.23879 lineto
stroke
0.008 setlinewidth
0.85796 0.23879 Mdot
0.004 setlinewidth
0.86453 0.2622 moveto
0.86453 0.2622 lineto
stroke
0.008 setlinewidth
0.86453 0.2622 Mdot
0.004 setlinewidth
0.8711 0.2622 moveto
0.8711 0.2622 lineto
stroke
0.008 setlinewidth
0.8711 0.2622 Mdot
0.004 setlinewidth
0.87767 0.2622 moveto
0.87767 0.2622 lineto
stroke
0.008 setlinewidth
0.87767 0.2622 Mdot
0.004 setlinewidth
0.88424 0.2622 moveto
0.88424 0.2622 lineto
stroke
0.008 setlinewidth
0.88424 0.2622 Mdot
0.004 setlinewidth
0.8908 0.2622 moveto
0.8908 0.2622 lineto
stroke
0.008 setlinewidth
0.8908 0.2622 Mdot
0.004 setlinewidth
0.89737 0.2622 moveto
0.89737 0.2622 lineto
stroke
0.008 setlinewidth
0.89737 0.2622 Mdot
0.004 setlinewidth
0.90394 0.2622 moveto
0.90394 0.2622 lineto
stroke
0.008 setlinewidth
0.90394 0.2622 Mdot
0.004 setlinewidth
0.91051 0.2622 moveto
0.91051 0.2622 lineto
stroke
0.008 setlinewidth
0.91051 0.2622 Mdot
0.004 setlinewidth
0.91708 0.2622 moveto
0.91708 0.2622 lineto
stroke
0.008 setlinewidth
0.91708 0.2622 Mdot
0.004 setlinewidth
0.92365 0.2622 moveto
0.92365 0.2622 lineto
stroke
0.008 setlinewidth
0.92365 0.2622 Mdot
0.004 setlinewidth
0.93021 0.2622 moveto
0.93021 0.2622 lineto
stroke
0.008 setlinewidth
0.93021 0.2622 Mdot
0.004 setlinewidth
0.93678 0.2622 moveto
0.93678 0.2622 lineto
stroke
0.008 setlinewidth
0.93678 0.2622 Mdot
0.004 setlinewidth
0.94335 0.2622 moveto
0.94335 0.2622 lineto
stroke
0.008 setlinewidth
0.94335 0.2622 Mdot
0.004 setlinewidth
0.94992 0.2622 moveto
0.94992 0.2622 lineto
stroke
0.008 setlinewidth
0.94992 0.2622 Mdot
0.004 setlinewidth
0.95649 0.2622 moveto
0.95649 0.2622 lineto
stroke
0.008 setlinewidth
0.95649 0.2622 Mdot
0.004 setlinewidth
0.96305 0.2622 moveto
0.96305 0.2622 lineto
stroke
0.008 setlinewidth
0.96305 0.2622 Mdot
0.004 setlinewidth
0.96962 0.2622 moveto
0.96962 0.2622 lineto
stroke
0.008 setlinewidth
0.96962 0.2622 Mdot
0.004 setlinewidth
0.97619 0.2622 moveto
0.97619 0.2622 lineto
stroke
0.008 setlinewidth
0.97619 0.2622 Mdot
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Autocorrelation
:[font = help; inactive; preserveAspect; ]
     This example is the autocorrelation of a pulse function:
:[font = input; preserveAspect; startGroup; ]
AutoCorrelation[ Pulse[10, n], n,
                 Domain -> Discrete ]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{10 + n, -9, 0}, {10 - n, 1, 10}}
;[o]
{{10 + n, -9, 0}, {10 - n, 1, 10}}
:[font = help; inactive; preserveAspect; ]
     In the convolution package, autocorrelation is implemented as the convolution of the function with a time-reversed version of the same function; in this case, the autocorrelation of a length 10 pulse beginning at n = 0 (written below in interval form) is
:[font = input; preserveAspect; startGroup; ]
DTPiecewiseConvolution[{1, 0, 9}, {1, -9, 0}, n]
:[font = output; output; inactive; preserveAspect; endGroup; ]
{{10 + n, -9, 0}, {10 - n, 1, 9}}
;[o]
{{10 + n, -9, 0}, {10 - n, 1, 9}}
:[font = help; inactive; preserveAspect; ]
The autocorrelation in this case is a triangular function:
:[font = input; preserveAspect; startGroup; ]
PlotList[ %, {n, -10, 10}, Domain -> Discrete ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 58; pictureWidth = 322; pictureHeight = 199; startGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.5 0.04762 0.01472 0.05886 [
[(Sequence Plot)] 0.5 0.62428 0 -1 Msboxa
[(-10)] 0.02381 0.00222 0 1 Msboxa
[(-5)] 0.2619 0.00222 0 1 Msboxa
[(5)] 0.7381 0.00222 0 1 Msboxa
[(10)] 0.97619 0.00222 0 1 Msboxa
[(n)] 1.00625 0.01472 -1 0 Msboxa
[(2)] 0.4875 0.13244 1 0 Msboxa
[(4)] 0.4875 0.25016 1 0 Msboxa
[(6)] 0.4875 0.36788 1 0 Msboxa
[(8)] 0.4875 0.4856 1 0 Msboxa
[(10)] 0.4875 0.60332 1 0 Msboxa
[( )] 0.5 0.62428 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(Sequence Plot)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.02381 0.00847 moveto
0.02381 0.02097 lineto
stroke
0 setgray
[(-10)] 0.02381 0.00222 0 1 Mshowa
0.2619 0.00847 moveto
0.2619 0.02097 lineto
stroke
0 setgray
[(-5)] 0.2619 0.00222 0 1 Mshowa
0.7381 0.00847 moveto
0.7381 0.02097 lineto
stroke
0 setgray
[(5)] 0.7381 0.00222 0 1 Mshowa
0.97619 0.00847 moveto
0.97619 0.02097 lineto
stroke
0 setgray
[(10)] 0.97619 0.00222 0 1 Mshowa
0 setgray
[(n)] 1.00625 0.01472 -1 0 Mshowa
0.5 0 moveto
0.5 0.61803 lineto
stroke
0.49375 0.13244 moveto
0.50625 0.13244 lineto
stroke
0 setgray
[(2)] 0.4875 0.13244 1 0 Mshowa
0.49375 0.25016 moveto
0.50625 0.25016 lineto
stroke
0 setgray
[(4)] 0.4875 0.25016 1 0 Mshowa
0.49375 0.36788 moveto
0.50625 0.36788 lineto
stroke
0 setgray
[(6)] 0.4875 0.36788 1 0 Mshowa
0.49375 0.4856 moveto
0.50625 0.4856 lineto
stroke
0 setgray
[(8)] 0.4875 0.4856 1 0 Mshowa
0.49375 0.60332 moveto
0.50625 0.60332 lineto
stroke
0 setgray
[(10)] 0.4875 0.60332 1 0 Mshowa
0 setgray
[( )] 0.5 0.62428 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
0.00587 setlinewidth
0.02381 0.01472 moveto
0.02381 0.01472 lineto
stroke
0.01762 setlinewidth
0.02381 0.01472 Mdot
0.00587 setlinewidth
0.07143 0.01472 moveto
0.07143 0.07358 lineto
stroke
0.01762 setlinewidth
0.07143 0.07358 Mdot
0.00587 setlinewidth
0.11905 0.01472 moveto
0.11905 0.13244 lineto
stroke
0.01762 setlinewidth
0.11905 0.13244 Mdot
0.00587 setlinewidth
0.16667 0.01472 moveto
0.16667 0.1913 lineto
stroke
0.01762 setlinewidth
0.16667 0.1913 Mdot
0.00587 setlinewidth
0.21429 0.01472 moveto
0.21429 0.25016 lineto
stroke
0.01762 setlinewidth
0.21429 0.25016 Mdot
0.00587 setlinewidth
0.2619 0.01472 moveto
0.2619 0.30902 lineto
stroke
0.01762 setlinewidth
0.2619 0.30902 Mdot
0.00587 setlinewidth
0.30952 0.01472 moveto
0.30952 0.36788 lineto
stroke
0.01762 setlinewidth
0.30952 0.36788 Mdot
0.00587 setlinewidth
0.35714 0.01472 moveto
0.35714 0.42674 lineto
stroke
0.01762 setlinewidth
0.35714 0.42674 Mdot
0.00587 setlinewidth
0.40476 0.01472 moveto
0.40476 0.4856 lineto
stroke
0.01762 setlinewidth
0.40476 0.4856 Mdot
0.00587 setlinewidth
0.45238 0.01472 moveto
0.45238 0.54446 lineto
stroke
0.01762 setlinewidth
0.45238 0.54446 Mdot
0.00587 setlinewidth
0.5 0.01472 moveto
0.5 0.60332 lineto
stroke
0.01762 setlinewidth
0.5 0.60332 Mdot
0.00587 setlinewidth
0.54762 0.01472 moveto
0.54762 0.54446 lineto
stroke
0.01762 setlinewidth
0.54762 0.54446 Mdot
0.00587 setlinewidth
0.59524 0.01472 moveto
0.59524 0.4856 lineto
stroke
0.01762 setlinewidth
0.59524 0.4856 Mdot
0.00587 setlinewidth
0.64286 0.01472 moveto
0.64286 0.42674 lineto
stroke
0.01762 setlinewidth
0.64286 0.42674 Mdot
0.00587 setlinewidth
0.69048 0.01472 moveto
0.69048 0.36788 lineto
stroke
0.01762 setlinewidth
0.69048 0.36788 Mdot
0.00587 setlinewidth
0.7381 0.01472 moveto
0.7381 0.30902 lineto
stroke
0.01762 setlinewidth
0.7381 0.30902 Mdot
0.00587 setlinewidth
0.78571 0.01472 moveto
0.78571 0.25016 lineto
stroke
0.01762 setlinewidth
0.78571 0.25016 Mdot
0.00587 setlinewidth
0.83333 0.01472 moveto
0.83333 0.1913 lineto
stroke
0.01762 setlinewidth
0.83333 0.1913 Mdot
0.00587 setlinewidth
0.88095 0.01472 moveto
0.88095 0.13244 lineto
stroke
0.01762 setlinewidth
0.88095 0.13244 Mdot
0.00587 setlinewidth
0.92857 0.01472 moveto
0.92857 0.07358 lineto
stroke
0.01762 setlinewidth
0.92857 0.07358 Mdot
0.00587 setlinewidth
0.97619 0.01472 moveto
0.97619 0.01472 lineto
stroke
0.01762 setlinewidth
0.97619 0.01472 Mdot
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; endGroup; endGroup; ]
The Unformatted text for this cell was not generated.
Use options in the Actions Settings dialog box to control
when Unformatted text is generated.
;[o]
-Graphics-
:[font = smalltext; inactive; ]
This work was supported in part by the Joint Services Electronics Program
contract #DAAL-03-90-C-0004.  
^*)