(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.1";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Helv", 24, L0, center, nohscroll, bold;
	fontset = subtitle, "Helv", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Helv", 14, L0, center, nohscroll, bold;
	fontset = section, "Helv", 14, L0, bold, grayBox;
	fontset = subsection, "Helv", 12, L0, bold, blackBox;
	fontset = subsubsection, "Helv", 10, L0, bold, whiteBox;
	fontset = text, "Helv", 12, L0;
	fontset = smalltext, "Helv", 10, L0;
	fontset = input, "Courier New", 12, L0, nowordwrap;
	fontset = output, "Courier New", 12, L0, nowordwrap;
	fontset = message, "Courier New", 10, L0, nowordwrap, R65280;
	fontset = print, "Courier New", 10, L0, nowordwrap;
	fontset = info, "Courier New", 10, L0, nowordwrap;
	fontset = postscript, "Courier New", 8, L0, nowordwrap;
	fontset = name, "Helv", 10, L0, nohscroll, italic, B65280;
	fontset = header, "Helv", 18, L0, nohscroll, bold;
	fontset = footer, "Helv", 18, L0, center, nohscroll, bold;
	fontset = help, "Helv", 10, L0, nohscroll;
	fontset = clipboard, "Helv", 12, L0, nohscroll;
	fontset = completions, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = network, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = graphlabel, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Helv", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Helv", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = Left Header, "Helv", 12, L0, nowordwrap, nohscroll;
	fontset = Left Footer, "Helv", 12, L0, nowordwrap, nohscroll;]
:[font = title; inactive; preserveAspect; ]
The z-Transform
:[font = subsubtitle; inactive; preserveAspect; ]
Part II:
Frequency Responses of Rational Systems
:[font = subtitle; inactive; preserveAspect; ]
by 
Lina J. Karam
with
Brian L. Evans, Terence A. Crone, and
James H. McClellan
:[font = subsubtitle; inactive; preserveAspect; ]

Digital Signal Processing  Laboratory
   School of Electrical Engineering
  Georgia Institute of Technology
  Atlanta, GA  30332-0250
  
  EMAIL:  evans@eedsp.gatech.edu
:[font = smalltext; center; ]
This notebook has been divided into
three parts because of its size
:[font = text; inactive; ]
     This notebook is a highly interactive tutorial on the z-transform.  In addition to discussing the basic theoretical concept behind the z-transform, this notebook provides users with means to evaluate z-transforms and inverse z-transforms, to observe changes in parameters in the examples by animation, and to visualize z-transforms graphically.
:[font = text; inactive; ]
     This notebook automatically loads the needed Digital Signal Processing packages by executing the Needs command in the Initialization section.  Under Mathematica 1.2, the entire initialization process may take a few minutes. 
;[s]
5:0,0;102,1;107,2;154,3;165,4;230,-1;
5:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; ]
     A Notebook is completely defined by a portable ASCII file but  machine-dependent binary information (bit maps, etc.) is generated as side information to speed up the display of parts of the Notebook.   Mathematica 1.2 generates missing side information as needed whereas Mathematica 2.0 and higher generates all missing side information when a Notebook is opened.    Mathematica 2.0 and higher will display the message "Rendering ..." in the header of the Notebook when it is generating bit maps for PostScript graphics contained in the Notebook.  This particular Notebook contains 60 or so graphics cells whose bitmaps will require an 1.2 Mb of memory (60 cells x 20 kb/cell) to store.  The ASCII version of this Notebook occupies 1 Mb.  You can work while Mathematica is rendering the graphics.
;[s]
9:0,0;207,1;218,2;276,3;287,4;372,5;383,6;763,7;774,8;801,-1;
9:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; ]
     As a reminder, in order to open a section below, just move the mouse to the downward-pointing arrow and double click. To get help information for any command, place the cursor in an input cell and type ?Command (like ?ZTransform).
;[s]
3:0,0;223,1;233,2;235,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = title; inactive; preserveAspect; ]

Table of Contents

;[s]
3:0,0;1,1;18,2;20,-1;
3:1,21,16,Times,1,24,0,0,0;1,21,16,Times,2,24,0,0,0;1,21,16,Times,1,24,0,0,0;
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Initialization
:[font = input; initialization; preserveAspect; ]
*)
Needs [ "SignalProcessing`Digital`" ]
(*
:[font = input; initialization; preserveAspect; endGroup; ]
*)
(*  InvalidZPoleQ  *)
InvalidZPoleQ[rminus_, r_, rplus_] := TrueQ[rminus < Abs[N[r]] < rplus]

(*  MyRationalPolyQ  *)
MyRationalPolyQ[f_, z_] :=
	MixedPolynomialQ[ Expand[Numerator[f]], z ] &&
	MixedPolynomialQ[ Expand[Denominator[f]], z ]

(*  One-dimensional pole-zero plotting in the z-domain  *)
VectorPoleZeroPlot[f_, z_Symbol, rm_, rp_, w_, True, op___] :=	
Block [ {abspolelist, fillplot, invalidROClist, options, polelist,
		 poleplot, vectorsplot, polezerolist, plotReturn, rmax, rminus, rplus, 
		 rminuscircle, rpluscircle, theplot, unitcircle, xlabel, ylabel, dot, 
		 zeroplot, zstr, ztrans},

		options = ToList[op] ~Join~ Options[PoleZeroPlot];
        plotReturn = SameQ[ Replace[ Return, options ], Graphics ];

		rmax = 1;				  (* default values *)
		unitcircle = CirclePS[1];

		(*  Analyze the z-transform function  *)

		ztrans = Together[f];
		If [ ! MyRationalPolyQ[ztrans, z],
		     Message[ PoleZeroPlot::notrational ] ];

		zerolist = GetRootList[Numerator[ztrans], z];
		polelist = GetRootList[Denominator[ztrans], z];
		If [ InformUserQ[Replace[Dialogue, options]],
		     Print[ " " ];
		     Print[ "The zeroes are:  ", zerolist ];
		     Print[ "The poles are:   ", polelist ] ];

		(*  Check consistency of poles with region of convergence  *)
		(*  Exit function if inconsistency encountered		   *)

		rminus = N[rm];			  (* numeric approximation *)
		rplus = N[rp];
		invalidROClist = Select[ polelist,
					 InvalidZPoleQ[rminus, #1, rplus]& ];
		If [ ! SameQ[invalidROClist, {}],
		     Message[PoleZeroPlot::invalidROC, invalidROClist, rm, rp];
		     Return[polelist] ];

		(*  Compute plot of poles and zeroes		*)
		(*  Determine the plot's its circular extent	*)

		rmax = Max[ Join[ {rmax},
				  Map[Abs, ToList[N[zerolist]]],
				  Map[Abs, ToList[N[polelist]]] ] ];

		zeroplot = If [ EmptyQ[zerolist],
		     	        NullPlot,
				PointwisePlot[ComplexTo2DCoordList[zerolist],
					      "O", "*O*"] ];

		poleplot = If [ EmptyQ[polelist],
				NullPlot,
				PointwisePlot[ComplexTo2DCoordList[polelist],
					      "X", "*X*"] ];
        (* Draw pole and zero vectors *)
        polezerolist = zerolist ~Join~ polelist;
        vectorsplot = Graphics[ Map[Line[{{Cos[w],Sin[w]}, #1}]&,
                                ComplexTo2DCoordList[polezerolist]]];
        dot = Graphics[{PointSize[0.05], Point[{Cos[w],Sin[w]}]}];
        
		(*  Build region of convergence plot  *)
		If [ NumberQ[rminus],
		     rminuscircle = CirclePS[ rminus, Dashing[{0.05,0.05}] ];
			 rmax = Max[rmax, Abs[rminus]],
		     rminuscircle = NullPlot ];

		If [ NumberQ[rplus],
		     rpluscircle = CirclePS[ rplus, Dashing[{0.05,0.05}] ];
			 rmax = Max[rmax, Abs[rplus]],
		     rpluscircle = NullPlot ];

		rplus = N[ If[ SameQ[rp, Infinity], 2 rmax, rp] ];  (* kludge *)

		fillplot = If [ NumberQ[rminus] && NumberQ[rplus],
				ShadedAnnulus[rminus, rplus],
				NullPlot ];

		(*  Send the contour plot to the screen  *)
		rmax *= 1.25;
		zstr = StripPackage[z];
		xlabel = "Re " ~StringJoin~ zstr;
		ylabel = "Im " ~StringJoin~ zstr;

	    options = Join[ RemoveOptions[ options, {Dialogue, Return} ],
                        { PlotRange -> {{-rmax, rmax}, {-rmax, rmax}},
		                  AspectRatio -> Automatic,
		                  AxesLabel -> { xlabel, ylabel },
		                  Axes -> Automatic,
		                  DisplayFunction -> $DisplayFunction } ];

		theplot = 
		Show[ unitcircle, rminuscircle, rpluscircle,
		      fillplot, zeroplot, poleplot, vectorsplot,
		      dot, options ];

		If [ plotReturn, theplot, polelist ] ]
(*
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Relationship Between the DTFT and the z-Transform
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
The DTFT and the z-Transform Are Similar But Not the Same
:[font = text; ]
     The  discrete-time Fourier transform X(ejw) of a sequence x[n] is defined by the following equation:
;[s]
4:0,0;45,1;46,2;47,3;105,-1;
4:1,13,10,Times,0,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,0,0,Symbol,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 145; pictureTop = 2; pictureWidth = 167; pictureHeight = 47; ]

:[font = text; inactive; ]
Comparing the definition of the DTFT above and that of the z-transform
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 160; pictureWidth = 133; pictureHeight = 47; ]

:[font = text; inactive; ]
it is evident that a close relationship exists between the DTFT and the z-transform.  The DTFT is a complex-valued function of the real variable w, whereas the z-transform is a complex-valued function of the complex variable z.   Since substituting ejw for z in the second equation yields the first equation, it seems that the Fourier transform is just the z-transform evaluated on the unit circle (since |z| = 1 for z = ejw).   This is sometimes true (as in the following example) but not always (as in the second example below).
;[s]
20:0,0;72,1;73,2;145,3;146,4;160,5;161,6;225,7;226,8;250,9;251,10;252,11;257,12;258,13;357,14;358,15;422,16;423,17;424,18;486,19;566,-1;
20:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,0,0,Symbol,0,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,0,0,Symbol,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,0,0,Symbol,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example:   z-Transform and DTFT of the Same Sequence
:[font = text; inactive; ]
		Try to evaluate the following input cells by placing the cursor in each cell and hitting the ENTER key (the result from the previous evaluation is shown).		
:[font = input; preserveAspect; startGroup; ]
ZTransform[0.8^n Step[n],n, z]
:[font = output; output; inactive; preserveAspect; endGroup; ]
ZTransData[(1 - 0.8/z)^(-1), Rminus[0.8], 
  Rplus[DirectedInfinity[1]], ZVariables[z]]
;[o]
              1
ZTransData[-------, Rminus[0.8], Rplus[Infinity], ZVariables[z]]
               0.8
           1 - ---
                z
:[font = input; preserveAspect; startGroup; ]
DTFTransform[0.8^n Step[n], n, w]
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
DTFTData[(1 - 0.8*E^(-I*w))^(-1), FVariables[w]]
;[o]
               1
DTFTData[-------------, FVariables[w]]
                  -I w
         1 - 0.8 E
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example:   Sequence with a z-Transform but not a DTFT
:[font = text; inactive; ]
     The following function calculates the z-transform and the DTFT and plots the pole-zero diagram with the ROC.  Note that the z-transform exists  but the DTFT does not!
:[font = input; Cclosed; preserveAspect; startGroup; ]
DSPAnalyze[ 3^n Step[n], n, -1, 5 ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.18254 0.15873 0.014715 0.002422 [
[(-1)] 0.02381 0.01472 0 2 Msboxa
[(1)] 0.34127 0.01472 0 2 Msboxa
[(2)] 0.5 0.01472 0 2 Msboxa
[(3)] 0.65873 0.01472 0 2 Msboxa
[(4)] 0.81746 0.01472 0 2 Msboxa
[(5)] 0.97619 0.01472 0 2 Msboxa
[(n)] 1.025 0.01472 -1 0 Msboxa
[(Discrete-Time Domain Analysis)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(50)] 0.17004 0.13583 1 0 Msboxa
[(100)] 0.17004 0.25694 1 0 Msboxa
[(150)] 0.17004 0.37805 1 0 Msboxa
[(200)] 0.17004 0.49916 1 0 Msboxa
[( )] 0.18254 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.02381 0.01472 moveto
0.02381 0.02097 lineto
stroke
grestore
[(-1)] 0.02381 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.34127 0.01472 moveto
0.34127 0.02097 lineto
stroke
grestore
[(1)] 0.34127 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0.01472 moveto
0.5 0.02097 lineto
stroke
grestore
[(2)] 0.5 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.65873 0.01472 moveto
0.65873 0.02097 lineto
stroke
grestore
[(3)] 0.65873 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.81746 0.01472 moveto
0.81746 0.02097 lineto
stroke
grestore
[(4)] 0.81746 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.97619 0.01472 moveto
0.97619 0.02097 lineto
stroke
grestore
[(5)] 0.97619 0.01472 0 2 Mshowa
[(n)] 1.025 0.01472 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Discrete-Time Domain Analysis)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.18254 0.13583 moveto
0.18879 0.13583 lineto
stroke
grestore
[(50)] 0.17004 0.13583 1 0 Mshowa
gsave
0.002 setlinewidth
0.18254 0.25694 moveto
0.18879 0.25694 lineto
stroke
grestore
[(100)] 0.17004 0.25694 1 0 Mshowa
gsave
0.002 setlinewidth
0.18254 0.37805 moveto
0.18879 0.37805 lineto
stroke
grestore
[(150)] 0.17004 0.37805 1 0 Mshowa
gsave
0.002 setlinewidth
0.18254 0.49916 moveto
0.18879 0.49916 lineto
stroke
grestore
[(200)] 0.17004 0.49916 1 0 Mshowa
gsave
0.001 setlinewidth
0.18254 0.03894 moveto
0.18629 0.03894 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18254 0.06316 moveto
0.18629 0.06316 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18254 0.08738 moveto
0.18629 0.08738 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18254 0.1116 moveto
0.18629 0.1116 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18254 0.16005 moveto
0.18629 0.16005 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18254 0.18427 moveto
0.18629 0.18427 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18254 0.20849 moveto
0.18629 0.20849 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18254 0.23272 moveto
0.18629 0.23272 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18254 0.28116 moveto
0.18629 0.28116 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18254 0.30538 moveto
0.18629 0.30538 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18254 0.32961 moveto
0.18629 0.32961 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18254 0.35383 moveto
0.18629 0.35383 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18254 0.40227 moveto
0.18629 0.40227 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18254 0.4265 moveto
0.18629 0.4265 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18254 0.45072 moveto
0.18629 0.45072 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18254 0.47494 moveto
0.18629 0.47494 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18254 0.52339 moveto
0.18629 0.52339 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18254 0.54761 moveto
0.18629 0.54761 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18254 0.57183 moveto
0.18629 0.57183 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18254 0.59605 moveto
0.18629 0.59605 lineto
stroke
grestore
[( )] 0.18254 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.18254 0 moveto
0.18254 0.61803 lineto
stroke
grestore
grestore
gsave
0.00838 setlinewidth
0.02381 0.01472 moveto
0.02381 0.01472 lineto
stroke
0.02515 setlinewidth
0.02381 0.01472 Mdot
0.00838 setlinewidth
0.18254 0.01472 moveto
0.18254 0.01714 lineto
stroke
0.02515 setlinewidth
0.18254 0.01714 Mdot
0.00838 setlinewidth
0.34127 0.01472 moveto
0.34127 0.02198 lineto
stroke
0.02515 setlinewidth
0.34127 0.02198 Mdot
0.00838 setlinewidth
0.5 0.01472 moveto
0.5 0.03652 lineto
stroke
0.02515 setlinewidth
0.5 0.03652 Mdot
0.00838 setlinewidth
0.65873 0.01472 moveto
0.65873 0.08012 lineto
stroke
0.02515 setlinewidth
0.65873 0.08012 Mdot
0.00838 setlinewidth
0.81746 0.01472 moveto
0.81746 0.21092 lineto
stroke
0.02515 setlinewidth
0.81746 0.21092 Mdot
0.00838 setlinewidth
0.97619 0.01472 moveto
0.97619 0.60332 lineto
stroke
0.02515 setlinewidth
0.97619 0.60332 Mdot
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = print; inactive; preserveAspect; ]
 n
3  Step[n]
has the following z-transform:
  1
-----
    3
1 - -
    z
The region of convergence is:
3 < |z| < Infinity
The system is not stable.
 
The zeroes are:  {0}
The poles are:   {3.}
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 282; ]
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.133333 0.5 0.133333 [
[(-3)] 0.1 0.5 0 2 Msboxa
[(-2)] 0.23333 0.5 0 2 Msboxa
[(-1)] 0.36667 0.5 0 2 Msboxa
[(1)] 0.63333 0.5 0 2 Msboxa
[(2)] 0.76667 0.5 0 2 Msboxa
[(3)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-3)] 0.4875 0.1 1 0 Msboxa
[(-2)] 0.4875 0.23333 1 0 Msboxa
[(-1)] 0.4875 0.36667 1 0 Msboxa
[(1)] 0.4875 0.63333 1 0 Msboxa
[(2)] 0.4875 0.76667 1 0 Msboxa
[(3)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-3)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.23333 0.5 moveto
0.23333 0.50625 lineto
stroke
grestore
[(-2)] 0.23333 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.36667 0.5 moveto
0.36667 0.50625 lineto
stroke
grestore
[(-1)] 0.36667 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.63333 0.5 moveto
0.63333 0.50625 lineto
stroke
grestore
[(1)] 0.63333 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.76667 0.5 moveto
0.76667 0.50625 lineto
stroke
grestore
[(2)] 0.76667 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(3)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.12667 0.5 moveto
0.12667 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.15333 0.5 moveto
0.15333 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.20667 0.5 moveto
0.20667 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28667 0.5 moveto
0.28667 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31333 0.5 moveto
0.31333 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.39333 0.5 moveto
0.39333 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.44667 0.5 moveto
0.44667 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.47333 0.5 moveto
0.47333 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.52667 0.5 moveto
0.52667 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.55333 0.5 moveto
0.55333 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.60667 0.5 moveto
0.60667 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68667 0.5 moveto
0.68667 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71333 0.5 moveto
0.71333 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.79333 0.5 moveto
0.79333 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.84667 0.5 moveto
0.84667 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.87333 0.5 moveto
0.87333 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.07333 0.5 moveto
0.07333 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.04667 0.5 moveto
0.04667 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92667 0.5 moveto
0.92667 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.95333 0.5 moveto
0.95333 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-3)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.23333 moveto
0.50625 0.23333 lineto
stroke
grestore
[(-2)] 0.4875 0.23333 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.36667 moveto
0.50625 0.36667 lineto
stroke
grestore
[(-1)] 0.4875 0.36667 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.63333 moveto
0.50625 0.63333 lineto
stroke
grestore
[(1)] 0.4875 0.63333 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.76667 moveto
0.50625 0.76667 lineto
stroke
grestore
[(2)] 0.4875 0.76667 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(3)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.12667 moveto
0.50375 0.12667 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15333 moveto
0.50375 0.15333 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20667 moveto
0.50375 0.20667 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.28667 moveto
0.50375 0.28667 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31333 moveto
0.50375 0.31333 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.39333 moveto
0.50375 0.39333 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.44667 moveto
0.50375 0.44667 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47333 moveto
0.50375 0.47333 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.52667 moveto
0.50375 0.52667 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.55333 moveto
0.50375 0.55333 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.60667 moveto
0.50375 0.60667 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.68667 moveto
0.50375 0.68667 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.71333 moveto
0.50375 0.71333 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.79333 moveto
0.50375 0.79333 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.84667 moveto
0.50375 0.84667 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.87333 moveto
0.50375 0.87333 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07333 moveto
0.50375 0.07333 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04667 moveto
0.50375 0.04667 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.92667 moveto
0.50375 0.92667 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.95333 moveto
0.50375 0.95333 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.13333 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.87588 0.63681 lineto
stroke
0.87588 0.63681 moveto
0 0 rlineto
0.11125 0.4058 moveto
0 0 rlineto
0 0.36531 moveto
0.11125 0.4058 lineto
stroke
stroke
0.10312 0.45014 moveto
0 0 rlineto
0 0.41261 moveto
0.10312 0.45014 lineto
stroke
stroke
0.10002 0.49631 moveto
0 0 rlineto
0 0.45991 moveto
0.10002 0.49631 lineto
stroke
stroke
0.10248 0.5445 moveto
0 0 rlineto
0 0.5072 moveto
0.10248 0.5445 lineto
stroke
stroke
0.11146 0.59507 moveto
0 0 rlineto
0 0.5545 moveto
0.11146 0.59507 lineto
stroke
stroke
0.12863 0.64861 moveto
0 0 rlineto
0 0.6018 moveto
0.12863 0.64861 lineto
stroke
stroke
0.15734 0.70636 moveto
0 0 rlineto
0 0.64909 moveto
0.15734 0.70636 lineto
stroke
stroke
0.20619 0.77144 moveto
0 0 rlineto
0 0.69639 moveto
0.20619 0.77144 lineto
stroke
stroke
0.36319 0.87588 moveto
0 0 rlineto
0 0.74369 moveto
0.36319 0.87588 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
0.63681 0.12412 moveto
0 0 rlineto
0.29578 0 moveto
0.63681 0.12412 lineto
stroke
stroke
0.44941 0.10321 moveto
0 0 rlineto
0.16584 0 moveto
0.44941 0.10321 lineto
stroke
stroke
0.37015 0.12166 moveto
0 0 rlineto
0.03589 0 moveto
0.37015 0.12166 lineto
stroke
stroke
0.31104 0.14744 moveto
0 0 rlineto
0 0.03423 moveto
0.31104 0.14744 lineto
stroke
stroke
0.26347 0.17743 moveto
0 0 rlineto
0 0.08153 moveto
0.26347 0.17743 lineto
stroke
stroke
0.22409 0.21039 moveto
0 0 rlineto
0 0.12883 moveto
0.22409 0.21039 lineto
stroke
stroke
0.19122 0.24572 moveto
0 0 rlineto
0 0.17612 moveto
0.19122 0.24572 lineto
stroke
stroke
0.16392 0.28308 moveto
0 0 rlineto
0 0.22342 moveto
0.16392 0.28308 lineto
stroke
stroke
0.14165 0.32227 moveto
0 0 rlineto
0 0.27072 moveto
0.14165 0.32227 lineto
stroke
stroke
0.12412 0.36319 moveto
0 0 rlineto
0 0.31801 moveto
0.12412 0.36319 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.85835 0.67773 lineto
stroke
0.85835 0.67773 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.88875 0.5942 lineto
stroke
0.88875 0.5942 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.83608 0.71692 lineto
stroke
0.83608 0.71692 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.89688 0.54986 lineto
stroke
0.89688 0.54986 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.80878 0.75428 lineto
stroke
0.80878 0.75428 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.89998 0.50369 lineto
stroke
0.89998 0.50369 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.77591 0.78961 lineto
stroke
0.77591 0.78961 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.89752 0.4555 lineto
stroke
0.89752 0.4555 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.73653 0.82257 lineto
stroke
0.73653 0.82257 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.88854 0.40493 lineto
stroke
0.88854 0.40493 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.68896 0.85256 lineto
stroke
0.68896 0.85256 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.87137 0.35139 lineto
stroke
0.87137 0.35139 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.62985 0.87834 lineto
stroke
0.62985 0.87834 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.84266 0.29364 lineto
stroke
0.84266 0.29364 moveto
0 0 rlineto
stroke
0.83416 1 moveto
0.55059 0.89679 lineto
stroke
0.55059 0.89679 moveto
0 0 rlineto
stroke
1 0.30361 moveto
0.79381 0.22856 lineto
stroke
0.79381 0.22856 moveto
0 0 rlineto
stroke
0.70422 1 moveto
0.36319 0.87588 lineto
stroke
0.36319 0.87588 moveto
0 0 rlineto
stroke
1 0.25631 moveto
0.63681 0.12412 lineto
stroke
0.63681 0.12412 moveto
0 0 rlineto
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.5 0.5 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.9 0.5 0 0 Mshowa
grestore
grestore
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = print; inactive; preserveAspect; ]
Since the sequence is not stable, the
frequency response has no meaning, but
it will be plotted anyway.  However, the DC
(zero frequency) term will be Infinity which
will generate a warning from Mathematica.
 n
3  Step[n]
has the following frequency response:
     1
-----------
       -I w
1 - 3 E
where the frequency response is periodic
usually with period 2 Pi
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.075788 -0.573889 2.354415 [
[(-6)] 0.04527 0.13244 0 2 Msboxa
[(-4)] 0.19685 0.13244 0 2 Msboxa
[(-2)] 0.34842 0.13244 0 2 Msboxa
[(2)] 0.65158 0.13244 0 2 Msboxa
[(4)] 0.80315 0.13244 0 2 Msboxa
[(6)] 0.95473 0.13244 0 2 Msboxa
[(w)] 1.025 0.13244 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(0.25)] 0.4875 0.01472 1 0 Msboxa
[(0.35)] 0.4875 0.25016 1 0 Msboxa
[(0.4)] 0.4875 0.36788 1 0 Msboxa
[(0.45)] 0.4875 0.4856 1 0 Msboxa
[(0.5)] 0.4875 0.60332 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.04527 0.13244 moveto
0.04527 0.13869 lineto
stroke
grestore
[(-6)] 0.04527 0.13244 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0.13244 moveto
0.19685 0.13869 lineto
stroke
grestore
[(-4)] 0.19685 0.13244 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0.13244 moveto
0.34842 0.13869 lineto
stroke
grestore
[(-2)] 0.34842 0.13244 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0.13244 moveto
0.65158 0.13869 lineto
stroke
grestore
[(2)] 0.65158 0.13244 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0.13244 moveto
0.80315 0.13869 lineto
stroke
grestore
[(4)] 0.80315 0.13244 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0.13244 moveto
0.95473 0.13869 lineto
stroke
grestore
[(6)] 0.95473 0.13244 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0.13244 moveto
0.07559 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0.13244 moveto
0.1059 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0.13244 moveto
0.13622 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0.13244 moveto
0.16653 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0.13244 moveto
0.22716 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0.13244 moveto
0.25748 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0.13244 moveto
0.28779 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0.13244 moveto
0.31811 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0.13244 moveto
0.37874 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0.13244 moveto
0.40905 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0.13244 moveto
0.43937 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0.13244 moveto
0.46968 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0.13244 moveto
0.53032 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0.13244 moveto
0.56063 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0.13244 moveto
0.59095 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0.13244 moveto
0.62126 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0.13244 moveto
0.68189 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0.13244 moveto
0.71221 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0.13244 moveto
0.74252 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0.13244 moveto
0.77284 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0.13244 moveto
0.83347 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0.13244 moveto
0.86378 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0.13244 moveto
0.8941 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0.13244 moveto
0.92441 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0.13244 moveto
0.01496 0.13619 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0.13244 moveto
0.98504 0.13619 lineto
stroke
grestore
[(w)] 1.025 0.13244 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.13244 moveto
1 0.13244 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.01472 moveto
0.50625 0.01472 lineto
stroke
grestore
[(0.25)] 0.4875 0.01472 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.25016 moveto
0.50625 0.25016 lineto
stroke
grestore
[(0.35)] 0.4875 0.25016 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.36788 moveto
0.50625 0.36788 lineto
stroke
grestore
[(0.4)] 0.4875 0.36788 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.4856 moveto
0.50625 0.4856 lineto
stroke
grestore
[(0.45)] 0.4875 0.4856 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.60332 moveto
0.50625 0.60332 lineto
stroke
grestore
[(0.5)] 0.4875 0.60332 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.03826 moveto
0.50375 0.03826 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0618 moveto
0.50375 0.0618 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.08535 moveto
0.50375 0.08535 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.10889 moveto
0.50375 0.10889 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15598 moveto
0.50375 0.15598 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17952 moveto
0.50375 0.17952 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20307 moveto
0.50375 0.20307 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22661 moveto
0.50375 0.22661 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.2737 moveto
0.50375 0.2737 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29724 moveto
0.50375 0.29724 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32079 moveto
0.50375 0.32079 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34433 moveto
0.50375 0.34433 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.39142 moveto
0.50375 0.39142 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.41497 moveto
0.50375 0.41497 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43851 moveto
0.50375 0.43851 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46205 moveto
0.50375 0.46205 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.50914 moveto
0.50375 0.50914 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53269 moveto
0.50375 0.53269 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.55623 moveto
0.50375 0.55623 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.57977 moveto
0.50375 0.57977 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.60332 moveto
0.02505 0.6032 lineto
0.02629 0.60285 lineto
0.02753 0.60226 lineto
0.02877 0.60143 lineto
0.03125 0.59909 lineto
0.03373 0.59584 lineto
0.03869 0.58671 lineto
0.04365 0.57434 lineto
0.05357 0.54137 lineto
0.06349 0.50032 lineto
0.10317 0.316 lineto
0.12302 0.23619 lineto
0.14286 0.17064 lineto
0.1627 0.1188 lineto
0.18254 0.07911 lineto
0.19246 0.06331 lineto
0.20238 0.04997 lineto
0.2123 0.03894 lineto
0.22222 0.03008 lineto
0.23214 0.0233 lineto
0.2371 0.02066 lineto
0.24206 0.01851 lineto
0.24702 0.01685 lineto
0.2495 0.01619 lineto
0.25198 0.01566 lineto
0.25446 0.01525 lineto
0.2557 0.01508 lineto
0.25694 0.01495 lineto
0.25818 0.01485 lineto
0.25942 0.01477 lineto
0.26066 0.01473 lineto
0.2619 0.01472 lineto
0.26314 0.01473 lineto
0.26438 0.01477 lineto
0.26562 0.01485 lineto
0.26687 0.01495 lineto
0.26935 0.01525 lineto
0.27183 0.01566 lineto
0.27431 0.01619 lineto
0.27679 0.01685 lineto
0.28175 0.01851 lineto
0.28671 0.02066 lineto
0.29167 0.0233 lineto
0.30159 0.03008 lineto
0.31151 0.03894 lineto
0.32143 0.04997 lineto
0.34127 0.07911 lineto
0.36111 0.1188 lineto
0.38095 0.17064 lineto
Mistroke
0.42063 0.316 lineto
0.44048 0.40734 lineto
0.46032 0.50032 lineto
0.47024 0.54137 lineto
0.4752 0.55909 lineto
0.48016 0.57434 lineto
0.48512 0.58671 lineto
0.4876 0.5917 lineto
0.49008 0.59584 lineto
0.49256 0.59909 lineto
0.4938 0.60038 lineto
0.49504 0.60143 lineto
0.49628 0.60226 lineto
0.49752 0.60285 lineto
0.49876 0.6032 lineto
0.5 0.60332 lineto
0.50124 0.6032 lineto
0.50248 0.60285 lineto
0.50372 0.60226 lineto
0.50496 0.60143 lineto
0.5062 0.60038 lineto
0.50744 0.59909 lineto
0.50992 0.59584 lineto
0.51488 0.58671 lineto
0.51984 0.57434 lineto
0.52976 0.54137 lineto
0.53968 0.50032 lineto
0.57937 0.316 lineto
0.59921 0.23619 lineto
0.61905 0.17064 lineto
0.63889 0.1188 lineto
0.65873 0.07911 lineto
0.67857 0.04997 lineto
0.68849 0.03894 lineto
0.69841 0.03008 lineto
0.70833 0.0233 lineto
0.71329 0.02066 lineto
0.71825 0.01851 lineto
0.72321 0.01685 lineto
0.72569 0.01619 lineto
0.72817 0.01566 lineto
0.73065 0.01525 lineto
0.73189 0.01508 lineto
0.73313 0.01495 lineto
0.73438 0.01485 lineto
0.73562 0.01477 lineto
0.73686 0.01473 lineto
0.7381 0.01472 lineto
0.73934 0.01473 lineto
0.74058 0.01477 lineto
Mistroke
0.74182 0.01485 lineto
0.74306 0.01495 lineto
0.74554 0.01525 lineto
0.74802 0.01566 lineto
0.7505 0.01619 lineto
0.75298 0.01685 lineto
0.75794 0.01851 lineto
0.7629 0.02066 lineto
0.76786 0.0233 lineto
0.77778 0.03008 lineto
0.7877 0.03894 lineto
0.79762 0.04997 lineto
0.81746 0.07911 lineto
0.8373 0.1188 lineto
0.85714 0.17064 lineto
0.89683 0.316 lineto
0.93651 0.50032 lineto
0.94643 0.54137 lineto
0.95139 0.55909 lineto
0.95635 0.57434 lineto
0.96131 0.58671 lineto
0.96379 0.5917 lineto
0.96627 0.59584 lineto
0.96875 0.59909 lineto
0.96999 0.60038 lineto
0.97123 0.60143 lineto
0.97247 0.60226 lineto
0.97371 0.60285 lineto
0.97495 0.6032 lineto
0.97619 0.60332 lineto
Mfstroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.075788 0.309017 0.001635 [
[(-6)] 0.04527 0.30902 0 2 Msboxa
[(-4)] 0.19685 0.30902 0 2 Msboxa
[(-2)] 0.34842 0.30902 0 2 Msboxa
[(2)] 0.65158 0.30902 0 2 Msboxa
[(4)] 0.80315 0.30902 0 2 Msboxa
[(6)] 0.95473 0.30902 0 2 Msboxa
[(w)] 1.025 0.30902 -1 0 Msboxa
[(Phase Response \(degrees\))] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(-150)] 0.4875 0.06377 1 0 Msboxa
[(-100)] 0.4875 0.14552 1 0 Msboxa
[(-50)] 0.4875 0.22727 1 0 Msboxa
[(50)] 0.4875 0.39077 1 0 Msboxa
[(100)] 0.4875 0.47252 1 0 Msboxa
[(150)] 0.4875 0.55427 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.04527 0.30902 moveto
0.04527 0.31527 lineto
stroke
grestore
[(-6)] 0.04527 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0.30902 moveto
0.19685 0.31527 lineto
stroke
grestore
[(-4)] 0.19685 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0.30902 moveto
0.34842 0.31527 lineto
stroke
grestore
[(-2)] 0.34842 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0.30902 moveto
0.65158 0.31527 lineto
stroke
grestore
[(2)] 0.65158 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0.30902 moveto
0.80315 0.31527 lineto
stroke
grestore
[(4)] 0.80315 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0.30902 moveto
0.95473 0.31527 lineto
stroke
grestore
[(6)] 0.95473 0.30902 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0.30902 moveto
0.07559 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0.30902 moveto
0.1059 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0.30902 moveto
0.13622 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0.30902 moveto
0.16653 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0.30902 moveto
0.22716 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0.30902 moveto
0.25748 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0.30902 moveto
0.28779 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0.30902 moveto
0.31811 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0.30902 moveto
0.37874 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0.30902 moveto
0.40905 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0.30902 moveto
0.43937 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0.30902 moveto
0.46968 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0.30902 moveto
0.53032 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0.30902 moveto
0.56063 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0.30902 moveto
0.59095 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0.30902 moveto
0.62126 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0.30902 moveto
0.68189 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0.30902 moveto
0.71221 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0.30902 moveto
0.74252 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0.30902 moveto
0.77284 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0.30902 moveto
0.83347 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0.30902 moveto
0.86378 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0.30902 moveto
0.8941 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0.30902 moveto
0.92441 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0.30902 moveto
0.01496 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0.30902 moveto
0.98504 0.31277 lineto
stroke
grestore
[(w)] 1.025 0.30902 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
[(Phase Response \(degrees\))] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.06377 moveto
0.50625 0.06377 lineto
stroke
grestore
[(-150)] 0.4875 0.06377 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.14552 moveto
0.50625 0.14552 lineto
stroke
grestore
[(-100)] 0.4875 0.14552 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.22727 moveto
0.50625 0.22727 lineto
stroke
grestore
[(-50)] 0.4875 0.22727 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.39077 moveto
0.50625 0.39077 lineto
stroke
grestore
[(50)] 0.4875 0.39077 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.47252 moveto
0.50625 0.47252 lineto
stroke
grestore
[(100)] 0.4875 0.47252 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.55427 moveto
0.50625 0.55427 lineto
stroke
grestore
[(150)] 0.4875 0.55427 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.08012 moveto
0.50375 0.08012 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.09647 moveto
0.50375 0.09647 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.11282 moveto
0.50375 0.11282 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.12917 moveto
0.50375 0.12917 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.16187 moveto
0.50375 0.16187 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17822 moveto
0.50375 0.17822 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.19457 moveto
0.50375 0.19457 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.21092 moveto
0.50375 0.21092 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24362 moveto
0.50375 0.24362 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.25997 moveto
0.50375 0.25997 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.27632 moveto
0.50375 0.27632 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29267 moveto
0.50375 0.29267 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32537 moveto
0.50375 0.32537 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34172 moveto
0.50375 0.34172 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35807 moveto
0.50375 0.35807 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.37442 moveto
0.50375 0.37442 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40712 moveto
0.50375 0.40712 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42347 moveto
0.50375 0.42347 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43982 moveto
0.50375 0.43982 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45617 moveto
0.50375 0.45617 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.48887 moveto
0.50375 0.48887 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.50522 moveto
0.50375 0.50522 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.52157 moveto
0.50375 0.52157 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53792 moveto
0.50375 0.53792 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04742 moveto
0.50375 0.04742 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.03107 moveto
0.50375 0.03107 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.01472 moveto
0.50375 0.01472 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.57062 moveto
0.50375 0.57062 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58697 moveto
0.50375 0.58697 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.60332 moveto
0.50375 0.60332 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.08533 lineto
0.10317 0.14406 lineto
0.14286 0.19201 lineto
0.18254 0.23364 lineto
0.22222 0.27202 lineto
0.2619 0.30902 lineto
0.30159 0.34602 lineto
0.34127 0.38439 lineto
0.38095 0.42603 lineto
0.42063 0.47398 lineto
0.46032 0.53271 lineto
0.48016 0.56694 lineto
0.49008 0.58498 lineto
0.49504 0.59413 lineto
0.49752 0.59872 lineto
0.49876 0.60102 lineto
0.5 0.60332 lineto
0.50124 0.01701 lineto
0.50248 0.01931 lineto
0.50496 0.02391 lineto
0.50992 0.03306 lineto
0.51984 0.0511 lineto
0.53968 0.08533 lineto
0.57937 0.14406 lineto
0.61905 0.19201 lineto
0.65873 0.23364 lineto
0.69841 0.27202 lineto
0.7381 0.30902 lineto
0.77778 0.34602 lineto
0.81746 0.38439 lineto
0.85714 0.42603 lineto
0.89683 0.47398 lineto
0.93651 0.53271 lineto
0.97619 0.60332 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; ]
ZTransData[(1 - 3/z)^(-1), Rminus[3], 
  Rplus[DirectedInfinity[1]], ZVariables[z]]
;[o]
             1
ZTransData[-----, Rminus[3], Rplus[Infinity], 
               3
           1 - -
               z
 
  ZVariables[z]]
:[font = text; inactive; ]
Note: The DSPAnalyze function does not give the correct answer for the DTFT. In fact, the  DTFT does not exist for the given sequence.  DSPAnalyze, as well as the DTFTransform, calculates the DTFT by simply replacing z by ejw in the expression obtained for the z-transform.  This leads to a wrong result in this case since the unit circle is not included in the ROC, as it can be clearly seen from the pole-zero diagram.
;[s]
14:0,0;10,1;20,2;136,3;146,4;163,5;175,6;217,7;218,8;223,9;224,10;225,11;261,12;262,13;420,-1;
14:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,0,0,Symbol,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; endGroup; endGroup; ]
     What can you conclude from this example?  Despite the fact that the z-transform exists for a sequence, the DTFT of this same sequence does not exist!  This can be readily seen from the pole-zero diagram which does not contain the unit circle. 
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Conditions When the DTFT Can Be Obtained from the  z-Transform
:[font = text; ]
     If the unit circle is contained in the region of convergence (ROC), then the DTFT can be always obtained by direct evaluation of the z-transform on the unit circle in the z-plane (i.e., by setting z = ejw in the z-transform equation).  However, if the unit circle is not in the ROC, setting z = ejw in a z-transform closed-form expression will NOT give the correct result, as seen in the following example. 
;[s]
17:0,0;138,1;139,2;202,3;203,4;207,5;208,6;209,7;217,8;218,9;296,10;297,11;301,12;302,13;303,14;309,15;310,16;412,-1;
17:1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,0,0,Symbol,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,0,0,Symbol,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,2,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example:   ROC  That Does Not Include the Unit Circle
:[font = text; inactive; ]
 		Try to evaluate the following input cells by placing the cursor in the corresponding cells and hitting the ENTER key.
:[font = input; preserveAspect; startGroup; ]
ZTransform[3^n Step[n], n, z]
:[font = output; output; inactive; preserveAspect; endGroup; ]
ZTransData[(1 - 3/z)^(-1), Rminus[3], 
  Rplus[DirectedInfinity[1]], ZVariables[z]]
;[o]
             1
ZTransData[-----, Rminus[3], Rplus[Infinity], ZVariables[z]]
               3
           1 - -
               z
:[font = input; preserveAspect; startGroup; ]
DTFTransform[3^n Step[n], n, w]
:[font = output; output; inactive; preserveAspect; endGroup; ]
DTFTData[(1 - 3*E^(-I*w))^(-1), FVariables[w]]
;[o]
              1
DTFTData[-----------, FVariables[w]]
                -I w
         1 - 3 E
:[font = text; inactive; endGroup; ]
Note that the  above  answer  is  NOT  valid. In fact, the  above  function  (i.e. DTFTransform) must be corrected so that it gives a "DOES NOT EXIST" message!!
;[s]
3:0,0;83,1;95,2;161,-1;
3:1,13,10,Times,0,14,0,0,0;1,12,9,Times,1,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; ]
     It is important to note that having the unit circle in the ROC is equivalent to having an absolutely summable (i.e. stable) sequence. Hence, all absolutely summable or stable sequences have Fourier transforms.  However, absolute summability is only a sufficient condition, but not a necessary one, for the existence of the Fourier transform as shown by the following examples.
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example:  Sequence with a DTFT but Not a z-Transform
:[font = text; inactive; ]
     The sequence given in this example is not absolutely summable, but it is square-summable; its DTFT exists but converges only in the mean-square sense.
:[font = text; inactive; ]
     Evaluate the following input cells by placing the cursor in each of the input cells and hitting the ENTER key.
:[font = input; Cclosed; preserveAspect; startGroup; ]
ZTransform[ Sin[a n]/(Pi n), n, z ]
:[font = message; inactive; preserveAspect; ]
Transform::incomplete: 
   The rule base could not compute the 
                           1
    forward z-transform of - with respect to n.
                           n
:[font = message; inactive; preserveAspect; ]
Transform::incomplete: 
   The rule base could not compute the 
                           1
    forward z-transform of - with respect to n.
                           n
:[font = output; output; inactive; preserveAspect; endGroup; ]
MakeZObject[ScaleT[ZForm, 
   SubT[ZForm, SubstituteForT[ZForm, 
     SignalProcessing`Digital`ZTransform`Private`forwar\
       dz[n^(-1), n, z, 
      {False, False, False, False, False}, {n}, {z}, 
      {Dialogue -> True}], z, E^(I*a)*z], 
    SubstituteForT[ZForm, 
     SignalProcessing`Digital`ZTransform`Private`forwar\
       dz[n^(-1), n, z, 
      {False, False, False, False, False}, {n}, {z}, 
      {Dialogue -> True}], z, E^(-I*a)*z]], I/2/Pi], z]
;[o]
-Incomplete z-Transform-
:[font = input; Cclosed; preserveAspect; startGroup; ]
DTFTransform[Sin[a n]/(Pi n), n, w]
:[font = output; output; inactive; preserveAspect; endGroup; ]
DTFTData[-CStep[-a + w] + CStep[a + w], FVariables[w]]
;[o]
DTFTData[-CStep[-a + w] + CStep[a + w], FVariables[w]]
:[font = text; inactive; ]
     The following function calculates the z-transform and the DTFT and plots the magnitude and phase of  the frequency response. Notice that the DTFT is well-defined whereas the z-transform is not !
:[font = input; Cclosed; preserveAspect; startGroup; ]
DSPAnalyze[ Sin[a n]/(Pi n), n, -10, 10 ]
:[font = print; inactive; preserveAspect; ]
For plotting only, these symbols will
:[font = print; inactive; preserveAspect; ]
be assigned a value of 1:  {a}
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.047619 0.109435 1.551583 [
[(-10)] 0.02381 0.10943 0 2 Msboxa
[(-5)] 0.2619 0.10943 0 2 Msboxa
[(5)] 0.7381 0.10943 0 2 Msboxa
[(10)] 0.97619 0.10943 0 2 Msboxa
[(n)] 1.025 0.10943 -1 0 Msboxa
[(Discrete-Time Domain Analysis)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(-0.05)] 0.4875 0.03186 1 0 Msboxa
[(0.05)] 0.4875 0.18701 1 0 Msboxa
[(0.1)] 0.4875 0.26459 1 0 Msboxa
[(0.15)] 0.4875 0.34217 1 0 Msboxa
[(0.2)] 0.4875 0.41975 1 0 Msboxa
[(0.25)] 0.4875 0.49733 1 0 Msboxa
[(0.3)] 0.4875 0.57491 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.02381 0.10943 moveto
0.02381 0.11568 lineto
stroke
grestore
[(-10)] 0.02381 0.10943 0 2 Mshowa
gsave
0.002 setlinewidth
0.2619 0.10943 moveto
0.2619 0.11568 lineto
stroke
grestore
[(-5)] 0.2619 0.10943 0 2 Mshowa
gsave
0.002 setlinewidth
0.7381 0.10943 moveto
0.7381 0.11568 lineto
stroke
grestore
[(5)] 0.7381 0.10943 0 2 Mshowa
gsave
0.002 setlinewidth
0.97619 0.10943 moveto
0.97619 0.11568 lineto
stroke
grestore
[(10)] 0.97619 0.10943 0 2 Mshowa
[(n)] 1.025 0.10943 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.10943 moveto
1 0.10943 lineto
stroke
grestore
[(Discrete-Time Domain Analysis)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.03186 moveto
0.50625 0.03186 lineto
stroke
grestore
[(-0.05)] 0.4875 0.03186 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.18701 moveto
0.50625 0.18701 lineto
stroke
grestore
[(0.05)] 0.4875 0.18701 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.26459 moveto
0.50625 0.26459 lineto
stroke
grestore
[(0.1)] 0.4875 0.26459 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.34217 moveto
0.50625 0.34217 lineto
stroke
grestore
[(0.15)] 0.4875 0.34217 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.41975 moveto
0.50625 0.41975 lineto
stroke
grestore
[(0.2)] 0.4875 0.41975 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.49733 moveto
0.50625 0.49733 lineto
stroke
grestore
[(0.25)] 0.4875 0.49733 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.57491 moveto
0.50625 0.57491 lineto
stroke
grestore
[(0.3)] 0.4875 0.57491 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.04737 moveto
0.50375 0.04737 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06289 moveto
0.50375 0.06289 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0784 moveto
0.50375 0.0784 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.09392 moveto
0.50375 0.09392 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.12495 moveto
0.50375 0.12495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.14047 moveto
0.50375 0.14047 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15598 moveto
0.50375 0.15598 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.1715 moveto
0.50375 0.1715 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20253 moveto
0.50375 0.20253 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.21805 moveto
0.50375 0.21805 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.23356 moveto
0.50375 0.23356 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24908 moveto
0.50375 0.24908 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.28011 moveto
0.50375 0.28011 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29562 moveto
0.50375 0.29562 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31114 moveto
0.50375 0.31114 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32666 moveto
0.50375 0.32666 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35769 moveto
0.50375 0.35769 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.3732 moveto
0.50375 0.3732 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38872 moveto
0.50375 0.38872 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40424 moveto
0.50375 0.40424 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43527 moveto
0.50375 0.43527 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45078 moveto
0.50375 0.45078 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.4663 moveto
0.50375 0.4663 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.48181 moveto
0.50375 0.48181 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.51285 moveto
0.50375 0.51285 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.52836 moveto
0.50375 0.52836 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54388 moveto
0.50375 0.54388 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.55939 moveto
0.50375 0.55939 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.01634 moveto
0.50375 0.01634 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.00082 moveto
0.50375 0.00082 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59043 moveto
0.50375 0.59043 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.60594 moveto
0.50375 0.60594 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
gsave
0.00587 setlinewidth
0.02381 0.10943 moveto
0.02381 0.08257 lineto
stroke
0.01762 setlinewidth
0.02381 0.08257 Mdot
0.00587 setlinewidth
0.07143 0.10943 moveto
0.07143 0.13205 lineto
stroke
0.01762 setlinewidth
0.07143 0.13205 Mdot
0.00587 setlinewidth
0.11905 0.10943 moveto
0.11905 0.17051 lineto
stroke
0.01762 setlinewidth
0.11905 0.17051 Mdot
0.00587 setlinewidth
0.16667 0.10943 moveto
0.16667 0.15579 lineto
stroke
0.01762 setlinewidth
0.16667 0.15579 Mdot
0.00587 setlinewidth
0.21429 0.10943 moveto
0.21429 0.08643 lineto
stroke
0.01762 setlinewidth
0.21429 0.08643 Mdot
0.00587 setlinewidth
0.2619 0.10943 moveto
0.2619 0.01472 lineto
stroke
0.01762 setlinewidth
0.2619 0.01472 Mdot
0.00587 setlinewidth
0.30952 0.10943 moveto
0.30952 0.01599 lineto
stroke
0.01762 setlinewidth
0.30952 0.01599 Mdot
0.00587 setlinewidth
0.35714 0.10943 moveto
0.35714 0.13267 lineto
stroke
0.01762 setlinewidth
0.35714 0.13267 Mdot
0.00587 setlinewidth
0.40476 0.10943 moveto
0.40476 0.33398 lineto
stroke
0.01762 setlinewidth
0.40476 0.33398 Mdot
0.00587 setlinewidth
0.45238 0.10943 moveto
0.45238 0.52502 lineto
stroke
0.01762 setlinewidth
0.45238 0.52502 Mdot
0.00587 setlinewidth
0.5 0.10943 moveto
0.5 0.60332 lineto
stroke
0.01762 setlinewidth
0.5 0.60332 Mdot
0.00587 setlinewidth
0.54762 0.10943 moveto
0.54762 0.52502 lineto
stroke
0.01762 setlinewidth
0.54762 0.52502 Mdot
0.00587 setlinewidth
0.59524 0.10943 moveto
0.59524 0.33398 lineto
stroke
0.01762 setlinewidth
0.59524 0.33398 Mdot
0.00587 setlinewidth
0.64286 0.10943 moveto
0.64286 0.13267 lineto
stroke
0.01762 setlinewidth
0.64286 0.13267 Mdot
0.00587 setlinewidth
0.69048 0.10943 moveto
0.69048 0.01599 lineto
stroke
0.01762 setlinewidth
0.69048 0.01599 Mdot
0.00587 setlinewidth
0.7381 0.10943 moveto
0.7381 0.01472 lineto
stroke
0.01762 setlinewidth
0.7381 0.01472 Mdot
0.00587 setlinewidth
0.78571 0.10943 moveto
0.78571 0.08643 lineto
stroke
0.01762 setlinewidth
0.78571 0.08643 Mdot
0.00587 setlinewidth
0.83333 0.10943 moveto
0.83333 0.15579 lineto
stroke
0.01762 setlinewidth
0.83333 0.15579 Mdot
0.00587 setlinewidth
0.88095 0.10943 moveto
0.88095 0.17051 lineto
stroke
0.01762 setlinewidth
0.88095 0.17051 Mdot
0.00587 setlinewidth
0.92857 0.10943 moveto
0.92857 0.13205 lineto
stroke
0.01762 setlinewidth
0.92857 0.13205 Mdot
0.00587 setlinewidth
0.97619 0.10943 moveto
0.97619 0.08257 lineto
stroke
0.01762 setlinewidth
0.97619 0.08257 Mdot
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = message; inactive; preserveAspect; ]
Transform::incomplete: 
   The rule base could not compute the 
                           1
    forward z-transform of - with respect to n.
                           n
:[font = message; inactive; preserveAspect; ]
Transform::incomplete: 
   The rule base could not compute the 
                           1
    forward z-transform of - with respect to n.
                           n
:[font = message; inactive; preserveAspect; ]
ZTransform::notvalid: 
   The forward z-transform could not be found.
:[font = print; inactive; preserveAspect; ]
Sin[a n]
--------
  Pi n
:[font = print; inactive; preserveAspect; ]
has the following frequency response:
:[font = print; inactive; preserveAspect; ]
-CStep[-a + w] + CStep[a + w]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 39; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.5 0.07579 0.01472 0.5886 [
[(Magnitude Response)] 0.5 0.62428 0 -1 Msboxa
[(-6)] 0.04527 0.00222 0 1 Msboxa
[(-4)] 0.19685 0.00222 0 1 Msboxa
[(-2)] 0.34842 0.00222 0 1 Msboxa
[(2)] 0.65158 0.00222 0 1 Msboxa
[(4)] 0.80315 0.00222 0 1 Msboxa
[(6)] 0.95473 0.00222 0 1 Msboxa
[(w)] 1.00625 0.01472 -1 0 Msboxa
[(0.2)] 0.4875 0.13244 1 0 Msboxa
[(0.4)] 0.4875 0.25016 1 0 Msboxa
[(0.6)] 0.4875 0.36788 1 0 Msboxa
[(0.8)] 0.4875 0.4856 1 0 Msboxa
[(1)] 0.4875 0.60332 1 0 Msboxa
[( )] 0.5 0.62428 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(Magnitude Response)] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
0.04527 0.00847 moveto
0.04527 0.02097 lineto
stroke
0 setgray
[(-6)] 0.04527 0.00222 0 1 Mshowa
0.19685 0.00847 moveto
0.19685 0.02097 lineto
stroke
0 setgray
[(-4)] 0.19685 0.00222 0 1 Mshowa
0.34842 0.00847 moveto
0.34842 0.02097 lineto
stroke
0 setgray
[(-2)] 0.34842 0.00222 0 1 Mshowa
0.65158 0.00847 moveto
0.65158 0.02097 lineto
stroke
0 setgray
[(2)] 0.65158 0.00222 0 1 Mshowa
0.80315 0.00847 moveto
0.80315 0.02097 lineto
stroke
0 setgray
[(4)] 0.80315 0.00222 0 1 Mshowa
0.95473 0.00847 moveto
0.95473 0.02097 lineto
stroke
0 setgray
[(6)] 0.95473 0.00222 0 1 Mshowa
0 setgray
[(w)] 1.00625 0.01472 -1 0 Mshowa
0.5 0 moveto
0.5 0.61803 lineto
stroke
0.49375 0.13244 moveto
0.50625 0.13244 lineto
stroke
0 setgray
[(0.2)] 0.4875 0.13244 1 0 Mshowa
0.49375 0.25016 moveto
0.50625 0.25016 lineto
stroke
0 setgray
[(0.4)] 0.4875 0.25016 1 0 Mshowa
0.49375 0.36788 moveto
0.50625 0.36788 lineto
stroke
0 setgray
[(0.6)] 0.4875 0.36788 1 0 Mshowa
0.49375 0.4856 moveto
0.50625 0.4856 lineto
stroke
0 setgray
[(0.8)] 0.4875 0.4856 1 0 Mshowa
0.49375 0.60332 moveto
0.50625 0.60332 lineto
stroke
0 setgray
[(1)] 0.4875 0.60332 1 0 Mshowa
0 setgray
[( )] 0.5 0.62428 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.60332 moveto
0.04365 0.60332 lineto
0.06349 0.60332 lineto
0.07341 0.60332 lineto
0.08333 0.60332 lineto
0.08829 0.60332 lineto
0.09325 0.60332 lineto
0.09573 0.60332 lineto
0.09697 0.60332 lineto
0.09821 0.60332 lineto
0.09945 0.60332 lineto
0.10069 0.01472 lineto
0.10193 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.2619 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.38095 0.01472 lineto
0.40079 0.01472 lineto
0.41071 0.01472 lineto
0.41567 0.01472 lineto
0.41815 0.01472 lineto
0.42063 0.01472 lineto
0.42187 0.01472 lineto
0.42312 0.01472 lineto
0.42436 0.60332 lineto
0.4256 0.60332 lineto
0.42808 0.60332 lineto
0.43056 0.60332 lineto
0.44048 0.60332 lineto
0.46032 0.60332 lineto
0.5 0.60332 lineto
0.51984 0.60332 lineto
0.53968 0.60332 lineto
0.5496 0.60332 lineto
0.55952 0.60332 lineto
0.56448 0.60332 lineto
0.56944 0.60332 lineto
0.57192 0.60332 lineto
0.57316 0.60332 lineto
0.5744 0.60332 lineto
0.57564 0.60332 lineto
0.57688 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
Mistroke
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.87698 0.01472 lineto
0.8869 0.01472 lineto
0.89187 0.01472 lineto
0.89435 0.01472 lineto
0.89683 0.01472 lineto
0.89807 0.01472 lineto
0.89931 0.01472 lineto
0.90055 0.60332 lineto
0.90179 0.60332 lineto
0.90427 0.60332 lineto
0.90675 0.60332 lineto
0.91667 0.60332 lineto
0.93651 0.60332 lineto
0.97619 0.60332 lineto
Mfstroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 39; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
% Scaling calculations
0.5 0.07579 0.30902 0.5886 [
[(Phase Response \(degrees\))] 0.5 0.62428 0 -1 Msboxa
[(-6)] 0.04527 0.29652 0 1 Msboxa
[(-4)] 0.19685 0.29652 0 1 Msboxa
[(-2)] 0.34842 0.29652 0 1 Msboxa
[(2)] 0.65158 0.29652 0 1 Msboxa
[(4)] 0.80315 0.29652 0 1 Msboxa
[(6)] 0.95473 0.29652 0 1 Msboxa
[(w)] 1.00625 0.30902 -1 0 Msboxa
[(-0.4)] 0.4875 0.07358 1 0 Msboxa
[(-0.2)] 0.4875 0.1913 1 0 Msboxa
[(0.2)] 0.4875 0.42674 1 0 Msboxa
[(0.4)] 0.4875 0.54446 1 0 Msboxa
[( )] 0.5 0.62428 0 -1 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
0 setgray
[(Phase Response \(degrees\))] 0.5 0.62428 0 -1 Mshowa
gsave
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
0.04527 0.30277 moveto
0.04527 0.31527 lineto
stroke
0 setgray
[(-6)] 0.04527 0.29652 0 1 Mshowa
0.19685 0.30277 moveto
0.19685 0.31527 lineto
stroke
0 setgray
[(-4)] 0.19685 0.29652 0 1 Mshowa
0.34842 0.30277 moveto
0.34842 0.31527 lineto
stroke
0 setgray
[(-2)] 0.34842 0.29652 0 1 Mshowa
0.65158 0.30277 moveto
0.65158 0.31527 lineto
stroke
0 setgray
[(2)] 0.65158 0.29652 0 1 Mshowa
0.80315 0.30277 moveto
0.80315 0.31527 lineto
stroke
0 setgray
[(4)] 0.80315 0.29652 0 1 Mshowa
0.95473 0.30277 moveto
0.95473 0.31527 lineto
stroke
0 setgray
[(6)] 0.95473 0.29652 0 1 Mshowa
0 setgray
[(w)] 1.00625 0.30902 -1 0 Mshowa
0.5 0 moveto
0.5 0.61803 lineto
stroke
0.49375 0.07358 moveto
0.50625 0.07358 lineto
stroke
0 setgray
[(-0.4)] 0.4875 0.07358 1 0 Mshowa
0.49375 0.1913 moveto
0.50625 0.1913 lineto
stroke
0 setgray
[(-0.2)] 0.4875 0.1913 1 0 Mshowa
0.49375 0.42674 moveto
0.50625 0.42674 lineto
stroke
0 setgray
[(0.2)] 0.4875 0.42674 1 0 Mshowa
0.49375 0.54446 moveto
0.50625 0.54446 lineto
stroke
0 setgray
[(0.4)] 0.4875 0.54446 1 0 Mshowa
0 setgray
[( )] 0.5 0.62428 0 -1 Mshowa
grestore
grestore
0 0 moveto
1 0 lineto
1 0.618034 lineto
0 0.618034 lineto
closepath
clip
newpath
0 setgray
gsave
gsave
0.004 setlinewidth
0.02381 0.30902 moveto
0.06349 0.30902 lineto
0.10317 0.30902 lineto
0.14286 0.30902 lineto
0.18254 0.30902 lineto
0.22222 0.30902 lineto
0.2619 0.30902 lineto
0.30159 0.30902 lineto
0.34127 0.30902 lineto
0.38095 0.30902 lineto
0.42063 0.30902 lineto
0.46032 0.30902 lineto
0.5 0.30902 lineto
0.53968 0.30902 lineto
0.57937 0.30902 lineto
0.61905 0.30902 lineto
0.65873 0.30902 lineto
0.69841 0.30902 lineto
0.7381 0.30902 lineto
0.77778 0.30902 lineto
0.81746 0.30902 lineto
0.85714 0.30902 lineto
0.89683 0.30902 lineto
0.93651 0.30902 lineto
0.97619 0.30902 lineto
stroke
grestore
grestore
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
MakeZObject[ScaleT[ZForm, 
   SubT[ZForm, SubstituteForT[ZForm, 
     SignalProcessing`Digital`ZTransform`Private`forwar\
       dz[n^(-1), n, z, 
      {False, False, False, False, False}, {n}, {z}, 
      {Dialogue -> True}], z, E^(I*a)*z], 
    SubstituteForT[ZForm, 
     SignalProcessing`Digital`ZTransform`Private`forwar\
       dz[n^(-1), n, z, 
      {False, False, False, False, False}, {n}, {z}, 
      {Dialogue -> True}], z, E^(-I*a)*z]], I/2/Pi], z]
;[o]
-Incomplete z-Transform-
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example:  DTFT of Sequences That Are Not Absolutely Summable
:[font = text; inactive; ]
     The following sequences are neither absolutely summable nor square-summable; however, they do possess DTFT's defined in terms of some special mathematical functions such as the impulse function (Dirac delta function).
:[font = text; inactive; ]
     Evaluate the following input cells by placing the cursor in each of the input cells and hitting the ENTER key.
:[font = input; Cclosed; preserveAspect; startGroup; ]
ZTransform[Cos[a n], n, z]
:[font = message; inactive; preserveAspect; startGroup; ]
Transform::incomplete: 
   The rule base could not compute the forward z-transform of 
    1 with respect to n.
:[font = message; inactive; preserveAspect; ]
Transform::incomplete: 
   The rule base could not compute the forward z-transform of 
    1 with respect to n.
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
MakeZObject[ScaleT[ZForm, 
   AddT[ZForm, SubstituteForT[ZForm, 
     SignalProcessing`Digital`ZTransform`Private`forwardz[1, 
      n, z, {True, False, False, False, False}, {n}, {z}, 
      {Dialogue -> True}], z, E^(I*a)*z], 
    SubstituteForT[ZForm, 
     SignalProcessing`Digital`ZTransform`Private`forwardz[1, 
      n, z, {True, False, False, False, False}, {n}, {z}, 
      {Dialogue -> True}], z, E^(-I*a)*z]], 1/2], z]
;[o]
-Incomplete z-Transform-
:[font = input; Cclosed; preserveAspect; startGroup; ]
DTFTransform[Cos[a n], n, w]
:[font = output; output; inactive; preserveAspect; endGroup; ]
DTFTData[Pi*Summation[l1, DirectedInfinity[-1], 
     DirectedInfinity[1], 1][Delta[-a + 2*Pi*l1 + w] + 
     Delta[a + 2*Pi*l1 + w]], FVariables[w]]
;[o]
DTFTData[Pi Summation[l1, -Infinity, Infinity, 1][Delta[-a + 
 
       2 Pi l1 + w] + Delta[a + 2 Pi l1 + w]], FVariables[w]]
:[font = text; inactive; ]
      The following function displays the results of the two other functions and plots the magnitude and phase of  the frequency response. Notice that the DTFT is well defined whereas the z-transform is not!
:[font = input; Cclosed; preserveAspect; startGroup; ]
DSPAnalyze[ Cos[a n], n, -10, 10 ]
:[font = print; inactive; preserveAspect; ]
For plotting only, these symbols will
be assigned a value of 1:  {a}
Cos[a n]
has the following frequency response:
                        Infinity
Pi Summation                    [Delta[-a + 2 l1 Pi + 
            l1=-Infinity
 
      w] + Delta[a + 2 l1 Pi + w]]
where the frequency response is periodic
usually with period 2 Pi
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.047619 0.307537 0.295782 [
[(-10)] 0.02381 0.30754 0 2 Msboxa
[(-5)] 0.2619 0.30754 0 2 Msboxa
[(5)] 0.7381 0.30754 0 2 Msboxa
[(10)] 0.97619 0.30754 0 2 Msboxa
[(n)] 1.025 0.30754 -1 0 Msboxa
[(Discrete-Time Domain Analysis)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(-1)] 0.4875 0.01176 1 0 Msboxa
[(-0.5)] 0.4875 0.15965 1 0 Msboxa
[(0.5)] 0.4875 0.45543 1 0 Msboxa
[(1)] 0.4875 0.60332 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.02381 0.30754 moveto
0.02381 0.31379 lineto
stroke
grestore
[(-10)] 0.02381 0.30754 0 2 Mshowa
gsave
0.002 setlinewidth
0.2619 0.30754 moveto
0.2619 0.31379 lineto
stroke
grestore
[(-5)] 0.2619 0.30754 0 2 Mshowa
gsave
0.002 setlinewidth
0.7381 0.30754 moveto
0.7381 0.31379 lineto
stroke
grestore
[(5)] 0.7381 0.30754 0 2 Mshowa
gsave
0.002 setlinewidth
0.97619 0.30754 moveto
0.97619 0.31379 lineto
stroke
grestore
[(10)] 0.97619 0.30754 0 2 Mshowa
[(n)] 1.025 0.30754 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.30754 moveto
1 0.30754 lineto
stroke
grestore
[(Discrete-Time Domain Analysis)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.01176 moveto
0.50625 0.01176 lineto
stroke
grestore
[(-1)] 0.4875 0.01176 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.15965 moveto
0.50625 0.15965 lineto
stroke
grestore
[(-0.5)] 0.4875 0.15965 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.45543 moveto
0.50625 0.45543 lineto
stroke
grestore
[(0.5)] 0.4875 0.45543 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.60332 moveto
0.50625 0.60332 lineto
stroke
grestore
[(1)] 0.4875 0.60332 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.04133 moveto
0.50375 0.04133 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07091 moveto
0.50375 0.07091 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.10049 moveto
0.50375 0.10049 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13007 moveto
0.50375 0.13007 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18922 moveto
0.50375 0.18922 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.2188 moveto
0.50375 0.2188 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24838 moveto
0.50375 0.24838 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.27796 moveto
0.50375 0.27796 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.33712 moveto
0.50375 0.33712 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.36669 moveto
0.50375 0.36669 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.39627 moveto
0.50375 0.39627 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42585 moveto
0.50375 0.42585 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.48501 moveto
0.50375 0.48501 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.51458 moveto
0.50375 0.51458 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54416 moveto
0.50375 0.54416 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.57374 moveto
0.50375 0.57374 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
gsave
0.00587 setlinewidth
0.02381 0.30754 moveto
0.02381 0.05935 lineto
stroke
0.01762 setlinewidth
0.02381 0.05935 Mdot
0.00587 setlinewidth
0.07143 0.30754 moveto
0.07143 0.03804 lineto
stroke
0.01762 setlinewidth
0.07143 0.03804 Mdot
0.00587 setlinewidth
0.11905 0.30754 moveto
0.11905 0.2645 lineto
stroke
0.01762 setlinewidth
0.11905 0.2645 Mdot
0.00587 setlinewidth
0.16667 0.30754 moveto
0.16667 0.53053 lineto
stroke
0.01762 setlinewidth
0.16667 0.53053 Mdot
0.00587 setlinewidth
0.21429 0.30754 moveto
0.21429 0.59154 lineto
stroke
0.01762 setlinewidth
0.21429 0.59154 Mdot
0.00587 setlinewidth
0.2619 0.30754 moveto
0.2619 0.39144 lineto
stroke
0.01762 setlinewidth
0.2619 0.39144 Mdot
0.00587 setlinewidth
0.30952 0.30754 moveto
0.30952 0.1142 lineto
stroke
0.01762 setlinewidth
0.30952 0.1142 Mdot
0.00587 setlinewidth
0.35714 0.30754 moveto
0.35714 0.01472 lineto
stroke
0.01762 setlinewidth
0.35714 0.01472 Mdot
0.00587 setlinewidth
0.40476 0.30754 moveto
0.40476 0.18445 lineto
stroke
0.01762 setlinewidth
0.40476 0.18445 Mdot
0.00587 setlinewidth
0.45238 0.30754 moveto
0.45238 0.46735 lineto
stroke
0.01762 setlinewidth
0.45238 0.46735 Mdot
0.00587 setlinewidth
0.5 0.30754 moveto
0.5 0.60332 lineto
stroke
0.01762 setlinewidth
0.5 0.60332 Mdot
0.00587 setlinewidth
0.54762 0.30754 moveto
0.54762 0.46735 lineto
stroke
0.01762 setlinewidth
0.54762 0.46735 Mdot
0.00587 setlinewidth
0.59524 0.30754 moveto
0.59524 0.18445 lineto
stroke
0.01762 setlinewidth
0.59524 0.18445 Mdot
0.00587 setlinewidth
0.64286 0.30754 moveto
0.64286 0.01472 lineto
stroke
0.01762 setlinewidth
0.64286 0.01472 Mdot
0.00587 setlinewidth
0.69048 0.30754 moveto
0.69048 0.1142 lineto
stroke
0.01762 setlinewidth
0.69048 0.1142 Mdot
0.00587 setlinewidth
0.7381 0.30754 moveto
0.7381 0.39144 lineto
stroke
0.01762 setlinewidth
0.7381 0.39144 Mdot
0.00587 setlinewidth
0.78571 0.30754 moveto
0.78571 0.59154 lineto
stroke
0.01762 setlinewidth
0.78571 0.59154 Mdot
0.00587 setlinewidth
0.83333 0.30754 moveto
0.83333 0.53053 lineto
stroke
0.01762 setlinewidth
0.83333 0.53053 Mdot
0.00587 setlinewidth
0.88095 0.30754 moveto
0.88095 0.2645 lineto
stroke
0.01762 setlinewidth
0.88095 0.2645 Mdot
0.00587 setlinewidth
0.92857 0.30754 moveto
0.92857 0.03804 lineto
stroke
0.01762 setlinewidth
0.92857 0.03804 Mdot
0.00587 setlinewidth
0.97619 0.30754 moveto
0.97619 0.05935 lineto
stroke
0.01762 setlinewidth
0.97619 0.05935 Mdot
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = message; inactive; preserveAspect; ]
Transform::incomplete: 
   The rule base could not compute the 
    forward z-transform of 1 with respect to n.
:[font = message; inactive; preserveAspect; ]
Transform::incomplete: 
   The rule base could not compute the 
    forward z-transform of 1 with respect to n.
:[font = message; inactive; preserveAspect; ]
ZTransform::notvalid: 
   The forward z-transform could not be found.
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.075788 0.014715 0.187358 [
[(-6)] 0.04527 0.01472 0 2 Msboxa
[(-4)] 0.19685 0.01472 0 2 Msboxa
[(-2)] 0.34842 0.01472 0 2 Msboxa
[(2)] 0.65158 0.01472 0 2 Msboxa
[(4)] 0.80315 0.01472 0 2 Msboxa
[(6)] 0.95473 0.01472 0 2 Msboxa
[(w)] 1.025 0.01472 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(0.5)] 0.4875 0.10839 1 0 Msboxa
[(1)] 0.4875 0.20207 1 0 Msboxa
[(1.5)] 0.4875 0.29575 1 0 Msboxa
[(2)] 0.4875 0.38943 1 0 Msboxa
[(2.5)] 0.4875 0.48311 1 0 Msboxa
[(3)] 0.4875 0.57679 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.04527 0.01472 moveto
0.04527 0.02097 lineto
stroke
grestore
[(-6)] 0.04527 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0.01472 moveto
0.19685 0.02097 lineto
stroke
grestore
[(-4)] 0.19685 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0.01472 moveto
0.34842 0.02097 lineto
stroke
grestore
[(-2)] 0.34842 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0.01472 moveto
0.65158 0.02097 lineto
stroke
grestore
[(2)] 0.65158 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0.01472 moveto
0.80315 0.02097 lineto
stroke
grestore
[(4)] 0.80315 0.01472 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0.01472 moveto
0.95473 0.02097 lineto
stroke
grestore
[(6)] 0.95473 0.01472 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0.01472 moveto
0.07559 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0.01472 moveto
0.1059 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0.01472 moveto
0.13622 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0.01472 moveto
0.16653 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0.01472 moveto
0.22716 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0.01472 moveto
0.25748 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0.01472 moveto
0.28779 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0.01472 moveto
0.31811 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0.01472 moveto
0.37874 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0.01472 moveto
0.40905 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0.01472 moveto
0.43937 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0.01472 moveto
0.46968 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0.01472 moveto
0.53032 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0.01472 moveto
0.56063 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0.01472 moveto
0.59095 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0.01472 moveto
0.62126 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0.01472 moveto
0.68189 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0.01472 moveto
0.71221 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0.01472 moveto
0.74252 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0.01472 moveto
0.77284 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0.01472 moveto
0.83347 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0.01472 moveto
0.86378 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0.01472 moveto
0.8941 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0.01472 moveto
0.92441 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0.01472 moveto
0.01496 0.01847 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0.01472 moveto
0.98504 0.01847 lineto
stroke
grestore
[(w)] 1.025 0.01472 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.01472 moveto
1 0.01472 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.10839 moveto
0.50625 0.10839 lineto
stroke
grestore
[(0.5)] 0.4875 0.10839 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.20207 moveto
0.50625 0.20207 lineto
stroke
grestore
[(1)] 0.4875 0.20207 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.29575 moveto
0.50625 0.29575 lineto
stroke
grestore
[(1.5)] 0.4875 0.29575 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.38943 moveto
0.50625 0.38943 lineto
stroke
grestore
[(2)] 0.4875 0.38943 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.48311 moveto
0.50625 0.48311 lineto
stroke
grestore
[(2.5)] 0.4875 0.48311 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.57679 moveto
0.50625 0.57679 lineto
stroke
grestore
[(3)] 0.4875 0.57679 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.03345 moveto
0.50375 0.03345 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.05219 moveto
0.50375 0.05219 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07092 moveto
0.50375 0.07092 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.08966 moveto
0.50375 0.08966 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.12713 moveto
0.50375 0.12713 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.14587 moveto
0.50375 0.14587 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.1646 moveto
0.50375 0.1646 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18334 moveto
0.50375 0.18334 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22081 moveto
0.50375 0.22081 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.23955 moveto
0.50375 0.23955 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.25828 moveto
0.50375 0.25828 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.27702 moveto
0.50375 0.27702 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31449 moveto
0.50375 0.31449 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.33322 moveto
0.50375 0.33322 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35196 moveto
0.50375 0.35196 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.3707 moveto
0.50375 0.3707 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40817 moveto
0.50375 0.40817 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.4269 moveto
0.50375 0.4269 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.44564 moveto
0.50375 0.44564 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46438 moveto
0.50375 0.46438 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.50185 moveto
0.50375 0.50185 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.52058 moveto
0.50375 0.52058 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53932 moveto
0.50375 0.53932 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.55805 moveto
0.50375 0.55805 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59553 moveto
0.50375 0.59553 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.61426 moveto
0.50375 0.61426 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
gsave
gsave
0.004 setlinewidth
0.02381 0.01472 moveto
0.06349 0.01472 lineto
0.10317 0.01472 lineto
0.14286 0.01472 lineto
0.18254 0.01472 lineto
0.22222 0.01472 lineto
0.2619 0.01472 lineto
0.30159 0.01472 lineto
0.34127 0.01472 lineto
0.38095 0.01472 lineto
0.42063 0.01472 lineto
0.46032 0.01472 lineto
0.5 0.01472 lineto
0.53968 0.01472 lineto
0.57937 0.01472 lineto
0.61905 0.01472 lineto
0.65873 0.01472 lineto
0.69841 0.01472 lineto
0.7381 0.01472 lineto
0.77778 0.01472 lineto
0.81746 0.01472 lineto
0.85714 0.01472 lineto
0.89683 0.01472 lineto
0.93651 0.01472 lineto
0.97619 0.01472 lineto
stroke
grestore
grestore
grestore
gsave
gsave
0.006 setlinewidth
0.57579 0.60332 moveto
0.55674 0.52572 lineto
0.59484 0.52572 lineto
0.57579 0.60332 lineto
stroke
0.57579 0.01472 moveto
0.57579 0.52572 lineto
stroke
grestore
grestore
gsave
gsave
0.006 setlinewidth
0.42421 0.60332 moveto
0.40516 0.52572 lineto
0.44326 0.52572 lineto
0.42421 0.60332 lineto
stroke
0.42421 0.01472 moveto
0.42421 0.52572 lineto
stroke
grestore
grestore
gsave
gsave
0.006 setlinewidth
0.9004 0.60332 moveto
0.88135 0.52572 lineto
0.91945 0.52572 lineto
0.9004 0.60332 lineto
stroke
0.9004 0.01472 moveto
0.9004 0.52572 lineto
stroke
grestore
grestore
gsave
gsave
0.006 setlinewidth
0.0996 0.60332 moveto
0.08055 0.52572 lineto
0.11865 0.52572 lineto
0.0996 0.60332 lineto
stroke
0.0996 0.01472 moveto
0.0996 0.52572 lineto
stroke
grestore
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 34; pictureWidth = 282; pictureHeight = 174; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.61803 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.075788 0.309017 0.588604 [
[(-6)] 0.04527 0.30902 0 2 Msboxa
[(-4)] 0.19685 0.30902 0 2 Msboxa
[(-2)] 0.34842 0.30902 0 2 Msboxa
[(2)] 0.65158 0.30902 0 2 Msboxa
[(4)] 0.80315 0.30902 0 2 Msboxa
[(6)] 0.95473 0.30902 0 2 Msboxa
[(w)] 1.025 0.30902 -1 0 Msboxa
[(Phase Response \(degrees\))] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(-0.4)] 0.4875 0.07358 1 0 Msboxa
[(-0.2)] 0.4875 0.1913 1 0 Msboxa
[(0.2)] 0.4875 0.42674 1 0 Msboxa
[(0.4)] 0.4875 0.54446 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
gsave
0.002 setlinewidth
0.04527 0.30902 moveto
0.04527 0.31527 lineto
stroke
grestore
[(-6)] 0.04527 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0.30902 moveto
0.19685 0.31527 lineto
stroke
grestore
[(-4)] 0.19685 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0.30902 moveto
0.34842 0.31527 lineto
stroke
grestore
[(-2)] 0.34842 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0.30902 moveto
0.65158 0.31527 lineto
stroke
grestore
[(2)] 0.65158 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0.30902 moveto
0.80315 0.31527 lineto
stroke
grestore
[(4)] 0.80315 0.30902 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0.30902 moveto
0.95473 0.31527 lineto
stroke
grestore
[(6)] 0.95473 0.30902 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0.30902 moveto
0.07559 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0.30902 moveto
0.1059 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0.30902 moveto
0.13622 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0.30902 moveto
0.16653 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0.30902 moveto
0.22716 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0.30902 moveto
0.25748 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0.30902 moveto
0.28779 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0.30902 moveto
0.31811 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0.30902 moveto
0.37874 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0.30902 moveto
0.40905 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0.30902 moveto
0.43937 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0.30902 moveto
0.46968 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0.30902 moveto
0.53032 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0.30902 moveto
0.56063 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0.30902 moveto
0.59095 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0.30902 moveto
0.62126 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0.30902 moveto
0.68189 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0.30902 moveto
0.71221 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0.30902 moveto
0.74252 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0.30902 moveto
0.77284 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0.30902 moveto
0.83347 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0.30902 moveto
0.86378 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0.30902 moveto
0.8941 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0.30902 moveto
0.92441 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0.30902 moveto
0.01496 0.31277 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0.30902 moveto
0.98504 0.31277 lineto
stroke
grestore
[(w)] 1.025 0.30902 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.30902 moveto
1 0.30902 lineto
stroke
grestore
[(Phase Response \(degrees\))] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.07358 moveto
0.50625 0.07358 lineto
stroke
grestore
[(-0.4)] 0.4875 0.07358 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.1913 moveto
0.50625 0.1913 lineto
stroke
grestore
[(-0.2)] 0.4875 0.1913 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.42674 moveto
0.50625 0.42674 lineto
stroke
grestore
[(0.2)] 0.4875 0.42674 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.54446 moveto
0.50625 0.54446 lineto
stroke
grestore
[(0.4)] 0.4875 0.54446 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.09712 moveto
0.50375 0.09712 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.12066 moveto
0.50375 0.12066 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.14421 moveto
0.50375 0.14421 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.16775 moveto
0.50375 0.16775 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.21484 moveto
0.50375 0.21484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.23838 moveto
0.50375 0.23838 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26193 moveto
0.50375 0.26193 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.28547 moveto
0.50375 0.28547 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.33256 moveto
0.50375 0.33256 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35611 moveto
0.50375 0.35611 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.37965 moveto
0.50375 0.37965 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40319 moveto
0.50375 0.40319 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45028 moveto
0.50375 0.45028 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47383 moveto
0.50375 0.47383 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49737 moveto
0.50375 0.49737 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.52091 moveto
0.50375 0.52091 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.05003 moveto
0.50375 0.05003 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02649 moveto
0.50375 0.02649 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.00294 moveto
0.50375 0.00294 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.568 moveto
0.50375 0.568 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59155 moveto
0.50375 0.59155 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.61509 moveto
0.50375 0.61509 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.02381 0.30902 moveto
0.06349 0.30902 lineto
0.10317 0.30902 lineto
0.14286 0.30902 lineto
0.18254 0.30902 lineto
0.22222 0.30902 lineto
0.2619 0.30902 lineto
0.30159 0.30902 lineto
0.34127 0.30902 lineto
0.38095 0.30902 lineto
0.42063 0.30902 lineto
0.46032 0.30902 lineto
0.5 0.30902 lineto
0.53968 0.30902 lineto
0.57937 0.30902 lineto
0.61905 0.30902 lineto
0.65873 0.30902 lineto
0.69841 0.30902 lineto
0.7381 0.30902 lineto
0.77778 0.30902 lineto
0.81746 0.30902 lineto
0.85714 0.30902 lineto
0.89683 0.30902 lineto
0.93651 0.30902 lineto
0.97619 0.30902 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
% End of Graphics
MathPictureEnd
:[font = output; output; inactive; preserveAspect; endGroup; endGroup; ]
MakeZObject[ScaleT[ZForm, 
   AddT[ZForm, SubstituteForT[ZForm, 
     SignalProcessing`Digital`ZTransform`Private`f\
       orwardz[1, n, z, 
      {True, True, True, False, False, True}, {n}, 
      {z}, {Definition -> False, Dialogue -> True, 
       Simplify -> True}], z, E^(I*a)*z], 
    SubstituteForT[ZForm, 
     SignalProcessing`Digital`ZTransform`Private`fo\
       rwardz[1, n, z, 
      {True, True, True, False, False, True}, {n}, 
      {z}, {Definition -> False, Dialogue -> True, 
       Simplify -> True}], z, E^(-I*a)*z]], 1/2], z]
;[o]
-Incomplete z-Transform-
:[font = text; inactive; ]
     Note that none of the sequences given in the last examples are absolutely summable, even if these sequences are weighted by |z|-n (c.f. equation 3).  This latter fact justifies the non-convergence of the z-transform of these sequences for any z in the complex plane.
;[s]
6:0,0;129,1;130,2;131,3;132,4;134,5;271,-1;
6:1,13,10,Times,0,14,0,0,0;1,14,11,Helvetica,0,16,0,0,0;1,13,10,Times,0,14,0,0,0;1,14,11,Helvetica,0,16,0,0,0;1,13,10,Times,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = text; inactive; endGroup; endGroup; ]
     In general, while uniform convergence of the z-transform requires absolute summability of the exponentially weighted sequence (i.e. |x[n]| |z|-n, as in equation (3)), the Fourier transform representation has been extended to include some non-absolutely summable functions of interest by relaxing the condition of uniform convergence of the infinite sum defining the DTFT (c.f. equation (5)) and by introducing special generalized functions (such as "impulses").  However, in this latter case, the obtained DTFT CANNOT result from the evaluation of the z-transform on the unit circle!  Hence, it becomes now clear why it is NOT ALWAYS correct to think of the DTFT as being the z-transform evaluated on the unit circle of the complex z-plane.
;[s]
10:0,0;136,1;138,2;142,3;143,4;144,5;145,6;146,7;147,8;149,9;747,-1;
10:1,13,10,Times,0,14,0,0,0;1,14,11,Helvetica,0,16,0,0,0;1,13,10,Times,0,14,0,0,0;1,14,11,Helvetica,0,16,0,0,0;1,13,10,Times,0,14,0,0,0;1,14,11,Helvetica,0,16,0,0,0;1,13,10,Times,0,14,0,0,0;1,14,11,Helvetica,0,16,0,0,0;1,13,10,Times,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Frequency Responses of Stable Systems with a Rational Transfer Functions
:[font = text; inactive; ]
     As mentioned in the previous section, the frequency response of a stable discrete system (which is just the DTFT of the impulse response of this system) can be directly obtained by simply evaluating the system function (which is the z-transform of the impulse response of the system) on the unit circle in the complex z-plane.  As will be seen in this section, this latter fact is very important, especially in the case of a rational system function H(z), because it allows us to approximate the frequency response H(ejw) by relying solely on the information given in the pole-zero diagram of the rational system function H(z). 
;[s]
4:0,0;523,1;524,2;525,3;633,-1;
4:1,13,10,Times,0,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,0,0,Symbol,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Why the DTFT can be obtained from the z-Transform
:[font = text; inactive; endGroup; ]
     As discussed previously, the poles of a rational z-transform play a major role in determining all of the possible ROC's for the transform. Moreover, the location of the zeros and poles of the rational system function H(z) can be used to construct an approximate sketch of the frequency-response function H(ejw) simply by using the geometry of the pole-zero diagram of H(z) to investigate the relative positions of the zeros and poles and their closeness to the unit circle. This procedure is based on the fact that the frequency response corresponds to the system function evaluated on the unit circle and that the complex value of each zero or pole factor of the rational frequency response H(ejw), i.e. factors in the numerator and denominator respectively, can be represented by a two-dimensional vector in the z-plane from the corresponding zero or pole to a point z = ejw on the unit circle. 
;[s]
10:0,0;312,1;313,2;314,3;700,4;701,5;702,6;879,7;880,8;881,9;903,-1;
10:1,13,10,Times,0,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,0,0,Symbol,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,0,0,Symbol,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,0,0,Symbol,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
How to obtain the DTFT from the z-Transform
:[font = text; inactive; endGroup; ]
     The continuous frequency response of a system characterized by a rational z-transform can be computed from the location of the poles and zeroes.  A vector from a zero to the unit circle is referred to as a "zero vector", and a vector from a pole to the unit circle is referred to as a "pole vector".   Such a vector representation is convenient since it greatly simplifies the construction of the frequency response from the corresponding pole-zero diagram by simply observing the change in the length of the zero / pole vectors (to construct the magnitude response) or the change in the angle (with respect to the Re{z} axis) of the zero / pole vectors (to construct the phase response), as the point z = ejw moves around the unit circle.	
;[s]
4:0,0;712,1;713,2;714,3;746,-1;
4:1,13,10,Times,0,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,0,0,Symbol,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Systems with either a single pole or single zero
:[font = text; inactive; ]
     The following examples illustrate the correspondence between the pole-zero plot and the frequency response.
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example:  Animation of Single Pole System 
:[font = text; inactive; ]
     Animate the following graphs by placing the cursor on the graph to be animated and double click.  Note that both graphs will be animated at the same time, showing the relationship between the location of the pole and the frequency response.  The speed of the animation can be controlled by typing a number from 1( slowest) to 9 (fastest).  Typing 0 or clicking the mouse once will stop the animation.
     The black dot on the circle represents the point z = ejw moving around the unit circle, while the symbol "X" represents a pole.
;[s]
4:0,0;465,1;466,2;467,3;538,-1;
4:1,13,10,Times,0,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,0,0,Symbol,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
Do[ Show[ GraphicsArray[ {
       VectorPoleZeroPlot[1/(z - 0.8 Exp[I Pi/4] ),
                          z, 0.8, Infinity, r, True,
                          DisplayFunction -> Identity,
                          Return -> Graphics,
                          Dialogue -> False ],
       MagPhasePlot[1/(Exp[I w] - 0.8 Exp[I Pi/4]),
                    {w,-Pi-0.01,r},
                    PhaseRangeScale -> Null, 
                    DisplayFunction -> Identity,
                    PlotRange -> {{-Pi,Pi},{0,5.5}}]
                    [[1]] } ] ],                 
    {r, -Pi, Pi, Pi/4} ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; Cclosed; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; startGroup; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.32 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.8007 0.60945 lineto
stroke
0.8007 0.60945 moveto
0 0 rlineto
0.18701 0.43338 moveto
0 0 rlineto
0 0.36531 moveto
0.18701 0.43338 lineto
stroke
stroke
0.18073 0.47839 moveto
0 0 rlineto
0 0.41261 moveto
0.18073 0.47839 lineto
stroke
stroke
0.18104 0.5258 moveto
0 0 rlineto
0 0.45991 moveto
0.18104 0.5258 lineto
stroke
stroke
0.18917 0.57605 moveto
0 0 rlineto
0 0.5072 moveto
0.18917 0.57605 lineto
stroke
stroke
0.20763 0.63007 moveto
0 0 rlineto
0 0.5545 moveto
0.20763 0.63007 lineto
stroke
stroke
0.24258 0.69009 moveto
0 0 rlineto
0 0.6018 moveto
0.24258 0.69009 lineto
stroke
stroke
0.32321 0.76673 moveto
0 0 rlineto
0 0.64909 moveto
0.32321 0.76673 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
0.53602 0.18203 moveto
0 0 rlineto
0.03589 0 moveto
0.53602 0.18203 lineto
stroke
stroke
0.42499 0.18892 moveto
0 0 rlineto
0 0.03423 moveto
0.42499 0.18892 lineto
stroke
stroke
0.35964 0.21243 moveto
0 0 rlineto
0 0.08153 moveto
0.35964 0.21243 lineto
stroke
stroke
0.31078 0.24194 moveto
0 0 rlineto
0 0.12883 moveto
0.31078 0.24194 lineto
stroke
stroke
0.27225 0.27521 moveto
0 0 rlineto
0 0.17612 moveto
0.27225 0.27521 lineto
stroke
stroke
0.24153 0.31133 moveto
0 0 rlineto
0 0.22342 moveto
0.24153 0.31133 lineto
stroke
stroke
0.21741 0.34985 moveto
0 0 rlineto
0 0.27072 moveto
0.21741 0.34985 lineto
stroke
stroke
0.1993 0.39055 moveto
0 0 rlineto
0 0.31801 moveto
0.1993 0.39055 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.78259 0.65015 lineto
stroke
0.78259 0.65015 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.81299 0.56662 lineto
stroke
0.81299 0.56662 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.75847 0.68867 lineto
stroke
0.75847 0.68867 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.81927 0.52161 lineto
stroke
0.81927 0.52161 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.72775 0.72479 lineto
stroke
0.72775 0.72479 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.81896 0.4742 lineto
stroke
0.81896 0.4742 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.68922 0.75806 lineto
stroke
0.68922 0.75806 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.81083 0.42395 lineto
stroke
0.81083 0.42395 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.64036 0.78757 lineto
stroke
0.64036 0.78757 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.79237 0.36993 lineto
stroke
0.79237 0.36993 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.57501 0.81108 lineto
stroke
0.57501 0.81108 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.75742 0.30991 lineto
stroke
0.75742 0.30991 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.46398 0.81797 lineto
stroke
0.46398 0.81797 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.67679 0.23327 lineto
stroke
0.67679 0.23327 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.72627 0.72627 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.1 0.5 moveto
0.72627 0.72627 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.1 0.5 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 1.387779e-17 0.11237 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.11237 1 0 Msboxa
[(2)] 0.4875 0.22474 1 0 Msboxa
[(3)] 0.4875 0.33711 1 0 Msboxa
[(4)] 0.4875 0.44948 1 0 Msboxa
[(5)] 0.4875 0.56185 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.11237 moveto
0.50625 0.11237 lineto
stroke
grestore
[(1)] 0.4875 0.11237 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.22474 moveto
0.50625 0.22474 lineto
stroke
grestore
[(2)] 0.4875 0.22474 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.33711 moveto
0.50625 0.33711 lineto
stroke
grestore
[(3)] 0.4875 0.33711 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.44948 moveto
0.50625 0.44948 lineto
stroke
grestore
[(4)] 0.4875 0.44948 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.56185 moveto
0.50625 0.56185 lineto
stroke
grestore
[(5)] 0.4875 0.56185 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02247 moveto
0.50375 0.02247 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04495 moveto
0.50375 0.04495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06742 moveto
0.50375 0.06742 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0899 moveto
0.50375 0.0899 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13484 moveto
0.50375 0.13484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15732 moveto
0.50375 0.15732 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17979 moveto
0.50375 0.17979 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20227 moveto
0.50375 0.20227 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26969 moveto
0.50375 0.26969 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29216 moveto
0.50375 0.29216 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31464 moveto
0.50375 0.31464 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35958 moveto
0.50375 0.35958 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38206 moveto
0.50375 0.38206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40453 moveto
0.50375 0.40453 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42701 moveto
0.50375 0.42701 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47195 moveto
0.50375 0.47195 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5169 moveto
0.50375 0.5169 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53938 moveto
0.50375 0.53938 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58432 moveto
0.50375 0.58432 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.6068 moveto
0.50375 0.6068 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
0 0.0675 moveto
0 0 rlineto
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.32 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.8007 0.60945 lineto
stroke
0.8007 0.60945 moveto
0 0 rlineto
0.18701 0.43338 moveto
0 0 rlineto
0 0.36531 moveto
0.18701 0.43338 lineto
stroke
stroke
0.18073 0.47839 moveto
0 0 rlineto
0 0.41261 moveto
0.18073 0.47839 lineto
stroke
stroke
0.18104 0.5258 moveto
0 0 rlineto
0 0.45991 moveto
0.18104 0.5258 lineto
stroke
stroke
0.18917 0.57605 moveto
0 0 rlineto
0 0.5072 moveto
0.18917 0.57605 lineto
stroke
stroke
0.20763 0.63007 moveto
0 0 rlineto
0 0.5545 moveto
0.20763 0.63007 lineto
stroke
stroke
0.24258 0.69009 moveto
0 0 rlineto
0 0.6018 moveto
0.24258 0.69009 lineto
stroke
stroke
0.32321 0.76673 moveto
0 0 rlineto
0 0.64909 moveto
0.32321 0.76673 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
0.53602 0.18203 moveto
0 0 rlineto
0.03589 0 moveto
0.53602 0.18203 lineto
stroke
stroke
0.42499 0.18892 moveto
0 0 rlineto
0 0.03423 moveto
0.42499 0.18892 lineto
stroke
stroke
0.35964 0.21243 moveto
0 0 rlineto
0 0.08153 moveto
0.35964 0.21243 lineto
stroke
stroke
0.31078 0.24194 moveto
0 0 rlineto
0 0.12883 moveto
0.31078 0.24194 lineto
stroke
stroke
0.27225 0.27521 moveto
0 0 rlineto
0 0.17612 moveto
0.27225 0.27521 lineto
stroke
stroke
0.24153 0.31133 moveto
0 0 rlineto
0 0.22342 moveto
0.24153 0.31133 lineto
stroke
stroke
0.21741 0.34985 moveto
0 0 rlineto
0 0.27072 moveto
0.21741 0.34985 lineto
stroke
stroke
0.1993 0.39055 moveto
0 0 rlineto
0 0.31801 moveto
0.1993 0.39055 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.78259 0.65015 lineto
stroke
0.78259 0.65015 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.81299 0.56662 lineto
stroke
0.81299 0.56662 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.75847 0.68867 lineto
stroke
0.75847 0.68867 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.81927 0.52161 lineto
stroke
0.81927 0.52161 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.72775 0.72479 lineto
stroke
0.72775 0.72479 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.81896 0.4742 lineto
stroke
0.81896 0.4742 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.68922 0.75806 lineto
stroke
0.68922 0.75806 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.81083 0.42395 lineto
stroke
0.81083 0.42395 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.64036 0.78757 lineto
stroke
0.64036 0.78757 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.79237 0.36993 lineto
stroke
0.79237 0.36993 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.57501 0.81108 lineto
stroke
0.57501 0.81108 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.75742 0.30991 lineto
stroke
0.75742 0.30991 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.46398 0.81797 lineto
stroke
0.46398 0.81797 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.67679 0.23327 lineto
stroke
0.67679 0.23327 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.72627 0.72627 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.21716 0.21716 moveto
0.72627 0.72627 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.21716 0.21716 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 1.387779e-17 0.11237 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.11237 1 0 Msboxa
[(2)] 0.4875 0.22474 1 0 Msboxa
[(3)] 0.4875 0.33711 1 0 Msboxa
[(4)] 0.4875 0.44948 1 0 Msboxa
[(5)] 0.4875 0.56185 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.11237 moveto
0.50625 0.11237 lineto
stroke
grestore
[(1)] 0.4875 0.11237 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.22474 moveto
0.50625 0.22474 lineto
stroke
grestore
[(2)] 0.4875 0.22474 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.33711 moveto
0.50625 0.33711 lineto
stroke
grestore
[(3)] 0.4875 0.33711 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.44948 moveto
0.50625 0.44948 lineto
stroke
grestore
[(4)] 0.4875 0.44948 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.56185 moveto
0.50625 0.56185 lineto
stroke
grestore
[(5)] 0.4875 0.56185 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02247 moveto
0.50375 0.02247 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04495 moveto
0.50375 0.04495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06742 moveto
0.50375 0.06742 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0899 moveto
0.50375 0.0899 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13484 moveto
0.50375 0.13484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15732 moveto
0.50375 0.15732 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17979 moveto
0.50375 0.17979 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20227 moveto
0.50375 0.20227 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26969 moveto
0.50375 0.26969 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29216 moveto
0.50375 0.29216 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31464 moveto
0.50375 0.31464 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35958 moveto
0.50375 0.35958 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38206 moveto
0.50375 0.38206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40453 moveto
0.50375 0.40453 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42701 moveto
0.50375 0.42701 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47195 moveto
0.50375 0.47195 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5169 moveto
0.50375 0.5169 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53938 moveto
0.50375 0.53938 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58432 moveto
0.50375 0.58432 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.6068 moveto
0.50375 0.6068 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
0 0.0675 moveto
0.00368 0.06719 lineto
stroke
0.00368 0.06719 moveto
0.00896 0.06676 lineto
0.01423 0.06635 lineto
0.01951 0.06597 lineto
0.02478 0.06561 lineto
0.03006 0.06527 lineto
0.03533 0.06496 lineto
0.04061 0.06466 lineto
0.04588 0.06438 lineto
0.05115 0.06412 lineto
0.05643 0.06389 lineto
0.0617 0.06367 lineto
0.06698 0.06347 lineto
0.07225 0.06328 lineto
0.07753 0.06312 lineto
0.0828 0.06297 lineto
0.08808 0.06284 lineto
0.09335 0.06273 lineto
0.09863 0.06264 lineto
0.1039 0.06256 lineto
0.10918 0.0625 lineto
0.11181 0.06248 lineto
0.11445 0.06246 lineto
0.11709 0.06245 lineto
0.11841 0.06244 lineto
0.11973 0.06244 lineto
0.12104 0.06243 lineto
0.1217 0.06243 lineto
0.12236 0.06243 lineto
0.12302 0.06243 lineto
0.12335 0.06243 lineto
0.12368 0.06243 lineto
0.12401 0.06243 lineto
0.12418 0.06243 lineto
0.12434 0.06243 lineto
0.12451 0.06243 lineto
0.12467 0.06243 lineto
0.12484 0.06243 lineto
0.125 0.06243 lineto
stroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.32 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.8007 0.60945 lineto
stroke
0.8007 0.60945 moveto
0 0 rlineto
0.18701 0.43338 moveto
0 0 rlineto
0 0.36531 moveto
0.18701 0.43338 lineto
stroke
stroke
0.18073 0.47839 moveto
0 0 rlineto
0 0.41261 moveto
0.18073 0.47839 lineto
stroke
stroke
0.18104 0.5258 moveto
0 0 rlineto
0 0.45991 moveto
0.18104 0.5258 lineto
stroke
stroke
0.18917 0.57605 moveto
0 0 rlineto
0 0.5072 moveto
0.18917 0.57605 lineto
stroke
stroke
0.20763 0.63007 moveto
0 0 rlineto
0 0.5545 moveto
0.20763 0.63007 lineto
stroke
stroke
0.24258 0.69009 moveto
0 0 rlineto
0 0.6018 moveto
0.24258 0.69009 lineto
stroke
stroke
0.32321 0.76673 moveto
0 0 rlineto
0 0.64909 moveto
0.32321 0.76673 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
0.53602 0.18203 moveto
0 0 rlineto
0.03589 0 moveto
0.53602 0.18203 lineto
stroke
stroke
0.42499 0.18892 moveto
0 0 rlineto
0 0.03423 moveto
0.42499 0.18892 lineto
stroke
stroke
0.35964 0.21243 moveto
0 0 rlineto
0 0.08153 moveto
0.35964 0.21243 lineto
stroke
stroke
0.31078 0.24194 moveto
0 0 rlineto
0 0.12883 moveto
0.31078 0.24194 lineto
stroke
stroke
0.27225 0.27521 moveto
0 0 rlineto
0 0.17612 moveto
0.27225 0.27521 lineto
stroke
stroke
0.24153 0.31133 moveto
0 0 rlineto
0 0.22342 moveto
0.24153 0.31133 lineto
stroke
stroke
0.21741 0.34985 moveto
0 0 rlineto
0 0.27072 moveto
0.21741 0.34985 lineto
stroke
stroke
0.1993 0.39055 moveto
0 0 rlineto
0 0.31801 moveto
0.1993 0.39055 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.78259 0.65015 lineto
stroke
0.78259 0.65015 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.81299 0.56662 lineto
stroke
0.81299 0.56662 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.75847 0.68867 lineto
stroke
0.75847 0.68867 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.81927 0.52161 lineto
stroke
0.81927 0.52161 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.72775 0.72479 lineto
stroke
0.72775 0.72479 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.81896 0.4742 lineto
stroke
0.81896 0.4742 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.68922 0.75806 lineto
stroke
0.68922 0.75806 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.81083 0.42395 lineto
stroke
0.81083 0.42395 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.64036 0.78757 lineto
stroke
0.64036 0.78757 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.79237 0.36993 lineto
stroke
0.79237 0.36993 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.57501 0.81108 lineto
stroke
0.57501 0.81108 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.75742 0.30991 lineto
stroke
0.75742 0.30991 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.46398 0.81797 lineto
stroke
0.46398 0.81797 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.67679 0.23327 lineto
stroke
0.67679 0.23327 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.72627 0.72627 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.5 0.1 moveto
0.72627 0.72627 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.5 0.1 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 1.387779e-17 0.11237 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.11237 1 0 Msboxa
[(2)] 0.4875 0.22474 1 0 Msboxa
[(3)] 0.4875 0.33711 1 0 Msboxa
[(4)] 0.4875 0.44948 1 0 Msboxa
[(5)] 0.4875 0.56185 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.11237 moveto
0.50625 0.11237 lineto
stroke
grestore
[(1)] 0.4875 0.11237 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.22474 moveto
0.50625 0.22474 lineto
stroke
grestore
[(2)] 0.4875 0.22474 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.33711 moveto
0.50625 0.33711 lineto
stroke
grestore
[(3)] 0.4875 0.33711 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.44948 moveto
0.50625 0.44948 lineto
stroke
grestore
[(4)] 0.4875 0.44948 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.56185 moveto
0.50625 0.56185 lineto
stroke
grestore
[(5)] 0.4875 0.56185 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02247 moveto
0.50375 0.02247 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04495 moveto
0.50375 0.04495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06742 moveto
0.50375 0.06742 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0899 moveto
0.50375 0.0899 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13484 moveto
0.50375 0.13484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15732 moveto
0.50375 0.15732 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17979 moveto
0.50375 0.17979 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20227 moveto
0.50375 0.20227 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26969 moveto
0.50375 0.26969 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29216 moveto
0.50375 0.29216 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31464 moveto
0.50375 0.31464 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35958 moveto
0.50375 0.35958 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38206 moveto
0.50375 0.38206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40453 moveto
0.50375 0.40453 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42701 moveto
0.50375 0.42701 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47195 moveto
0.50375 0.47195 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5169 moveto
0.50375 0.5169 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53938 moveto
0.50375 0.53938 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58432 moveto
0.50375 0.58432 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.6068 moveto
0.50375 0.6068 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
0 0.06751 moveto
0.00889 0.06676 lineto
stroke
0.00889 0.06676 moveto
0.01937 0.06598 lineto
0.02986 0.06529 lineto
0.04034 0.06467 lineto
0.05082 0.06414 lineto
0.06131 0.06368 lineto
0.07179 0.0633 lineto
0.08227 0.06299 lineto
0.09276 0.06275 lineto
0.098 0.06265 lineto
0.10324 0.06257 lineto
0.10848 0.06251 lineto
0.1111 0.06249 lineto
0.11372 0.06247 lineto
0.11634 0.06245 lineto
0.11765 0.06244 lineto
0.11896 0.06244 lineto
0.12027 0.06243 lineto
0.12093 0.06243 lineto
0.12158 0.06243 lineto
0.12224 0.06243 lineto
0.12289 0.06243 lineto
0.12322 0.06243 lineto
0.12355 0.06243 lineto
0.12388 0.06243 lineto
0.1242 0.06243 lineto
0.12453 0.06243 lineto
0.12486 0.06243 lineto
0.12519 0.06243 lineto
0.12551 0.06243 lineto
0.12584 0.06243 lineto
0.12617 0.06243 lineto
0.1265 0.06243 lineto
0.12682 0.06243 lineto
0.12748 0.06243 lineto
0.12814 0.06243 lineto
0.12945 0.06243 lineto
0.13076 0.06244 lineto
0.13207 0.06244 lineto
0.13469 0.06246 lineto
0.13731 0.06247 lineto
0.13993 0.0625 lineto
0.14517 0.06255 lineto
0.15041 0.06262 lineto
0.15565 0.06271 lineto
0.16614 0.06295 lineto
0.17662 0.06325 lineto
0.1871 0.06362 lineto
0.19759 0.06407 lineto
0.20807 0.06459 lineto
Mistroke
0.21855 0.06519 lineto
0.22903 0.06587 lineto
0.23952 0.06664 lineto
0.25 0.0675 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.32 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.8007 0.60945 lineto
stroke
0.8007 0.60945 moveto
0 0 rlineto
0.18701 0.43338 moveto
0 0 rlineto
0 0.36531 moveto
0.18701 0.43338 lineto
stroke
stroke
0.18073 0.47839 moveto
0 0 rlineto
0 0.41261 moveto
0.18073 0.47839 lineto
stroke
stroke
0.18104 0.5258 moveto
0 0 rlineto
0 0.45991 moveto
0.18104 0.5258 lineto
stroke
stroke
0.18917 0.57605 moveto
0 0 rlineto
0 0.5072 moveto
0.18917 0.57605 lineto
stroke
stroke
0.20763 0.63007 moveto
0 0 rlineto
0 0.5545 moveto
0.20763 0.63007 lineto
stroke
stroke
0.24258 0.69009 moveto
0 0 rlineto
0 0.6018 moveto
0.24258 0.69009 lineto
stroke
stroke
0.32321 0.76673 moveto
0 0 rlineto
0 0.64909 moveto
0.32321 0.76673 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
0.53602 0.18203 moveto
0 0 rlineto
0.03589 0 moveto
0.53602 0.18203 lineto
stroke
stroke
0.42499 0.18892 moveto
0 0 rlineto
0 0.03423 moveto
0.42499 0.18892 lineto
stroke
stroke
0.35964 0.21243 moveto
0 0 rlineto
0 0.08153 moveto
0.35964 0.21243 lineto
stroke
stroke
0.31078 0.24194 moveto
0 0 rlineto
0 0.12883 moveto
0.31078 0.24194 lineto
stroke
stroke
0.27225 0.27521 moveto
0 0 rlineto
0 0.17612 moveto
0.27225 0.27521 lineto
stroke
stroke
0.24153 0.31133 moveto
0 0 rlineto
0 0.22342 moveto
0.24153 0.31133 lineto
stroke
stroke
0.21741 0.34985 moveto
0 0 rlineto
0 0.27072 moveto
0.21741 0.34985 lineto
stroke
stroke
0.1993 0.39055 moveto
0 0 rlineto
0 0.31801 moveto
0.1993 0.39055 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.78259 0.65015 lineto
stroke
0.78259 0.65015 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.81299 0.56662 lineto
stroke
0.81299 0.56662 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.75847 0.68867 lineto
stroke
0.75847 0.68867 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.81927 0.52161 lineto
stroke
0.81927 0.52161 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.72775 0.72479 lineto
stroke
0.72775 0.72479 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.81896 0.4742 lineto
stroke
0.81896 0.4742 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.68922 0.75806 lineto
stroke
0.68922 0.75806 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.81083 0.42395 lineto
stroke
0.81083 0.42395 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.64036 0.78757 lineto
stroke
0.64036 0.78757 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.79237 0.36993 lineto
stroke
0.79237 0.36993 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.57501 0.81108 lineto
stroke
0.57501 0.81108 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.75742 0.30991 lineto
stroke
0.75742 0.30991 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.46398 0.81797 lineto
stroke
0.46398 0.81797 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.67679 0.23327 lineto
stroke
0.67679 0.23327 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.72627 0.72627 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.78284 0.21716 moveto
0.72627 0.72627 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.78284 0.21716 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 1.387779e-17 0.11237 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.11237 1 0 Msboxa
[(2)] 0.4875 0.22474 1 0 Msboxa
[(3)] 0.4875 0.33711 1 0 Msboxa
[(4)] 0.4875 0.44948 1 0 Msboxa
[(5)] 0.4875 0.56185 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.11237 moveto
0.50625 0.11237 lineto
stroke
grestore
[(1)] 0.4875 0.11237 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.22474 moveto
0.50625 0.22474 lineto
stroke
grestore
[(2)] 0.4875 0.22474 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.33711 moveto
0.50625 0.33711 lineto
stroke
grestore
[(3)] 0.4875 0.33711 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.44948 moveto
0.50625 0.44948 lineto
stroke
grestore
[(4)] 0.4875 0.44948 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.56185 moveto
0.50625 0.56185 lineto
stroke
grestore
[(5)] 0.4875 0.56185 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02247 moveto
0.50375 0.02247 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04495 moveto
0.50375 0.04495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06742 moveto
0.50375 0.06742 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0899 moveto
0.50375 0.0899 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13484 moveto
0.50375 0.13484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15732 moveto
0.50375 0.15732 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17979 moveto
0.50375 0.17979 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20227 moveto
0.50375 0.20227 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26969 moveto
0.50375 0.26969 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29216 moveto
0.50375 0.29216 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31464 moveto
0.50375 0.31464 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35958 moveto
0.50375 0.35958 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38206 moveto
0.50375 0.38206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40453 moveto
0.50375 0.40453 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42701 moveto
0.50375 0.42701 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47195 moveto
0.50375 0.47195 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5169 moveto
0.50375 0.5169 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53938 moveto
0.50375 0.53938 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58432 moveto
0.50375 0.58432 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.6068 moveto
0.50375 0.6068 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
0 0.06751 moveto
0.0141 0.06636 lineto
stroke
0.0141 0.06636 moveto
0.02979 0.06529 lineto
0.04548 0.0644 lineto
0.06117 0.06369 lineto
0.07687 0.06314 lineto
0.08471 0.06292 lineto
0.09256 0.06275 lineto
0.1004 0.06261 lineto
0.10432 0.06256 lineto
0.10825 0.06251 lineto
0.11217 0.06248 lineto
0.11413 0.06246 lineto
0.11609 0.06245 lineto
0.11805 0.06244 lineto
0.12002 0.06244 lineto
0.121 0.06243 lineto
0.12198 0.06243 lineto
0.12296 0.06243 lineto
0.12345 0.06243 lineto
0.12394 0.06243 lineto
0.12443 0.06243 lineto
0.12492 0.06243 lineto
0.12541 0.06243 lineto
0.1259 0.06243 lineto
0.12639 0.06243 lineto
0.12688 0.06243 lineto
0.12786 0.06243 lineto
0.12884 0.06243 lineto
0.12982 0.06243 lineto
0.13178 0.06244 lineto
0.13375 0.06245 lineto
0.13571 0.06246 lineto
0.13963 0.06249 lineto
0.14355 0.06253 lineto
0.14748 0.06258 lineto
0.15532 0.06271 lineto
0.16317 0.06287 lineto
0.17101 0.06308 lineto
0.1867 0.0636 lineto
0.2024 0.0643 lineto
0.21809 0.06516 lineto
0.23378 0.06621 lineto
0.24947 0.06745 lineto
0.26516 0.06892 lineto
0.28085 0.07062 lineto
0.29654 0.07258 lineto
0.31223 0.07483 lineto
0.32793 0.07743 lineto
0.34362 0.0804 lineto
0.35931 0.08381 lineto
Mistroke
0.375 0.08775 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.32 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.8007 0.60945 lineto
stroke
0.8007 0.60945 moveto
0 0 rlineto
0.18701 0.43338 moveto
0 0 rlineto
0 0.36531 moveto
0.18701 0.43338 lineto
stroke
stroke
0.18073 0.47839 moveto
0 0 rlineto
0 0.41261 moveto
0.18073 0.47839 lineto
stroke
stroke
0.18104 0.5258 moveto
0 0 rlineto
0 0.45991 moveto
0.18104 0.5258 lineto
stroke
stroke
0.18917 0.57605 moveto
0 0 rlineto
0 0.5072 moveto
0.18917 0.57605 lineto
stroke
stroke
0.20763 0.63007 moveto
0 0 rlineto
0 0.5545 moveto
0.20763 0.63007 lineto
stroke
stroke
0.24258 0.69009 moveto
0 0 rlineto
0 0.6018 moveto
0.24258 0.69009 lineto
stroke
stroke
0.32321 0.76673 moveto
0 0 rlineto
0 0.64909 moveto
0.32321 0.76673 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
0.53602 0.18203 moveto
0 0 rlineto
0.03589 0 moveto
0.53602 0.18203 lineto
stroke
stroke
0.42499 0.18892 moveto
0 0 rlineto
0 0.03423 moveto
0.42499 0.18892 lineto
stroke
stroke
0.35964 0.21243 moveto
0 0 rlineto
0 0.08153 moveto
0.35964 0.21243 lineto
stroke
stroke
0.31078 0.24194 moveto
0 0 rlineto
0 0.12883 moveto
0.31078 0.24194 lineto
stroke
stroke
0.27225 0.27521 moveto
0 0 rlineto
0 0.17612 moveto
0.27225 0.27521 lineto
stroke
stroke
0.24153 0.31133 moveto
0 0 rlineto
0 0.22342 moveto
0.24153 0.31133 lineto
stroke
stroke
0.21741 0.34985 moveto
0 0 rlineto
0 0.27072 moveto
0.21741 0.34985 lineto
stroke
stroke
0.1993 0.39055 moveto
0 0 rlineto
0 0.31801 moveto
0.1993 0.39055 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.78259 0.65015 lineto
stroke
0.78259 0.65015 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.81299 0.56662 lineto
stroke
0.81299 0.56662 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.75847 0.68867 lineto
stroke
0.75847 0.68867 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.81927 0.52161 lineto
stroke
0.81927 0.52161 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.72775 0.72479 lineto
stroke
0.72775 0.72479 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.81896 0.4742 lineto
stroke
0.81896 0.4742 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.68922 0.75806 lineto
stroke
0.68922 0.75806 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.81083 0.42395 lineto
stroke
0.81083 0.42395 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.64036 0.78757 lineto
stroke
0.64036 0.78757 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.79237 0.36993 lineto
stroke
0.79237 0.36993 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.57501 0.81108 lineto
stroke
0.57501 0.81108 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.75742 0.30991 lineto
stroke
0.75742 0.30991 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.46398 0.81797 lineto
stroke
0.46398 0.81797 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.67679 0.23327 lineto
stroke
0.67679 0.23327 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.72627 0.72627 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.9 0.5 moveto
0.72627 0.72627 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.9 0.5 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 1.387779e-17 0.11237 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.11237 1 0 Msboxa
[(2)] 0.4875 0.22474 1 0 Msboxa
[(3)] 0.4875 0.33711 1 0 Msboxa
[(4)] 0.4875 0.44948 1 0 Msboxa
[(5)] 0.4875 0.56185 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.11237 moveto
0.50625 0.11237 lineto
stroke
grestore
[(1)] 0.4875 0.11237 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.22474 moveto
0.50625 0.22474 lineto
stroke
grestore
[(2)] 0.4875 0.22474 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.33711 moveto
0.50625 0.33711 lineto
stroke
grestore
[(3)] 0.4875 0.33711 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.44948 moveto
0.50625 0.44948 lineto
stroke
grestore
[(4)] 0.4875 0.44948 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.56185 moveto
0.50625 0.56185 lineto
stroke
grestore
[(5)] 0.4875 0.56185 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02247 moveto
0.50375 0.02247 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04495 moveto
0.50375 0.04495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06742 moveto
0.50375 0.06742 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0899 moveto
0.50375 0.0899 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13484 moveto
0.50375 0.13484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15732 moveto
0.50375 0.15732 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17979 moveto
0.50375 0.17979 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20227 moveto
0.50375 0.20227 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26969 moveto
0.50375 0.26969 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29216 moveto
0.50375 0.29216 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31464 moveto
0.50375 0.31464 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35958 moveto
0.50375 0.35958 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38206 moveto
0.50375 0.38206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40453 moveto
0.50375 0.40453 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42701 moveto
0.50375 0.42701 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47195 moveto
0.50375 0.47195 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5169 moveto
0.50375 0.5169 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53938 moveto
0.50375 0.53938 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58432 moveto
0.50375 0.58432 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.6068 moveto
0.50375 0.6068 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
0 0.06751 moveto
0.01931 0.06599 lineto
stroke
0.01931 0.06599 moveto
0.04021 0.06468 lineto
0.05066 0.06415 lineto
0.06111 0.06369 lineto
0.07156 0.06331 lineto
0.08201 0.06299 lineto
0.09246 0.06275 lineto
0.09768 0.06266 lineto
0.10291 0.06258 lineto
0.10813 0.06251 lineto
0.11074 0.06249 lineto
0.11336 0.06247 lineto
0.11597 0.06245 lineto
0.11728 0.06245 lineto
0.11858 0.06244 lineto
0.11989 0.06244 lineto
0.12119 0.06243 lineto
0.12185 0.06243 lineto
0.1225 0.06243 lineto
0.12315 0.06243 lineto
0.12381 0.06243 lineto
0.12446 0.06243 lineto
0.12511 0.06243 lineto
0.12577 0.06243 lineto
0.12642 0.06243 lineto
0.12707 0.06243 lineto
0.12773 0.06243 lineto
0.12903 0.06243 lineto
0.13034 0.06244 lineto
0.13164 0.06244 lineto
0.13426 0.06245 lineto
0.13687 0.06247 lineto
0.13948 0.06249 lineto
0.14471 0.06255 lineto
0.14993 0.06262 lineto
0.15516 0.06271 lineto
0.16561 0.06293 lineto
0.17606 0.06323 lineto
0.18651 0.0636 lineto
0.2074 0.06455 lineto
0.2283 0.06582 lineto
0.2492 0.06743 lineto
0.2701 0.06942 lineto
0.291 0.07185 lineto
0.3119 0.07478 lineto
0.3328 0.07831 lineto
0.3537 0.08254 lineto
0.3746 0.08764 lineto
0.3955 0.09382 lineto
0.4164 0.10138 lineto
Mistroke
0.4373 0.11075 lineto
0.4582 0.12252 lineto
0.4791 0.13764 lineto
0.5 0.15756 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.32 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.8007 0.60945 lineto
stroke
0.8007 0.60945 moveto
0 0 rlineto
0.18701 0.43338 moveto
0 0 rlineto
0 0.36531 moveto
0.18701 0.43338 lineto
stroke
stroke
0.18073 0.47839 moveto
0 0 rlineto
0 0.41261 moveto
0.18073 0.47839 lineto
stroke
stroke
0.18104 0.5258 moveto
0 0 rlineto
0 0.45991 moveto
0.18104 0.5258 lineto
stroke
stroke
0.18917 0.57605 moveto
0 0 rlineto
0 0.5072 moveto
0.18917 0.57605 lineto
stroke
stroke
0.20763 0.63007 moveto
0 0 rlineto
0 0.5545 moveto
0.20763 0.63007 lineto
stroke
stroke
0.24258 0.69009 moveto
0 0 rlineto
0 0.6018 moveto
0.24258 0.69009 lineto
stroke
stroke
0.32321 0.76673 moveto
0 0 rlineto
0 0.64909 moveto
0.32321 0.76673 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
0.53602 0.18203 moveto
0 0 rlineto
0.03589 0 moveto
0.53602 0.18203 lineto
stroke
stroke
0.42499 0.18892 moveto
0 0 rlineto
0 0.03423 moveto
0.42499 0.18892 lineto
stroke
stroke
0.35964 0.21243 moveto
0 0 rlineto
0 0.08153 moveto
0.35964 0.21243 lineto
stroke
stroke
0.31078 0.24194 moveto
0 0 rlineto
0 0.12883 moveto
0.31078 0.24194 lineto
stroke
stroke
0.27225 0.27521 moveto
0 0 rlineto
0 0.17612 moveto
0.27225 0.27521 lineto
stroke
stroke
0.24153 0.31133 moveto
0 0 rlineto
0 0.22342 moveto
0.24153 0.31133 lineto
stroke
stroke
0.21741 0.34985 moveto
0 0 rlineto
0 0.27072 moveto
0.21741 0.34985 lineto
stroke
stroke
0.1993 0.39055 moveto
0 0 rlineto
0 0.31801 moveto
0.1993 0.39055 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.78259 0.65015 lineto
stroke
0.78259 0.65015 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.81299 0.56662 lineto
stroke
0.81299 0.56662 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.75847 0.68867 lineto
stroke
0.75847 0.68867 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.81927 0.52161 lineto
stroke
0.81927 0.52161 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.72775 0.72479 lineto
stroke
0.72775 0.72479 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.81896 0.4742 lineto
stroke
0.81896 0.4742 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.68922 0.75806 lineto
stroke
0.68922 0.75806 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.81083 0.42395 lineto
stroke
0.81083 0.42395 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.64036 0.78757 lineto
stroke
0.64036 0.78757 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.79237 0.36993 lineto
stroke
0.79237 0.36993 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.57501 0.81108 lineto
stroke
0.57501 0.81108 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.75742 0.30991 lineto
stroke
0.75742 0.30991 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.46398 0.81797 lineto
stroke
0.46398 0.81797 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.67679 0.23327 lineto
stroke
0.67679 0.23327 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.72627 0.72627 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.78284 0.78284 moveto
0.72627 0.72627 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.78284 0.78284 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 1.387779e-17 0.11237 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.11237 1 0 Msboxa
[(2)] 0.4875 0.22474 1 0 Msboxa
[(3)] 0.4875 0.33711 1 0 Msboxa
[(4)] 0.4875 0.44948 1 0 Msboxa
[(5)] 0.4875 0.56185 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.11237 moveto
0.50625 0.11237 lineto
stroke
grestore
[(1)] 0.4875 0.11237 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.22474 moveto
0.50625 0.22474 lineto
stroke
grestore
[(2)] 0.4875 0.22474 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.33711 moveto
0.50625 0.33711 lineto
stroke
grestore
[(3)] 0.4875 0.33711 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.44948 moveto
0.50625 0.44948 lineto
stroke
grestore
[(4)] 0.4875 0.44948 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.56185 moveto
0.50625 0.56185 lineto
stroke
grestore
[(5)] 0.4875 0.56185 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02247 moveto
0.50375 0.02247 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04495 moveto
0.50375 0.04495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06742 moveto
0.50375 0.06742 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0899 moveto
0.50375 0.0899 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13484 moveto
0.50375 0.13484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15732 moveto
0.50375 0.15732 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17979 moveto
0.50375 0.17979 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20227 moveto
0.50375 0.20227 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26969 moveto
0.50375 0.26969 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29216 moveto
0.50375 0.29216 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31464 moveto
0.50375 0.31464 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35958 moveto
0.50375 0.35958 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38206 moveto
0.50375 0.38206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40453 moveto
0.50375 0.40453 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42701 moveto
0.50375 0.42701 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47195 moveto
0.50375 0.47195 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5169 moveto
0.50375 0.5169 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53938 moveto
0.50375 0.53938 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58432 moveto
0.50375 0.58432 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.6068 moveto
0.50375 0.6068 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
0 0.06752 moveto
0.02452 0.06563 lineto
stroke
0.02452 0.06563 moveto
0.03757 0.06483 lineto
0.05062 0.06415 lineto
0.06368 0.06359 lineto
0.07673 0.06314 lineto
0.08979 0.06281 lineto
0.09631 0.06268 lineto
0.10284 0.06258 lineto
0.10937 0.0625 lineto
0.11263 0.06247 lineto
0.11426 0.06246 lineto
0.11589 0.06245 lineto
0.11753 0.06244 lineto
0.11916 0.06244 lineto
0.12079 0.06243 lineto
0.12161 0.06243 lineto
0.12242 0.06243 lineto
0.12324 0.06243 lineto
0.12405 0.06243 lineto
0.12487 0.06243 lineto
0.12568 0.06243 lineto
0.1265 0.06243 lineto
0.12732 0.06243 lineto
0.12813 0.06243 lineto
0.12895 0.06243 lineto
0.13058 0.06244 lineto
0.13221 0.06244 lineto
0.13548 0.06246 lineto
0.13874 0.06249 lineto
0.142 0.06252 lineto
0.14853 0.0626 lineto
0.15506 0.0627 lineto
0.16811 0.063 lineto
0.18116 0.0634 lineto
0.19422 0.06391 lineto
0.20727 0.06454 lineto
0.23338 0.06618 lineto
0.25949 0.06836 lineto
0.2856 0.07118 lineto
0.3117 0.07475 lineto
0.33781 0.07925 lineto
0.36392 0.08491 lineto
0.39003 0.09208 lineto
0.41614 0.10128 lineto
0.44224 0.11328 lineto
0.46835 0.12937 lineto
0.48141 0.13957 lineto
0.49446 0.1517 lineto
0.50751 0.16632 lineto
0.52057 0.18417 lineto
Mistroke
0.53362 0.20635 lineto
0.54668 0.23437 lineto
0.55973 0.27042 lineto
0.57278 0.3174 lineto
0.58584 0.37838 lineto
0.59889 0.45319 lineto
0.625 0.56185 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.32 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.8007 0.60945 lineto
stroke
0.8007 0.60945 moveto
0 0 rlineto
0.18701 0.43338 moveto
0 0 rlineto
0 0.36531 moveto
0.18701 0.43338 lineto
stroke
stroke
0.18073 0.47839 moveto
0 0 rlineto
0 0.41261 moveto
0.18073 0.47839 lineto
stroke
stroke
0.18104 0.5258 moveto
0 0 rlineto
0 0.45991 moveto
0.18104 0.5258 lineto
stroke
stroke
0.18917 0.57605 moveto
0 0 rlineto
0 0.5072 moveto
0.18917 0.57605 lineto
stroke
stroke
0.20763 0.63007 moveto
0 0 rlineto
0 0.5545 moveto
0.20763 0.63007 lineto
stroke
stroke
0.24258 0.69009 moveto
0 0 rlineto
0 0.6018 moveto
0.24258 0.69009 lineto
stroke
stroke
0.32321 0.76673 moveto
0 0 rlineto
0 0.64909 moveto
0.32321 0.76673 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
0.53602 0.18203 moveto
0 0 rlineto
0.03589 0 moveto
0.53602 0.18203 lineto
stroke
stroke
0.42499 0.18892 moveto
0 0 rlineto
0 0.03423 moveto
0.42499 0.18892 lineto
stroke
stroke
0.35964 0.21243 moveto
0 0 rlineto
0 0.08153 moveto
0.35964 0.21243 lineto
stroke
stroke
0.31078 0.24194 moveto
0 0 rlineto
0 0.12883 moveto
0.31078 0.24194 lineto
stroke
stroke
0.27225 0.27521 moveto
0 0 rlineto
0 0.17612 moveto
0.27225 0.27521 lineto
stroke
stroke
0.24153 0.31133 moveto
0 0 rlineto
0 0.22342 moveto
0.24153 0.31133 lineto
stroke
stroke
0.21741 0.34985 moveto
0 0 rlineto
0 0.27072 moveto
0.21741 0.34985 lineto
stroke
stroke
0.1993 0.39055 moveto
0 0 rlineto
0 0.31801 moveto
0.1993 0.39055 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.78259 0.65015 lineto
stroke
0.78259 0.65015 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.81299 0.56662 lineto
stroke
0.81299 0.56662 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.75847 0.68867 lineto
stroke
0.75847 0.68867 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.81927 0.52161 lineto
stroke
0.81927 0.52161 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.72775 0.72479 lineto
stroke
0.72775 0.72479 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.81896 0.4742 lineto
stroke
0.81896 0.4742 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.68922 0.75806 lineto
stroke
0.68922 0.75806 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.81083 0.42395 lineto
stroke
0.81083 0.42395 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.64036 0.78757 lineto
stroke
0.64036 0.78757 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.79237 0.36993 lineto
stroke
0.79237 0.36993 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.57501 0.81108 lineto
stroke
0.57501 0.81108 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.75742 0.30991 lineto
stroke
0.75742 0.30991 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.46398 0.81797 lineto
stroke
0.46398 0.81797 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.67679 0.23327 lineto
stroke
0.67679 0.23327 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.72627 0.72627 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.5 0.9 moveto
0.72627 0.72627 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.5 0.9 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 1.387779e-17 0.11237 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.11237 1 0 Msboxa
[(2)] 0.4875 0.22474 1 0 Msboxa
[(3)] 0.4875 0.33711 1 0 Msboxa
[(4)] 0.4875 0.44948 1 0 Msboxa
[(5)] 0.4875 0.56185 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.11237 moveto
0.50625 0.11237 lineto
stroke
grestore
[(1)] 0.4875 0.11237 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.22474 moveto
0.50625 0.22474 lineto
stroke
grestore
[(2)] 0.4875 0.22474 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.33711 moveto
0.50625 0.33711 lineto
stroke
grestore
[(3)] 0.4875 0.33711 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.44948 moveto
0.50625 0.44948 lineto
stroke
grestore
[(4)] 0.4875 0.44948 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.56185 moveto
0.50625 0.56185 lineto
stroke
grestore
[(5)] 0.4875 0.56185 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02247 moveto
0.50375 0.02247 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04495 moveto
0.50375 0.04495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06742 moveto
0.50375 0.06742 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0899 moveto
0.50375 0.0899 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13484 moveto
0.50375 0.13484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15732 moveto
0.50375 0.15732 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17979 moveto
0.50375 0.17979 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20227 moveto
0.50375 0.20227 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26969 moveto
0.50375 0.26969 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29216 moveto
0.50375 0.29216 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31464 moveto
0.50375 0.31464 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35958 moveto
0.50375 0.35958 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38206 moveto
0.50375 0.38206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40453 moveto
0.50375 0.40453 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42701 moveto
0.50375 0.42701 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47195 moveto
0.50375 0.47195 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5169 moveto
0.50375 0.5169 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53938 moveto
0.50375 0.53938 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58432 moveto
0.50375 0.58432 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.6068 moveto
0.50375 0.6068 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
0 0.06752 moveto
0.02972 0.06529 lineto
stroke
0.02972 0.06529 moveto
0.04538 0.06441 lineto
0.06104 0.06369 lineto
0.0767 0.06314 lineto
0.08453 0.06293 lineto
0.09236 0.06275 lineto
0.10019 0.06262 lineto
0.1041 0.06256 lineto
0.10802 0.06252 lineto
0.11193 0.06248 lineto
0.11389 0.06247 lineto
0.11584 0.06245 lineto
0.1178 0.06244 lineto
0.11976 0.06244 lineto
0.12074 0.06243 lineto
0.12172 0.06243 lineto
0.1227 0.06243 lineto
0.12367 0.06243 lineto
0.12465 0.06243 lineto
0.12563 0.06243 lineto
0.12661 0.06243 lineto
0.12759 0.06243 lineto
0.12857 0.06243 lineto
0.12955 0.06243 lineto
0.1315 0.06244 lineto
0.13346 0.06245 lineto
0.13542 0.06246 lineto
0.13933 0.06249 lineto
0.14325 0.06253 lineto
0.14716 0.06258 lineto
0.15499 0.0627 lineto
0.16282 0.06287 lineto
0.17065 0.06307 lineto
0.18631 0.06359 lineto
0.20196 0.06427 lineto
0.21762 0.06513 lineto
0.24894 0.06741 lineto
0.28026 0.07055 lineto
0.31157 0.07473 lineto
0.34289 0.08025 lineto
0.3742 0.08753 lineto
0.40552 0.09725 lineto
0.43684 0.11051 lineto
0.4525 0.11902 lineto
0.46815 0.12923 lineto
0.48381 0.14164 lineto
0.49947 0.15698 lineto
0.51513 0.17628 lineto
0.53079 0.20109 lineto
0.54644 0.23381 lineto
Mistroke
0.5621 0.27805 lineto
0.57776 0.33886 lineto
0.59342 0.42054 lineto
0.60908 0.51289 lineto
0.61299 0.53237 lineto
0.61691 0.54786 lineto
0.61886 0.55368 lineto
0.61984 0.55604 lineto
0.62082 0.55801 lineto
0.6218 0.55959 lineto
0.62278 0.56076 lineto
0.62376 0.56151 lineto
0.62473 0.56183 lineto
0.65605 0.42365 lineto
0.67171 0.34128 lineto
0.68737 0.2798 lineto
0.70303 0.2351 lineto
0.71868 0.20206 lineto
0.73434 0.17702 lineto
0.75 0.15756 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.32 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.8007 0.60945 lineto
stroke
0.8007 0.60945 moveto
0 0 rlineto
0.18701 0.43338 moveto
0 0 rlineto
0 0.36531 moveto
0.18701 0.43338 lineto
stroke
stroke
0.18073 0.47839 moveto
0 0 rlineto
0 0.41261 moveto
0.18073 0.47839 lineto
stroke
stroke
0.18104 0.5258 moveto
0 0 rlineto
0 0.45991 moveto
0.18104 0.5258 lineto
stroke
stroke
0.18917 0.57605 moveto
0 0 rlineto
0 0.5072 moveto
0.18917 0.57605 lineto
stroke
stroke
0.20763 0.63007 moveto
0 0 rlineto
0 0.5545 moveto
0.20763 0.63007 lineto
stroke
stroke
0.24258 0.69009 moveto
0 0 rlineto
0 0.6018 moveto
0.24258 0.69009 lineto
stroke
stroke
0.32321 0.76673 moveto
0 0 rlineto
0 0.64909 moveto
0.32321 0.76673 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
0.53602 0.18203 moveto
0 0 rlineto
0.03589 0 moveto
0.53602 0.18203 lineto
stroke
stroke
0.42499 0.18892 moveto
0 0 rlineto
0 0.03423 moveto
0.42499 0.18892 lineto
stroke
stroke
0.35964 0.21243 moveto
0 0 rlineto
0 0.08153 moveto
0.35964 0.21243 lineto
stroke
stroke
0.31078 0.24194 moveto
0 0 rlineto
0 0.12883 moveto
0.31078 0.24194 lineto
stroke
stroke
0.27225 0.27521 moveto
0 0 rlineto
0 0.17612 moveto
0.27225 0.27521 lineto
stroke
stroke
0.24153 0.31133 moveto
0 0 rlineto
0 0.22342 moveto
0.24153 0.31133 lineto
stroke
stroke
0.21741 0.34985 moveto
0 0 rlineto
0 0.27072 moveto
0.21741 0.34985 lineto
stroke
stroke
0.1993 0.39055 moveto
0 0 rlineto
0 0.31801 moveto
0.1993 0.39055 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.78259 0.65015 lineto
stroke
0.78259 0.65015 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.81299 0.56662 lineto
stroke
0.81299 0.56662 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.75847 0.68867 lineto
stroke
0.75847 0.68867 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.81927 0.52161 lineto
stroke
0.81927 0.52161 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.72775 0.72479 lineto
stroke
0.72775 0.72479 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.81896 0.4742 lineto
stroke
0.81896 0.4742 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.68922 0.75806 lineto
stroke
0.68922 0.75806 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.81083 0.42395 lineto
stroke
0.81083 0.42395 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.64036 0.78757 lineto
stroke
0.64036 0.78757 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.79237 0.36993 lineto
stroke
0.79237 0.36993 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.57501 0.81108 lineto
stroke
0.57501 0.81108 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.75742 0.30991 lineto
stroke
0.75742 0.30991 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.46398 0.81797 lineto
stroke
0.46398 0.81797 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.67679 0.23327 lineto
stroke
0.67679 0.23327 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.72627 0.72627 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.21716 0.78284 moveto
0.72627 0.72627 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.21716 0.78284 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 1.387779e-17 0.11237 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.11237 1 0 Msboxa
[(2)] 0.4875 0.22474 1 0 Msboxa
[(3)] 0.4875 0.33711 1 0 Msboxa
[(4)] 0.4875 0.44948 1 0 Msboxa
[(5)] 0.4875 0.56185 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.11237 moveto
0.50625 0.11237 lineto
stroke
grestore
[(1)] 0.4875 0.11237 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.22474 moveto
0.50625 0.22474 lineto
stroke
grestore
[(2)] 0.4875 0.22474 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.33711 moveto
0.50625 0.33711 lineto
stroke
grestore
[(3)] 0.4875 0.33711 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.44948 moveto
0.50625 0.44948 lineto
stroke
grestore
[(4)] 0.4875 0.44948 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.56185 moveto
0.50625 0.56185 lineto
stroke
grestore
[(5)] 0.4875 0.56185 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02247 moveto
0.50375 0.02247 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04495 moveto
0.50375 0.04495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06742 moveto
0.50375 0.06742 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0899 moveto
0.50375 0.0899 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13484 moveto
0.50375 0.13484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15732 moveto
0.50375 0.15732 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17979 moveto
0.50375 0.17979 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20227 moveto
0.50375 0.20227 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26969 moveto
0.50375 0.26969 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29216 moveto
0.50375 0.29216 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31464 moveto
0.50375 0.31464 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35958 moveto
0.50375 0.35958 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38206 moveto
0.50375 0.38206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40453 moveto
0.50375 0.40453 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42701 moveto
0.50375 0.42701 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47195 moveto
0.50375 0.47195 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5169 moveto
0.50375 0.5169 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53938 moveto
0.50375 0.53938 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58432 moveto
0.50375 0.58432 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.6068 moveto
0.50375 0.6068 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
0 0.06751 moveto
0.01667 0.06617 lineto
stroke
0.01667 0.06617 moveto
0.03493 0.06498 lineto
0.0532 0.06403 lineto
0.06233 0.06364 lineto
0.07146 0.06331 lineto
0.08059 0.06303 lineto
0.08972 0.06281 lineto
0.09429 0.06272 lineto
0.09885 0.06264 lineto
0.10342 0.06257 lineto
0.10798 0.06252 lineto
0.11027 0.06249 lineto
0.11255 0.06247 lineto
0.11483 0.06246 lineto
0.11711 0.06245 lineto
0.11825 0.06244 lineto
0.1194 0.06244 lineto
0.12054 0.06243 lineto
0.12168 0.06243 lineto
0.12282 0.06243 lineto
0.12396 0.06243 lineto
0.1251 0.06243 lineto
0.12624 0.06243 lineto
0.12739 0.06243 lineto
0.12853 0.06243 lineto
0.12967 0.06243 lineto
0.13081 0.06244 lineto
0.13309 0.06245 lineto
0.13538 0.06246 lineto
0.13994 0.0625 lineto
0.14451 0.06254 lineto
0.15364 0.06268 lineto
0.16277 0.06286 lineto
0.1719 0.0631 lineto
0.18103 0.0634 lineto
0.19929 0.06415 lineto
0.21756 0.06513 lineto
0.23582 0.06636 lineto
0.25408 0.06786 lineto
0.29061 0.0718 lineto
0.32713 0.07729 lineto
0.36365 0.08485 lineto
0.40018 0.09538 lineto
0.41844 0.10221 lineto
0.4367 0.11045 lineto
0.45497 0.12051 lineto
0.47323 0.13298 lineto
0.49149 0.14875 lineto
0.50975 0.16912 lineto
0.52802 0.19621 lineto
Mistroke
0.54628 0.23341 lineto
0.55541 0.25744 lineto
0.56454 0.28628 lineto
0.5828 0.36285 lineto
0.60107 0.46635 lineto
0.60563 0.49356 lineto
0.6102 0.51879 lineto
0.61248 0.53002 lineto
0.61476 0.53996 lineto
0.61704 0.54832 lineto
0.61819 0.55183 lineto
0.61933 0.55485 lineto
0.62047 0.55735 lineto
0.62161 0.55932 lineto
0.62275 0.56073 lineto
0.62389 0.56158 lineto
0.62503 0.56185 lineto
0.62618 0.56154 lineto
0.62732 0.56066 lineto
0.62846 0.55921 lineto
0.6296 0.55721 lineto
0.63074 0.55468 lineto
0.63302 0.54809 lineto
0.63759 0.5297 lineto
0.64672 0.47968 lineto
0.65585 0.42481 lineto
0.67411 0.33053 lineto
0.68325 0.29413 lineto
0.69238 0.26395 lineto
0.71064 0.21784 lineto
0.7289 0.18498 lineto
0.74716 0.16075 lineto
0.76543 0.14232 lineto
0.78369 0.12793 lineto
0.80195 0.11645 lineto
0.82021 0.10714 lineto
0.83848 0.09948 lineto
0.875 0.08775 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; endGroup; endGroup; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.32 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.8007 0.60945 lineto
stroke
0.8007 0.60945 moveto
0 0 rlineto
0.18701 0.43338 moveto
0 0 rlineto
0 0.36531 moveto
0.18701 0.43338 lineto
stroke
stroke
0.18073 0.47839 moveto
0 0 rlineto
0 0.41261 moveto
0.18073 0.47839 lineto
stroke
stroke
0.18104 0.5258 moveto
0 0 rlineto
0 0.45991 moveto
0.18104 0.5258 lineto
stroke
stroke
0.18917 0.57605 moveto
0 0 rlineto
0 0.5072 moveto
0.18917 0.57605 lineto
stroke
stroke
0.20763 0.63007 moveto
0 0 rlineto
0 0.5545 moveto
0.20763 0.63007 lineto
stroke
stroke
0.24258 0.69009 moveto
0 0 rlineto
0 0.6018 moveto
0.24258 0.69009 lineto
stroke
stroke
0.32321 0.76673 moveto
0 0 rlineto
0 0.64909 moveto
0.32321 0.76673 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
0.53602 0.18203 moveto
0 0 rlineto
0.03589 0 moveto
0.53602 0.18203 lineto
stroke
stroke
0.42499 0.18892 moveto
0 0 rlineto
0 0.03423 moveto
0.42499 0.18892 lineto
stroke
stroke
0.35964 0.21243 moveto
0 0 rlineto
0 0.08153 moveto
0.35964 0.21243 lineto
stroke
stroke
0.31078 0.24194 moveto
0 0 rlineto
0 0.12883 moveto
0.31078 0.24194 lineto
stroke
stroke
0.27225 0.27521 moveto
0 0 rlineto
0 0.17612 moveto
0.27225 0.27521 lineto
stroke
stroke
0.24153 0.31133 moveto
0 0 rlineto
0 0.22342 moveto
0.24153 0.31133 lineto
stroke
stroke
0.21741 0.34985 moveto
0 0 rlineto
0 0.27072 moveto
0.21741 0.34985 lineto
stroke
stroke
0.1993 0.39055 moveto
0 0 rlineto
0 0.31801 moveto
0.1993 0.39055 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.78259 0.65015 lineto
stroke
0.78259 0.65015 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.81299 0.56662 lineto
stroke
0.81299 0.56662 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.75847 0.68867 lineto
stroke
0.75847 0.68867 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.81927 0.52161 lineto
stroke
0.81927 0.52161 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.72775 0.72479 lineto
stroke
0.72775 0.72479 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.81896 0.4742 lineto
stroke
0.81896 0.4742 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.68922 0.75806 lineto
stroke
0.68922 0.75806 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.81083 0.42395 lineto
stroke
0.81083 0.42395 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.64036 0.78757 lineto
stroke
0.64036 0.78757 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.79237 0.36993 lineto
stroke
0.79237 0.36993 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.57501 0.81108 lineto
stroke
0.57501 0.81108 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.75742 0.30991 lineto
stroke
0.75742 0.30991 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.46398 0.81797 lineto
stroke
0.46398 0.81797 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.67679 0.23327 lineto
stroke
0.67679 0.23327 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.72627 0.72627 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.1 0.5 moveto
0.72627 0.72627 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.1 0.5 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 1.387779e-17 0.11237 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.11237 1 0 Msboxa
[(2)] 0.4875 0.22474 1 0 Msboxa
[(3)] 0.4875 0.33711 1 0 Msboxa
[(4)] 0.4875 0.44948 1 0 Msboxa
[(5)] 0.4875 0.56185 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.11237 moveto
0.50625 0.11237 lineto
stroke
grestore
[(1)] 0.4875 0.11237 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.22474 moveto
0.50625 0.22474 lineto
stroke
grestore
[(2)] 0.4875 0.22474 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.33711 moveto
0.50625 0.33711 lineto
stroke
grestore
[(3)] 0.4875 0.33711 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.44948 moveto
0.50625 0.44948 lineto
stroke
grestore
[(4)] 0.4875 0.44948 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.56185 moveto
0.50625 0.56185 lineto
stroke
grestore
[(5)] 0.4875 0.56185 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02247 moveto
0.50375 0.02247 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04495 moveto
0.50375 0.04495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06742 moveto
0.50375 0.06742 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0899 moveto
0.50375 0.0899 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13484 moveto
0.50375 0.13484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15732 moveto
0.50375 0.15732 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17979 moveto
0.50375 0.17979 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20227 moveto
0.50375 0.20227 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26969 moveto
0.50375 0.26969 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29216 moveto
0.50375 0.29216 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31464 moveto
0.50375 0.31464 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35958 moveto
0.50375 0.35958 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38206 moveto
0.50375 0.38206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40453 moveto
0.50375 0.40453 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42701 moveto
0.50375 0.42701 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47195 moveto
0.50375 0.47195 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5169 moveto
0.50375 0.5169 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53938 moveto
0.50375 0.53938 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58432 moveto
0.50375 0.58432 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.6068 moveto
0.50375 0.6068 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
0 0.06751 moveto
0.01927 0.06599 lineto
stroke
0.01927 0.06599 moveto
0.04014 0.06468 lineto
0.06101 0.06369 lineto
0.07144 0.06331 lineto
0.08187 0.063 lineto
0.09231 0.06275 lineto
0.09752 0.06266 lineto
0.10274 0.06258 lineto
0.10796 0.06252 lineto
0.11057 0.06249 lineto
0.11317 0.06247 lineto
0.11578 0.06245 lineto
0.11839 0.06244 lineto
0.11969 0.06244 lineto
0.121 0.06243 lineto
0.1223 0.06243 lineto
0.12361 0.06243 lineto
0.12491 0.06243 lineto
0.12622 0.06243 lineto
0.12752 0.06243 lineto
0.12882 0.06243 lineto
0.13013 0.06244 lineto
0.13143 0.06244 lineto
0.13404 0.06245 lineto
0.13665 0.06247 lineto
0.13926 0.06249 lineto
0.14447 0.06254 lineto
0.14969 0.06261 lineto
0.15491 0.0627 lineto
0.16534 0.06293 lineto
0.17577 0.06322 lineto
0.18621 0.06358 lineto
0.20707 0.06453 lineto
0.22794 0.0658 lineto
0.24881 0.0674 lineto
0.26967 0.06938 lineto
0.29054 0.07179 lineto
0.31141 0.07471 lineto
0.33227 0.07821 lineto
0.35314 0.08241 lineto
0.37401 0.08748 lineto
0.39487 0.09362 lineto
0.41574 0.10112 lineto
0.4366 0.1104 lineto
0.45747 0.12206 lineto
0.47834 0.13702 lineto
0.4992 0.15669 lineto
0.52007 0.18342 lineto
0.5305 0.20059 lineto
0.54094 0.22121 lineto
Mistroke
0.55137 0.24628 lineto
0.5618 0.27707 lineto
0.58267 0.36219 lineto
0.5931 0.41871 lineto
0.60354 0.48122 lineto
0.60875 0.51115 lineto
0.61397 0.53667 lineto
0.61658 0.54675 lineto
0.61788 0.55094 lineto
0.61919 0.5545 lineto
0.62049 0.55739 lineto
0.62179 0.55958 lineto
0.6231 0.56105 lineto
0.6244 0.56177 lineto
0.66614 0.36818 lineto
0.67657 0.32007 lineto
0.687 0.28102 lineto
0.69744 0.24948 lineto
0.70787 0.22383 lineto
0.72874 0.18524 lineto
0.7496 0.158 lineto
0.77047 0.138 lineto
0.79134 0.12282 lineto
0.8122 0.11099 lineto
0.83307 0.1016 lineto
0.85393 0.09401 lineto
0.8748 0.0878 lineto
0.89567 0.08268 lineto
0.91653 0.07843 lineto
0.95827 0.07195 lineto
0.97913 0.06951 lineto
1 0.0675 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example:  Animation of Single Zero System
:[font = text; inactive; ]
     The input cell below illustrates the case of a simple zero. Here also the black dot on the unit circle represents the point z = ejw moving around the unit circle, while "o" represents a zero inside the unit circle.
;[s]
4:0,0;134,1;135,2;136,3;221,-1;
4:1,13,10,Times,0,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,0,0,Symbol,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
Do[ Show[ GraphicsArray[ {
       VectorPoleZeroPlot[(z - 0.8 Exp[I Pi/4] ),
                          z, 0, Infinity, r, True,
                          DisplayFunction -> Identity,
                          Return -> Graphics,
                          Dialogue -> False ],
       MagPhasePlot[(Exp[I w] - 0.8 Exp[I Pi/4]),
                    {w,-Pi-0.01,r},
                    PhaseRangeScale -> Null, 
                    DisplayFunction -> Identity,
                    PlotRange -> {{-Pi,Pi},{0,5.5}}]
                    [[1]] } ] ],                 
    {r, -Pi, Pi, Pi/4} ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; Cclosed; preserveAspect; pictureLeft = 25; pictureWidth = 399; pictureHeight = 190; startGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0 0.31801 lineto
stroke
stroke
0 0.31801 moveto
1 0.68199 lineto
stroke
stroke
stroke
1 0.72928 moveto
0 0.36531 lineto
stroke
stroke
0 0.36531 moveto
1 0.72928 lineto
stroke
stroke
stroke
1 0.77658 moveto
0 0.41261 lineto
stroke
stroke
0 0.41261 moveto
1 0.77658 lineto
stroke
stroke
stroke
1 0.82388 moveto
0 0.45991 lineto
stroke
stroke
0 0.45991 moveto
1 0.82388 lineto
stroke
stroke
stroke
1 0.87117 moveto
0 0.5072 lineto
stroke
stroke
0 0.5072 moveto
1 0.87117 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
stroke
1 0.4928 moveto
0 0.12883 lineto
stroke
stroke
0 0.12883 moveto
1 0.4928 lineto
stroke
stroke
stroke
1 0.54009 moveto
0 0.17612 lineto
stroke
stroke
0 0.17612 moveto
1 0.54009 lineto
stroke
stroke
stroke
1 0.58739 moveto
0 0.22342 lineto
stroke
stroke
0 0.22342 moveto
1 0.58739 lineto
stroke
stroke
stroke
1 0.63469 moveto
0 0.27072 lineto
stroke
stroke
0 0.27072 moveto
1 0.63469 lineto
stroke
stroke
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.72627 0.72627 0 0 Mshowa
grestore
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
0.1 0.5 moveto
0.72627 0.72627 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.1 0.5 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 1.387779e-17 0.11237 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.11237 1 0 Msboxa
[(2)] 0.4875 0.22474 1 0 Msboxa
[(3)] 0.4875 0.33711 1 0 Msboxa
[(4)] 0.4875 0.44948 1 0 Msboxa
[(5)] 0.4875 0.56185 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.11237 moveto
0.50625 0.11237 lineto
stroke
grestore
[(1)] 0.4875 0.11237 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.22474 moveto
0.50625 0.22474 lineto
stroke
grestore
[(2)] 0.4875 0.22474 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.33711 moveto
0.50625 0.33711 lineto
stroke
grestore
[(3)] 0.4875 0.33711 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.44948 moveto
0.50625 0.44948 lineto
stroke
grestore
[(4)] 0.4875 0.44948 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.56185 moveto
0.50625 0.56185 lineto
stroke
grestore
[(5)] 0.4875 0.56185 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02247 moveto
0.50375 0.02247 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04495 moveto
0.50375 0.04495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06742 moveto
0.50375 0.06742 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0899 moveto
0.50375 0.0899 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13484 moveto
0.50375 0.13484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15732 moveto
0.50375 0.15732 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17979 moveto
0.50375 0.17979 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20227 moveto
0.50375 0.20227 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26969 moveto
0.50375 0.26969 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29216 moveto
0.50375 0.29216 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31464 moveto
0.50375 0.31464 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35958 moveto
0.50375 0.35958 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38206 moveto
0.50375 0.38206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40453 moveto
0.50375 0.40453 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42701 moveto
0.50375 0.42701 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47195 moveto
0.50375 0.47195 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5169 moveto
0.50375 0.5169 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53938 moveto
0.50375 0.53938 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58432 moveto
0.50375 0.58432 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.6068 moveto
0.50375 0.6068 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
0 0.18707 moveto
0 0 rlineto
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 399; pictureHeight = 190; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0 0.31801 lineto
stroke
stroke
0 0.31801 moveto
1 0.68199 lineto
stroke
stroke
stroke
1 0.72928 moveto
0 0.36531 lineto
stroke
stroke
0 0.36531 moveto
1 0.72928 lineto
stroke
stroke
stroke
1 0.77658 moveto
0 0.41261 lineto
stroke
stroke
0 0.41261 moveto
1 0.77658 lineto
stroke
stroke
stroke
1 0.82388 moveto
0 0.45991 lineto
stroke
stroke
0 0.45991 moveto
1 0.82388 lineto
stroke
stroke
stroke
1 0.87117 moveto
0 0.5072 lineto
stroke
stroke
0 0.5072 moveto
1 0.87117 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
stroke
1 0.4928 moveto
0 0.12883 lineto
stroke
stroke
0 0.12883 moveto
1 0.4928 lineto
stroke
stroke
stroke
1 0.54009 moveto
0 0.17612 lineto
stroke
stroke
0 0.17612 moveto
1 0.54009 lineto
stroke
stroke
stroke
1 0.58739 moveto
0 0.22342 lineto
stroke
stroke
0 0.22342 moveto
1 0.58739 lineto
stroke
stroke
stroke
1 0.63469 moveto
0 0.27072 lineto
stroke
stroke
0 0.27072 moveto
1 0.63469 lineto
stroke
stroke
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.72627 0.72627 0 0 Mshowa
grestore
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
0.21716 0.21716 moveto
0.72627 0.72627 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.21716 0.21716 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 1.387779e-17 0.11237 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.11237 1 0 Msboxa
[(2)] 0.4875 0.22474 1 0 Msboxa
[(3)] 0.4875 0.33711 1 0 Msboxa
[(4)] 0.4875 0.44948 1 0 Msboxa
[(5)] 0.4875 0.56185 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.11237 moveto
0.50625 0.11237 lineto
stroke
grestore
[(1)] 0.4875 0.11237 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.22474 moveto
0.50625 0.22474 lineto
stroke
grestore
[(2)] 0.4875 0.22474 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.33711 moveto
0.50625 0.33711 lineto
stroke
grestore
[(3)] 0.4875 0.33711 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.44948 moveto
0.50625 0.44948 lineto
stroke
grestore
[(4)] 0.4875 0.44948 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.56185 moveto
0.50625 0.56185 lineto
stroke
grestore
[(5)] 0.4875 0.56185 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02247 moveto
0.50375 0.02247 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04495 moveto
0.50375 0.04495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06742 moveto
0.50375 0.06742 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0899 moveto
0.50375 0.0899 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13484 moveto
0.50375 0.13484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15732 moveto
0.50375 0.15732 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17979 moveto
0.50375 0.17979 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20227 moveto
0.50375 0.20227 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26969 moveto
0.50375 0.26969 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29216 moveto
0.50375 0.29216 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31464 moveto
0.50375 0.31464 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35958 moveto
0.50375 0.35958 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38206 moveto
0.50375 0.38206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40453 moveto
0.50375 0.40453 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42701 moveto
0.50375 0.42701 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47195 moveto
0.50375 0.47195 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5169 moveto
0.50375 0.5169 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53938 moveto
0.50375 0.53938 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58432 moveto
0.50375 0.58432 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.6068 moveto
0.50375 0.6068 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
0 0.18706 moveto
0.00368 0.18794 lineto
stroke
0.00368 0.18794 moveto
0.00896 0.18914 lineto
0.01423 0.1903 lineto
0.01951 0.1914 lineto
0.02478 0.19245 lineto
0.03006 0.19345 lineto
0.03533 0.19439 lineto
0.04061 0.19529 lineto
0.04588 0.19613 lineto
0.05115 0.19691 lineto
0.05643 0.19765 lineto
0.0617 0.19833 lineto
0.06698 0.19896 lineto
0.07225 0.19953 lineto
0.07753 0.20005 lineto
0.0828 0.20051 lineto
0.08808 0.20092 lineto
0.09335 0.20128 lineto
0.09863 0.20158 lineto
0.1039 0.20183 lineto
0.10918 0.20202 lineto
0.11181 0.20209 lineto
0.11445 0.20216 lineto
0.11709 0.2022 lineto
0.11841 0.20222 lineto
0.11973 0.20224 lineto
0.12104 0.20225 lineto
0.1217 0.20225 lineto
0.12236 0.20226 lineto
0.12302 0.20226 lineto
0.12335 0.20226 lineto
0.12368 0.20226 lineto
0.12401 0.20226 lineto
0.12418 0.20226 lineto
0.12434 0.20227 lineto
0.12451 0.20227 lineto
0.12467 0.20227 lineto
0.12484 0.20227 lineto
0.125 0.20227 lineto
stroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 399; pictureHeight = 190; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0 0.31801 lineto
stroke
stroke
0 0.31801 moveto
1 0.68199 lineto
stroke
stroke
stroke
1 0.72928 moveto
0 0.36531 lineto
stroke
stroke
0 0.36531 moveto
1 0.72928 lineto
stroke
stroke
stroke
1 0.77658 moveto
0 0.41261 lineto
stroke
stroke
0 0.41261 moveto
1 0.77658 lineto
stroke
stroke
stroke
1 0.82388 moveto
0 0.45991 lineto
stroke
stroke
0 0.45991 moveto
1 0.82388 lineto
stroke
stroke
stroke
1 0.87117 moveto
0 0.5072 lineto
stroke
stroke
0 0.5072 moveto
1 0.87117 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
stroke
1 0.4928 moveto
0 0.12883 lineto
stroke
stroke
0 0.12883 moveto
1 0.4928 lineto
stroke
stroke
stroke
1 0.54009 moveto
0 0.17612 lineto
stroke
stroke
0 0.17612 moveto
1 0.54009 lineto
stroke
stroke
stroke
1 0.58739 moveto
0 0.22342 lineto
stroke
stroke
0 0.22342 moveto
1 0.58739 lineto
stroke
stroke
stroke
1 0.63469 moveto
0 0.27072 lineto
stroke
stroke
0 0.27072 moveto
1 0.63469 lineto
stroke
stroke
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.72627 0.72627 0 0 Mshowa
grestore
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
0.5 0.1 moveto
0.72627 0.72627 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.5 0.1 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 1.387779e-17 0.11237 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.11237 1 0 Msboxa
[(2)] 0.4875 0.22474 1 0 Msboxa
[(3)] 0.4875 0.33711 1 0 Msboxa
[(4)] 0.4875 0.44948 1 0 Msboxa
[(5)] 0.4875 0.56185 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.11237 moveto
0.50625 0.11237 lineto
stroke
grestore
[(1)] 0.4875 0.11237 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.22474 moveto
0.50625 0.22474 lineto
stroke
grestore
[(2)] 0.4875 0.22474 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.33711 moveto
0.50625 0.33711 lineto
stroke
grestore
[(3)] 0.4875 0.33711 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.44948 moveto
0.50625 0.44948 lineto
stroke
grestore
[(4)] 0.4875 0.44948 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.56185 moveto
0.50625 0.56185 lineto
stroke
grestore
[(5)] 0.4875 0.56185 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02247 moveto
0.50375 0.02247 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04495 moveto
0.50375 0.04495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06742 moveto
0.50375 0.06742 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0899 moveto
0.50375 0.0899 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13484 moveto
0.50375 0.13484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15732 moveto
0.50375 0.15732 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17979 moveto
0.50375 0.17979 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20227 moveto
0.50375 0.20227 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26969 moveto
0.50375 0.26969 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29216 moveto
0.50375 0.29216 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31464 moveto
0.50375 0.31464 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35958 moveto
0.50375 0.35958 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38206 moveto
0.50375 0.38206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40453 moveto
0.50375 0.40453 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42701 moveto
0.50375 0.42701 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47195 moveto
0.50375 0.47195 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5169 moveto
0.50375 0.5169 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53938 moveto
0.50375 0.53938 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58432 moveto
0.50375 0.58432 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.6068 moveto
0.50375 0.6068 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
0 0.18705 moveto
0.00889 0.18913 lineto
stroke
0.00889 0.18913 moveto
0.01937 0.19137 lineto
0.02986 0.19341 lineto
0.04034 0.19524 lineto
0.05082 0.19687 lineto
0.06131 0.19828 lineto
0.07179 0.19948 lineto
0.08227 0.20047 lineto
0.09276 0.20124 lineto
0.098 0.20155 lineto
0.10324 0.2018 lineto
0.10848 0.202 lineto
0.1111 0.20208 lineto
0.11372 0.20214 lineto
0.11634 0.20219 lineto
0.11765 0.20221 lineto
0.11896 0.20223 lineto
0.12027 0.20224 lineto
0.12093 0.20225 lineto
0.12158 0.20225 lineto
0.12224 0.20226 lineto
0.12289 0.20226 lineto
0.12322 0.20226 lineto
0.12355 0.20226 lineto
0.12388 0.20226 lineto
0.1242 0.20227 lineto
0.12453 0.20227 lineto
0.12486 0.20227 lineto
0.12519 0.20227 lineto
0.12551 0.20227 lineto
0.12584 0.20226 lineto
0.12617 0.20226 lineto
0.1265 0.20226 lineto
0.12682 0.20226 lineto
0.12748 0.20226 lineto
0.12814 0.20226 lineto
0.12945 0.20225 lineto
0.13076 0.20223 lineto
0.13207 0.20222 lineto
0.13469 0.20217 lineto
0.13731 0.20212 lineto
0.13993 0.20205 lineto
0.14517 0.20186 lineto
0.15041 0.20163 lineto
0.15565 0.20134 lineto
0.16614 0.2006 lineto
0.17662 0.19964 lineto
0.1871 0.19848 lineto
0.19759 0.1971 lineto
0.20807 0.1955 lineto
Mistroke
0.21855 0.1937 lineto
0.22903 0.19169 lineto
0.23952 0.18948 lineto
0.25 0.18707 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 399; pictureHeight = 190; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0 0.31801 lineto
stroke
stroke
0 0.31801 moveto
1 0.68199 lineto
stroke
stroke
stroke
1 0.72928 moveto
0 0.36531 lineto
stroke
stroke
0 0.36531 moveto
1 0.72928 lineto
stroke
stroke
stroke
1 0.77658 moveto
0 0.41261 lineto
stroke
stroke
0 0.41261 moveto
1 0.77658 lineto
stroke
stroke
stroke
1 0.82388 moveto
0 0.45991 lineto
stroke
stroke
0 0.45991 moveto
1 0.82388 lineto
stroke
stroke
stroke
1 0.87117 moveto
0 0.5072 lineto
stroke
stroke
0 0.5072 moveto
1 0.87117 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
stroke
1 0.4928 moveto
0 0.12883 lineto
stroke
stroke
0 0.12883 moveto
1 0.4928 lineto
stroke
stroke
stroke
1 0.54009 moveto
0 0.17612 lineto
stroke
stroke
0 0.17612 moveto
1 0.54009 lineto
stroke
stroke
stroke
1 0.58739 moveto
0 0.22342 lineto
stroke
stroke
0 0.22342 moveto
1 0.58739 lineto
stroke
stroke
stroke
1 0.63469 moveto
0 0.27072 lineto
stroke
stroke
0 0.27072 moveto
1 0.63469 lineto
stroke
stroke
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.72627 0.72627 0 0 Mshowa
grestore
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
0.78284 0.21716 moveto
0.72627 0.72627 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.78284 0.21716 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 1.387779e-17 0.11237 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.11237 1 0 Msboxa
[(2)] 0.4875 0.22474 1 0 Msboxa
[(3)] 0.4875 0.33711 1 0 Msboxa
[(4)] 0.4875 0.44948 1 0 Msboxa
[(5)] 0.4875 0.56185 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.11237 moveto
0.50625 0.11237 lineto
stroke
grestore
[(1)] 0.4875 0.11237 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.22474 moveto
0.50625 0.22474 lineto
stroke
grestore
[(2)] 0.4875 0.22474 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.33711 moveto
0.50625 0.33711 lineto
stroke
grestore
[(3)] 0.4875 0.33711 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.44948 moveto
0.50625 0.44948 lineto
stroke
grestore
[(4)] 0.4875 0.44948 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.56185 moveto
0.50625 0.56185 lineto
stroke
grestore
[(5)] 0.4875 0.56185 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02247 moveto
0.50375 0.02247 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04495 moveto
0.50375 0.04495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06742 moveto
0.50375 0.06742 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0899 moveto
0.50375 0.0899 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13484 moveto
0.50375 0.13484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15732 moveto
0.50375 0.15732 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17979 moveto
0.50375 0.17979 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20227 moveto
0.50375 0.20227 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26969 moveto
0.50375 0.26969 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29216 moveto
0.50375 0.29216 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31464 moveto
0.50375 0.31464 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35958 moveto
0.50375 0.35958 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38206 moveto
0.50375 0.38206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40453 moveto
0.50375 0.40453 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42701 moveto
0.50375 0.42701 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47195 moveto
0.50375 0.47195 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5169 moveto
0.50375 0.5169 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53938 moveto
0.50375 0.53938 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58432 moveto
0.50375 0.58432 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.6068 moveto
0.50375 0.6068 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
0 0.18705 moveto
0.0141 0.19027 lineto
stroke
0.0141 0.19027 moveto
0.02979 0.1934 lineto
0.04548 0.19607 lineto
0.06117 0.19826 lineto
0.07687 0.19999 lineto
0.08471 0.20067 lineto
0.09256 0.20123 lineto
0.1004 0.20167 lineto
0.10432 0.20184 lineto
0.10825 0.20199 lineto
0.11217 0.2021 lineto
0.11413 0.20215 lineto
0.11609 0.20219 lineto
0.11805 0.20222 lineto
0.12002 0.20224 lineto
0.121 0.20225 lineto
0.12198 0.20226 lineto
0.12296 0.20226 lineto
0.12345 0.20226 lineto
0.12394 0.20226 lineto
0.12443 0.20227 lineto
0.12492 0.20227 lineto
0.12541 0.20227 lineto
0.1259 0.20226 lineto
0.12639 0.20226 lineto
0.12688 0.20226 lineto
0.12786 0.20226 lineto
0.12884 0.20225 lineto
0.12982 0.20224 lineto
0.13178 0.20222 lineto
0.13375 0.20219 lineto
0.13571 0.20215 lineto
0.13963 0.20205 lineto
0.14355 0.20193 lineto
0.14748 0.20177 lineto
0.15532 0.20136 lineto
0.16317 0.20083 lineto
0.17101 0.20018 lineto
0.1867 0.19852 lineto
0.2024 0.19639 lineto
0.21809 0.19379 lineto
0.23378 0.19072 lineto
0.24947 0.18719 lineto
0.26516 0.18322 lineto
0.28085 0.17881 lineto
0.29654 0.17398 lineto
0.31223 0.16873 lineto
0.32793 0.16309 lineto
0.34362 0.15705 lineto
0.35931 0.15065 lineto
Mistroke
0.375 0.1439 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 399; pictureHeight = 190; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0 0.31801 lineto
stroke
stroke
0 0.31801 moveto
1 0.68199 lineto
stroke
stroke
stroke
1 0.72928 moveto
0 0.36531 lineto
stroke
stroke
0 0.36531 moveto
1 0.72928 lineto
stroke
stroke
stroke
1 0.77658 moveto
0 0.41261 lineto
stroke
stroke
0 0.41261 moveto
1 0.77658 lineto
stroke
stroke
stroke
1 0.82388 moveto
0 0.45991 lineto
stroke
stroke
0 0.45991 moveto
1 0.82388 lineto
stroke
stroke
stroke
1 0.87117 moveto
0 0.5072 lineto
stroke
stroke
0 0.5072 moveto
1 0.87117 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
stroke
1 0.4928 moveto
0 0.12883 lineto
stroke
stroke
0 0.12883 moveto
1 0.4928 lineto
stroke
stroke
stroke
1 0.54009 moveto
0 0.17612 lineto
stroke
stroke
0 0.17612 moveto
1 0.54009 lineto
stroke
stroke
stroke
1 0.58739 moveto
0 0.22342 lineto
stroke
stroke
0 0.22342 moveto
1 0.58739 lineto
stroke
stroke
stroke
1 0.63469 moveto
0 0.27072 lineto
stroke
stroke
0 0.27072 moveto
1 0.63469 lineto
stroke
stroke
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.72627 0.72627 0 0 Mshowa
grestore
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
0.9 0.5 moveto
0.72627 0.72627 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.9 0.5 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 1.387779e-17 0.11237 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.11237 1 0 Msboxa
[(2)] 0.4875 0.22474 1 0 Msboxa
[(3)] 0.4875 0.33711 1 0 Msboxa
[(4)] 0.4875 0.44948 1 0 Msboxa
[(5)] 0.4875 0.56185 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.11237 moveto
0.50625 0.11237 lineto
stroke
grestore
[(1)] 0.4875 0.11237 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.22474 moveto
0.50625 0.22474 lineto
stroke
grestore
[(2)] 0.4875 0.22474 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.33711 moveto
0.50625 0.33711 lineto
stroke
grestore
[(3)] 0.4875 0.33711 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.44948 moveto
0.50625 0.44948 lineto
stroke
grestore
[(4)] 0.4875 0.44948 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.56185 moveto
0.50625 0.56185 lineto
stroke
grestore
[(5)] 0.4875 0.56185 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02247 moveto
0.50375 0.02247 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04495 moveto
0.50375 0.04495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06742 moveto
0.50375 0.06742 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0899 moveto
0.50375 0.0899 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13484 moveto
0.50375 0.13484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15732 moveto
0.50375 0.15732 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17979 moveto
0.50375 0.17979 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20227 moveto
0.50375 0.20227 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26969 moveto
0.50375 0.26969 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29216 moveto
0.50375 0.29216 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31464 moveto
0.50375 0.31464 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35958 moveto
0.50375 0.35958 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38206 moveto
0.50375 0.38206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40453 moveto
0.50375 0.40453 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42701 moveto
0.50375 0.42701 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47195 moveto
0.50375 0.47195 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5169 moveto
0.50375 0.5169 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53938 moveto
0.50375 0.53938 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58432 moveto
0.50375 0.58432 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.6068 moveto
0.50375 0.6068 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
0 0.18704 moveto
0.01931 0.19136 lineto
stroke
0.01931 0.19136 moveto
0.04021 0.19522 lineto
0.06111 0.19826 lineto
0.07156 0.19946 lineto
0.08201 0.20045 lineto
0.09246 0.20122 lineto
0.09768 0.20153 lineto
0.10291 0.20178 lineto
0.10813 0.20199 lineto
0.11074 0.20207 lineto
0.11336 0.20213 lineto
0.11597 0.20219 lineto
0.11728 0.20221 lineto
0.11858 0.20223 lineto
0.11989 0.20224 lineto
0.12119 0.20225 lineto
0.12185 0.20226 lineto
0.1225 0.20226 lineto
0.12315 0.20226 lineto
0.12381 0.20226 lineto
0.12446 0.20227 lineto
0.12511 0.20227 lineto
0.12577 0.20227 lineto
0.12642 0.20226 lineto
0.12707 0.20226 lineto
0.12773 0.20226 lineto
0.12903 0.20225 lineto
0.13034 0.20224 lineto
0.13164 0.20222 lineto
0.13426 0.20218 lineto
0.13687 0.20213 lineto
0.13948 0.20206 lineto
0.14471 0.20188 lineto
0.14993 0.20165 lineto
0.15516 0.20137 lineto
0.16561 0.20064 lineto
0.17606 0.1997 lineto
0.18651 0.19855 lineto
0.2074 0.19561 lineto
0.2283 0.19184 lineto
0.2492 0.18726 lineto
0.2701 0.18188 lineto
0.291 0.17573 lineto
0.3119 0.16885 lineto
0.3328 0.16125 lineto
0.3537 0.15298 lineto
0.3746 0.14408 lineto
0.3955 0.13458 lineto
0.4164 0.12455 lineto
0.4373 0.11402 lineto
Mistroke
0.4582 0.10306 lineto
0.4791 0.09174 lineto
0.5 0.08014 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 399; pictureHeight = 190; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0 0.31801 lineto
stroke
stroke
0 0.31801 moveto
1 0.68199 lineto
stroke
stroke
stroke
1 0.72928 moveto
0 0.36531 lineto
stroke
stroke
0 0.36531 moveto
1 0.72928 lineto
stroke
stroke
stroke
1 0.77658 moveto
0 0.41261 lineto
stroke
stroke
0 0.41261 moveto
1 0.77658 lineto
stroke
stroke
stroke
1 0.82388 moveto
0 0.45991 lineto
stroke
stroke
0 0.45991 moveto
1 0.82388 lineto
stroke
stroke
stroke
1 0.87117 moveto
0 0.5072 lineto
stroke
stroke
0 0.5072 moveto
1 0.87117 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
stroke
1 0.4928 moveto
0 0.12883 lineto
stroke
stroke
0 0.12883 moveto
1 0.4928 lineto
stroke
stroke
stroke
1 0.54009 moveto
0 0.17612 lineto
stroke
stroke
0 0.17612 moveto
1 0.54009 lineto
stroke
stroke
stroke
1 0.58739 moveto
0 0.22342 lineto
stroke
stroke
0 0.22342 moveto
1 0.58739 lineto
stroke
stroke
stroke
1 0.63469 moveto
0 0.27072 lineto
stroke
stroke
0 0.27072 moveto
1 0.63469 lineto
stroke
stroke
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.72627 0.72627 0 0 Mshowa
grestore
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
0.78284 0.78284 moveto
0.72627 0.72627 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.78284 0.78284 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 1.387779e-17 0.11237 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.11237 1 0 Msboxa
[(2)] 0.4875 0.22474 1 0 Msboxa
[(3)] 0.4875 0.33711 1 0 Msboxa
[(4)] 0.4875 0.44948 1 0 Msboxa
[(5)] 0.4875 0.56185 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.11237 moveto
0.50625 0.11237 lineto
stroke
grestore
[(1)] 0.4875 0.11237 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.22474 moveto
0.50625 0.22474 lineto
stroke
grestore
[(2)] 0.4875 0.22474 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.33711 moveto
0.50625 0.33711 lineto
stroke
grestore
[(3)] 0.4875 0.33711 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.44948 moveto
0.50625 0.44948 lineto
stroke
grestore
[(4)] 0.4875 0.44948 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.56185 moveto
0.50625 0.56185 lineto
stroke
grestore
[(5)] 0.4875 0.56185 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02247 moveto
0.50375 0.02247 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04495 moveto
0.50375 0.04495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06742 moveto
0.50375 0.06742 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0899 moveto
0.50375 0.0899 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13484 moveto
0.50375 0.13484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15732 moveto
0.50375 0.15732 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17979 moveto
0.50375 0.17979 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20227 moveto
0.50375 0.20227 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26969 moveto
0.50375 0.26969 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29216 moveto
0.50375 0.29216 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31464 moveto
0.50375 0.31464 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35958 moveto
0.50375 0.35958 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38206 moveto
0.50375 0.38206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40453 moveto
0.50375 0.40453 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42701 moveto
0.50375 0.42701 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47195 moveto
0.50375 0.47195 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5169 moveto
0.50375 0.5169 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53938 moveto
0.50375 0.53938 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58432 moveto
0.50375 0.58432 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.6068 moveto
0.50375 0.6068 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
0 0.18703 moveto
0.02452 0.1924 lineto
stroke
0.02452 0.1924 moveto
0.05062 0.19684 lineto
0.06368 0.19857 lineto
0.07673 0.19997 lineto
0.08979 0.20104 lineto
0.09631 0.20145 lineto
0.10284 0.20178 lineto
0.10937 0.20202 lineto
0.11263 0.20211 lineto
0.11426 0.20215 lineto
0.11589 0.20218 lineto
0.11753 0.20221 lineto
0.11916 0.20223 lineto
0.12079 0.20225 lineto
0.12161 0.20225 lineto
0.12242 0.20226 lineto
0.12324 0.20226 lineto
0.12405 0.20226 lineto
0.12487 0.20227 lineto
0.12568 0.20227 lineto
0.1265 0.20226 lineto
0.12732 0.20226 lineto
0.12813 0.20226 lineto
0.12895 0.20225 lineto
0.13058 0.20223 lineto
0.13221 0.20221 lineto
0.13548 0.20216 lineto
0.13874 0.20208 lineto
0.142 0.20198 lineto
0.14853 0.20172 lineto
0.15506 0.20138 lineto
0.16811 0.20044 lineto
0.18116 0.19916 lineto
0.20727 0.19563 lineto
0.23338 0.1908 lineto
0.25949 0.18471 lineto
0.2856 0.1774 lineto
0.3117 0.16892 lineto
0.33781 0.15933 lineto
0.36392 0.14871 lineto
0.39003 0.13713 lineto
0.41614 0.12468 lineto
0.44224 0.11146 lineto
0.46835 0.0976 lineto
0.49446 0.08324 lineto
0.52057 0.06856 lineto
0.54668 0.05388 lineto
0.57278 0.03978 lineto
0.58584 0.03337 lineto
0.59889 0.02786 lineto
Mistroke
0.60542 0.02565 lineto
0.61195 0.02394 lineto
0.61521 0.02331 lineto
0.61684 0.02306 lineto
0.61847 0.02285 lineto
0.6201 0.02269 lineto
0.62092 0.02262 lineto
0.62174 0.02257 lineto
0.62255 0.02253 lineto
0.62337 0.0225 lineto
0.62418 0.02248 lineto
0.625 0.02247 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 399; pictureHeight = 190; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0 0.31801 lineto
stroke
stroke
0 0.31801 moveto
1 0.68199 lineto
stroke
stroke
stroke
1 0.72928 moveto
0 0.36531 lineto
stroke
stroke
0 0.36531 moveto
1 0.72928 lineto
stroke
stroke
stroke
1 0.77658 moveto
0 0.41261 lineto
stroke
stroke
0 0.41261 moveto
1 0.77658 lineto
stroke
stroke
stroke
1 0.82388 moveto
0 0.45991 lineto
stroke
stroke
0 0.45991 moveto
1 0.82388 lineto
stroke
stroke
stroke
1 0.87117 moveto
0 0.5072 lineto
stroke
stroke
0 0.5072 moveto
1 0.87117 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
stroke
1 0.4928 moveto
0 0.12883 lineto
stroke
stroke
0 0.12883 moveto
1 0.4928 lineto
stroke
stroke
stroke
1 0.54009 moveto
0 0.17612 lineto
stroke
stroke
0 0.17612 moveto
1 0.54009 lineto
stroke
stroke
stroke
1 0.58739 moveto
0 0.22342 lineto
stroke
stroke
0 0.22342 moveto
1 0.58739 lineto
stroke
stroke
stroke
1 0.63469 moveto
0 0.27072 lineto
stroke
stroke
0 0.27072 moveto
1 0.63469 lineto
stroke
stroke
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.72627 0.72627 0 0 Mshowa
grestore
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
0.5 0.9 moveto
0.72627 0.72627 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.5 0.9 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 1.387779e-17 0.11237 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.11237 1 0 Msboxa
[(2)] 0.4875 0.22474 1 0 Msboxa
[(3)] 0.4875 0.33711 1 0 Msboxa
[(4)] 0.4875 0.44948 1 0 Msboxa
[(5)] 0.4875 0.56185 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.11237 moveto
0.50625 0.11237 lineto
stroke
grestore
[(1)] 0.4875 0.11237 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.22474 moveto
0.50625 0.22474 lineto
stroke
grestore
[(2)] 0.4875 0.22474 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.33711 moveto
0.50625 0.33711 lineto
stroke
grestore
[(3)] 0.4875 0.33711 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.44948 moveto
0.50625 0.44948 lineto
stroke
grestore
[(4)] 0.4875 0.44948 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.56185 moveto
0.50625 0.56185 lineto
stroke
grestore
[(5)] 0.4875 0.56185 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02247 moveto
0.50375 0.02247 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04495 moveto
0.50375 0.04495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06742 moveto
0.50375 0.06742 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0899 moveto
0.50375 0.0899 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13484 moveto
0.50375 0.13484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15732 moveto
0.50375 0.15732 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17979 moveto
0.50375 0.17979 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20227 moveto
0.50375 0.20227 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26969 moveto
0.50375 0.26969 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29216 moveto
0.50375 0.29216 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31464 moveto
0.50375 0.31464 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35958 moveto
0.50375 0.35958 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38206 moveto
0.50375 0.38206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40453 moveto
0.50375 0.40453 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42701 moveto
0.50375 0.42701 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47195 moveto
0.50375 0.47195 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5169 moveto
0.50375 0.5169 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53938 moveto
0.50375 0.53938 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58432 moveto
0.50375 0.58432 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.6068 moveto
0.50375 0.6068 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
0 0.18702 moveto
0.02972 0.19339 lineto
stroke
0.02972 0.19339 moveto
0.04538 0.19605 lineto
0.06104 0.19825 lineto
0.0767 0.19997 lineto
0.08453 0.20065 lineto
0.09236 0.20122 lineto
0.10019 0.20166 lineto
0.1041 0.20184 lineto
0.10802 0.20198 lineto
0.11193 0.2021 lineto
0.11389 0.20214 lineto
0.11584 0.20218 lineto
0.1178 0.20221 lineto
0.11976 0.20224 lineto
0.12074 0.20225 lineto
0.12172 0.20226 lineto
0.1227 0.20226 lineto
0.12367 0.20226 lineto
0.12465 0.20227 lineto
0.12563 0.20227 lineto
0.12661 0.20226 lineto
0.12759 0.20226 lineto
0.12857 0.20225 lineto
0.12955 0.20225 lineto
0.1315 0.20222 lineto
0.13346 0.2022 lineto
0.13542 0.20216 lineto
0.13933 0.20206 lineto
0.14325 0.20194 lineto
0.14716 0.20178 lineto
0.15499 0.20138 lineto
0.16282 0.20086 lineto
0.17065 0.20022 lineto
0.18631 0.19857 lineto
0.20196 0.19646 lineto
0.21762 0.19387 lineto
0.24894 0.18732 lineto
0.28026 0.17899 lineto
0.31157 0.16896 lineto
0.34289 0.15734 lineto
0.3742 0.14425 lineto
0.40552 0.12984 lineto
0.43684 0.11426 lineto
0.46815 0.09771 lineto
0.49947 0.08044 lineto
0.53079 0.06279 lineto
0.5621 0.04541 lineto
0.57776 0.03726 lineto
0.59342 0.03003 lineto
0.60125 0.02701 lineto
Mistroke
0.60516 0.02573 lineto
0.60908 0.02462 lineto
0.61299 0.02372 lineto
0.61691 0.02305 lineto
0.61886 0.02281 lineto
0.61984 0.02271 lineto
0.62082 0.02263 lineto
0.6218 0.02256 lineto
0.62278 0.02252 lineto
0.62376 0.02249 lineto
0.62473 0.02247 lineto
0.62571 0.02248 lineto
0.62669 0.0225 lineto
0.62767 0.02254 lineto
0.62865 0.02259 lineto
0.62963 0.02266 lineto
0.63061 0.02275 lineto
0.63256 0.02298 lineto
0.63648 0.02361 lineto
0.64039 0.02448 lineto
0.64822 0.02683 lineto
0.65605 0.02981 lineto
0.67171 0.037 lineto
0.68737 0.04513 lineto
0.71868 0.06249 lineto
0.75 0.08014 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 399; pictureHeight = 190; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0 0.31801 lineto
stroke
stroke
0 0.31801 moveto
1 0.68199 lineto
stroke
stroke
stroke
1 0.72928 moveto
0 0.36531 lineto
stroke
stroke
0 0.36531 moveto
1 0.72928 lineto
stroke
stroke
stroke
1 0.77658 moveto
0 0.41261 lineto
stroke
stroke
0 0.41261 moveto
1 0.77658 lineto
stroke
stroke
stroke
1 0.82388 moveto
0 0.45991 lineto
stroke
stroke
0 0.45991 moveto
1 0.82388 lineto
stroke
stroke
stroke
1 0.87117 moveto
0 0.5072 lineto
stroke
stroke
0 0.5072 moveto
1 0.87117 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
stroke
1 0.4928 moveto
0 0.12883 lineto
stroke
stroke
0 0.12883 moveto
1 0.4928 lineto
stroke
stroke
stroke
1 0.54009 moveto
0 0.17612 lineto
stroke
stroke
0 0.17612 moveto
1 0.54009 lineto
stroke
stroke
stroke
1 0.58739 moveto
0 0.22342 lineto
stroke
stroke
0 0.22342 moveto
1 0.58739 lineto
stroke
stroke
stroke
1 0.63469 moveto
0 0.27072 lineto
stroke
stroke
0 0.27072 moveto
1 0.63469 lineto
stroke
stroke
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.72627 0.72627 0 0 Mshowa
grestore
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
0.21716 0.78284 moveto
0.72627 0.72627 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.21716 0.78284 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 1.387779e-17 0.11237 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.11237 1 0 Msboxa
[(2)] 0.4875 0.22474 1 0 Msboxa
[(3)] 0.4875 0.33711 1 0 Msboxa
[(4)] 0.4875 0.44948 1 0 Msboxa
[(5)] 0.4875 0.56185 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.11237 moveto
0.50625 0.11237 lineto
stroke
grestore
[(1)] 0.4875 0.11237 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.22474 moveto
0.50625 0.22474 lineto
stroke
grestore
[(2)] 0.4875 0.22474 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.33711 moveto
0.50625 0.33711 lineto
stroke
grestore
[(3)] 0.4875 0.33711 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.44948 moveto
0.50625 0.44948 lineto
stroke
grestore
[(4)] 0.4875 0.44948 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.56185 moveto
0.50625 0.56185 lineto
stroke
grestore
[(5)] 0.4875 0.56185 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02247 moveto
0.50375 0.02247 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04495 moveto
0.50375 0.04495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06742 moveto
0.50375 0.06742 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0899 moveto
0.50375 0.0899 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13484 moveto
0.50375 0.13484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15732 moveto
0.50375 0.15732 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17979 moveto
0.50375 0.17979 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20227 moveto
0.50375 0.20227 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26969 moveto
0.50375 0.26969 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29216 moveto
0.50375 0.29216 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31464 moveto
0.50375 0.31464 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35958 moveto
0.50375 0.35958 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38206 moveto
0.50375 0.38206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40453 moveto
0.50375 0.40453 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42701 moveto
0.50375 0.42701 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47195 moveto
0.50375 0.47195 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5169 moveto
0.50375 0.5169 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53938 moveto
0.50375 0.53938 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58432 moveto
0.50375 0.58432 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.6068 moveto
0.50375 0.6068 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
0 0.18704 moveto
0.01667 0.19081 lineto
stroke
0.01667 0.19081 moveto
0.03493 0.19432 lineto
0.0532 0.19721 lineto
0.07146 0.19945 lineto
0.08059 0.20032 lineto
0.08972 0.20104 lineto
0.09429 0.20134 lineto
0.09885 0.20159 lineto
0.10342 0.20181 lineto
0.10798 0.20198 lineto
0.11027 0.20205 lineto
0.11255 0.20211 lineto
0.11483 0.20216 lineto
0.11711 0.2022 lineto
0.11825 0.20222 lineto
0.1194 0.20223 lineto
0.12054 0.20225 lineto
0.12168 0.20225 lineto
0.12282 0.20226 lineto
0.12396 0.20226 lineto
0.1251 0.20227 lineto
0.12624 0.20226 lineto
0.12739 0.20226 lineto
0.12853 0.20225 lineto
0.12967 0.20224 lineto
0.13081 0.20223 lineto
0.13309 0.2022 lineto
0.13538 0.20216 lineto
0.13994 0.20205 lineto
0.14451 0.20189 lineto
0.15364 0.20146 lineto
0.16277 0.20086 lineto
0.18103 0.19918 lineto
0.19929 0.19685 lineto
0.21756 0.19388 lineto
0.25408 0.18607 lineto
0.29061 0.17586 lineto
0.32713 0.16338 lineto
0.36365 0.14882 lineto
0.40018 0.13238 lineto
0.4367 0.11433 lineto
0.47323 0.09495 lineto
0.50975 0.07466 lineto
0.54628 0.0541 lineto
0.56454 0.04411 lineto
0.5828 0.0348 lineto
0.59193 0.03065 lineto
0.60107 0.02708 lineto
0.60563 0.02558 lineto
0.6102 0.02434 lineto
Mistroke
0.61248 0.02382 lineto
0.61476 0.02339 lineto
0.61704 0.02303 lineto
0.61819 0.02288 lineto
0.61933 0.02276 lineto
0.62047 0.02266 lineto
0.62161 0.02258 lineto
0.62275 0.02252 lineto
0.62389 0.02248 lineto
0.62503 0.02247 lineto
0.62618 0.02249 lineto
0.62732 0.02252 lineto
0.62846 0.02258 lineto
0.6296 0.02266 lineto
0.63074 0.02276 lineto
0.63302 0.02304 lineto
0.63531 0.0234 lineto
0.63759 0.02384 lineto
0.64672 0.02632 lineto
0.65585 0.02972 lineto
0.69238 0.04784 lineto
0.7289 0.06826 lineto
0.76543 0.08872 lineto
0.80195 0.10843 lineto
0.83848 0.12693 lineto
0.875 0.1439 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 399; pictureHeight = 190; endGroup; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0 0.31801 lineto
stroke
stroke
0 0.31801 moveto
1 0.68199 lineto
stroke
stroke
stroke
1 0.72928 moveto
0 0.36531 lineto
stroke
stroke
0 0.36531 moveto
1 0.72928 lineto
stroke
stroke
stroke
1 0.77658 moveto
0 0.41261 lineto
stroke
stroke
0 0.41261 moveto
1 0.77658 lineto
stroke
stroke
stroke
1 0.82388 moveto
0 0.45991 lineto
stroke
stroke
0 0.45991 moveto
1 0.82388 lineto
stroke
stroke
stroke
1 0.87117 moveto
0 0.5072 lineto
stroke
stroke
0 0.5072 moveto
1 0.87117 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
stroke
1 0.4928 moveto
0 0.12883 lineto
stroke
stroke
0 0.12883 moveto
1 0.4928 lineto
stroke
stroke
stroke
1 0.54009 moveto
0 0.17612 lineto
stroke
stroke
0 0.17612 moveto
1 0.54009 lineto
stroke
stroke
stroke
1 0.58739 moveto
0 0.22342 lineto
stroke
stroke
0 0.22342 moveto
1 0.58739 lineto
stroke
stroke
stroke
1 0.63469 moveto
0 0.27072 lineto
stroke
stroke
0 0.27072 moveto
1 0.63469 lineto
stroke
stroke
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.72627 0.72627 0 0 Mshowa
grestore
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
0.1 0.5 moveto
0.72627 0.72627 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.1 0.5 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 1.387779e-17 0.11237 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.11237 1 0 Msboxa
[(2)] 0.4875 0.22474 1 0 Msboxa
[(3)] 0.4875 0.33711 1 0 Msboxa
[(4)] 0.4875 0.44948 1 0 Msboxa
[(5)] 0.4875 0.56185 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.11237 moveto
0.50625 0.11237 lineto
stroke
grestore
[(1)] 0.4875 0.11237 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.22474 moveto
0.50625 0.22474 lineto
stroke
grestore
[(2)] 0.4875 0.22474 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.33711 moveto
0.50625 0.33711 lineto
stroke
grestore
[(3)] 0.4875 0.33711 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.44948 moveto
0.50625 0.44948 lineto
stroke
grestore
[(4)] 0.4875 0.44948 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.56185 moveto
0.50625 0.56185 lineto
stroke
grestore
[(5)] 0.4875 0.56185 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02247 moveto
0.50375 0.02247 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04495 moveto
0.50375 0.04495 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06742 moveto
0.50375 0.06742 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0899 moveto
0.50375 0.0899 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.13484 moveto
0.50375 0.13484 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15732 moveto
0.50375 0.15732 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17979 moveto
0.50375 0.17979 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20227 moveto
0.50375 0.20227 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26969 moveto
0.50375 0.26969 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29216 moveto
0.50375 0.29216 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.31464 moveto
0.50375 0.31464 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35958 moveto
0.50375 0.35958 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38206 moveto
0.50375 0.38206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40453 moveto
0.50375 0.40453 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42701 moveto
0.50375 0.42701 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47195 moveto
0.50375 0.47195 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5169 moveto
0.50375 0.5169 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53938 moveto
0.50375 0.53938 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58432 moveto
0.50375 0.58432 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.6068 moveto
0.50375 0.6068 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
0 0.18704 moveto
0.01927 0.19135 lineto
stroke
0.01927 0.19135 moveto
0.04014 0.19521 lineto
0.06101 0.19824 lineto
0.07144 0.19944 lineto
0.08187 0.20044 lineto
0.09231 0.20121 lineto
0.09752 0.20152 lineto
0.10274 0.20178 lineto
0.10796 0.20198 lineto
0.11057 0.20206 lineto
0.11317 0.20213 lineto
0.11578 0.20218 lineto
0.11839 0.20222 lineto
0.11969 0.20224 lineto
0.121 0.20225 lineto
0.1223 0.20226 lineto
0.12361 0.20226 lineto
0.12491 0.20227 lineto
0.12622 0.20226 lineto
0.12752 0.20226 lineto
0.12882 0.20225 lineto
0.13013 0.20224 lineto
0.13143 0.20222 lineto
0.13404 0.20219 lineto
0.13665 0.20213 lineto
0.13926 0.20207 lineto
0.14447 0.20189 lineto
0.14969 0.20167 lineto
0.15491 0.20138 lineto
0.16534 0.20066 lineto
0.17577 0.19973 lineto
0.18621 0.19858 lineto
0.20707 0.19566 lineto
0.22794 0.19191 lineto
0.24881 0.18735 lineto
0.29054 0.17588 lineto
0.33227 0.16145 lineto
0.37401 0.14434 lineto
0.41574 0.12487 lineto
0.45747 0.10345 lineto
0.4992 0.08059 lineto
0.54094 0.05708 lineto
0.5618 0.04557 lineto
0.58267 0.03486 lineto
0.5931 0.03016 lineto
0.59832 0.02808 lineto
0.60354 0.02624 lineto
0.60875 0.0247 lineto
0.61397 0.02353 lineto
0.61658 0.02309 lineto
Mistroke
0.61788 0.02292 lineto
0.61919 0.02277 lineto
0.62049 0.02265 lineto
0.62179 0.02256 lineto
0.6231 0.02251 lineto
0.6244 0.02248 lineto
0.62571 0.02248 lineto
0.62701 0.02251 lineto
0.62832 0.02257 lineto
0.62962 0.02266 lineto
0.63223 0.02293 lineto
0.63484 0.02332 lineto
0.64005 0.0244 lineto
0.64527 0.02586 lineto
0.6557 0.02966 lineto
0.66614 0.0343 lineto
0.70787 0.05641 lineto
0.7496 0.07992 lineto
0.79134 0.10281 lineto
0.83307 0.12428 lineto
0.8748 0.14382 lineto
0.91653 0.161 lineto
0.95827 0.17551 lineto
1 0.18707 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = text; inactive; ]
     As can be seen in these two examples, a zero vector (which corresponds to a zero factor in the numerator) contributes to dips (or valleys) in the magnitude of the frequency response, whereas a pole vector (which corresponds to a pole factor in the denominator) contributes to peaks in the magnitude of the frequency response.  
:[font = text; inactive; ]
     The closeness of the poles (zeros) to the unit circle controls the  height (depth) and width of the peaks (valleys).  For example, as a pole (zero) becomes closer to the unit circle, the corresponding peak (valley) becomes higher (deeper) in magnitude and narrower in width (i.e. it becomes sharper). This is illustrated by the following examples.
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example:  Animation of Single Pole System (Pole's Radius Varies)
:[font = text; inactive; ]
     Animate the following graphs by placing the cursor on the graph to be animated and double click.  Note that both graphs will be animated at the same time, showing the relationship between the location of the pole and the response.  The speed of the animation can be controlled by typing a number from 1 (slowest) to 9 (fastest).  Typing 0 or clicking the mouse once will stop the animation.
     Note that you can change the transfer function used in the input cells and obtain other desired graphics cells to be animated.
     The input cell below illustrates the effect of a pole approaching the unit circle on the magnitude of the frequency response.  Notice that in this case we have a peak which becomes sharper and sharper as the pole approaches the unit circle.
:[font = input; preserveAspect; ]
Do[ Show[ GraphicsArray[ { 
             PoleZeroPlot[1/(z - r Exp[I Pi/4]),
                          z, r, Infinity, True, 
                          Dialogue -> False,
                          Return -> Graphics,
                          DisplayFunction -> Identity ],
             MagPhasePlot[1/(Exp[I w] - r Exp[I Pi/4]), 
                          {w, -Pi, Pi}, 
                          PhaseRangeScale -> Null,
                          DisplayFunction -> Identity,
                          PlotRange -> {0,9.7} ] [[1]]
                         } ] ],
    {r, 0.1, 0.9, 0.1} ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; Cclosed; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; startGroup; animationSpeed = 8; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.04 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.53759 0.51368 lineto
stroke
0.53759 0.51368 moveto
0 0 rlineto
stroke
1 0.72928 moveto
0 0.36531 lineto
stroke
stroke
0 0.36531 moveto
1 0.72928 lineto
stroke
stroke
stroke
1 0.77658 moveto
0 0.41261 lineto
stroke
stroke
0 0.41261 moveto
1 0.77658 lineto
stroke
stroke
stroke
1 0.82388 moveto
0 0.45991 lineto
stroke
stroke
0 0.45991 moveto
1 0.82388 lineto
stroke
stroke
stroke
1 0.87117 moveto
0 0.5072 lineto
stroke
stroke
0 0.5072 moveto
1 0.87117 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
stroke
1 0.4928 moveto
0 0.12883 lineto
stroke
stroke
0 0.12883 moveto
1 0.4928 lineto
stroke
stroke
stroke
1 0.54009 moveto
0 0.17612 lineto
stroke
stroke
0 0.17612 moveto
1 0.54009 lineto
stroke
stroke
stroke
1 0.58739 moveto
0 0.22342 lineto
stroke
stroke
0 0.22342 moveto
1 0.58739 lineto
stroke
stroke
stroke
1 0.63469 moveto
0 0.27072 lineto
stroke
stroke
0 0.27072 moveto
1 0.63469 lineto
stroke
stroke
0.46241 0.48632 moveto
0 0 rlineto
0 0.31801 moveto
0.46241 0.48632 lineto
stroke
stroke
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.52828 0.52828 0 0 Mshowa
grestore
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 1.9868e-17 0.063715 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(2)] 0.4875 0.12743 1 0 Msboxa
[(4)] 0.4875 0.25486 1 0 Msboxa
[(6)] 0.4875 0.38229 1 0 Msboxa
[(8)] 0.4875 0.50972 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.12743 moveto
0.50625 0.12743 lineto
stroke
grestore
[(2)] 0.4875 0.12743 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.25486 moveto
0.50625 0.25486 lineto
stroke
grestore
[(4)] 0.4875 0.25486 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.38229 moveto
0.50625 0.38229 lineto
stroke
grestore
[(6)] 0.4875 0.38229 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.50972 moveto
0.50625 0.50972 lineto
stroke
grestore
[(8)] 0.4875 0.50972 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02549 moveto
0.50375 0.02549 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.05097 moveto
0.50375 0.05097 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07646 moveto
0.50375 0.07646 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.10194 moveto
0.50375 0.10194 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15292 moveto
0.50375 0.15292 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.1784 moveto
0.50375 0.1784 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20389 moveto
0.50375 0.20389 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22937 moveto
0.50375 0.22937 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.28035 moveto
0.50375 0.28035 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.30583 moveto
0.50375 0.30583 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.33132 moveto
0.50375 0.33132 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.3568 moveto
0.50375 0.3568 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40778 moveto
0.50375 0.40778 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43326 moveto
0.50375 0.43326 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45875 moveto
0.50375 0.45875 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.48423 moveto
0.50375 0.48423 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5352 moveto
0.50375 0.5352 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.56069 moveto
0.50375 0.56069 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58618 moveto
0.50375 0.58618 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.61166 moveto
0.50375 0.61166 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.05938 moveto
0.04365 0.05894 lineto
0.06349 0.05857 lineto
0.08333 0.05829 lineto
0.09325 0.05818 lineto
0.10317 0.05809 lineto
0.1131 0.05801 lineto
0.11806 0.05799 lineto
0.12302 0.05796 lineto
0.12798 0.05795 lineto
0.13046 0.05794 lineto
0.13294 0.05793 lineto
0.13542 0.05793 lineto
0.13666 0.05793 lineto
0.1379 0.05793 lineto
0.13914 0.05792 lineto
0.14038 0.05792 lineto
0.14162 0.05792 lineto
0.14286 0.05792 lineto
0.1441 0.05792 lineto
0.14534 0.05792 lineto
0.14658 0.05792 lineto
0.14782 0.05793 lineto
0.1503 0.05793 lineto
0.15278 0.05793 lineto
0.15526 0.05794 lineto
0.15774 0.05795 lineto
0.1627 0.05796 lineto
0.16766 0.05799 lineto
0.17262 0.05801 lineto
0.18254 0.05809 lineto
0.19246 0.05818 lineto
0.20238 0.05829 lineto
0.22222 0.05857 lineto
0.2619 0.05938 lineto
0.30159 0.06048 lineto
0.34127 0.06183 lineto
0.38095 0.0634 lineto
0.42063 0.06509 lineto
0.46032 0.06679 lineto
0.5 0.06837 lineto
0.51984 0.06905 lineto
0.53968 0.06965 lineto
0.55952 0.07014 lineto
0.56944 0.07033 lineto
0.57937 0.0705 lineto
0.58929 0.07063 lineto
0.59921 0.07072 lineto
0.60417 0.07075 lineto
0.60665 0.07077 lineto
Mistroke
0.60913 0.07078 lineto
0.61161 0.07078 lineto
0.61285 0.07079 lineto
0.61409 0.07079 lineto
0.61533 0.07079 lineto
0.61657 0.07079 lineto
0.61781 0.07079 lineto
0.61905 0.07079 lineto
0.62029 0.07079 lineto
0.62153 0.07079 lineto
0.62277 0.07079 lineto
0.62401 0.07079 lineto
0.62649 0.07078 lineto
0.62897 0.07078 lineto
0.63145 0.07077 lineto
0.63393 0.07075 lineto
0.63889 0.07072 lineto
0.64881 0.07063 lineto
0.65873 0.0705 lineto
0.67857 0.07014 lineto
0.69841 0.06965 lineto
0.7381 0.06837 lineto
0.77778 0.06679 lineto
0.81746 0.06509 lineto
0.85714 0.0634 lineto
0.89683 0.06183 lineto
0.93651 0.06048 lineto
0.97619 0.05938 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 8; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.08 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.57518 0.52736 lineto
stroke
0.57518 0.52736 moveto
0 0 rlineto
0.42229 0.51901 moveto
0 0 rlineto
0 0.36531 moveto
0.42229 0.51901 lineto
stroke
stroke
stroke
1 0.77658 moveto
0 0.41261 lineto
stroke
stroke
0 0.41261 moveto
1 0.77658 lineto
stroke
stroke
stroke
1 0.82388 moveto
0 0.45991 lineto
stroke
stroke
0 0.45991 moveto
1 0.82388 lineto
stroke
stroke
stroke
1 0.87117 moveto
0 0.5072 lineto
stroke
stroke
0 0.5072 moveto
1 0.87117 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
stroke
1 0.4928 moveto
0 0.12883 lineto
stroke
stroke
0 0.12883 moveto
1 0.4928 lineto
stroke
stroke
stroke
1 0.54009 moveto
0 0.17612 lineto
stroke
stroke
0 0.17612 moveto
1 0.54009 lineto
stroke
stroke
stroke
1 0.58739 moveto
0 0.22342 lineto
stroke
stroke
0 0.22342 moveto
1 0.58739 lineto
stroke
stroke
0.45269 0.43549 moveto
0 0 rlineto
0 0.27072 moveto
0.45269 0.43549 lineto
stroke
stroke
0.42482 0.47264 moveto
0 0 rlineto
0 0.31801 moveto
0.42482 0.47264 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.54731 0.56451 lineto
stroke
0.54731 0.56451 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.57771 0.48099 lineto
stroke
0.57771 0.48099 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.55657 0.55657 0 0 Mshowa
grestore
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 1.9868e-17 0.063715 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(2)] 0.4875 0.12743 1 0 Msboxa
[(4)] 0.4875 0.25486 1 0 Msboxa
[(6)] 0.4875 0.38229 1 0 Msboxa
[(8)] 0.4875 0.50972 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.12743 moveto
0.50625 0.12743 lineto
stroke
grestore
[(2)] 0.4875 0.12743 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.25486 moveto
0.50625 0.25486 lineto
stroke
grestore
[(4)] 0.4875 0.25486 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.38229 moveto
0.50625 0.38229 lineto
stroke
grestore
[(6)] 0.4875 0.38229 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.50972 moveto
0.50625 0.50972 lineto
stroke
grestore
[(8)] 0.4875 0.50972 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02549 moveto
0.50375 0.02549 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.05097 moveto
0.50375 0.05097 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07646 moveto
0.50375 0.07646 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.10194 moveto
0.50375 0.10194 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15292 moveto
0.50375 0.15292 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.1784 moveto
0.50375 0.1784 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20389 moveto
0.50375 0.20389 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22937 moveto
0.50375 0.22937 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.28035 moveto
0.50375 0.28035 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.30583 moveto
0.50375 0.30583 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.33132 moveto
0.50375 0.33132 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.3568 moveto
0.50375 0.3568 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40778 moveto
0.50375 0.40778 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43326 moveto
0.50375 0.43326 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45875 moveto
0.50375 0.45875 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.48423 moveto
0.50375 0.48423 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5352 moveto
0.50375 0.5352 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.56069 moveto
0.50375 0.56069 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58618 moveto
0.50375 0.58618 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.61166 moveto
0.50375 0.61166 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.0554 moveto
0.04365 0.05469 lineto
0.06349 0.05411 lineto
0.08333 0.05367 lineto
0.09325 0.05349 lineto
0.10317 0.05335 lineto
0.1131 0.05324 lineto
0.11806 0.05319 lineto
0.12302 0.05316 lineto
0.12798 0.05313 lineto
0.13046 0.05312 lineto
0.13294 0.05311 lineto
0.13542 0.0531 lineto
0.13666 0.0531 lineto
0.1379 0.0531 lineto
0.13914 0.0531 lineto
0.14038 0.0531 lineto
0.14162 0.0531 lineto
0.14286 0.0531 lineto
0.1441 0.0531 lineto
0.14534 0.0531 lineto
0.14658 0.0531 lineto
0.14782 0.0531 lineto
0.1503 0.0531 lineto
0.15278 0.05311 lineto
0.15526 0.05312 lineto
0.15774 0.05313 lineto
0.1627 0.05316 lineto
0.16766 0.05319 lineto
0.17262 0.05324 lineto
0.18254 0.05335 lineto
0.19246 0.05349 lineto
0.20238 0.05367 lineto
0.22222 0.05411 lineto
0.24206 0.05469 lineto
0.2619 0.0554 lineto
0.30159 0.05722 lineto
0.34127 0.05958 lineto
0.38095 0.06248 lineto
0.42063 0.06584 lineto
0.46032 0.06952 lineto
0.5 0.07322 lineto
0.51984 0.07495 lineto
0.53968 0.0765 lineto
0.55952 0.07781 lineto
0.56944 0.07835 lineto
0.57937 0.07881 lineto
0.58929 0.07917 lineto
0.59921 0.07943 lineto
0.60417 0.07952 lineto
Mistroke
0.60665 0.07956 lineto
0.60913 0.07959 lineto
0.61161 0.07961 lineto
0.61285 0.07962 lineto
0.61409 0.07963 lineto
0.61533 0.07964 lineto
0.61657 0.07964 lineto
0.61781 0.07964 lineto
0.61905 0.07964 lineto
0.62029 0.07964 lineto
0.62153 0.07964 lineto
0.62277 0.07964 lineto
0.62401 0.07963 lineto
0.62649 0.07961 lineto
0.62897 0.07959 lineto
0.63145 0.07956 lineto
0.63393 0.07952 lineto
0.63889 0.07943 lineto
0.64881 0.07917 lineto
0.65873 0.07881 lineto
0.67857 0.07781 lineto
0.69841 0.0765 lineto
0.7381 0.07322 lineto
0.77778 0.06952 lineto
0.81746 0.06584 lineto
0.85714 0.06248 lineto
0.89683 0.05958 lineto
0.93651 0.05722 lineto
0.97619 0.0554 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 8; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.12 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.61276 0.54104 lineto
stroke
0.61276 0.54104 moveto
0 0 rlineto
0.38006 0.50364 moveto
0 0 rlineto
0 0.36531 moveto
0.38006 0.50364 lineto
stroke
stroke
0.39384 0.55596 moveto
0 0 rlineto
0 0.41261 moveto
0.39384 0.55596 lineto
stroke
stroke
stroke
1 0.82388 moveto
0 0.45991 lineto
stroke
stroke
0 0.45991 moveto
1 0.82388 lineto
stroke
stroke
stroke
1 0.87117 moveto
0 0.5072 lineto
stroke
stroke
0 0.5072 moveto
1 0.87117 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
stroke
1 0.4928 moveto
0 0.12883 lineto
stroke
stroke
0 0.12883 moveto
1 0.4928 lineto
stroke
stroke
stroke
1 0.54009 moveto
0 0.17612 lineto
stroke
stroke
0 0.17612 moveto
1 0.54009 lineto
stroke
stroke
0.45465 0.3889 moveto
0 0 rlineto
0 0.22342 moveto
0.45465 0.3889 lineto
stroke
stroke
0.41046 0.42011 moveto
0 0 rlineto
0 0.27072 moveto
0.41046 0.42011 lineto
stroke
stroke
0.38724 0.45896 moveto
0 0 rlineto
0 0.31801 moveto
0.38724 0.45896 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.58954 0.57989 lineto
stroke
0.58954 0.57989 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.61994 0.49636 lineto
stroke
0.61994 0.49636 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.54535 0.6111 lineto
stroke
0.54535 0.6111 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.60616 0.44404 lineto
stroke
0.60616 0.44404 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.58485 0.58485 0 0 Mshowa
grestore
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 1.9868e-17 0.063715 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(2)] 0.4875 0.12743 1 0 Msboxa
[(4)] 0.4875 0.25486 1 0 Msboxa
[(6)] 0.4875 0.38229 1 0 Msboxa
[(8)] 0.4875 0.50972 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.12743 moveto
0.50625 0.12743 lineto
stroke
grestore
[(2)] 0.4875 0.12743 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.25486 moveto
0.50625 0.25486 lineto
stroke
grestore
[(4)] 0.4875 0.25486 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.38229 moveto
0.50625 0.38229 lineto
stroke
grestore
[(6)] 0.4875 0.38229 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.50972 moveto
0.50625 0.50972 lineto
stroke
grestore
[(8)] 0.4875 0.50972 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02549 moveto
0.50375 0.02549 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.05097 moveto
0.50375 0.05097 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07646 moveto
0.50375 0.07646 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.10194 moveto
0.50375 0.10194 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15292 moveto
0.50375 0.15292 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.1784 moveto
0.50375 0.1784 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20389 moveto
0.50375 0.20389 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22937 moveto
0.50375 0.22937 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.28035 moveto
0.50375 0.28035 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.30583 moveto
0.50375 0.30583 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.33132 moveto
0.50375 0.33132 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.3568 moveto
0.50375 0.3568 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40778 moveto
0.50375 0.40778 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43326 moveto
0.50375 0.43326 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45875 moveto
0.50375 0.45875 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.48423 moveto
0.50375 0.48423 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5352 moveto
0.50375 0.5352 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.56069 moveto
0.50375 0.56069 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58618 moveto
0.50375 0.58618 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.61166 moveto
0.50375 0.61166 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.05178 moveto
0.04365 0.05091 lineto
0.06349 0.05022 lineto
0.08333 0.04969 lineto
0.09325 0.04948 lineto
0.10317 0.04931 lineto
0.1131 0.04918 lineto
0.11806 0.04913 lineto
0.12302 0.04909 lineto
0.12798 0.04905 lineto
0.13046 0.04904 lineto
0.13294 0.04903 lineto
0.13542 0.04902 lineto
0.13666 0.04902 lineto
0.1379 0.04902 lineto
0.13914 0.04901 lineto
0.14038 0.04901 lineto
0.14162 0.04901 lineto
0.14286 0.04901 lineto
0.1441 0.04901 lineto
0.14534 0.04901 lineto
0.14658 0.04901 lineto
0.14782 0.04902 lineto
0.1503 0.04902 lineto
0.15278 0.04903 lineto
0.15526 0.04904 lineto
0.15774 0.04905 lineto
0.1627 0.04909 lineto
0.16766 0.04913 lineto
0.17262 0.04918 lineto
0.18254 0.04931 lineto
0.19246 0.04948 lineto
0.20238 0.04969 lineto
0.22222 0.05022 lineto
0.24206 0.05091 lineto
0.2619 0.05178 lineto
0.30159 0.05404 lineto
0.34127 0.0571 lineto
0.38095 0.06103 lineto
0.42063 0.0659 lineto
0.46032 0.07168 lineto
0.5 0.07809 lineto
0.53968 0.08436 lineto
0.55952 0.08705 lineto
0.56944 0.0882 lineto
0.57937 0.08918 lineto
0.58929 0.08997 lineto
0.59921 0.09055 lineto
0.60417 0.09075 lineto
0.60665 0.09084 lineto
Mistroke
0.60913 0.0909 lineto
0.61161 0.09095 lineto
0.61285 0.09097 lineto
0.61409 0.09099 lineto
0.61533 0.091 lineto
0.61657 0.09101 lineto
0.61781 0.09102 lineto
0.61905 0.09102 lineto
0.62029 0.09102 lineto
0.62153 0.09101 lineto
0.62277 0.091 lineto
0.62401 0.09099 lineto
0.62649 0.09095 lineto
0.62897 0.0909 lineto
0.63145 0.09084 lineto
0.63393 0.09075 lineto
0.63889 0.09055 lineto
0.64881 0.08997 lineto
0.65873 0.08918 lineto
0.67857 0.08705 lineto
0.69841 0.08436 lineto
0.7381 0.07809 lineto
0.77778 0.07168 lineto
0.81746 0.0659 lineto
0.85714 0.06103 lineto
0.89683 0.0571 lineto
0.93651 0.05404 lineto
0.97619 0.05178 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 8; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.16 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.65035 0.55472 lineto
stroke
0.65035 0.55472 moveto
0 0 rlineto
0.34037 0.48919 moveto
0 0 rlineto
0 0.36531 moveto
0.34037 0.48919 lineto
stroke
stroke
0.34458 0.53803 moveto
0 0 rlineto
0 0.41261 moveto
0.34458 0.53803 lineto
stroke
stroke
0.37129 0.59504 moveto
0 0 rlineto
0 0.45991 moveto
0.37129 0.59504 lineto
stroke
stroke
stroke
1 0.87117 moveto
0 0.5072 lineto
stroke
stroke
0 0.5072 moveto
1 0.87117 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
stroke
1 0.4928 moveto
0 0.12883 lineto
stroke
stroke
0 0.12883 moveto
1 0.4928 lineto
stroke
stroke
0.46249 0.34446 moveto
0 0 rlineto
0 0.17612 moveto
0.46249 0.34446 lineto
stroke
stroke
0.40539 0.37097 moveto
0 0 rlineto
0 0.22342 moveto
0.40539 0.37097 lineto
stroke
stroke
0.37077 0.40567 moveto
0 0 rlineto
0 0.27072 moveto
0.37077 0.40567 lineto
stroke
stroke
0.34965 0.44528 moveto
0 0 rlineto
0 0.31801 moveto
0.34965 0.44528 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.62923 0.59433 lineto
stroke
0.62923 0.59433 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.65963 0.51081 lineto
stroke
0.65963 0.51081 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.59461 0.62903 lineto
stroke
0.59461 0.62903 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.65542 0.46197 lineto
stroke
0.65542 0.46197 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.53751 0.65554 lineto
stroke
0.53751 0.65554 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.62871 0.40496 lineto
stroke
0.62871 0.40496 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.61314 0.61314 0 0 Mshowa
grestore
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 1.9868e-17 0.063715 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(2)] 0.4875 0.12743 1 0 Msboxa
[(4)] 0.4875 0.25486 1 0 Msboxa
[(6)] 0.4875 0.38229 1 0 Msboxa
[(8)] 0.4875 0.50972 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.12743 moveto
0.50625 0.12743 lineto
stroke
grestore
[(2)] 0.4875 0.12743 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.25486 moveto
0.50625 0.25486 lineto
stroke
grestore
[(4)] 0.4875 0.25486 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.38229 moveto
0.50625 0.38229 lineto
stroke
grestore
[(6)] 0.4875 0.38229 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.50972 moveto
0.50625 0.50972 lineto
stroke
grestore
[(8)] 0.4875 0.50972 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02549 moveto
0.50375 0.02549 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.05097 moveto
0.50375 0.05097 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07646 moveto
0.50375 0.07646 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.10194 moveto
0.50375 0.10194 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15292 moveto
0.50375 0.15292 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.1784 moveto
0.50375 0.1784 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20389 moveto
0.50375 0.20389 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22937 moveto
0.50375 0.22937 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.28035 moveto
0.50375 0.28035 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.30583 moveto
0.50375 0.30583 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.33132 moveto
0.50375 0.33132 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.3568 moveto
0.50375 0.3568 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40778 moveto
0.50375 0.40778 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43326 moveto
0.50375 0.43326 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45875 moveto
0.50375 0.45875 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.48423 moveto
0.50375 0.48423 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5352 moveto
0.50375 0.5352 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.56069 moveto
0.50375 0.56069 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58618 moveto
0.50375 0.58618 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.61166 moveto
0.50375 0.61166 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.0485 moveto
0.04365 0.04756 lineto
0.06349 0.04681 lineto
0.08333 0.04623 lineto
0.09325 0.04601 lineto
0.10317 0.04583 lineto
0.1131 0.04569 lineto
0.11806 0.04564 lineto
0.12302 0.04559 lineto
0.12798 0.04556 lineto
0.13046 0.04554 lineto
0.13294 0.04553 lineto
0.13542 0.04552 lineto
0.13666 0.04552 lineto
0.1379 0.04552 lineto
0.13914 0.04551 lineto
0.14038 0.04551 lineto
0.14162 0.04551 lineto
0.14286 0.04551 lineto
0.1441 0.04551 lineto
0.14534 0.04551 lineto
0.14658 0.04551 lineto
0.14782 0.04552 lineto
0.1503 0.04552 lineto
0.15278 0.04553 lineto
0.15526 0.04554 lineto
0.15774 0.04556 lineto
0.1627 0.04559 lineto
0.16766 0.04564 lineto
0.17262 0.04569 lineto
0.18254 0.04583 lineto
0.19246 0.04601 lineto
0.20238 0.04623 lineto
0.22222 0.04681 lineto
0.24206 0.04756 lineto
0.2619 0.0485 lineto
0.30159 0.05101 lineto
0.34127 0.05449 lineto
0.38095 0.05916 lineto
0.42063 0.06527 lineto
0.46032 0.07309 lineto
0.5 0.08265 lineto
0.53968 0.09322 lineto
0.55952 0.09821 lineto
0.56944 0.10043 lineto
0.57937 0.10239 lineto
0.58929 0.10399 lineto
0.59921 0.1052 lineto
0.60417 0.10563 lineto
0.60665 0.1058 lineto
Mistroke
0.60913 0.10594 lineto
0.61161 0.10605 lineto
0.61285 0.10609 lineto
0.61409 0.10613 lineto
0.61533 0.10616 lineto
0.61657 0.10618 lineto
0.61781 0.10619 lineto
0.61905 0.10619 lineto
0.62029 0.10619 lineto
0.62153 0.10618 lineto
0.62277 0.10616 lineto
0.62401 0.10613 lineto
0.62649 0.10605 lineto
0.62897 0.10594 lineto
0.63393 0.10563 lineto
0.63889 0.1052 lineto
0.64881 0.10399 lineto
0.65873 0.10239 lineto
0.67857 0.09821 lineto
0.69841 0.09322 lineto
0.7381 0.08265 lineto
0.77778 0.07309 lineto
0.81746 0.06527 lineto
0.85714 0.05916 lineto
0.89683 0.05449 lineto
0.93651 0.05101 lineto
0.97619 0.0485 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 8; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.2 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.68794 0.5684 lineto
stroke
0.68794 0.5684 moveto
0 0 rlineto
0.30156 0.47507 moveto
0 0 rlineto
0 0.36531 moveto
0.30156 0.47507 lineto
stroke
stroke
0.30124 0.52225 moveto
0 0 rlineto
0 0.41261 moveto
0.30124 0.52225 lineto
stroke
stroke
0.31432 0.57431 moveto
0 0 rlineto
0 0.45991 moveto
0.31432 0.57431 lineto
stroke
stroke
0.3531 0.63572 moveto
0 0 rlineto
0 0.5072 moveto
0.3531 0.63572 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
0.4747 0.30161 moveto
0 0 rlineto
0 0.12883 moveto
0.4747 0.30161 lineto
stroke
stroke
0.40552 0.32372 moveto
0 0 rlineto
0 0.17612 moveto
0.40552 0.32372 lineto
stroke
stroke
0.36205 0.35519 moveto
0 0 rlineto
0 0.22342 moveto
0.36205 0.35519 lineto
stroke
stroke
0.33196 0.39154 moveto
0 0 rlineto
0 0.27072 moveto
0.33196 0.39154 lineto
stroke
stroke
0.31206 0.4316 moveto
0 0 rlineto
0 0.31801 moveto
0.31206 0.4316 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.66804 0.60846 lineto
stroke
0.66804 0.60846 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.69844 0.52493 lineto
stroke
0.69844 0.52493 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.63795 0.64481 lineto
stroke
0.63795 0.64481 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.69876 0.47775 lineto
stroke
0.69876 0.47775 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.59448 0.67628 lineto
stroke
0.59448 0.67628 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.68568 0.42569 lineto
stroke
0.68568 0.42569 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.5253 0.69839 lineto
stroke
0.5253 0.69839 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.6469 0.36428 lineto
stroke
0.6469 0.36428 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.64142 0.64142 0 0 Mshowa
grestore
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 1.9868e-17 0.063715 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(2)] 0.4875 0.12743 1 0 Msboxa
[(4)] 0.4875 0.25486 1 0 Msboxa
[(6)] 0.4875 0.38229 1 0 Msboxa
[(8)] 0.4875 0.50972 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.12743 moveto
0.50625 0.12743 lineto
stroke
grestore
[(2)] 0.4875 0.12743 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.25486 moveto
0.50625 0.25486 lineto
stroke
grestore
[(4)] 0.4875 0.25486 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.38229 moveto
0.50625 0.38229 lineto
stroke
grestore
[(6)] 0.4875 0.38229 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.50972 moveto
0.50625 0.50972 lineto
stroke
grestore
[(8)] 0.4875 0.50972 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02549 moveto
0.50375 0.02549 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.05097 moveto
0.50375 0.05097 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07646 moveto
0.50375 0.07646 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.10194 moveto
0.50375 0.10194 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15292 moveto
0.50375 0.15292 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.1784 moveto
0.50375 0.1784 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20389 moveto
0.50375 0.20389 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22937 moveto
0.50375 0.22937 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.28035 moveto
0.50375 0.28035 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.30583 moveto
0.50375 0.30583 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.33132 moveto
0.50375 0.33132 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.3568 moveto
0.50375 0.3568 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40778 moveto
0.50375 0.40778 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43326 moveto
0.50375 0.43326 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45875 moveto
0.50375 0.45875 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.48423 moveto
0.50375 0.48423 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5352 moveto
0.50375 0.5352 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.56069 moveto
0.50375 0.56069 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58618 moveto
0.50375 0.58618 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.61166 moveto
0.50375 0.61166 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.04554 moveto
0.04365 0.04457 lineto
0.06349 0.0438 lineto
0.07341 0.04348 lineto
0.08333 0.04321 lineto
0.09325 0.04299 lineto
0.10317 0.0428 lineto
0.1131 0.04266 lineto
0.11806 0.0426 lineto
0.12302 0.04256 lineto
0.12798 0.04252 lineto
0.13046 0.04251 lineto
0.13294 0.0425 lineto
0.13542 0.04249 lineto
0.13666 0.04248 lineto
0.1379 0.04248 lineto
0.13914 0.04248 lineto
0.14038 0.04248 lineto
0.14162 0.04248 lineto
0.14286 0.04248 lineto
0.1441 0.04248 lineto
0.14534 0.04248 lineto
0.14658 0.04248 lineto
0.14782 0.04248 lineto
0.1503 0.04249 lineto
0.15278 0.0425 lineto
0.15526 0.04251 lineto
0.15774 0.04252 lineto
0.1627 0.04256 lineto
0.16766 0.0426 lineto
0.17262 0.04266 lineto
0.18254 0.0428 lineto
0.19246 0.04299 lineto
0.20238 0.04321 lineto
0.22222 0.0438 lineto
0.24206 0.04457 lineto
0.2619 0.04554 lineto
0.30159 0.04816 lineto
0.34127 0.05187 lineto
0.38095 0.05699 lineto
0.42063 0.064 lineto
0.46032 0.07357 lineto
0.5 0.08647 lineto
0.53968 0.10282 lineto
0.55952 0.11157 lineto
0.57937 0.11954 lineto
0.58929 0.1228 lineto
0.59921 0.1253 lineto
0.60417 0.12622 lineto
0.60665 0.12659 lineto
Mistroke
0.60913 0.12689 lineto
0.61161 0.12712 lineto
0.61285 0.12722 lineto
0.61409 0.12729 lineto
0.61533 0.12735 lineto
0.61657 0.1274 lineto
0.61781 0.12742 lineto
0.61905 0.12743 lineto
0.62029 0.12742 lineto
0.62153 0.1274 lineto
0.62277 0.12735 lineto
0.62401 0.12729 lineto
0.62649 0.12712 lineto
0.62897 0.12689 lineto
0.63393 0.12622 lineto
0.63889 0.1253 lineto
0.64881 0.1228 lineto
0.65873 0.11954 lineto
0.69841 0.10282 lineto
0.7381 0.08647 lineto
0.77778 0.07357 lineto
0.81746 0.064 lineto
0.85714 0.05699 lineto
0.89683 0.05187 lineto
0.93651 0.04816 lineto
0.97619 0.04554 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 8; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.24 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.72553 0.58208 lineto
stroke
0.72553 0.58208 moveto
0 0 rlineto
0.26317 0.4611 moveto
0 0 rlineto
0 0.36531 moveto
0.26317 0.4611 lineto
stroke
stroke
0.26011 0.50728 moveto
0 0 rlineto
0 0.41261 moveto
0.26011 0.50728 lineto
stroke
stroke
0.26688 0.55704 moveto
0 0 rlineto
0 0.45991 moveto
0.26688 0.55704 lineto
stroke
stroke
0.28769 0.61191 moveto
0 0 rlineto
0 0.5072 moveto
0.28769 0.61191 lineto
stroke
stroke
0.33881 0.67782 moveto
0 0 rlineto
0 0.5545 moveto
0.33881 0.67782 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
0.49082 0.26018 moveto
0 0 rlineto
0 0.08153 moveto
0.49082 0.26018 lineto
stroke
stroke
0.4093 0.2778 moveto
0 0 rlineto
0 0.12883 moveto
0.4093 0.2778 lineto
stroke
stroke
0.35808 0.30646 moveto
0 0 rlineto
0 0.17612 moveto
0.35808 0.30646 lineto
stroke
stroke
0.32091 0.34022 moveto
0 0 rlineto
0 0.22342 moveto
0.32091 0.34022 lineto
stroke
stroke
0.29358 0.37757 moveto
0 0 rlineto
0 0.27072 moveto
0.29358 0.37757 lineto
stroke
stroke
0.27447 0.41792 moveto
0 0 rlineto
0 0.31801 moveto
0.27447 0.41792 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.70642 0.62243 lineto
stroke
0.70642 0.62243 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.73683 0.5389 lineto
stroke
0.73683 0.5389 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.67909 0.65978 lineto
stroke
0.67909 0.65978 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.73989 0.49272 lineto
stroke
0.73989 0.49272 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.64192 0.69354 lineto
stroke
0.64192 0.69354 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.73312 0.44296 lineto
stroke
0.73312 0.44296 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.5907 0.7222 lineto
stroke
0.5907 0.7222 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.71231 0.38809 lineto
stroke
0.71231 0.38809 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.50918 0.73982 lineto
stroke
0.50918 0.73982 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.66119 0.32218 lineto
stroke
0.66119 0.32218 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.66971 0.66971 0 0 Mshowa
grestore
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 1.9868e-17 0.063715 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(2)] 0.4875 0.12743 1 0 Msboxa
[(4)] 0.4875 0.25486 1 0 Msboxa
[(6)] 0.4875 0.38229 1 0 Msboxa
[(8)] 0.4875 0.50972 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.12743 moveto
0.50625 0.12743 lineto
stroke
grestore
[(2)] 0.4875 0.12743 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.25486 moveto
0.50625 0.25486 lineto
stroke
grestore
[(4)] 0.4875 0.25486 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.38229 moveto
0.50625 0.38229 lineto
stroke
grestore
[(6)] 0.4875 0.38229 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.50972 moveto
0.50625 0.50972 lineto
stroke
grestore
[(8)] 0.4875 0.50972 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02549 moveto
0.50375 0.02549 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.05097 moveto
0.50375 0.05097 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07646 moveto
0.50375 0.07646 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.10194 moveto
0.50375 0.10194 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15292 moveto
0.50375 0.15292 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.1784 moveto
0.50375 0.1784 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20389 moveto
0.50375 0.20389 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22937 moveto
0.50375 0.22937 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.28035 moveto
0.50375 0.28035 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.30583 moveto
0.50375 0.30583 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.33132 moveto
0.50375 0.33132 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.3568 moveto
0.50375 0.3568 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40778 moveto
0.50375 0.40778 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43326 moveto
0.50375 0.43326 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45875 moveto
0.50375 0.45875 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.48423 moveto
0.50375 0.48423 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5352 moveto
0.50375 0.5352 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.56069 moveto
0.50375 0.56069 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58618 moveto
0.50375 0.58618 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.61166 moveto
0.50375 0.61166 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.04287 moveto
0.04365 0.0419 lineto
0.06349 0.04113 lineto
0.07341 0.04082 lineto
0.08333 0.04055 lineto
0.09325 0.04033 lineto
0.10317 0.04014 lineto
0.1131 0.04 lineto
0.11806 0.03995 lineto
0.12302 0.0399 lineto
0.12798 0.03987 lineto
0.13046 0.03985 lineto
0.13294 0.03984 lineto
0.13542 0.03983 lineto
0.13666 0.03983 lineto
0.1379 0.03983 lineto
0.13914 0.03982 lineto
0.14038 0.03982 lineto
0.14162 0.03982 lineto
0.14286 0.03982 lineto
0.1441 0.03982 lineto
0.14534 0.03982 lineto
0.14658 0.03982 lineto
0.14782 0.03983 lineto
0.1503 0.03983 lineto
0.15278 0.03984 lineto
0.15526 0.03985 lineto
0.15774 0.03987 lineto
0.1627 0.0399 lineto
0.16766 0.03995 lineto
0.17262 0.04 lineto
0.18254 0.04014 lineto
0.19246 0.04033 lineto
0.20238 0.04055 lineto
0.22222 0.04113 lineto
0.24206 0.0419 lineto
0.2619 0.04287 lineto
0.28175 0.04407 lineto
0.30159 0.04551 lineto
0.34127 0.0493 lineto
0.38095 0.05464 lineto
0.40079 0.05808 lineto
0.42063 0.0622 lineto
0.44048 0.06713 lineto
0.46032 0.07309 lineto
0.48016 0.08031 lineto
0.5 0.08909 lineto
0.53968 0.1125 lineto
0.57937 0.14216 lineto
0.58929 0.14892 lineto
Mistroke
0.59921 0.15441 lineto
0.60417 0.15649 lineto
0.60665 0.15733 lineto
0.60913 0.15802 lineto
0.61161 0.15857 lineto
0.61285 0.15879 lineto
0.61409 0.15897 lineto
0.61533 0.15911 lineto
0.61657 0.15921 lineto
0.61781 0.15927 lineto
0.61905 0.15929 lineto
0.62029 0.15927 lineto
0.62153 0.15921 lineto
0.62277 0.15911 lineto
0.62401 0.15897 lineto
0.62649 0.15857 lineto
0.62897 0.15802 lineto
0.63393 0.15649 lineto
0.63889 0.15441 lineto
0.64881 0.14892 lineto
0.65873 0.14216 lineto
0.69841 0.1125 lineto
0.7381 0.08909 lineto
0.75794 0.08031 lineto
0.77778 0.07309 lineto
0.81746 0.0622 lineto
0.8373 0.05808 lineto
0.85714 0.05464 lineto
0.89683 0.0493 lineto
0.93651 0.04551 lineto
0.95635 0.04407 lineto
0.97619 0.04287 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 8; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.28 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.76311 0.59577 lineto
stroke
0.76311 0.59577 moveto
0 0 rlineto
0.22502 0.44721 moveto
0 0 rlineto
0 0.36531 moveto
0.22502 0.44721 lineto
stroke
stroke
0.22009 0.49272 moveto
0 0 rlineto
0 0.41261 moveto
0.22009 0.49272 lineto
stroke
stroke
0.22303 0.54108 moveto
0 0 rlineto
0 0.45991 moveto
0.22303 0.54108 lineto
stroke
stroke
0.23592 0.59307 moveto
0 0 rlineto
0 0.5072 moveto
0.23592 0.59307 lineto
stroke
stroke
0.26392 0.65056 moveto
0 0 rlineto
0 0.5545 moveto
0.26392 0.65056 lineto
stroke
stroke
0.32857 0.72138 moveto
0 0 rlineto
0 0.6018 moveto
0.32857 0.72138 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
0.51098 0.22022 moveto
0 0 rlineto
0 0.03423 moveto
0.51098 0.22022 lineto
stroke
stroke
0.41593 0.23292 moveto
0 0 rlineto
0 0.08153 moveto
0.41593 0.23292 lineto
stroke
stroke
0.35753 0.25896 moveto
0 0 rlineto
0 0.12883 moveto
0.35753 0.25896 lineto
stroke
stroke
0.31424 0.2905 moveto
0 0 rlineto
0 0.17612 moveto
0.31424 0.2905 lineto
stroke
stroke
0.2809 0.32566 moveto
0 0 rlineto
0 0.22342 moveto
0.2809 0.32566 lineto
stroke
stroke
0.25542 0.36368 moveto
0 0 rlineto
0 0.27072 moveto
0.25542 0.36368 lineto
stroke
stroke
0.23689 0.40423 moveto
0 0 rlineto
0 0.31801 moveto
0.23689 0.40423 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.74458 0.63632 lineto
stroke
0.74458 0.63632 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.77498 0.55279 lineto
stroke
0.77498 0.55279 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.7191 0.67434 lineto
stroke
0.7191 0.67434 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.77991 0.50728 lineto
stroke
0.77991 0.50728 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.68576 0.7095 lineto
stroke
0.68576 0.7095 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.77697 0.45892 lineto
stroke
0.77697 0.45892 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.64247 0.74104 lineto
stroke
0.64247 0.74104 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.76408 0.40693 lineto
stroke
0.76408 0.40693 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.58407 0.76708 lineto
stroke
0.58407 0.76708 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.73608 0.34944 lineto
stroke
0.73608 0.34944 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.48902 0.77978 lineto
stroke
0.48902 0.77978 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.67143 0.27862 lineto
stroke
0.67143 0.27862 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.69799 0.69799 0 0 Mshowa
grestore
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 1.9868e-17 0.063715 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(2)] 0.4875 0.12743 1 0 Msboxa
[(4)] 0.4875 0.25486 1 0 Msboxa
[(6)] 0.4875 0.38229 1 0 Msboxa
[(8)] 0.4875 0.50972 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.12743 moveto
0.50625 0.12743 lineto
stroke
grestore
[(2)] 0.4875 0.12743 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.25486 moveto
0.50625 0.25486 lineto
stroke
grestore
[(4)] 0.4875 0.25486 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.38229 moveto
0.50625 0.38229 lineto
stroke
grestore
[(6)] 0.4875 0.38229 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.50972 moveto
0.50625 0.50972 lineto
stroke
grestore
[(8)] 0.4875 0.50972 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02549 moveto
0.50375 0.02549 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.05097 moveto
0.50375 0.05097 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07646 moveto
0.50375 0.07646 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.10194 moveto
0.50375 0.10194 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15292 moveto
0.50375 0.15292 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.1784 moveto
0.50375 0.1784 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20389 moveto
0.50375 0.20389 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22937 moveto
0.50375 0.22937 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.28035 moveto
0.50375 0.28035 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.30583 moveto
0.50375 0.30583 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.33132 moveto
0.50375 0.33132 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.3568 moveto
0.50375 0.3568 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40778 moveto
0.50375 0.40778 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43326 moveto
0.50375 0.43326 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45875 moveto
0.50375 0.45875 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.48423 moveto
0.50375 0.48423 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5352 moveto
0.50375 0.5352 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.56069 moveto
0.50375 0.56069 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58618 moveto
0.50375 0.58618 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.61166 moveto
0.50375 0.61166 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.04046 moveto
0.04365 0.03951 lineto
0.06349 0.03876 lineto
0.07341 0.03845 lineto
0.08333 0.03819 lineto
0.09325 0.03797 lineto
0.10317 0.03779 lineto
0.1131 0.03765 lineto
0.11806 0.0376 lineto
0.12302 0.03756 lineto
0.12798 0.03752 lineto
0.13046 0.03751 lineto
0.13294 0.0375 lineto
0.13542 0.03749 lineto
0.13666 0.03749 lineto
0.1379 0.03748 lineto
0.13914 0.03748 lineto
0.14038 0.03748 lineto
0.14162 0.03748 lineto
0.14286 0.03748 lineto
0.1441 0.03748 lineto
0.14534 0.03748 lineto
0.14658 0.03748 lineto
0.14782 0.03748 lineto
0.1503 0.03749 lineto
0.15278 0.0375 lineto
0.15526 0.03751 lineto
0.15774 0.03752 lineto
0.1627 0.03756 lineto
0.16766 0.0376 lineto
0.17262 0.03765 lineto
0.18254 0.03779 lineto
0.19246 0.03797 lineto
0.20238 0.03819 lineto
0.22222 0.03876 lineto
0.24206 0.03951 lineto
0.2619 0.04046 lineto
0.28175 0.04163 lineto
0.30159 0.04305 lineto
0.32143 0.04477 lineto
0.34127 0.04681 lineto
0.38095 0.0522 lineto
0.40079 0.05573 lineto
0.42063 0.06 lineto
0.44048 0.06522 lineto
0.46032 0.07168 lineto
0.48016 0.07978 lineto
0.5 0.0901 lineto
0.51984 0.10345 lineto
0.53968 0.12094 lineto
Mistroke
0.55952 0.14371 lineto
0.57937 0.1717 lineto
0.58929 0.18635 lineto
0.59921 0.19952 lineto
0.60417 0.20485 lineto
0.60665 0.20706 lineto
0.60913 0.20893 lineto
0.61161 0.21042 lineto
0.61285 0.21101 lineto
0.61409 0.2115 lineto
0.61533 0.21189 lineto
0.61657 0.21216 lineto
0.61781 0.21233 lineto
0.61905 0.21238 lineto
0.62029 0.21233 lineto
0.62153 0.21216 lineto
0.62277 0.21189 lineto
0.62401 0.2115 lineto
0.62649 0.21042 lineto
0.62897 0.20893 lineto
0.63393 0.20485 lineto
0.63889 0.19952 lineto
0.65873 0.1717 lineto
0.67857 0.14371 lineto
0.69841 0.12094 lineto
0.71825 0.10345 lineto
0.7381 0.0901 lineto
0.75794 0.07978 lineto
0.77778 0.07168 lineto
0.81746 0.06 lineto
0.8373 0.05573 lineto
0.85714 0.0522 lineto
0.87698 0.04926 lineto
0.89683 0.04681 lineto
0.93651 0.04305 lineto
0.95635 0.04163 lineto
0.97619 0.04046 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 8; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.32 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.8007 0.60945 lineto
stroke
0.8007 0.60945 moveto
0 0 rlineto
0.18701 0.43338 moveto
0 0 rlineto
0 0.36531 moveto
0.18701 0.43338 lineto
stroke
stroke
0.18073 0.47839 moveto
0 0 rlineto
0 0.41261 moveto
0.18073 0.47839 lineto
stroke
stroke
0.18104 0.5258 moveto
0 0 rlineto
0 0.45991 moveto
0.18104 0.5258 lineto
stroke
stroke
0.18917 0.57605 moveto
0 0 rlineto
0 0.5072 moveto
0.18917 0.57605 lineto
stroke
stroke
0.20763 0.63007 moveto
0 0 rlineto
0 0.5545 moveto
0.20763 0.63007 lineto
stroke
stroke
0.24258 0.69009 moveto
0 0 rlineto
0 0.6018 moveto
0.24258 0.69009 lineto
stroke
stroke
0.32321 0.76673 moveto
0 0 rlineto
0 0.64909 moveto
0.32321 0.76673 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
0.53602 0.18203 moveto
0 0 rlineto
0.03589 0 moveto
0.53602 0.18203 lineto
stroke
stroke
0.42499 0.18892 moveto
0 0 rlineto
0 0.03423 moveto
0.42499 0.18892 lineto
stroke
stroke
0.35964 0.21243 moveto
0 0 rlineto
0 0.08153 moveto
0.35964 0.21243 lineto
stroke
stroke
0.31078 0.24194 moveto
0 0 rlineto
0 0.12883 moveto
0.31078 0.24194 lineto
stroke
stroke
0.27225 0.27521 moveto
0 0 rlineto
0 0.17612 moveto
0.27225 0.27521 lineto
stroke
stroke
0.24153 0.31133 moveto
0 0 rlineto
0 0.22342 moveto
0.24153 0.31133 lineto
stroke
stroke
0.21741 0.34985 moveto
0 0 rlineto
0 0.27072 moveto
0.21741 0.34985 lineto
stroke
stroke
0.1993 0.39055 moveto
0 0 rlineto
0 0.31801 moveto
0.1993 0.39055 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.78259 0.65015 lineto
stroke
0.78259 0.65015 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.81299 0.56662 lineto
stroke
0.81299 0.56662 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.75847 0.68867 lineto
stroke
0.75847 0.68867 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.81927 0.52161 lineto
stroke
0.81927 0.52161 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.72775 0.72479 lineto
stroke
0.72775 0.72479 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.81896 0.4742 lineto
stroke
0.81896 0.4742 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.68922 0.75806 lineto
stroke
0.68922 0.75806 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.81083 0.42395 lineto
stroke
0.81083 0.42395 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.64036 0.78757 lineto
stroke
0.64036 0.78757 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.79237 0.36993 lineto
stroke
0.79237 0.36993 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.57501 0.81108 lineto
stroke
0.57501 0.81108 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.75742 0.30991 lineto
stroke
0.75742 0.30991 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.46398 0.81797 lineto
stroke
0.46398 0.81797 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.67679 0.23327 lineto
stroke
0.67679 0.23327 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.72627 0.72627 0 0 Mshowa
grestore
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 1.9868e-17 0.063715 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(2)] 0.4875 0.12743 1 0 Msboxa
[(4)] 0.4875 0.25486 1 0 Msboxa
[(6)] 0.4875 0.38229 1 0 Msboxa
[(8)] 0.4875 0.50972 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.12743 moveto
0.50625 0.12743 lineto
stroke
grestore
[(2)] 0.4875 0.12743 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.25486 moveto
0.50625 0.25486 lineto
stroke
grestore
[(4)] 0.4875 0.25486 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.38229 moveto
0.50625 0.38229 lineto
stroke
grestore
[(6)] 0.4875 0.38229 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.50972 moveto
0.50625 0.50972 lineto
stroke
grestore
[(8)] 0.4875 0.50972 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02549 moveto
0.50375 0.02549 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.05097 moveto
0.50375 0.05097 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07646 moveto
0.50375 0.07646 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.10194 moveto
0.50375 0.10194 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15292 moveto
0.50375 0.15292 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.1784 moveto
0.50375 0.1784 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20389 moveto
0.50375 0.20389 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22937 moveto
0.50375 0.22937 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.28035 moveto
0.50375 0.28035 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.30583 moveto
0.50375 0.30583 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.33132 moveto
0.50375 0.33132 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.3568 moveto
0.50375 0.3568 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40778 moveto
0.50375 0.40778 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43326 moveto
0.50375 0.43326 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45875 moveto
0.50375 0.45875 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.48423 moveto
0.50375 0.48423 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5352 moveto
0.50375 0.5352 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.56069 moveto
0.50375 0.56069 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58618 moveto
0.50375 0.58618 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.61166 moveto
0.50375 0.61166 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.03827 moveto
0.04365 0.03735 lineto
0.06349 0.03663 lineto
0.07341 0.03633 lineto
0.08333 0.03608 lineto
0.09325 0.03587 lineto
0.10317 0.0357 lineto
0.1131 0.03557 lineto
0.11806 0.03551 lineto
0.12302 0.03547 lineto
0.12798 0.03544 lineto
0.13046 0.03543 lineto
0.13294 0.03542 lineto
0.13542 0.03541 lineto
0.13666 0.0354 lineto
0.1379 0.0354 lineto
0.13914 0.0354 lineto
0.14038 0.0354 lineto
0.14162 0.0354 lineto
0.14286 0.0354 lineto
0.1441 0.0354 lineto
0.14534 0.0354 lineto
0.14658 0.0354 lineto
0.14782 0.0354 lineto
0.1503 0.03541 lineto
0.15278 0.03542 lineto
0.15526 0.03543 lineto
0.15774 0.03544 lineto
0.1627 0.03547 lineto
0.16766 0.03551 lineto
0.17262 0.03557 lineto
0.18254 0.0357 lineto
0.19246 0.03587 lineto
0.20238 0.03608 lineto
0.22222 0.03663 lineto
0.24206 0.03735 lineto
0.2619 0.03827 lineto
0.28175 0.03941 lineto
0.30159 0.04079 lineto
0.32143 0.04245 lineto
0.34127 0.04446 lineto
0.38095 0.04975 lineto
0.40079 0.05326 lineto
0.42063 0.05755 lineto
0.44048 0.06285 lineto
0.46032 0.06952 lineto
0.48016 0.07807 lineto
0.5 0.08934 lineto
0.51984 0.10466 lineto
0.53968 0.12633 lineto
Mistroke
0.5496 0.14072 lineto
0.55952 0.1584 lineto
0.57937 0.20724 lineto
0.59921 0.27498 lineto
0.60417 0.29172 lineto
0.60665 0.29919 lineto
0.60913 0.30575 lineto
0.61161 0.31117 lineto
0.61285 0.31337 lineto
0.61409 0.31522 lineto
0.61533 0.31667 lineto
0.61657 0.31772 lineto
0.61781 0.31836 lineto
0.61905 0.31857 lineto
0.62029 0.31836 lineto
0.62153 0.31772 lineto
0.62277 0.31667 lineto
0.62401 0.31522 lineto
0.62649 0.31117 lineto
0.62897 0.30575 lineto
0.63889 0.27498 lineto
0.65873 0.20724 lineto
0.67857 0.1584 lineto
0.68849 0.14072 lineto
0.69841 0.12633 lineto
0.71825 0.10466 lineto
0.7381 0.08934 lineto
0.75794 0.07807 lineto
0.77778 0.06952 lineto
0.79762 0.06285 lineto
0.81746 0.05755 lineto
0.8373 0.05326 lineto
0.85714 0.04975 lineto
0.87698 0.04686 lineto
0.89683 0.04446 lineto
0.93651 0.04079 lineto
0.95635 0.03941 lineto
0.97619 0.03827 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; endGroup; endGroup; animationSpeed = 8; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.36 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.83829 0.62313 lineto
stroke
0.83829 0.62313 moveto
0 0 rlineto
0.1491 0.41958 moveto
0 0 rlineto
0 0.36531 moveto
0.1491 0.41958 lineto
stroke
stroke
0.14178 0.46421 moveto
0 0 rlineto
0 0.41261 moveto
0.14178 0.46421 lineto
stroke
stroke
0.14017 0.51092 moveto
0 0 rlineto
0 0.45991 moveto
0.14017 0.51092 lineto
stroke
stroke
0.14503 0.55999 moveto
0 0 rlineto
0 0.5072 moveto
0.14503 0.55999 lineto
stroke
stroke
0.15785 0.61195 moveto
0 0 rlineto
0 0.5545 moveto
0.15785 0.61195 lineto
stroke
stroke
0.18153 0.66787 moveto
0 0 rlineto
0 0.6018 moveto
0.18153 0.66787 lineto
stroke
stroke
0.22338 0.7304 moveto
0 0 rlineto
0 0.64909 moveto
0.22338 0.7304 lineto
stroke
stroke
0.3254 0.81483 moveto
0 0 rlineto
0 0.69639 moveto
0.3254 0.81483 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
0.56861 0.1466 moveto
0 0 rlineto
0.16584 0 moveto
0.56861 0.1466 lineto
stroke
stroke
0.4362 0.1457 moveto
0 0 rlineto
0.03589 0 moveto
0.4362 0.1457 lineto
stroke
stroke
0.36395 0.1667 moveto
0 0 rlineto
0 0.03423 moveto
0.36395 0.1667 lineto
stroke
stroke
0.30986 0.19431 moveto
0 0 rlineto
0 0.08153 moveto
0.30986 0.19431 lineto
stroke
stroke
0.26664 0.22588 moveto
0 0 rlineto
0 0.12883 moveto
0.26664 0.22588 lineto
stroke
stroke
0.23137 0.26034 moveto
0 0 rlineto
0 0.17612 moveto
0.23137 0.26034 lineto
stroke
stroke
0.20259 0.29716 moveto
0 0 rlineto
0 0.22342 moveto
0.20259 0.29716 lineto
stroke
stroke
0.1795 0.33605 moveto
0 0 rlineto
0 0.27072 moveto
0.1795 0.33605 lineto
stroke
stroke
0.16171 0.37687 moveto
0 0 rlineto
0 0.31801 moveto
0.16171 0.37687 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.8205 0.66395 lineto
stroke
0.8205 0.66395 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.8509 0.58042 lineto
stroke
0.8509 0.58042 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.79741 0.70284 lineto
stroke
0.79741 0.70284 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.85822 0.53579 lineto
stroke
0.85822 0.53579 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.76863 0.73966 lineto
stroke
0.76863 0.73966 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.85983 0.48908 lineto
stroke
0.85983 0.48908 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.73336 0.77412 lineto
stroke
0.73336 0.77412 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.85497 0.44001 lineto
stroke
0.85497 0.44001 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.69014 0.80569 lineto
stroke
0.69014 0.80569 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.84215 0.38805 lineto
stroke
0.84215 0.38805 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.63605 0.8333 lineto
stroke
0.63605 0.8333 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.81847 0.33213 lineto
stroke
0.81847 0.33213 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.5638 0.8543 lineto
stroke
0.5638 0.8543 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.77662 0.2696 lineto
stroke
0.77662 0.2696 moveto
0 0 rlineto
stroke
0.83416 1 moveto
0.43139 0.8534 lineto
stroke
0.43139 0.8534 moveto
0 0 rlineto
stroke
1 0.30361 moveto
0.6746 0.18517 lineto
stroke
0.6746 0.18517 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.75456 0.75456 0 0 Mshowa
grestore
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 1.9868e-17 0.063715 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(2)] 0.4875 0.12743 1 0 Msboxa
[(4)] 0.4875 0.25486 1 0 Msboxa
[(6)] 0.4875 0.38229 1 0 Msboxa
[(8)] 0.4875 0.50972 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.12743 moveto
0.50625 0.12743 lineto
stroke
grestore
[(2)] 0.4875 0.12743 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.25486 moveto
0.50625 0.25486 lineto
stroke
grestore
[(4)] 0.4875 0.25486 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.38229 moveto
0.50625 0.38229 lineto
stroke
grestore
[(6)] 0.4875 0.38229 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.50972 moveto
0.50625 0.50972 lineto
stroke
grestore
[(8)] 0.4875 0.50972 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02549 moveto
0.50375 0.02549 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.05097 moveto
0.50375 0.05097 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07646 moveto
0.50375 0.07646 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.10194 moveto
0.50375 0.10194 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.15292 moveto
0.50375 0.15292 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.1784 moveto
0.50375 0.1784 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.20389 moveto
0.50375 0.20389 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22937 moveto
0.50375 0.22937 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.28035 moveto
0.50375 0.28035 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.30583 moveto
0.50375 0.30583 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.33132 moveto
0.50375 0.33132 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.3568 moveto
0.50375 0.3568 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.40778 moveto
0.50375 0.40778 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43326 moveto
0.50375 0.43326 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45875 moveto
0.50375 0.45875 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.48423 moveto
0.50375 0.48423 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.5352 moveto
0.50375 0.5352 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.56069 moveto
0.50375 0.56069 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58618 moveto
0.50375 0.58618 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.61166 moveto
0.50375 0.61166 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.03629 moveto
0.04365 0.03541 lineto
0.06349 0.03471 lineto
0.07341 0.03443 lineto
0.08333 0.03419 lineto
0.09325 0.03399 lineto
0.10317 0.03382 lineto
0.1131 0.0337 lineto
0.11806 0.03365 lineto
0.12302 0.03361 lineto
0.12798 0.03357 lineto
0.13046 0.03356 lineto
0.13294 0.03355 lineto
0.13542 0.03354 lineto
0.13666 0.03354 lineto
0.1379 0.03354 lineto
0.13914 0.03354 lineto
0.14038 0.03354 lineto
0.14162 0.03353 lineto
0.14286 0.03353 lineto
0.1441 0.03353 lineto
0.14534 0.03354 lineto
0.14658 0.03354 lineto
0.14782 0.03354 lineto
0.1503 0.03354 lineto
0.15278 0.03355 lineto
0.15526 0.03356 lineto
0.15774 0.03357 lineto
0.1627 0.03361 lineto
0.16766 0.03365 lineto
0.17262 0.0337 lineto
0.18254 0.03382 lineto
0.19246 0.03399 lineto
0.20238 0.03419 lineto
0.22222 0.03471 lineto
0.24206 0.03541 lineto
0.2619 0.03629 lineto
0.28175 0.03738 lineto
0.30159 0.0387 lineto
0.32143 0.04031 lineto
0.34127 0.04223 lineto
0.38095 0.04736 lineto
0.40079 0.05077 lineto
0.42063 0.05496 lineto
0.44048 0.06017 lineto
0.46032 0.06679 lineto
0.48016 0.07539 lineto
0.5 0.08693 lineto
0.50992 0.09428 lineto
0.51984 0.10309 lineto
Mistroke
0.53968 0.12714 lineto
0.5496 0.14405 lineto
0.55952 0.16617 lineto
0.56944 0.19614 lineto
0.57937 0.23856 lineto
0.58433 0.26682 lineto
0.58929 0.30174 lineto
0.59921 0.39979 lineto
0.60417 0.46633 lineto
0.60913 0.54132 lineto
0.61161 0.5776 lineto
0.61285 0.59399 lineto
0.61409 0.6085 lineto
Mfstroke
0.61507 0.61803 moveto
0.61409 0.6085 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
0.62303 0.61803 moveto
0.62401 0.6085 lineto
stroke
0.62401 0.6085 moveto
0.62649 0.5776 lineto
0.62897 0.54132 lineto
0.63393 0.46633 lineto
0.63889 0.39979 lineto
0.64385 0.34533 lineto
0.64881 0.30174 lineto
0.65377 0.26682 lineto
0.65873 0.23856 lineto
0.66865 0.19614 lineto
0.67857 0.16617 lineto
0.68849 0.14405 lineto
0.69841 0.12714 lineto
0.70833 0.11382 lineto
0.71825 0.10309 lineto
0.7381 0.08693 lineto
0.75794 0.07539 lineto
0.77778 0.06679 lineto
0.79762 0.06017 lineto
0.81746 0.05496 lineto
0.8373 0.05077 lineto
0.85714 0.04736 lineto
0.87698 0.04456 lineto
0.89683 0.04223 lineto
0.93651 0.0387 lineto
0.95635 0.03738 lineto
0.97619 0.03629 lineto
stroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example:  Animation of Single Zero System (Zero's Radius Varies)
:[font = text; inactive; ]
     The input cell below illustrates the effect of a zero approaching the unit circle on the magnitude of the frequency response. Notice that in this case we have a valley which becomes sharper and sharper as the zero approaches the unit circle.
:[font = input; preserveAspect; ]
Do[ Show[ GraphicsArray[ { 
             PoleZeroPlot[(z - r Exp[I Pi/4]),
                          z, 0, Infinity, True, 
                          Dialogue -> False,
                          Return -> Graphics,
                          DisplayFunction -> Identity ],
             MagPhasePlot[(Exp[I w] - r Exp[I Pi/4]), 
                          {w, -Pi, Pi}, 
                          PhaseRangeScale -> Null,
                          DisplayFunction -> Identity,
                          PlotRange -> {0,1} ] [[1]]
                         } ] ],
    {r, 0.1, 0.9, 0.1} ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; Cclosed; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; startGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0 0.31801 lineto
stroke
stroke
0 0.31801 moveto
1 0.68199 lineto
stroke
stroke
stroke
1 0.72928 moveto
0 0.36531 lineto
stroke
stroke
0 0.36531 moveto
1 0.72928 lineto
stroke
stroke
stroke
1 0.77658 moveto
0 0.41261 lineto
stroke
stroke
0 0.41261 moveto
1 0.77658 lineto
stroke
stroke
stroke
1 0.82388 moveto
0 0.45991 lineto
stroke
stroke
0 0.45991 moveto
1 0.82388 lineto
stroke
stroke
stroke
1 0.87117 moveto
0 0.5072 lineto
stroke
stroke
0 0.5072 moveto
1 0.87117 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
stroke
1 0.4928 moveto
0 0.12883 lineto
stroke
stroke
0 0.12883 moveto
1 0.4928 lineto
stroke
stroke
stroke
1 0.54009 moveto
0 0.17612 lineto
stroke
stroke
0 0.17612 moveto
1 0.54009 lineto
stroke
stroke
stroke
1 0.58739 moveto
0 0.22342 lineto
stroke
stroke
0 0.22342 moveto
1 0.58739 lineto
stroke
stroke
stroke
1 0.63469 moveto
0 0.27072 lineto
stroke
stroke
0 0.27072 moveto
1 0.63469 lineto
stroke
stroke
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.52828 0.52828 0 0 Mshowa
grestore
grestore
grestore
gsave
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 0 0.618034 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(0.2)] 0.4875 0.12361 1 0 Msboxa
[(0.4)] 0.4875 0.24721 1 0 Msboxa
[(0.6)] 0.4875 0.37082 1 0 Msboxa
[(0.8)] 0.4875 0.49443 1 0 Msboxa
[(1)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.12361 moveto
0.50625 0.12361 lineto
stroke
grestore
[(0.2)] 0.4875 0.12361 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.24721 moveto
0.50625 0.24721 lineto
stroke
grestore
[(0.4)] 0.4875 0.24721 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.37082 moveto
0.50625 0.37082 lineto
stroke
grestore
[(0.6)] 0.4875 0.37082 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.49443 moveto
0.50625 0.49443 lineto
stroke
grestore
[(0.8)] 0.4875 0.49443 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(1)] 0.4875 0.61803 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02472 moveto
0.50375 0.02472 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04944 moveto
0.50375 0.04944 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07416 moveto
0.50375 0.07416 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.09889 moveto
0.50375 0.09889 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.14833 moveto
0.50375 0.14833 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17305 moveto
0.50375 0.17305 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.19777 moveto
0.50375 0.19777 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22249 moveto
0.50375 0.22249 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.27193 moveto
0.50375 0.27193 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29666 moveto
0.50375 0.29666 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32138 moveto
0.50375 0.32138 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.3461 moveto
0.50375 0.3461 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.39554 moveto
0.50375 0.39554 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42026 moveto
0.50375 0.42026 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.44498 moveto
0.50375 0.44498 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46971 moveto
0.50375 0.46971 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.51915 moveto
0.50375 0.51915 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54387 moveto
0.50375 0.54387 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.56859 moveto
0.50375 0.56859 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59331 moveto
0.50375 0.59331 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
0.38854 0.61803 moveto
0.42063 0.60499 lineto
stroke
0.42063 0.60499 moveto
0.46032 0.58957 lineto
0.5 0.57599 lineto
0.51984 0.57024 lineto
0.53968 0.56536 lineto
0.55952 0.56143 lineto
0.56944 0.55986 lineto
0.57937 0.55857 lineto
0.58929 0.55755 lineto
0.59425 0.55715 lineto
0.59921 0.55682 lineto
0.60417 0.55656 lineto
0.60665 0.55646 lineto
0.60913 0.55638 lineto
0.61161 0.55631 lineto
0.61285 0.55629 lineto
0.61409 0.55627 lineto
0.61533 0.55625 lineto
0.61657 0.55624 lineto
0.61781 0.55623 lineto
0.61905 0.55623 lineto
0.62029 0.55623 lineto
0.62153 0.55624 lineto
0.62277 0.55625 lineto
0.62401 0.55627 lineto
0.62649 0.55631 lineto
0.62897 0.55638 lineto
0.63145 0.55646 lineto
0.63393 0.55656 lineto
0.63889 0.55682 lineto
0.64385 0.55715 lineto
0.64881 0.55755 lineto
0.65873 0.55857 lineto
0.67857 0.56143 lineto
0.69841 0.56536 lineto
0.7381 0.57599 lineto
0.77778 0.58957 lineto
0.81746 0.60499 lineto
stroke
0.84956 0.61803 moveto
0.81746 0.60499 lineto
stroke
stroke
stroke
stroke
stroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0 0.31801 lineto
stroke
stroke
0 0.31801 moveto
1 0.68199 lineto
stroke
stroke
stroke
1 0.72928 moveto
0 0.36531 lineto
stroke
stroke
0 0.36531 moveto
1 0.72928 lineto
stroke
stroke
stroke
1 0.77658 moveto
0 0.41261 lineto
stroke
stroke
0 0.41261 moveto
1 0.77658 lineto
stroke
stroke
stroke
1 0.82388 moveto
0 0.45991 lineto
stroke
stroke
0 0.45991 moveto
1 0.82388 lineto
stroke
stroke
stroke
1 0.87117 moveto
0 0.5072 lineto
stroke
stroke
0 0.5072 moveto
1 0.87117 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
stroke
1 0.4928 moveto
0 0.12883 lineto
stroke
stroke
0 0.12883 moveto
1 0.4928 lineto
stroke
stroke
stroke
1 0.54009 moveto
0 0.17612 lineto
stroke
stroke
0 0.17612 moveto
1 0.54009 lineto
stroke
stroke
stroke
1 0.58739 moveto
0 0.22342 lineto
stroke
stroke
0 0.22342 moveto
1 0.58739 lineto
stroke
stroke
stroke
1 0.63469 moveto
0 0.27072 lineto
stroke
stroke
0 0.27072 moveto
1 0.63469 lineto
stroke
stroke
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.55657 0.55657 0 0 Mshowa
grestore
grestore
grestore
gsave
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 0 0.618034 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(0.2)] 0.4875 0.12361 1 0 Msboxa
[(0.4)] 0.4875 0.24721 1 0 Msboxa
[(0.6)] 0.4875 0.37082 1 0 Msboxa
[(0.8)] 0.4875 0.49443 1 0 Msboxa
[(1)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.12361 moveto
0.50625 0.12361 lineto
stroke
grestore
[(0.2)] 0.4875 0.12361 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.24721 moveto
0.50625 0.24721 lineto
stroke
grestore
[(0.4)] 0.4875 0.24721 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.37082 moveto
0.50625 0.37082 lineto
stroke
grestore
[(0.6)] 0.4875 0.37082 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.49443 moveto
0.50625 0.49443 lineto
stroke
grestore
[(0.8)] 0.4875 0.49443 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(1)] 0.4875 0.61803 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02472 moveto
0.50375 0.02472 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04944 moveto
0.50375 0.04944 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07416 moveto
0.50375 0.07416 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.09889 moveto
0.50375 0.09889 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.14833 moveto
0.50375 0.14833 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17305 moveto
0.50375 0.17305 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.19777 moveto
0.50375 0.19777 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22249 moveto
0.50375 0.22249 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.27193 moveto
0.50375 0.27193 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29666 moveto
0.50375 0.29666 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32138 moveto
0.50375 0.32138 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.3461 moveto
0.50375 0.3461 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.39554 moveto
0.50375 0.39554 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42026 moveto
0.50375 0.42026 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.44498 moveto
0.50375 0.44498 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46971 moveto
0.50375 0.46971 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.51915 moveto
0.50375 0.51915 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54387 moveto
0.50375 0.54387 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.56859 moveto
0.50375 0.56859 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59331 moveto
0.50375 0.59331 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
0.39604 0.61803 moveto
0.42063 0.59808 lineto
stroke
0.42063 0.59808 moveto
0.46032 0.56644 lineto
0.5 0.53778 lineto
0.51984 0.52539 lineto
0.53968 0.51471 lineto
0.55952 0.50605 lineto
0.56944 0.50256 lineto
0.57937 0.49966 lineto
0.58929 0.49739 lineto
0.59425 0.49649 lineto
0.59921 0.49575 lineto
0.60417 0.49517 lineto
0.60665 0.49494 lineto
0.60913 0.49476 lineto
0.61161 0.49461 lineto
0.61285 0.49456 lineto
0.61409 0.49451 lineto
0.61533 0.49447 lineto
0.61657 0.49445 lineto
0.61781 0.49443 lineto
0.61905 0.49443 lineto
0.62029 0.49443 lineto
0.62153 0.49445 lineto
0.62277 0.49447 lineto
0.62401 0.49451 lineto
0.62649 0.49461 lineto
0.62897 0.49476 lineto
0.63145 0.49494 lineto
0.63393 0.49517 lineto
0.63889 0.49575 lineto
0.64385 0.49649 lineto
0.64881 0.49739 lineto
0.65873 0.49966 lineto
0.67857 0.50605 lineto
0.69841 0.51471 lineto
0.7381 0.53778 lineto
0.77778 0.56644 lineto
0.81746 0.59808 lineto
stroke
0.84206 0.61803 moveto
0.81746 0.59808 lineto
stroke
stroke
stroke
stroke
stroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0 0.31801 lineto
stroke
stroke
0 0.31801 moveto
1 0.68199 lineto
stroke
stroke
stroke
1 0.72928 moveto
0 0.36531 lineto
stroke
stroke
0 0.36531 moveto
1 0.72928 lineto
stroke
stroke
stroke
1 0.77658 moveto
0 0.41261 lineto
stroke
stroke
0 0.41261 moveto
1 0.77658 lineto
stroke
stroke
stroke
1 0.82388 moveto
0 0.45991 lineto
stroke
stroke
0 0.45991 moveto
1 0.82388 lineto
stroke
stroke
stroke
1 0.87117 moveto
0 0.5072 lineto
stroke
stroke
0 0.5072 moveto
1 0.87117 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
stroke
1 0.4928 moveto
0 0.12883 lineto
stroke
stroke
0 0.12883 moveto
1 0.4928 lineto
stroke
stroke
stroke
1 0.54009 moveto
0 0.17612 lineto
stroke
stroke
0 0.17612 moveto
1 0.54009 lineto
stroke
stroke
stroke
1 0.58739 moveto
0 0.22342 lineto
stroke
stroke
0 0.22342 moveto
1 0.58739 lineto
stroke
stroke
stroke
1 0.63469 moveto
0 0.27072 lineto
stroke
stroke
0 0.27072 moveto
1 0.63469 lineto
stroke
stroke
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.58485 0.58485 0 0 Mshowa
grestore
grestore
grestore
gsave
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 0 0.618034 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(0.2)] 0.4875 0.12361 1 0 Msboxa
[(0.4)] 0.4875 0.24721 1 0 Msboxa
[(0.6)] 0.4875 0.37082 1 0 Msboxa
[(0.8)] 0.4875 0.49443 1 0 Msboxa
[(1)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.12361 moveto
0.50625 0.12361 lineto
stroke
grestore
[(0.2)] 0.4875 0.12361 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.24721 moveto
0.50625 0.24721 lineto
stroke
grestore
[(0.4)] 0.4875 0.24721 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.37082 moveto
0.50625 0.37082 lineto
stroke
grestore
[(0.6)] 0.4875 0.37082 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.49443 moveto
0.50625 0.49443 lineto
stroke
grestore
[(0.8)] 0.4875 0.49443 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(1)] 0.4875 0.61803 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02472 moveto
0.50375 0.02472 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04944 moveto
0.50375 0.04944 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07416 moveto
0.50375 0.07416 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.09889 moveto
0.50375 0.09889 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.14833 moveto
0.50375 0.14833 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17305 moveto
0.50375 0.17305 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.19777 moveto
0.50375 0.19777 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22249 moveto
0.50375 0.22249 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.27193 moveto
0.50375 0.27193 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29666 moveto
0.50375 0.29666 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32138 moveto
0.50375 0.32138 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.3461 moveto
0.50375 0.3461 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.39554 moveto
0.50375 0.39554 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42026 moveto
0.50375 0.42026 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.44498 moveto
0.50375 0.44498 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46971 moveto
0.50375 0.46971 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.51915 moveto
0.50375 0.51915 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54387 moveto
0.50375 0.54387 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.56859 moveto
0.50375 0.56859 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59331 moveto
0.50375 0.59331 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
0.40358 0.61803 moveto
0.42063 0.59752 lineto
stroke
0.42063 0.59752 moveto
0.46032 0.54932 lineto
0.5 0.50427 lineto
0.51984 0.48428 lineto
0.53968 0.46676 lineto
0.55952 0.45234 lineto
0.56944 0.44646 lineto
0.57937 0.44156 lineto
0.58929 0.43768 lineto
0.59921 0.43488 lineto
0.60417 0.4339 lineto
0.60665 0.43351 lineto
0.60913 0.43319 lineto
0.61161 0.43294 lineto
0.61285 0.43285 lineto
0.61409 0.43277 lineto
0.61533 0.4327 lineto
0.61657 0.43266 lineto
0.61781 0.43263 lineto
0.61905 0.43262 lineto
0.62029 0.43263 lineto
0.62153 0.43266 lineto
0.62277 0.4327 lineto
0.62401 0.43277 lineto
0.62649 0.43294 lineto
0.62897 0.43319 lineto
0.63145 0.43351 lineto
0.63393 0.4339 lineto
0.63889 0.43488 lineto
0.64881 0.43768 lineto
0.65873 0.44156 lineto
0.67857 0.45234 lineto
0.69841 0.46676 lineto
0.7381 0.50427 lineto
0.77778 0.54932 lineto
0.81746 0.59752 lineto
stroke
0.83452 0.61803 moveto
0.81746 0.59752 lineto
stroke
stroke
stroke
stroke
stroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0 0.31801 lineto
stroke
stroke
0 0.31801 moveto
1 0.68199 lineto
stroke
stroke
stroke
1 0.72928 moveto
0 0.36531 lineto
stroke
stroke
0 0.36531 moveto
1 0.72928 lineto
stroke
stroke
stroke
1 0.77658 moveto
0 0.41261 lineto
stroke
stroke
0 0.41261 moveto
1 0.77658 lineto
stroke
stroke
stroke
1 0.82388 moveto
0 0.45991 lineto
stroke
stroke
0 0.45991 moveto
1 0.82388 lineto
stroke
stroke
stroke
1 0.87117 moveto
0 0.5072 lineto
stroke
stroke
0 0.5072 moveto
1 0.87117 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
stroke
1 0.4928 moveto
0 0.12883 lineto
stroke
stroke
0 0.12883 moveto
1 0.4928 lineto
stroke
stroke
stroke
1 0.54009 moveto
0 0.17612 lineto
stroke
stroke
0 0.17612 moveto
1 0.54009 lineto
stroke
stroke
stroke
1 0.58739 moveto
0 0.22342 lineto
stroke
stroke
0 0.22342 moveto
1 0.58739 lineto
stroke
stroke
stroke
1 0.63469 moveto
0 0.27072 lineto
stroke
stroke
0 0.27072 moveto
1 0.63469 lineto
stroke
stroke
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.61314 0.61314 0 0 Mshowa
grestore
grestore
grestore
gsave
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 0 0.618034 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(0.2)] 0.4875 0.12361 1 0 Msboxa
[(0.4)] 0.4875 0.24721 1 0 Msboxa
[(0.6)] 0.4875 0.37082 1 0 Msboxa
[(0.8)] 0.4875 0.49443 1 0 Msboxa
[(1)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.12361 moveto
0.50625 0.12361 lineto
stroke
grestore
[(0.2)] 0.4875 0.12361 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.24721 moveto
0.50625 0.24721 lineto
stroke
grestore
[(0.4)] 0.4875 0.24721 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.37082 moveto
0.50625 0.37082 lineto
stroke
grestore
[(0.6)] 0.4875 0.37082 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.49443 moveto
0.50625 0.49443 lineto
stroke
grestore
[(0.8)] 0.4875 0.49443 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(1)] 0.4875 0.61803 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02472 moveto
0.50375 0.02472 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04944 moveto
0.50375 0.04944 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07416 moveto
0.50375 0.07416 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.09889 moveto
0.50375 0.09889 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.14833 moveto
0.50375 0.14833 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17305 moveto
0.50375 0.17305 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.19777 moveto
0.50375 0.19777 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22249 moveto
0.50375 0.22249 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.27193 moveto
0.50375 0.27193 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29666 moveto
0.50375 0.29666 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32138 moveto
0.50375 0.32138 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.3461 moveto
0.50375 0.3461 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.39554 moveto
0.50375 0.39554 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42026 moveto
0.50375 0.42026 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.44498 moveto
0.50375 0.44498 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46971 moveto
0.50375 0.46971 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.51915 moveto
0.50375 0.51915 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54387 moveto
0.50375 0.54387 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.56859 moveto
0.50375 0.56859 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59331 moveto
0.50375 0.59331 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
0.41127 0.61803 moveto
0.42063 0.60332 lineto
stroke
0.42063 0.60332 moveto
0.46032 0.53879 lineto
0.5 0.47645 lineto
0.51984 0.44794 lineto
0.53968 0.42243 lineto
0.55952 0.40096 lineto
0.56944 0.39208 lineto
0.57937 0.3846 lineto
0.58929 0.37865 lineto
0.59921 0.37433 lineto
0.60417 0.3728 lineto
0.60665 0.3722 lineto
0.60913 0.3717 lineto
0.61161 0.37132 lineto
0.61285 0.37116 lineto
0.61409 0.37104 lineto
0.61533 0.37094 lineto
0.61657 0.37088 lineto
0.61781 0.37083 lineto
0.61905 0.37082 lineto
0.62029 0.37083 lineto
0.62153 0.37088 lineto
0.62277 0.37094 lineto
0.62401 0.37104 lineto
0.62649 0.37132 lineto
0.62897 0.3717 lineto
0.63145 0.3722 lineto
0.63393 0.3728 lineto
0.63889 0.37433 lineto
0.64881 0.37865 lineto
0.65873 0.3846 lineto
0.67857 0.40096 lineto
0.69841 0.42243 lineto
0.7381 0.47645 lineto
0.77778 0.53879 lineto
0.81746 0.60332 lineto
stroke
0.82683 0.61803 moveto
0.81746 0.60332 lineto
stroke
stroke
stroke
stroke
stroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0 0.31801 lineto
stroke
stroke
0 0.31801 moveto
1 0.68199 lineto
stroke
stroke
stroke
1 0.72928 moveto
0 0.36531 lineto
stroke
stroke
0 0.36531 moveto
1 0.72928 lineto
stroke
stroke
stroke
1 0.77658 moveto
0 0.41261 lineto
stroke
stroke
0 0.41261 moveto
1 0.77658 lineto
stroke
stroke
stroke
1 0.82388 moveto
0 0.45991 lineto
stroke
stroke
0 0.45991 moveto
1 0.82388 lineto
stroke
stroke
stroke
1 0.87117 moveto
0 0.5072 lineto
stroke
stroke
0 0.5072 moveto
1 0.87117 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
stroke
1 0.4928 moveto
0 0.12883 lineto
stroke
stroke
0 0.12883 moveto
1 0.4928 lineto
stroke
stroke
stroke
1 0.54009 moveto
0 0.17612 lineto
stroke
stroke
0 0.17612 moveto
1 0.54009 lineto
stroke
stroke
stroke
1 0.58739 moveto
0 0.22342 lineto
stroke
stroke
0 0.22342 moveto
1 0.58739 lineto
stroke
stroke
stroke
1 0.63469 moveto
0 0.27072 lineto
stroke
stroke
0 0.27072 moveto
1 0.63469 lineto
stroke
stroke
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.64142 0.64142 0 0 Mshowa
grestore
grestore
grestore
gsave
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 0 0.618034 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(0.2)] 0.4875 0.12361 1 0 Msboxa
[(0.4)] 0.4875 0.24721 1 0 Msboxa
[(0.6)] 0.4875 0.37082 1 0 Msboxa
[(0.8)] 0.4875 0.49443 1 0 Msboxa
[(1)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.12361 moveto
0.50625 0.12361 lineto
stroke
grestore
[(0.2)] 0.4875 0.12361 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.24721 moveto
0.50625 0.24721 lineto
stroke
grestore
[(0.4)] 0.4875 0.24721 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.37082 moveto
0.50625 0.37082 lineto
stroke
grestore
[(0.6)] 0.4875 0.37082 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.49443 moveto
0.50625 0.49443 lineto
stroke
grestore
[(0.8)] 0.4875 0.49443 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(1)] 0.4875 0.61803 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02472 moveto
0.50375 0.02472 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04944 moveto
0.50375 0.04944 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07416 moveto
0.50375 0.07416 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.09889 moveto
0.50375 0.09889 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.14833 moveto
0.50375 0.14833 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17305 moveto
0.50375 0.17305 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.19777 moveto
0.50375 0.19777 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22249 moveto
0.50375 0.22249 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.27193 moveto
0.50375 0.27193 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29666 moveto
0.50375 0.29666 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32138 moveto
0.50375 0.32138 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.3461 moveto
0.50375 0.3461 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.39554 moveto
0.50375 0.39554 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42026 moveto
0.50375 0.42026 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.44498 moveto
0.50375 0.44498 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46971 moveto
0.50375 0.46971 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.51915 moveto
0.50375 0.51915 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54387 moveto
0.50375 0.54387 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.56859 moveto
0.50375 0.56859 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59331 moveto
0.50375 0.59331 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
0.4192 0.61803 moveto
0.42063 0.6153 lineto
stroke
0.42063 0.6153 moveto
0.46032 0.53523 lineto
0.5 0.45538 lineto
0.53968 0.38297 lineto
0.55952 0.35294 lineto
0.56944 0.34024 lineto
0.57937 0.3294 lineto
0.58929 0.32067 lineto
0.59921 0.31426 lineto
0.60417 0.31198 lineto
0.60665 0.31108 lineto
0.60913 0.31034 lineto
0.61161 0.30976 lineto
0.61285 0.30953 lineto
0.61409 0.30935 lineto
0.61533 0.3092 lineto
0.61657 0.3091 lineto
0.61781 0.30904 lineto
0.61905 0.30902 lineto
0.62029 0.30904 lineto
0.62153 0.3091 lineto
0.62277 0.3092 lineto
0.62401 0.30935 lineto
0.62649 0.30976 lineto
0.62897 0.31034 lineto
0.63145 0.31108 lineto
0.63393 0.31198 lineto
0.63889 0.31426 lineto
0.64881 0.32067 lineto
0.65873 0.3294 lineto
0.67857 0.35294 lineto
0.69841 0.38297 lineto
0.7381 0.45538 lineto
0.77778 0.53523 lineto
0.81746 0.6153 lineto
stroke
0.81889 0.61803 moveto
0.81746 0.6153 lineto
stroke
stroke
stroke
stroke
stroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0 0.31801 lineto
stroke
stroke
0 0.31801 moveto
1 0.68199 lineto
stroke
stroke
stroke
1 0.72928 moveto
0 0.36531 lineto
stroke
stroke
0 0.36531 moveto
1 0.72928 lineto
stroke
stroke
stroke
1 0.77658 moveto
0 0.41261 lineto
stroke
stroke
0 0.41261 moveto
1 0.77658 lineto
stroke
stroke
stroke
1 0.82388 moveto
0 0.45991 lineto
stroke
stroke
0 0.45991 moveto
1 0.82388 lineto
stroke
stroke
stroke
1 0.87117 moveto
0 0.5072 lineto
stroke
stroke
0 0.5072 moveto
1 0.87117 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
stroke
1 0.4928 moveto
0 0.12883 lineto
stroke
stroke
0 0.12883 moveto
1 0.4928 lineto
stroke
stroke
stroke
1 0.54009 moveto
0 0.17612 lineto
stroke
stroke
0 0.17612 moveto
1 0.54009 lineto
stroke
stroke
stroke
1 0.58739 moveto
0 0.22342 lineto
stroke
stroke
0 0.22342 moveto
1 0.58739 lineto
stroke
stroke
stroke
1 0.63469 moveto
0 0.27072 lineto
stroke
stroke
0 0.27072 moveto
1 0.63469 lineto
stroke
stroke
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.66971 0.66971 0 0 Mshowa
grestore
grestore
grestore
gsave
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 0 0.618034 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(0.2)] 0.4875 0.12361 1 0 Msboxa
[(0.4)] 0.4875 0.24721 1 0 Msboxa
[(0.6)] 0.4875 0.37082 1 0 Msboxa
[(0.8)] 0.4875 0.49443 1 0 Msboxa
[(1)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.12361 moveto
0.50625 0.12361 lineto
stroke
grestore
[(0.2)] 0.4875 0.12361 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.24721 moveto
0.50625 0.24721 lineto
stroke
grestore
[(0.4)] 0.4875 0.24721 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.37082 moveto
0.50625 0.37082 lineto
stroke
grestore
[(0.6)] 0.4875 0.37082 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.49443 moveto
0.50625 0.49443 lineto
stroke
grestore
[(0.8)] 0.4875 0.49443 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(1)] 0.4875 0.61803 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02472 moveto
0.50375 0.02472 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04944 moveto
0.50375 0.04944 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07416 moveto
0.50375 0.07416 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.09889 moveto
0.50375 0.09889 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.14833 moveto
0.50375 0.14833 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17305 moveto
0.50375 0.17305 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.19777 moveto
0.50375 0.19777 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22249 moveto
0.50375 0.22249 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.27193 moveto
0.50375 0.27193 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29666 moveto
0.50375 0.29666 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32138 moveto
0.50375 0.32138 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.3461 moveto
0.50375 0.3461 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.39554 moveto
0.50375 0.39554 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42026 moveto
0.50375 0.42026 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.44498 moveto
0.50375 0.44498 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46971 moveto
0.50375 0.46971 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.51915 moveto
0.50375 0.51915 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54387 moveto
0.50375 0.54387 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.56859 moveto
0.50375 0.56859 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59331 moveto
0.50375 0.59331 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
0.42698 0.61803 moveto
0.46032 0.53879 lineto
stroke
0.46032 0.53879 moveto
0.5 0.442 lineto
0.53968 0.35003 lineto
0.55952 0.30985 lineto
0.56944 0.2923 lineto
0.57937 0.27701 lineto
0.58929 0.26443 lineto
0.59921 0.25502 lineto
0.60417 0.25164 lineto
0.60665 0.2503 lineto
0.60913 0.24919 lineto
0.61161 0.24833 lineto
0.61285 0.24799 lineto
0.61409 0.24771 lineto
0.61533 0.24749 lineto
0.61657 0.24734 lineto
0.61781 0.24724 lineto
0.61905 0.24721 lineto
0.62029 0.24724 lineto
0.62153 0.24734 lineto
0.62277 0.24749 lineto
0.62401 0.24771 lineto
0.62649 0.24833 lineto
0.62897 0.24919 lineto
0.63393 0.25164 lineto
0.63889 0.25502 lineto
0.64881 0.26443 lineto
0.65873 0.27701 lineto
0.67857 0.30985 lineto
0.69841 0.35003 lineto
0.7381 0.442 lineto
0.77778 0.53879 lineto
stroke
0.81111 0.61803 moveto
0.77778 0.53879 lineto
stroke
stroke
stroke
stroke
stroke
stroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0 0.31801 lineto
stroke
stroke
0 0.31801 moveto
1 0.68199 lineto
stroke
stroke
stroke
1 0.72928 moveto
0 0.36531 lineto
stroke
stroke
0 0.36531 moveto
1 0.72928 lineto
stroke
stroke
stroke
1 0.77658 moveto
0 0.41261 lineto
stroke
stroke
0 0.41261 moveto
1 0.77658 lineto
stroke
stroke
stroke
1 0.82388 moveto
0 0.45991 lineto
stroke
stroke
0 0.45991 moveto
1 0.82388 lineto
stroke
stroke
stroke
1 0.87117 moveto
0 0.5072 lineto
stroke
stroke
0 0.5072 moveto
1 0.87117 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
stroke
1 0.4928 moveto
0 0.12883 lineto
stroke
stroke
0 0.12883 moveto
1 0.4928 lineto
stroke
stroke
stroke
1 0.54009 moveto
0 0.17612 lineto
stroke
stroke
0 0.17612 moveto
1 0.54009 lineto
stroke
stroke
stroke
1 0.58739 moveto
0 0.22342 lineto
stroke
stroke
0 0.22342 moveto
1 0.58739 lineto
stroke
stroke
stroke
1 0.63469 moveto
0 0.27072 lineto
stroke
stroke
0 0.27072 moveto
1 0.63469 lineto
stroke
stroke
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.69799 0.69799 0 0 Mshowa
grestore
grestore
grestore
gsave
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 0 0.618034 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(0.2)] 0.4875 0.12361 1 0 Msboxa
[(0.4)] 0.4875 0.24721 1 0 Msboxa
[(0.6)] 0.4875 0.37082 1 0 Msboxa
[(0.8)] 0.4875 0.49443 1 0 Msboxa
[(1)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.12361 moveto
0.50625 0.12361 lineto
stroke
grestore
[(0.2)] 0.4875 0.12361 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.24721 moveto
0.50625 0.24721 lineto
stroke
grestore
[(0.4)] 0.4875 0.24721 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.37082 moveto
0.50625 0.37082 lineto
stroke
grestore
[(0.6)] 0.4875 0.37082 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.49443 moveto
0.50625 0.49443 lineto
stroke
grestore
[(0.8)] 0.4875 0.49443 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(1)] 0.4875 0.61803 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02472 moveto
0.50375 0.02472 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04944 moveto
0.50375 0.04944 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07416 moveto
0.50375 0.07416 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.09889 moveto
0.50375 0.09889 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.14833 moveto
0.50375 0.14833 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17305 moveto
0.50375 0.17305 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.19777 moveto
0.50375 0.19777 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22249 moveto
0.50375 0.22249 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.27193 moveto
0.50375 0.27193 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29666 moveto
0.50375 0.29666 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32138 moveto
0.50375 0.32138 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.3461 moveto
0.50375 0.3461 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.39554 moveto
0.50375 0.39554 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42026 moveto
0.50375 0.42026 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.44498 moveto
0.50375 0.44498 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46971 moveto
0.50375 0.46971 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.51915 moveto
0.50375 0.51915 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54387 moveto
0.50375 0.54387 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.56859 moveto
0.50375 0.56859 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59331 moveto
0.50375 0.59331 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
0.43483 0.61803 moveto
0.46032 0.54932 lineto
stroke
0.46032 0.54932 moveto
0.5 0.43704 lineto
0.53968 0.32561 lineto
0.55952 0.27401 lineto
0.57937 0.22934 lineto
0.58929 0.21131 lineto
0.59921 0.19736 lineto
0.60417 0.19223 lineto
0.60665 0.19017 lineto
0.60913 0.18847 lineto
0.61161 0.18714 lineto
0.61285 0.18661 lineto
0.61409 0.18618 lineto
0.61533 0.18584 lineto
0.61657 0.1856 lineto
0.61781 0.18546 lineto
0.61905 0.18541 lineto
0.62029 0.18546 lineto
0.62153 0.1856 lineto
0.62277 0.18584 lineto
0.62401 0.18618 lineto
0.62649 0.18714 lineto
0.62897 0.18847 lineto
0.63393 0.19223 lineto
0.63889 0.19736 lineto
0.64881 0.21131 lineto
0.65873 0.22934 lineto
0.69841 0.32561 lineto
0.7381 0.43704 lineto
0.77778 0.54932 lineto
stroke
0.80327 0.61803 moveto
0.77778 0.54932 lineto
stroke
stroke
stroke
stroke
stroke
stroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0 0.31801 lineto
stroke
stroke
0 0.31801 moveto
1 0.68199 lineto
stroke
stroke
stroke
1 0.72928 moveto
0 0.36531 lineto
stroke
stroke
0 0.36531 moveto
1 0.72928 lineto
stroke
stroke
stroke
1 0.77658 moveto
0 0.41261 lineto
stroke
stroke
0 0.41261 moveto
1 0.77658 lineto
stroke
stroke
stroke
1 0.82388 moveto
0 0.45991 lineto
stroke
stroke
0 0.45991 moveto
1 0.82388 lineto
stroke
stroke
stroke
1 0.87117 moveto
0 0.5072 lineto
stroke
stroke
0 0.5072 moveto
1 0.87117 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
stroke
1 0.4928 moveto
0 0.12883 lineto
stroke
stroke
0 0.12883 moveto
1 0.4928 lineto
stroke
stroke
stroke
1 0.54009 moveto
0 0.17612 lineto
stroke
stroke
0 0.17612 moveto
1 0.54009 lineto
stroke
stroke
stroke
1 0.58739 moveto
0 0.22342 lineto
stroke
stroke
0 0.22342 moveto
1 0.58739 lineto
stroke
stroke
stroke
1 0.63469 moveto
0 0.27072 lineto
stroke
stroke
0 0.27072 moveto
1 0.63469 lineto
stroke
stroke
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.72627 0.72627 0 0 Mshowa
grestore
grestore
grestore
gsave
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 0 0.618034 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(0.2)] 0.4875 0.12361 1 0 Msboxa
[(0.4)] 0.4875 0.24721 1 0 Msboxa
[(0.6)] 0.4875 0.37082 1 0 Msboxa
[(0.8)] 0.4875 0.49443 1 0 Msboxa
[(1)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.12361 moveto
0.50625 0.12361 lineto
stroke
grestore
[(0.2)] 0.4875 0.12361 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.24721 moveto
0.50625 0.24721 lineto
stroke
grestore
[(0.4)] 0.4875 0.24721 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.37082 moveto
0.50625 0.37082 lineto
stroke
grestore
[(0.6)] 0.4875 0.37082 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.49443 moveto
0.50625 0.49443 lineto
stroke
grestore
[(0.8)] 0.4875 0.49443 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(1)] 0.4875 0.61803 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02472 moveto
0.50375 0.02472 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04944 moveto
0.50375 0.04944 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07416 moveto
0.50375 0.07416 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.09889 moveto
0.50375 0.09889 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.14833 moveto
0.50375 0.14833 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17305 moveto
0.50375 0.17305 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.19777 moveto
0.50375 0.19777 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22249 moveto
0.50375 0.22249 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.27193 moveto
0.50375 0.27193 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29666 moveto
0.50375 0.29666 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32138 moveto
0.50375 0.32138 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.3461 moveto
0.50375 0.3461 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.39554 moveto
0.50375 0.39554 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42026 moveto
0.50375 0.42026 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.44498 moveto
0.50375 0.44498 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46971 moveto
0.50375 0.46971 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.51915 moveto
0.50375 0.51915 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54387 moveto
0.50375 0.54387 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.56859 moveto
0.50375 0.56859 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59331 moveto
0.50375 0.59331 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
0.44294 0.61803 moveto
0.46032 0.56644 lineto
stroke
0.46032 0.56644 moveto
0.5 0.44077 lineto
0.53968 0.3117 lineto
0.57937 0.19001 lineto
0.58929 0.16438 lineto
0.59921 0.1432 lineto
0.60417 0.13499 lineto
0.60665 0.13162 lineto
0.60913 0.12879 lineto
0.61161 0.12655 lineto
0.61285 0.12566 lineto
0.61409 0.12492 lineto
0.61533 0.12435 lineto
0.61657 0.12394 lineto
0.61781 0.12369 lineto
0.61905 0.12361 lineto
0.62029 0.12369 lineto
0.62153 0.12394 lineto
0.62277 0.12435 lineto
0.62401 0.12492 lineto
0.62649 0.12655 lineto
0.62897 0.12879 lineto
0.63393 0.13499 lineto
0.63889 0.1432 lineto
0.64881 0.16438 lineto
0.65873 0.19001 lineto
0.69841 0.3117 lineto
0.7381 0.44077 lineto
0.77778 0.56644 lineto
stroke
0.79515 0.61803 moveto
0.77778 0.56644 lineto
stroke
stroke
stroke
stroke
stroke
stroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; endGroup; endGroup; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0 0.31801 lineto
stroke
stroke
0 0.31801 moveto
1 0.68199 lineto
stroke
stroke
stroke
1 0.72928 moveto
0 0.36531 lineto
stroke
stroke
0 0.36531 moveto
1 0.72928 lineto
stroke
stroke
stroke
1 0.77658 moveto
0 0.41261 lineto
stroke
stroke
0 0.41261 moveto
1 0.77658 lineto
stroke
stroke
stroke
1 0.82388 moveto
0 0.45991 lineto
stroke
stroke
0 0.45991 moveto
1 0.82388 lineto
stroke
stroke
stroke
1 0.87117 moveto
0 0.5072 lineto
stroke
stroke
0 0.5072 moveto
1 0.87117 lineto
stroke
stroke
stroke
1 0.91847 moveto
0 0.5545 lineto
stroke
stroke
0 0.5545 moveto
1 0.91847 lineto
stroke
stroke
stroke
1 0.96577 moveto
0 0.6018 lineto
stroke
stroke
0 0.6018 moveto
1 0.96577 lineto
stroke
stroke
stroke
0.96411 1 moveto
0 0.64909 lineto
stroke
stroke
0 0.64909 moveto
0.96411 1 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
stroke
1 0.35091 moveto
0.03589 0 lineto
stroke
stroke
0.03589 0 moveto
1 0.35091 lineto
stroke
stroke
stroke
1 0.3982 moveto
0 0.03423 lineto
stroke
stroke
0 0.03423 moveto
1 0.3982 lineto
stroke
stroke
stroke
1 0.4455 moveto
0 0.08153 lineto
stroke
stroke
0 0.08153 moveto
1 0.4455 lineto
stroke
stroke
stroke
1 0.4928 moveto
0 0.12883 lineto
stroke
stroke
0 0.12883 moveto
1 0.4928 lineto
stroke
stroke
stroke
1 0.54009 moveto
0 0.17612 lineto
stroke
stroke
0 0.17612 moveto
1 0.54009 lineto
stroke
stroke
stroke
1 0.58739 moveto
0 0.22342 lineto
stroke
stroke
0 0.22342 moveto
1 0.58739 lineto
stroke
stroke
stroke
1 0.63469 moveto
0 0.27072 lineto
stroke
stroke
0 0.27072 moveto
1 0.63469 lineto
stroke
stroke
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.75456 0.75456 0 0 Mshowa
grestore
grestore
grestore
gsave
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 0 0.618034 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(0.2)] 0.4875 0.12361 1 0 Msboxa
[(0.4)] 0.4875 0.24721 1 0 Msboxa
[(0.6)] 0.4875 0.37082 1 0 Msboxa
[(0.8)] 0.4875 0.49443 1 0 Msboxa
[(1)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.12361 moveto
0.50625 0.12361 lineto
stroke
grestore
[(0.2)] 0.4875 0.12361 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.24721 moveto
0.50625 0.24721 lineto
stroke
grestore
[(0.4)] 0.4875 0.24721 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.37082 moveto
0.50625 0.37082 lineto
stroke
grestore
[(0.6)] 0.4875 0.37082 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.49443 moveto
0.50625 0.49443 lineto
stroke
grestore
[(0.8)] 0.4875 0.49443 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(1)] 0.4875 0.61803 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.02472 moveto
0.50375 0.02472 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.04944 moveto
0.50375 0.04944 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.07416 moveto
0.50375 0.07416 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.09889 moveto
0.50375 0.09889 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.14833 moveto
0.50375 0.14833 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.17305 moveto
0.50375 0.17305 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.19777 moveto
0.50375 0.19777 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22249 moveto
0.50375 0.22249 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.27193 moveto
0.50375 0.27193 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.29666 moveto
0.50375 0.29666 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32138 moveto
0.50375 0.32138 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.3461 moveto
0.50375 0.3461 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.39554 moveto
0.50375 0.39554 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42026 moveto
0.50375 0.42026 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.44498 moveto
0.50375 0.44498 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46971 moveto
0.50375 0.46971 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.51915 moveto
0.50375 0.51915 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54387 moveto
0.50375 0.54387 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.56859 moveto
0.50375 0.56859 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59331 moveto
0.50375 0.59331 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
0.45142 0.61803 moveto
0.46032 0.58957 lineto
stroke
0.46032 0.58957 moveto
0.5 0.45298 lineto
0.53968 0.30973 lineto
0.57937 0.16507 lineto
0.59921 0.0985 lineto
0.60417 0.08444 lineto
0.60665 0.07823 lineto
0.60913 0.07274 lineto
0.61161 0.06818 lineto
0.61285 0.06629 lineto
0.61409 0.06471 lineto
0.61533 0.06346 lineto
0.61657 0.06254 lineto
0.61781 0.06199 lineto
0.61905 0.0618 lineto
0.62029 0.06199 lineto
0.62153 0.06254 lineto
0.62277 0.06346 lineto
0.62401 0.06471 lineto
0.62649 0.06818 lineto
0.62897 0.07274 lineto
0.63889 0.0985 lineto
0.65873 0.16507 lineto
0.69841 0.30973 lineto
0.7381 0.45298 lineto
0.77778 0.58957 lineto
stroke
0.78668 0.61803 moveto
0.77778 0.58957 lineto
stroke
stroke
stroke
stroke
stroke
stroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = text; ]
     Just as the nearness to the unit circle of a pole (zero) controls the height (depth) and width of the peak (valley), the phase of the pole (zero) controls the horizontal position of the peak (valley).  This is illustrated by the following example.
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example:  Animation of Single Pole System (Pole's Phase Varies)
:[font = text; inactive; ]
     Animate the following graphs by placing the cursor on the graph to be animated and double click.  Note that both graphs will be animated at the same time, showing the relationship between the location of the pole and the response.  The speed of the animation can be controlled by typing a number from 1 (slowest) to 9 (fastest).  Typing 0 or clicking the mouse once will stop the animation.
     Note that you can change the transfer function used in the input cells and obtain other desired graphics cells to be animated.
:[font = input; preserveAspect; ]

Do[ Show[ GraphicsArray[ { 
             PoleZeroPlot[1/(z - 0.8 Exp[I A]),
                          z, 0.8, Infinity, True, 
                          Dialogue -> False,
                          Return -> Graphics,
                          DisplayFunction -> Identity ],
             MagPhasePlot[1/(Exp[I w] - 0.8 Exp[I A]), 
                          {w, -Pi, Pi}, 
                          PhaseRangeScale -> Null,
                          DisplayFunction -> Identity,
                          PlotRange -> {0,6} ] [[1]]
                         } ] ],
    {A, -Pi, Pi, Pi/3} ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; Cclosed; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; startGroup; animationSpeed = 8; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.32 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.8007 0.60945 lineto
stroke
0.8007 0.60945 moveto
0 0 rlineto
0.18701 0.43338 moveto
0 0 rlineto
0 0.36531 moveto
0.18701 0.43338 lineto
stroke
stroke
0.18073 0.47839 moveto
0 0 rlineto
0 0.41261 moveto
0.18073 0.47839 lineto
stroke
stroke
0.18104 0.5258 moveto
0 0 rlineto
0 0.45991 moveto
0.18104 0.5258 lineto
stroke
stroke
0.18917 0.57605 moveto
0 0 rlineto
0 0.5072 moveto
0.18917 0.57605 lineto
stroke
stroke
0.20763 0.63007 moveto
0 0 rlineto
0 0.5545 moveto
0.20763 0.63007 lineto
stroke
stroke
0.24258 0.69009 moveto
0 0 rlineto
0 0.6018 moveto
0.24258 0.69009 lineto
stroke
stroke
0.32321 0.76673 moveto
0 0 rlineto
0 0.64909 moveto
0.32321 0.76673 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
0.53602 0.18203 moveto
0 0 rlineto
0.03589 0 moveto
0.53602 0.18203 lineto
stroke
stroke
0.42499 0.18892 moveto
0 0 rlineto
0 0.03423 moveto
0.42499 0.18892 lineto
stroke
stroke
0.35964 0.21243 moveto
0 0 rlineto
0 0.08153 moveto
0.35964 0.21243 lineto
stroke
stroke
0.31078 0.24194 moveto
0 0 rlineto
0 0.12883 moveto
0.31078 0.24194 lineto
stroke
stroke
0.27225 0.27521 moveto
0 0 rlineto
0 0.17612 moveto
0.27225 0.27521 lineto
stroke
stroke
0.24153 0.31133 moveto
0 0 rlineto
0 0.22342 moveto
0.24153 0.31133 lineto
stroke
stroke
0.21741 0.34985 moveto
0 0 rlineto
0 0.27072 moveto
0.21741 0.34985 lineto
stroke
stroke
0.1993 0.39055 moveto
0 0 rlineto
0 0.31801 moveto
0.1993 0.39055 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.78259 0.65015 lineto
stroke
0.78259 0.65015 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.81299 0.56662 lineto
stroke
0.81299 0.56662 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.75847 0.68867 lineto
stroke
0.75847 0.68867 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.81927 0.52161 lineto
stroke
0.81927 0.52161 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.72775 0.72479 lineto
stroke
0.72775 0.72479 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.81896 0.4742 lineto
stroke
0.81896 0.4742 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.68922 0.75806 lineto
stroke
0.68922 0.75806 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.81083 0.42395 lineto
stroke
0.81083 0.42395 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.64036 0.78757 lineto
stroke
0.64036 0.78757 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.79237 0.36993 lineto
stroke
0.79237 0.36993 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.57501 0.81108 lineto
stroke
0.57501 0.81108 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.75742 0.30991 lineto
stroke
0.75742 0.30991 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.46398 0.81797 lineto
stroke
0.46398 0.81797 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.67679 0.23327 lineto
stroke
0.67679 0.23327 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.18 0.5 0 0 Mshowa
grestore
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 0 0.103006 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.10301 1 0 Msboxa
[(2)] 0.4875 0.20601 1 0 Msboxa
[(3)] 0.4875 0.30902 1 0 Msboxa
[(4)] 0.4875 0.41202 1 0 Msboxa
[(5)] 0.4875 0.51503 1 0 Msboxa
[(6)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.10301 moveto
0.50625 0.10301 lineto
stroke
grestore
[(1)] 0.4875 0.10301 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.20601 moveto
0.50625 0.20601 lineto
stroke
grestore
[(2)] 0.4875 0.20601 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.30902 moveto
0.50625 0.30902 lineto
stroke
grestore
[(3)] 0.4875 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.41202 moveto
0.50625 0.41202 lineto
stroke
grestore
[(4)] 0.4875 0.41202 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.51503 moveto
0.50625 0.51503 lineto
stroke
grestore
[(5)] 0.4875 0.51503 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(6)] 0.4875 0.61803 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.0206 moveto
0.50375 0.0206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0412 moveto
0.50375 0.0412 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0618 moveto
0.50375 0.0618 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0824 moveto
0.50375 0.0824 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.12361 moveto
0.50375 0.12361 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.14421 moveto
0.50375 0.14421 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.16481 moveto
0.50375 0.16481 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18541 moveto
0.50375 0.18541 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22661 moveto
0.50375 0.22661 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26781 moveto
0.50375 0.26781 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.28842 moveto
0.50375 0.28842 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32962 moveto
0.50375 0.32962 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35022 moveto
0.50375 0.35022 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.37082 moveto
0.50375 0.37082 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.39142 moveto
0.50375 0.39142 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43262 moveto
0.50375 0.43262 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45322 moveto
0.50375 0.45322 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47383 moveto
0.50375 0.47383 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53563 moveto
0.50375 0.53563 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.55623 moveto
0.50375 0.55623 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.57683 moveto
0.50375 0.57683 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59743 moveto
0.50375 0.59743 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.51503 moveto
0.06349 0.33504 lineto
0.07341 0.29145 lineto
0.08333 0.25608 lineto
0.10317 0.20424 lineto
0.1131 0.18511 lineto
0.12302 0.1692 lineto
0.14286 0.14443 lineto
0.1627 0.12622 lineto
0.18254 0.11239 lineto
0.20238 0.10161 lineto
0.22222 0.09303 lineto
0.24206 0.0861 lineto
0.2619 0.08043 lineto
0.28175 0.07575 lineto
0.30159 0.07187 lineto
0.32143 0.06864 lineto
0.34127 0.06594 lineto
0.38095 0.06187 lineto
0.40079 0.06039 lineto
0.42063 0.05922 lineto
0.44048 0.05833 lineto
0.4504 0.05799 lineto
0.46032 0.05771 lineto
0.47024 0.0575 lineto
0.4752 0.05742 lineto
0.48016 0.05735 lineto
0.48512 0.05729 lineto
0.4876 0.05727 lineto
0.49008 0.05726 lineto
0.49256 0.05724 lineto
0.4938 0.05724 lineto
0.49504 0.05723 lineto
0.49628 0.05723 lineto
0.49752 0.05723 lineto
0.49876 0.05723 lineto
0.5 0.05723 lineto
0.50124 0.05723 lineto
0.50248 0.05723 lineto
0.50372 0.05723 lineto
0.50496 0.05723 lineto
0.5062 0.05724 lineto
0.50744 0.05724 lineto
0.50992 0.05726 lineto
0.5124 0.05727 lineto
0.51488 0.05729 lineto
0.51984 0.05735 lineto
0.5248 0.05742 lineto
0.52976 0.0575 lineto
0.53968 0.05771 lineto
Mistroke
0.5496 0.05799 lineto
0.55952 0.05833 lineto
0.57937 0.05922 lineto
0.59921 0.06039 lineto
0.61905 0.06187 lineto
0.63889 0.06371 lineto
0.65873 0.06594 lineto
0.67857 0.06864 lineto
0.69841 0.07187 lineto
0.7381 0.08043 lineto
0.75794 0.0861 lineto
0.77778 0.09303 lineto
0.79762 0.10161 lineto
0.81746 0.11239 lineto
0.8373 0.12622 lineto
0.85714 0.14443 lineto
0.87698 0.1692 lineto
0.8869 0.18511 lineto
0.89683 0.20424 lineto
0.90675 0.2275 lineto
0.91667 0.25608 lineto
0.93651 0.33504 lineto
0.97619 0.51503 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 8; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.32 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.8007 0.60945 lineto
stroke
0.8007 0.60945 moveto
0 0 rlineto
0.18701 0.43338 moveto
0 0 rlineto
0 0.36531 moveto
0.18701 0.43338 lineto
stroke
stroke
0.18073 0.47839 moveto
0 0 rlineto
0 0.41261 moveto
0.18073 0.47839 lineto
stroke
stroke
0.18104 0.5258 moveto
0 0 rlineto
0 0.45991 moveto
0.18104 0.5258 lineto
stroke
stroke
0.18917 0.57605 moveto
0 0 rlineto
0 0.5072 moveto
0.18917 0.57605 lineto
stroke
stroke
0.20763 0.63007 moveto
0 0 rlineto
0 0.5545 moveto
0.20763 0.63007 lineto
stroke
stroke
0.24258 0.69009 moveto
0 0 rlineto
0 0.6018 moveto
0.24258 0.69009 lineto
stroke
stroke
0.32321 0.76673 moveto
0 0 rlineto
0 0.64909 moveto
0.32321 0.76673 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
0.53602 0.18203 moveto
0 0 rlineto
0.03589 0 moveto
0.53602 0.18203 lineto
stroke
stroke
0.42499 0.18892 moveto
0 0 rlineto
0 0.03423 moveto
0.42499 0.18892 lineto
stroke
stroke
0.35964 0.21243 moveto
0 0 rlineto
0 0.08153 moveto
0.35964 0.21243 lineto
stroke
stroke
0.31078 0.24194 moveto
0 0 rlineto
0 0.12883 moveto
0.31078 0.24194 lineto
stroke
stroke
0.27225 0.27521 moveto
0 0 rlineto
0 0.17612 moveto
0.27225 0.27521 lineto
stroke
stroke
0.24153 0.31133 moveto
0 0 rlineto
0 0.22342 moveto
0.24153 0.31133 lineto
stroke
stroke
0.21741 0.34985 moveto
0 0 rlineto
0 0.27072 moveto
0.21741 0.34985 lineto
stroke
stroke
0.1993 0.39055 moveto
0 0 rlineto
0 0.31801 moveto
0.1993 0.39055 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.78259 0.65015 lineto
stroke
0.78259 0.65015 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.81299 0.56662 lineto
stroke
0.81299 0.56662 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.75847 0.68867 lineto
stroke
0.75847 0.68867 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.81927 0.52161 lineto
stroke
0.81927 0.52161 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.72775 0.72479 lineto
stroke
0.72775 0.72479 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.81896 0.4742 lineto
stroke
0.81896 0.4742 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.68922 0.75806 lineto
stroke
0.68922 0.75806 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.81083 0.42395 lineto
stroke
0.81083 0.42395 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.64036 0.78757 lineto
stroke
0.64036 0.78757 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.79237 0.36993 lineto
stroke
0.79237 0.36993 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.57501 0.81108 lineto
stroke
0.57501 0.81108 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.75742 0.30991 lineto
stroke
0.75742 0.30991 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.46398 0.81797 lineto
stroke
0.46398 0.81797 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.67679 0.23327 lineto
stroke
0.67679 0.23327 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.34 0.22287 0 0 Mshowa
grestore
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 0 0.103006 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.10301 1 0 Msboxa
[(2)] 0.4875 0.20601 1 0 Msboxa
[(3)] 0.4875 0.30902 1 0 Msboxa
[(4)] 0.4875 0.41202 1 0 Msboxa
[(5)] 0.4875 0.51503 1 0 Msboxa
[(6)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.10301 moveto
0.50625 0.10301 lineto
stroke
grestore
[(1)] 0.4875 0.10301 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.20601 moveto
0.50625 0.20601 lineto
stroke
grestore
[(2)] 0.4875 0.20601 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.30902 moveto
0.50625 0.30902 lineto
stroke
grestore
[(3)] 0.4875 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.41202 moveto
0.50625 0.41202 lineto
stroke
grestore
[(4)] 0.4875 0.41202 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.51503 moveto
0.50625 0.51503 lineto
stroke
grestore
[(5)] 0.4875 0.51503 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(6)] 0.4875 0.61803 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.0206 moveto
0.50375 0.0206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0412 moveto
0.50375 0.0412 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0618 moveto
0.50375 0.0618 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0824 moveto
0.50375 0.0824 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.12361 moveto
0.50375 0.12361 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.14421 moveto
0.50375 0.14421 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.16481 moveto
0.50375 0.16481 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18541 moveto
0.50375 0.18541 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22661 moveto
0.50375 0.22661 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26781 moveto
0.50375 0.26781 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.28842 moveto
0.50375 0.28842 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32962 moveto
0.50375 0.32962 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35022 moveto
0.50375 0.35022 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.37082 moveto
0.50375 0.37082 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.39142 moveto
0.50375 0.39142 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43262 moveto
0.50375 0.43262 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45322 moveto
0.50375 0.45322 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47383 moveto
0.50375 0.47383 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53563 moveto
0.50375 0.53563 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.55623 moveto
0.50375 0.55623 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.57683 moveto
0.50375 0.57683 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59743 moveto
0.50375 0.59743 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.11239 moveto
0.04365 0.12622 lineto
0.06349 0.14443 lineto
0.08333 0.1692 lineto
0.10317 0.20424 lineto
0.1131 0.2275 lineto
0.12302 0.25608 lineto
0.14286 0.33504 lineto
0.15278 0.38727 lineto
0.1627 0.44455 lineto
0.16766 0.47161 lineto
0.17014 0.48369 lineto
0.17262 0.4943 lineto
0.1751 0.50305 lineto
0.17758 0.5096 lineto
0.17882 0.51195 lineto
0.18006 0.51365 lineto
0.1813 0.51468 lineto
0.18254 0.51503 lineto
0.18378 0.51468 lineto
0.18502 0.51365 lineto
0.18626 0.51195 lineto
0.1875 0.5096 lineto
0.18998 0.50305 lineto
0.19246 0.4943 lineto
0.20238 0.44455 lineto
0.22222 0.33504 lineto
0.23214 0.29145 lineto
0.24206 0.25608 lineto
0.25198 0.2275 lineto
0.2619 0.20424 lineto
0.28175 0.1692 lineto
0.30159 0.14443 lineto
0.32143 0.12622 lineto
0.34127 0.11239 lineto
0.36111 0.10161 lineto
0.38095 0.09303 lineto
0.40079 0.0861 lineto
0.42063 0.08043 lineto
0.44048 0.07575 lineto
0.46032 0.07187 lineto
0.48016 0.06864 lineto
0.5 0.06594 lineto
0.51984 0.06371 lineto
0.53968 0.06187 lineto
0.55952 0.06039 lineto
0.57937 0.05922 lineto
0.59921 0.05833 lineto
0.60913 0.05799 lineto
0.61905 0.05771 lineto
Mistroke
0.62897 0.0575 lineto
0.63393 0.05742 lineto
0.63889 0.05735 lineto
0.64385 0.05729 lineto
0.64633 0.05727 lineto
0.64881 0.05726 lineto
0.65129 0.05724 lineto
0.65253 0.05724 lineto
0.65377 0.05723 lineto
0.65501 0.05723 lineto
0.65625 0.05723 lineto
0.65749 0.05723 lineto
0.65873 0.05723 lineto
0.65997 0.05723 lineto
0.66121 0.05723 lineto
0.66245 0.05723 lineto
0.66369 0.05723 lineto
0.66617 0.05724 lineto
0.66865 0.05726 lineto
0.67113 0.05727 lineto
0.67361 0.05729 lineto
0.67857 0.05735 lineto
0.68353 0.05742 lineto
0.68849 0.0575 lineto
0.69841 0.05771 lineto
0.70833 0.05799 lineto
0.71825 0.05833 lineto
0.7381 0.05922 lineto
0.75794 0.06039 lineto
0.77778 0.06187 lineto
0.81746 0.06594 lineto
0.8373 0.06864 lineto
0.85714 0.07187 lineto
0.87698 0.07575 lineto
0.89683 0.08043 lineto
0.93651 0.09303 lineto
0.95635 0.10161 lineto
0.97619 0.11239 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 8; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.32 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.8007 0.60945 lineto
stroke
0.8007 0.60945 moveto
0 0 rlineto
0.18701 0.43338 moveto
0 0 rlineto
0 0.36531 moveto
0.18701 0.43338 lineto
stroke
stroke
0.18073 0.47839 moveto
0 0 rlineto
0 0.41261 moveto
0.18073 0.47839 lineto
stroke
stroke
0.18104 0.5258 moveto
0 0 rlineto
0 0.45991 moveto
0.18104 0.5258 lineto
stroke
stroke
0.18917 0.57605 moveto
0 0 rlineto
0 0.5072 moveto
0.18917 0.57605 lineto
stroke
stroke
0.20763 0.63007 moveto
0 0 rlineto
0 0.5545 moveto
0.20763 0.63007 lineto
stroke
stroke
0.24258 0.69009 moveto
0 0 rlineto
0 0.6018 moveto
0.24258 0.69009 lineto
stroke
stroke
0.32321 0.76673 moveto
0 0 rlineto
0 0.64909 moveto
0.32321 0.76673 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
0.53602 0.18203 moveto
0 0 rlineto
0.03589 0 moveto
0.53602 0.18203 lineto
stroke
stroke
0.42499 0.18892 moveto
0 0 rlineto
0 0.03423 moveto
0.42499 0.18892 lineto
stroke
stroke
0.35964 0.21243 moveto
0 0 rlineto
0 0.08153 moveto
0.35964 0.21243 lineto
stroke
stroke
0.31078 0.24194 moveto
0 0 rlineto
0 0.12883 moveto
0.31078 0.24194 lineto
stroke
stroke
0.27225 0.27521 moveto
0 0 rlineto
0 0.17612 moveto
0.27225 0.27521 lineto
stroke
stroke
0.24153 0.31133 moveto
0 0 rlineto
0 0.22342 moveto
0.24153 0.31133 lineto
stroke
stroke
0.21741 0.34985 moveto
0 0 rlineto
0 0.27072 moveto
0.21741 0.34985 lineto
stroke
stroke
0.1993 0.39055 moveto
0 0 rlineto
0 0.31801 moveto
0.1993 0.39055 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.78259 0.65015 lineto
stroke
0.78259 0.65015 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.81299 0.56662 lineto
stroke
0.81299 0.56662 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.75847 0.68867 lineto
stroke
0.75847 0.68867 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.81927 0.52161 lineto
stroke
0.81927 0.52161 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.72775 0.72479 lineto
stroke
0.72775 0.72479 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.81896 0.4742 lineto
stroke
0.81896 0.4742 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.68922 0.75806 lineto
stroke
0.68922 0.75806 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.81083 0.42395 lineto
stroke
0.81083 0.42395 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.64036 0.78757 lineto
stroke
0.64036 0.78757 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.79237 0.36993 lineto
stroke
0.79237 0.36993 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.57501 0.81108 lineto
stroke
0.57501 0.81108 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.75742 0.30991 lineto
stroke
0.75742 0.30991 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.46398 0.81797 lineto
stroke
0.46398 0.81797 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.67679 0.23327 lineto
stroke
0.67679 0.23327 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.66 0.22287 0 0 Mshowa
grestore
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 0 0.103006 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.10301 1 0 Msboxa
[(2)] 0.4875 0.20601 1 0 Msboxa
[(3)] 0.4875 0.30902 1 0 Msboxa
[(4)] 0.4875 0.41202 1 0 Msboxa
[(5)] 0.4875 0.51503 1 0 Msboxa
[(6)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.10301 moveto
0.50625 0.10301 lineto
stroke
grestore
[(1)] 0.4875 0.10301 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.20601 moveto
0.50625 0.20601 lineto
stroke
grestore
[(2)] 0.4875 0.20601 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.30902 moveto
0.50625 0.30902 lineto
stroke
grestore
[(3)] 0.4875 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.41202 moveto
0.50625 0.41202 lineto
stroke
grestore
[(4)] 0.4875 0.41202 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.51503 moveto
0.50625 0.51503 lineto
stroke
grestore
[(5)] 0.4875 0.51503 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(6)] 0.4875 0.61803 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.0206 moveto
0.50375 0.0206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0412 moveto
0.50375 0.0412 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0618 moveto
0.50375 0.0618 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0824 moveto
0.50375 0.0824 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.12361 moveto
0.50375 0.12361 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.14421 moveto
0.50375 0.14421 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.16481 moveto
0.50375 0.16481 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18541 moveto
0.50375 0.18541 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22661 moveto
0.50375 0.22661 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26781 moveto
0.50375 0.26781 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.28842 moveto
0.50375 0.28842 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32962 moveto
0.50375 0.32962 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35022 moveto
0.50375 0.35022 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.37082 moveto
0.50375 0.37082 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.39142 moveto
0.50375 0.39142 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43262 moveto
0.50375 0.43262 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45322 moveto
0.50375 0.45322 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47383 moveto
0.50375 0.47383 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53563 moveto
0.50375 0.53563 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.55623 moveto
0.50375 0.55623 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.57683 moveto
0.50375 0.57683 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59743 moveto
0.50375 0.59743 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.06594 moveto
0.04365 0.06864 lineto
0.06349 0.07187 lineto
0.10317 0.08043 lineto
0.12302 0.0861 lineto
0.14286 0.09303 lineto
0.1627 0.10161 lineto
0.18254 0.11239 lineto
0.20238 0.12622 lineto
0.22222 0.14443 lineto
0.24206 0.1692 lineto
0.25198 0.18511 lineto
0.2619 0.20424 lineto
0.28175 0.25608 lineto
0.29167 0.29145 lineto
0.30159 0.33504 lineto
0.31151 0.38727 lineto
0.32143 0.44455 lineto
0.32639 0.47161 lineto
0.32887 0.48369 lineto
0.33135 0.4943 lineto
0.33383 0.50305 lineto
0.33507 0.50662 lineto
0.33631 0.5096 lineto
0.33755 0.51195 lineto
0.33879 0.51365 lineto
0.34003 0.51468 lineto
0.34127 0.51503 lineto
0.38095 0.33504 lineto
0.39087 0.29145 lineto
0.40079 0.25608 lineto
0.41071 0.2275 lineto
0.42063 0.20424 lineto
0.44048 0.1692 lineto
0.46032 0.14443 lineto
0.48016 0.12622 lineto
0.5 0.11239 lineto
0.51984 0.10161 lineto
0.53968 0.09303 lineto
0.57937 0.08043 lineto
0.59921 0.07575 lineto
0.61905 0.07187 lineto
0.63889 0.06864 lineto
0.65873 0.06594 lineto
0.67857 0.06371 lineto
0.69841 0.06187 lineto
0.71825 0.06039 lineto
0.7381 0.05922 lineto
0.74802 0.05874 lineto
0.75794 0.05833 lineto
Mistroke
0.76786 0.05799 lineto
0.77778 0.05771 lineto
0.7877 0.0575 lineto
0.79266 0.05742 lineto
0.79762 0.05735 lineto
0.80258 0.05729 lineto
0.80506 0.05727 lineto
0.80754 0.05726 lineto
0.81002 0.05724 lineto
0.81126 0.05724 lineto
0.8125 0.05723 lineto
0.81374 0.05723 lineto
0.81498 0.05723 lineto
0.81622 0.05723 lineto
0.81746 0.05723 lineto
0.8187 0.05723 lineto
0.81994 0.05723 lineto
0.82118 0.05723 lineto
0.82242 0.05723 lineto
0.8249 0.05724 lineto
0.82738 0.05726 lineto
0.82986 0.05727 lineto
0.83234 0.05729 lineto
0.8373 0.05735 lineto
0.84226 0.05742 lineto
0.84722 0.0575 lineto
0.85714 0.05771 lineto
0.86706 0.05799 lineto
0.87698 0.05833 lineto
0.89683 0.05922 lineto
0.91667 0.06039 lineto
0.93651 0.06187 lineto
0.97619 0.06594 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 8; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.32 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.8007 0.60945 lineto
stroke
0.8007 0.60945 moveto
0 0 rlineto
0.18701 0.43338 moveto
0 0 rlineto
0 0.36531 moveto
0.18701 0.43338 lineto
stroke
stroke
0.18073 0.47839 moveto
0 0 rlineto
0 0.41261 moveto
0.18073 0.47839 lineto
stroke
stroke
0.18104 0.5258 moveto
0 0 rlineto
0 0.45991 moveto
0.18104 0.5258 lineto
stroke
stroke
0.18917 0.57605 moveto
0 0 rlineto
0 0.5072 moveto
0.18917 0.57605 lineto
stroke
stroke
0.20763 0.63007 moveto
0 0 rlineto
0 0.5545 moveto
0.20763 0.63007 lineto
stroke
stroke
0.24258 0.69009 moveto
0 0 rlineto
0 0.6018 moveto
0.24258 0.69009 lineto
stroke
stroke
0.32321 0.76673 moveto
0 0 rlineto
0 0.64909 moveto
0.32321 0.76673 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
0.53602 0.18203 moveto
0 0 rlineto
0.03589 0 moveto
0.53602 0.18203 lineto
stroke
stroke
0.42499 0.18892 moveto
0 0 rlineto
0 0.03423 moveto
0.42499 0.18892 lineto
stroke
stroke
0.35964 0.21243 moveto
0 0 rlineto
0 0.08153 moveto
0.35964 0.21243 lineto
stroke
stroke
0.31078 0.24194 moveto
0 0 rlineto
0 0.12883 moveto
0.31078 0.24194 lineto
stroke
stroke
0.27225 0.27521 moveto
0 0 rlineto
0 0.17612 moveto
0.27225 0.27521 lineto
stroke
stroke
0.24153 0.31133 moveto
0 0 rlineto
0 0.22342 moveto
0.24153 0.31133 lineto
stroke
stroke
0.21741 0.34985 moveto
0 0 rlineto
0 0.27072 moveto
0.21741 0.34985 lineto
stroke
stroke
0.1993 0.39055 moveto
0 0 rlineto
0 0.31801 moveto
0.1993 0.39055 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.78259 0.65015 lineto
stroke
0.78259 0.65015 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.81299 0.56662 lineto
stroke
0.81299 0.56662 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.75847 0.68867 lineto
stroke
0.75847 0.68867 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.81927 0.52161 lineto
stroke
0.81927 0.52161 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.72775 0.72479 lineto
stroke
0.72775 0.72479 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.81896 0.4742 lineto
stroke
0.81896 0.4742 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.68922 0.75806 lineto
stroke
0.68922 0.75806 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.81083 0.42395 lineto
stroke
0.81083 0.42395 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.64036 0.78757 lineto
stroke
0.64036 0.78757 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.79237 0.36993 lineto
stroke
0.79237 0.36993 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.57501 0.81108 lineto
stroke
0.57501 0.81108 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.75742 0.30991 lineto
stroke
0.75742 0.30991 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.46398 0.81797 lineto
stroke
0.46398 0.81797 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.67679 0.23327 lineto
stroke
0.67679 0.23327 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.82 0.5 0 0 Mshowa
grestore
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 0 0.103006 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.10301 1 0 Msboxa
[(2)] 0.4875 0.20601 1 0 Msboxa
[(3)] 0.4875 0.30902 1 0 Msboxa
[(4)] 0.4875 0.41202 1 0 Msboxa
[(5)] 0.4875 0.51503 1 0 Msboxa
[(6)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.10301 moveto
0.50625 0.10301 lineto
stroke
grestore
[(1)] 0.4875 0.10301 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.20601 moveto
0.50625 0.20601 lineto
stroke
grestore
[(2)] 0.4875 0.20601 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.30902 moveto
0.50625 0.30902 lineto
stroke
grestore
[(3)] 0.4875 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.41202 moveto
0.50625 0.41202 lineto
stroke
grestore
[(4)] 0.4875 0.41202 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.51503 moveto
0.50625 0.51503 lineto
stroke
grestore
[(5)] 0.4875 0.51503 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(6)] 0.4875 0.61803 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.0206 moveto
0.50375 0.0206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0412 moveto
0.50375 0.0412 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0618 moveto
0.50375 0.0618 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0824 moveto
0.50375 0.0824 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.12361 moveto
0.50375 0.12361 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.14421 moveto
0.50375 0.14421 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.16481 moveto
0.50375 0.16481 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18541 moveto
0.50375 0.18541 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22661 moveto
0.50375 0.22661 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26781 moveto
0.50375 0.26781 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.28842 moveto
0.50375 0.28842 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32962 moveto
0.50375 0.32962 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35022 moveto
0.50375 0.35022 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.37082 moveto
0.50375 0.37082 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.39142 moveto
0.50375 0.39142 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43262 moveto
0.50375 0.43262 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45322 moveto
0.50375 0.45322 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47383 moveto
0.50375 0.47383 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53563 moveto
0.50375 0.53563 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.55623 moveto
0.50375 0.55623 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.57683 moveto
0.50375 0.57683 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59743 moveto
0.50375 0.59743 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.05723 moveto
0.02505 0.05723 lineto
0.02629 0.05723 lineto
0.02753 0.05723 lineto
0.02877 0.05723 lineto
0.03125 0.05724 lineto
0.03373 0.05726 lineto
0.03621 0.05727 lineto
0.03869 0.05729 lineto
0.04365 0.05735 lineto
0.04861 0.05742 lineto
0.05357 0.0575 lineto
0.06349 0.05771 lineto
0.07341 0.05799 lineto
0.08333 0.05833 lineto
0.10317 0.05922 lineto
0.12302 0.06039 lineto
0.14286 0.06187 lineto
0.18254 0.06594 lineto
0.20238 0.06864 lineto
0.22222 0.07187 lineto
0.24206 0.07575 lineto
0.2619 0.08043 lineto
0.28175 0.0861 lineto
0.30159 0.09303 lineto
0.32143 0.10161 lineto
0.34127 0.11239 lineto
0.36111 0.12622 lineto
0.38095 0.14443 lineto
0.40079 0.1692 lineto
0.41071 0.18511 lineto
0.42063 0.20424 lineto
0.44048 0.25608 lineto
0.4504 0.29145 lineto
0.46032 0.33504 lineto
0.47024 0.38727 lineto
0.48016 0.44455 lineto
0.48512 0.47161 lineto
0.4876 0.48369 lineto
0.49008 0.4943 lineto
0.49256 0.50305 lineto
0.4938 0.50662 lineto
0.49504 0.5096 lineto
0.49628 0.51195 lineto
0.49752 0.51365 lineto
0.49876 0.51468 lineto
0.5 0.51503 lineto
0.50124 0.51468 lineto
0.50248 0.51365 lineto
0.50372 0.51195 lineto
Mistroke
0.50496 0.5096 lineto
0.5062 0.50662 lineto
0.50744 0.50305 lineto
0.50992 0.4943 lineto
0.51984 0.44455 lineto
0.53968 0.33504 lineto
0.5496 0.29145 lineto
0.55952 0.25608 lineto
0.56944 0.2275 lineto
0.57937 0.20424 lineto
0.59921 0.1692 lineto
0.61905 0.14443 lineto
0.63889 0.12622 lineto
0.65873 0.11239 lineto
0.67857 0.10161 lineto
0.69841 0.09303 lineto
0.7381 0.08043 lineto
0.75794 0.07575 lineto
0.77778 0.07187 lineto
0.81746 0.06594 lineto
0.8373 0.06371 lineto
0.85714 0.06187 lineto
0.87698 0.06039 lineto
0.89683 0.05922 lineto
0.90675 0.05874 lineto
0.91667 0.05833 lineto
0.92659 0.05799 lineto
0.93651 0.05771 lineto
0.94643 0.0575 lineto
0.95139 0.05742 lineto
0.95635 0.05735 lineto
0.96131 0.05729 lineto
0.96379 0.05727 lineto
0.96627 0.05726 lineto
0.96875 0.05724 lineto
0.96999 0.05724 lineto
0.97123 0.05723 lineto
0.97247 0.05723 lineto
0.97371 0.05723 lineto
0.97495 0.05723 lineto
0.97619 0.05723 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 8; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.32 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.8007 0.60945 lineto
stroke
0.8007 0.60945 moveto
0 0 rlineto
0.18701 0.43338 moveto
0 0 rlineto
0 0.36531 moveto
0.18701 0.43338 lineto
stroke
stroke
0.18073 0.47839 moveto
0 0 rlineto
0 0.41261 moveto
0.18073 0.47839 lineto
stroke
stroke
0.18104 0.5258 moveto
0 0 rlineto
0 0.45991 moveto
0.18104 0.5258 lineto
stroke
stroke
0.18917 0.57605 moveto
0 0 rlineto
0 0.5072 moveto
0.18917 0.57605 lineto
stroke
stroke
0.20763 0.63007 moveto
0 0 rlineto
0 0.5545 moveto
0.20763 0.63007 lineto
stroke
stroke
0.24258 0.69009 moveto
0 0 rlineto
0 0.6018 moveto
0.24258 0.69009 lineto
stroke
stroke
0.32321 0.76673 moveto
0 0 rlineto
0 0.64909 moveto
0.32321 0.76673 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
0.53602 0.18203 moveto
0 0 rlineto
0.03589 0 moveto
0.53602 0.18203 lineto
stroke
stroke
0.42499 0.18892 moveto
0 0 rlineto
0 0.03423 moveto
0.42499 0.18892 lineto
stroke
stroke
0.35964 0.21243 moveto
0 0 rlineto
0 0.08153 moveto
0.35964 0.21243 lineto
stroke
stroke
0.31078 0.24194 moveto
0 0 rlineto
0 0.12883 moveto
0.31078 0.24194 lineto
stroke
stroke
0.27225 0.27521 moveto
0 0 rlineto
0 0.17612 moveto
0.27225 0.27521 lineto
stroke
stroke
0.24153 0.31133 moveto
0 0 rlineto
0 0.22342 moveto
0.24153 0.31133 lineto
stroke
stroke
0.21741 0.34985 moveto
0 0 rlineto
0 0.27072 moveto
0.21741 0.34985 lineto
stroke
stroke
0.1993 0.39055 moveto
0 0 rlineto
0 0.31801 moveto
0.1993 0.39055 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.78259 0.65015 lineto
stroke
0.78259 0.65015 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.81299 0.56662 lineto
stroke
0.81299 0.56662 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.75847 0.68867 lineto
stroke
0.75847 0.68867 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.81927 0.52161 lineto
stroke
0.81927 0.52161 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.72775 0.72479 lineto
stroke
0.72775 0.72479 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.81896 0.4742 lineto
stroke
0.81896 0.4742 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.68922 0.75806 lineto
stroke
0.68922 0.75806 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.81083 0.42395 lineto
stroke
0.81083 0.42395 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.64036 0.78757 lineto
stroke
0.64036 0.78757 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.79237 0.36993 lineto
stroke
0.79237 0.36993 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.57501 0.81108 lineto
stroke
0.57501 0.81108 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.75742 0.30991 lineto
stroke
0.75742 0.30991 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.46398 0.81797 lineto
stroke
0.46398 0.81797 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.67679 0.23327 lineto
stroke
0.67679 0.23327 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.66 0.77713 0 0 Mshowa
grestore
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 0 0.103006 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.10301 1 0 Msboxa
[(2)] 0.4875 0.20601 1 0 Msboxa
[(3)] 0.4875 0.30902 1 0 Msboxa
[(4)] 0.4875 0.41202 1 0 Msboxa
[(5)] 0.4875 0.51503 1 0 Msboxa
[(6)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.10301 moveto
0.50625 0.10301 lineto
stroke
grestore
[(1)] 0.4875 0.10301 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.20601 moveto
0.50625 0.20601 lineto
stroke
grestore
[(2)] 0.4875 0.20601 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.30902 moveto
0.50625 0.30902 lineto
stroke
grestore
[(3)] 0.4875 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.41202 moveto
0.50625 0.41202 lineto
stroke
grestore
[(4)] 0.4875 0.41202 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.51503 moveto
0.50625 0.51503 lineto
stroke
grestore
[(5)] 0.4875 0.51503 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(6)] 0.4875 0.61803 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.0206 moveto
0.50375 0.0206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0412 moveto
0.50375 0.0412 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0618 moveto
0.50375 0.0618 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0824 moveto
0.50375 0.0824 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.12361 moveto
0.50375 0.12361 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.14421 moveto
0.50375 0.14421 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.16481 moveto
0.50375 0.16481 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18541 moveto
0.50375 0.18541 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22661 moveto
0.50375 0.22661 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26781 moveto
0.50375 0.26781 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.28842 moveto
0.50375 0.28842 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32962 moveto
0.50375 0.32962 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35022 moveto
0.50375 0.35022 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.37082 moveto
0.50375 0.37082 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.39142 moveto
0.50375 0.39142 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43262 moveto
0.50375 0.43262 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45322 moveto
0.50375 0.45322 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47383 moveto
0.50375 0.47383 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53563 moveto
0.50375 0.53563 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.55623 moveto
0.50375 0.55623 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.57683 moveto
0.50375 0.57683 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59743 moveto
0.50375 0.59743 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.06594 moveto
0.04365 0.06371 lineto
0.06349 0.06187 lineto
0.08333 0.06039 lineto
0.10317 0.05922 lineto
0.1131 0.05874 lineto
0.12302 0.05833 lineto
0.13294 0.05799 lineto
0.14286 0.05771 lineto
0.15278 0.0575 lineto
0.15774 0.05742 lineto
0.1627 0.05735 lineto
0.16766 0.05729 lineto
0.17014 0.05727 lineto
0.17262 0.05726 lineto
0.1751 0.05724 lineto
0.17634 0.05724 lineto
0.17758 0.05723 lineto
0.17882 0.05723 lineto
0.18006 0.05723 lineto
0.1813 0.05723 lineto
0.18254 0.05723 lineto
0.18378 0.05723 lineto
0.18502 0.05723 lineto
0.18626 0.05723 lineto
0.1875 0.05723 lineto
0.18998 0.05724 lineto
0.19246 0.05726 lineto
0.19494 0.05727 lineto
0.19742 0.05729 lineto
0.20238 0.05735 lineto
0.20734 0.05742 lineto
0.2123 0.0575 lineto
0.22222 0.05771 lineto
0.23214 0.05799 lineto
0.24206 0.05833 lineto
0.2619 0.05922 lineto
0.28175 0.06039 lineto
0.30159 0.06187 lineto
0.32143 0.06371 lineto
0.34127 0.06594 lineto
0.38095 0.07187 lineto
0.40079 0.07575 lineto
0.42063 0.08043 lineto
0.44048 0.0861 lineto
0.46032 0.09303 lineto
0.48016 0.10161 lineto
0.5 0.11239 lineto
0.51984 0.12622 lineto
0.53968 0.14443 lineto
Mistroke
0.55952 0.1692 lineto
0.56944 0.18511 lineto
0.57937 0.20424 lineto
0.59921 0.25608 lineto
0.60913 0.29145 lineto
0.61905 0.33504 lineto
0.62897 0.38727 lineto
0.63889 0.44455 lineto
0.64385 0.47161 lineto
0.64633 0.48369 lineto
0.64881 0.4943 lineto
0.65129 0.50305 lineto
0.65253 0.50662 lineto
0.65377 0.5096 lineto
0.65501 0.51195 lineto
0.65625 0.51365 lineto
0.65749 0.51468 lineto
0.65873 0.51503 lineto
0.69841 0.33504 lineto
0.70833 0.29145 lineto
0.71825 0.25608 lineto
0.7381 0.20424 lineto
0.74802 0.18511 lineto
0.75794 0.1692 lineto
0.77778 0.14443 lineto
0.79762 0.12622 lineto
0.81746 0.11239 lineto
0.8373 0.10161 lineto
0.85714 0.09303 lineto
0.87698 0.0861 lineto
0.89683 0.08043 lineto
0.93651 0.07187 lineto
0.95635 0.06864 lineto
0.97619 0.06594 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 8; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.32 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.8007 0.60945 lineto
stroke
0.8007 0.60945 moveto
0 0 rlineto
0.18701 0.43338 moveto
0 0 rlineto
0 0.36531 moveto
0.18701 0.43338 lineto
stroke
stroke
0.18073 0.47839 moveto
0 0 rlineto
0 0.41261 moveto
0.18073 0.47839 lineto
stroke
stroke
0.18104 0.5258 moveto
0 0 rlineto
0 0.45991 moveto
0.18104 0.5258 lineto
stroke
stroke
0.18917 0.57605 moveto
0 0 rlineto
0 0.5072 moveto
0.18917 0.57605 lineto
stroke
stroke
0.20763 0.63007 moveto
0 0 rlineto
0 0.5545 moveto
0.20763 0.63007 lineto
stroke
stroke
0.24258 0.69009 moveto
0 0 rlineto
0 0.6018 moveto
0.24258 0.69009 lineto
stroke
stroke
0.32321 0.76673 moveto
0 0 rlineto
0 0.64909 moveto
0.32321 0.76673 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
0.53602 0.18203 moveto
0 0 rlineto
0.03589 0 moveto
0.53602 0.18203 lineto
stroke
stroke
0.42499 0.18892 moveto
0 0 rlineto
0 0.03423 moveto
0.42499 0.18892 lineto
stroke
stroke
0.35964 0.21243 moveto
0 0 rlineto
0 0.08153 moveto
0.35964 0.21243 lineto
stroke
stroke
0.31078 0.24194 moveto
0 0 rlineto
0 0.12883 moveto
0.31078 0.24194 lineto
stroke
stroke
0.27225 0.27521 moveto
0 0 rlineto
0 0.17612 moveto
0.27225 0.27521 lineto
stroke
stroke
0.24153 0.31133 moveto
0 0 rlineto
0 0.22342 moveto
0.24153 0.31133 lineto
stroke
stroke
0.21741 0.34985 moveto
0 0 rlineto
0 0.27072 moveto
0.21741 0.34985 lineto
stroke
stroke
0.1993 0.39055 moveto
0 0 rlineto
0 0.31801 moveto
0.1993 0.39055 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.78259 0.65015 lineto
stroke
0.78259 0.65015 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.81299 0.56662 lineto
stroke
0.81299 0.56662 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.75847 0.68867 lineto
stroke
0.75847 0.68867 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.81927 0.52161 lineto
stroke
0.81927 0.52161 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.72775 0.72479 lineto
stroke
0.72775 0.72479 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.81896 0.4742 lineto
stroke
0.81896 0.4742 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.68922 0.75806 lineto
stroke
0.68922 0.75806 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.81083 0.42395 lineto
stroke
0.81083 0.42395 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.64036 0.78757 lineto
stroke
0.64036 0.78757 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.79237 0.36993 lineto
stroke
0.79237 0.36993 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.57501 0.81108 lineto
stroke
0.57501 0.81108 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.75742 0.30991 lineto
stroke
0.75742 0.30991 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.46398 0.81797 lineto
stroke
0.46398 0.81797 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.67679 0.23327 lineto
stroke
0.67679 0.23327 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.34 0.77713 0 0 Mshowa
grestore
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 0 0.103006 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.10301 1 0 Msboxa
[(2)] 0.4875 0.20601 1 0 Msboxa
[(3)] 0.4875 0.30902 1 0 Msboxa
[(4)] 0.4875 0.41202 1 0 Msboxa
[(5)] 0.4875 0.51503 1 0 Msboxa
[(6)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.10301 moveto
0.50625 0.10301 lineto
stroke
grestore
[(1)] 0.4875 0.10301 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.20601 moveto
0.50625 0.20601 lineto
stroke
grestore
[(2)] 0.4875 0.20601 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.30902 moveto
0.50625 0.30902 lineto
stroke
grestore
[(3)] 0.4875 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.41202 moveto
0.50625 0.41202 lineto
stroke
grestore
[(4)] 0.4875 0.41202 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.51503 moveto
0.50625 0.51503 lineto
stroke
grestore
[(5)] 0.4875 0.51503 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(6)] 0.4875 0.61803 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.0206 moveto
0.50375 0.0206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0412 moveto
0.50375 0.0412 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0618 moveto
0.50375 0.0618 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0824 moveto
0.50375 0.0824 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.12361 moveto
0.50375 0.12361 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.14421 moveto
0.50375 0.14421 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.16481 moveto
0.50375 0.16481 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18541 moveto
0.50375 0.18541 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22661 moveto
0.50375 0.22661 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26781 moveto
0.50375 0.26781 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.28842 moveto
0.50375 0.28842 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32962 moveto
0.50375 0.32962 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35022 moveto
0.50375 0.35022 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.37082 moveto
0.50375 0.37082 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.39142 moveto
0.50375 0.39142 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43262 moveto
0.50375 0.43262 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45322 moveto
0.50375 0.45322 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47383 moveto
0.50375 0.47383 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53563 moveto
0.50375 0.53563 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.55623 moveto
0.50375 0.55623 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.57683 moveto
0.50375 0.57683 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59743 moveto
0.50375 0.59743 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.11239 moveto
0.04365 0.10161 lineto
0.06349 0.09303 lineto
0.10317 0.08043 lineto
0.12302 0.07575 lineto
0.14286 0.07187 lineto
0.18254 0.06594 lineto
0.20238 0.06371 lineto
0.22222 0.06187 lineto
0.24206 0.06039 lineto
0.2619 0.05922 lineto
0.28175 0.05833 lineto
0.29167 0.05799 lineto
0.30159 0.05771 lineto
0.31151 0.0575 lineto
0.31647 0.05742 lineto
0.32143 0.05735 lineto
0.32639 0.05729 lineto
0.32887 0.05727 lineto
0.33135 0.05726 lineto
0.33383 0.05724 lineto
0.33507 0.05724 lineto
0.33631 0.05723 lineto
0.33755 0.05723 lineto
0.33879 0.05723 lineto
0.34003 0.05723 lineto
0.34127 0.05723 lineto
0.34251 0.05723 lineto
0.34375 0.05723 lineto
0.34499 0.05723 lineto
0.34623 0.05723 lineto
0.34747 0.05724 lineto
0.34871 0.05724 lineto
0.35119 0.05726 lineto
0.35367 0.05727 lineto
0.35615 0.05729 lineto
0.36111 0.05735 lineto
0.36607 0.05742 lineto
0.37103 0.0575 lineto
0.38095 0.05771 lineto
0.39087 0.05799 lineto
0.40079 0.05833 lineto
0.42063 0.05922 lineto
0.44048 0.06039 lineto
0.46032 0.06187 lineto
0.48016 0.06371 lineto
0.5 0.06594 lineto
0.51984 0.06864 lineto
0.53968 0.07187 lineto
0.57937 0.08043 lineto
Mistroke
0.59921 0.0861 lineto
0.61905 0.09303 lineto
0.63889 0.10161 lineto
0.65873 0.11239 lineto
0.67857 0.12622 lineto
0.69841 0.14443 lineto
0.71825 0.1692 lineto
0.7381 0.20424 lineto
0.74802 0.2275 lineto
0.75794 0.25608 lineto
0.77778 0.33504 lineto
0.7877 0.38727 lineto
0.79762 0.44455 lineto
0.80258 0.47161 lineto
0.80506 0.48369 lineto
0.80754 0.4943 lineto
0.81002 0.50305 lineto
0.8125 0.5096 lineto
0.81374 0.51195 lineto
0.81498 0.51365 lineto
0.81622 0.51468 lineto
0.81746 0.51503 lineto
0.8187 0.51468 lineto
0.81994 0.51365 lineto
0.82118 0.51195 lineto
0.82242 0.5096 lineto
0.8249 0.50305 lineto
0.82738 0.4943 lineto
0.8373 0.44455 lineto
0.85714 0.33504 lineto
0.86706 0.29145 lineto
0.87698 0.25608 lineto
0.8869 0.2275 lineto
0.89683 0.20424 lineto
0.91667 0.1692 lineto
0.93651 0.14443 lineto
0.95635 0.12622 lineto
0.97619 0.11239 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; endGroup; endGroup; endGroup; animationSpeed = 8; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.32 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.8007 0.60945 lineto
stroke
0.8007 0.60945 moveto
0 0 rlineto
0.18701 0.43338 moveto
0 0 rlineto
0 0.36531 moveto
0.18701 0.43338 lineto
stroke
stroke
0.18073 0.47839 moveto
0 0 rlineto
0 0.41261 moveto
0.18073 0.47839 lineto
stroke
stroke
0.18104 0.5258 moveto
0 0 rlineto
0 0.45991 moveto
0.18104 0.5258 lineto
stroke
stroke
0.18917 0.57605 moveto
0 0 rlineto
0 0.5072 moveto
0.18917 0.57605 lineto
stroke
stroke
0.20763 0.63007 moveto
0 0 rlineto
0 0.5545 moveto
0.20763 0.63007 lineto
stroke
stroke
0.24258 0.69009 moveto
0 0 rlineto
0 0.6018 moveto
0.24258 0.69009 lineto
stroke
stroke
0.32321 0.76673 moveto
0 0 rlineto
0 0.64909 moveto
0.32321 0.76673 lineto
stroke
stroke
stroke
0.83416 1 moveto
0 0.69639 lineto
stroke
stroke
0 0.69639 moveto
0.83416 1 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
stroke
1 0.30361 moveto
0.16584 0 lineto
stroke
stroke
0.16584 0 moveto
1 0.30361 lineto
stroke
stroke
0.53602 0.18203 moveto
0 0 rlineto
0.03589 0 moveto
0.53602 0.18203 lineto
stroke
stroke
0.42499 0.18892 moveto
0 0 rlineto
0 0.03423 moveto
0.42499 0.18892 lineto
stroke
stroke
0.35964 0.21243 moveto
0 0 rlineto
0 0.08153 moveto
0.35964 0.21243 lineto
stroke
stroke
0.31078 0.24194 moveto
0 0 rlineto
0 0.12883 moveto
0.31078 0.24194 lineto
stroke
stroke
0.27225 0.27521 moveto
0 0 rlineto
0 0.17612 moveto
0.27225 0.27521 lineto
stroke
stroke
0.24153 0.31133 moveto
0 0 rlineto
0 0.22342 moveto
0.24153 0.31133 lineto
stroke
stroke
0.21741 0.34985 moveto
0 0 rlineto
0 0.27072 moveto
0.21741 0.34985 lineto
stroke
stroke
0.1993 0.39055 moveto
0 0 rlineto
0 0.31801 moveto
0.1993 0.39055 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.78259 0.65015 lineto
stroke
0.78259 0.65015 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.81299 0.56662 lineto
stroke
0.81299 0.56662 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.75847 0.68867 lineto
stroke
0.75847 0.68867 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.81927 0.52161 lineto
stroke
0.81927 0.52161 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.72775 0.72479 lineto
stroke
0.72775 0.72479 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.81896 0.4742 lineto
stroke
0.81896 0.4742 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.68922 0.75806 lineto
stroke
0.68922 0.75806 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.81083 0.42395 lineto
stroke
0.81083 0.42395 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.64036 0.78757 lineto
stroke
0.64036 0.78757 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.79237 0.36993 lineto
stroke
0.79237 0.36993 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.57501 0.81108 lineto
stroke
0.57501 0.81108 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.75742 0.30991 lineto
stroke
0.75742 0.30991 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.46398 0.81797 lineto
stroke
0.46398 0.81797 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.67679 0.23327 lineto
stroke
0.67679 0.23327 moveto
0 0 rlineto
grestore
grestore
gsave
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.18 0.5 0 0 Mshowa
grestore
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.151576 0 0.103006 [
[(-3)] 0.04527 0 0 2 Msboxa
[(-2)] 0.19685 0 0 2 Msboxa
[(-1)] 0.34842 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65158 0 0 2 Msboxa
[(2)] 0.80315 0 0 2 Msboxa
[(3)] 0.95473 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(1)] 0.4875 0.10301 1 0 Msboxa
[(2)] 0.4875 0.20601 1 0 Msboxa
[(3)] 0.4875 0.30902 1 0 Msboxa
[(4)] 0.4875 0.41202 1 0 Msboxa
[(5)] 0.4875 0.51503 1 0 Msboxa
[(6)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.04527 0 moveto
0.04527 0.00625 lineto
stroke
grestore
[(-3)] 0.04527 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.19685 0 moveto
0.19685 0.00625 lineto
stroke
grestore
[(-2)] 0.19685 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34842 0 moveto
0.34842 0.00625 lineto
stroke
grestore
[(-1)] 0.34842 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65158 0 moveto
0.65158 0.00625 lineto
stroke
grestore
[(1)] 0.65158 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.80315 0 moveto
0.80315 0.00625 lineto
stroke
grestore
[(2)] 0.80315 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.95473 0 moveto
0.95473 0.00625 lineto
stroke
grestore
[(3)] 0.95473 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.07559 0 moveto
0.07559 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.1059 0 moveto
0.1059 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.13622 0 moveto
0.13622 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.16653 0 moveto
0.16653 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22716 0 moveto
0.22716 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.25748 0 moveto
0.25748 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.28779 0 moveto
0.28779 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.31811 0 moveto
0.31811 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37874 0 moveto
0.37874 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40905 0 moveto
0.40905 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43937 0 moveto
0.43937 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46968 0 moveto
0.46968 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53032 0 moveto
0.53032 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56063 0 moveto
0.56063 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59095 0 moveto
0.59095 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62126 0 moveto
0.62126 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.68189 0 moveto
0.68189 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.71221 0 moveto
0.71221 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74252 0 moveto
0.74252 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.77284 0 moveto
0.77284 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.83347 0 moveto
0.83347 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86378 0 moveto
0.86378 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.8941 0 moveto
0.8941 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.92441 0 moveto
0.92441 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.01496 0 moveto
0.01496 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98504 0 moveto
0.98504 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.10301 moveto
0.50625 0.10301 lineto
stroke
grestore
[(1)] 0.4875 0.10301 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.20601 moveto
0.50625 0.20601 lineto
stroke
grestore
[(2)] 0.4875 0.20601 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.30902 moveto
0.50625 0.30902 lineto
stroke
grestore
[(3)] 0.4875 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.41202 moveto
0.50625 0.41202 lineto
stroke
grestore
[(4)] 0.4875 0.41202 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.51503 moveto
0.50625 0.51503 lineto
stroke
grestore
[(5)] 0.4875 0.51503 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(6)] 0.4875 0.61803 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.0206 moveto
0.50375 0.0206 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0412 moveto
0.50375 0.0412 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0618 moveto
0.50375 0.0618 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.0824 moveto
0.50375 0.0824 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.12361 moveto
0.50375 0.12361 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.14421 moveto
0.50375 0.14421 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.16481 moveto
0.50375 0.16481 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18541 moveto
0.50375 0.18541 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22661 moveto
0.50375 0.22661 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.24721 moveto
0.50375 0.24721 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26781 moveto
0.50375 0.26781 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.28842 moveto
0.50375 0.28842 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.32962 moveto
0.50375 0.32962 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.35022 moveto
0.50375 0.35022 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.37082 moveto
0.50375 0.37082 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.39142 moveto
0.50375 0.39142 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.43262 moveto
0.50375 0.43262 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.45322 moveto
0.50375 0.45322 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.47383 moveto
0.50375 0.47383 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.49443 moveto
0.50375 0.49443 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.53563 moveto
0.50375 0.53563 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.55623 moveto
0.50375 0.55623 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.57683 moveto
0.50375 0.57683 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.59743 moveto
0.50375 0.59743 lineto
stroke
grestore
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
0.02381 0.51503 moveto
0.06349 0.33504 lineto
0.07341 0.29145 lineto
0.08333 0.25608 lineto
0.10317 0.20424 lineto
0.1131 0.18511 lineto
0.12302 0.1692 lineto
0.14286 0.14443 lineto
0.1627 0.12622 lineto
0.18254 0.11239 lineto
0.20238 0.10161 lineto
0.22222 0.09303 lineto
0.24206 0.0861 lineto
0.2619 0.08043 lineto
0.28175 0.07575 lineto
0.30159 0.07187 lineto
0.32143 0.06864 lineto
0.34127 0.06594 lineto
0.38095 0.06187 lineto
0.40079 0.06039 lineto
0.42063 0.05922 lineto
0.44048 0.05833 lineto
0.4504 0.05799 lineto
0.46032 0.05771 lineto
0.47024 0.0575 lineto
0.4752 0.05742 lineto
0.48016 0.05735 lineto
0.48512 0.05729 lineto
0.4876 0.05727 lineto
0.49008 0.05726 lineto
0.49256 0.05724 lineto
0.4938 0.05724 lineto
0.49504 0.05723 lineto
0.49628 0.05723 lineto
0.49752 0.05723 lineto
0.49876 0.05723 lineto
0.5 0.05723 lineto
0.50124 0.05723 lineto
0.50248 0.05723 lineto
0.50372 0.05723 lineto
0.50496 0.05723 lineto
0.5062 0.05724 lineto
0.50744 0.05724 lineto
0.50992 0.05726 lineto
0.5124 0.05727 lineto
0.51488 0.05729 lineto
0.51984 0.05735 lineto
0.5248 0.05742 lineto
0.52976 0.0575 lineto
0.53968 0.05771 lineto
Mistroke
0.5496 0.05799 lineto
0.55952 0.05833 lineto
0.57937 0.05922 lineto
0.59921 0.06039 lineto
0.61905 0.06187 lineto
0.63889 0.06371 lineto
0.65873 0.06594 lineto
0.67857 0.06864 lineto
0.69841 0.07187 lineto
0.7381 0.08043 lineto
0.75794 0.0861 lineto
0.77778 0.09303 lineto
0.79762 0.10161 lineto
0.81746 0.11239 lineto
0.8373 0.12622 lineto
0.85714 0.14443 lineto
0.87698 0.1692 lineto
0.8869 0.18511 lineto
0.89683 0.20424 lineto
0.90675 0.2275 lineto
0.91667 0.25608 lineto
0.93651 0.33504 lineto
0.97619 0.51503 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
Systems with multiple poles and zeroes
:[font = text; inactive; ]
     The previous examples of single pole and single zero systems illustrate the close relationship between the radius (i.e. magnitude) and phase of a pole (zero) and the width (a.k.a. bandwidth) and location of the peak (valley).  Alternatively, the width of the peak (valley) can be used to determine the radius of the corresponding pole (zero), while the frequency at which the peak (valley) is located corresponds to the phase of the corresponding pole (zero).
:[font = text; inactive; ]
     It is important to note that, in the case of multiple poles and zeros (i.e. several poles and zeros in the same pole-zero plot), the above relations between peak (valley) width and location and the corresponding pole (zero) still hold if and only if the poles and zeros are sufficiently close to the unit circle and sufficiently far apart. In fact, in this latter case, when we are in the vicinity of a pole or zero, we can simply neglect the effect of the other existing poles and zeros which will have a negligible influence.
     The example below illustrates the relation between the height (depth) and width of a peak (valley) and the corresponding pole (zero).
:[font = subsubsection; inactive; Cclosed; preserveAspect; startGroup; ]
Example:  Animation of System with Multiple Poles and Zeroes
:[font = text; inactive; ]
     Animate the following graphs by placing the cursor on the graph to be animated and double click.  Note that both graphs will be animated at the same time, showing the relationship between the location of the pole and the response.  The speed of the animation can be controlled by typing a number from 1 (slowest) to 9 (fastest).  Typing 0 or clicking the mouse once will stop the animation.
     The black dot on the circle represents the point z = ejw moving around the unit circle, while the symbol "x" represents a pole and the symbol "o" represents a zero.
     Note that the frequency response becomes zero whenever the black dot crosses a zero located on the unit circle. Also, the resulting frequency response corresponds to a low-pass filter. The more poles we will have in the right part of the unit circle the flatter the response can become around the low frequencies if these poles are placed appropriately.
;[s]
4:0,0;455,1;456,2;457,3;924,-1;
4:1,13,10,Times,0,14,0,0,0;1,13,10,Times,32,14,0,0,0;1,0,0,Symbol,32,14,0,0,0;1,13,10,Times,0,14,0,0,0;
:[font = input; preserveAspect; ]
Do[ Show[ GraphicsArray[ {
       VectorPoleZeroPlot[(z^2 + 1)/((z - 0.8)
                          (z - 0.9 Exp[ I Pi/4])
                          (z - 0.9 Exp[-I Pi/4])),
                          z, 0.9, Infinity, r, True,
                          DisplayFunction -> Identity,
                          Return -> Graphics,
                          Dialogue -> False ],
       MagPhasePlot[(z^2 + 1)/((z-0.8)
                    (z - 0.9 Exp[ I Pi/4])
                    (z - 0.9 Exp[-I Pi/4]))
                    /. z ->Exp[I w], 
                    {w,-Pi-0.01,r},
                    PhaseRangeScale -> Null, 
                    DisplayFunction -> Identity,
                    PlotRange -> {{-Pi,Pi},{0,20}},
                    Ticks -> {Automatic, {5, 10, 15, 20}}] 
                    [[1]] } ] ],                 
    {r, -Pi, Pi, Pi/4} ]
:[font = postscript; PostScript; formatAsPostScript; output; inactive; Cclosed; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; startGroup; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.36 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.83829 0.62313 lineto
stroke
0.83829 0.62313 moveto
0 0 rlineto
0.1491 0.41958 moveto
0 0 rlineto
0 0.36531 moveto
0.1491 0.41958 lineto
stroke
stroke
0.14178 0.46421 moveto
0 0 rlineto
0 0.41261 moveto
0.14178 0.46421 lineto
stroke
stroke
0.14017 0.51092 moveto
0 0 rlineto
0 0.45991 moveto
0.14017 0.51092 lineto
stroke
stroke
0.14503 0.55999 moveto
0 0 rlineto
0 0.5072 moveto
0.14503 0.55999 lineto
stroke
stroke
0.15785 0.61195 moveto
0 0 rlineto
0 0.5545 moveto
0.15785 0.61195 lineto
stroke
stroke
0.18153 0.66787 moveto
0 0 rlineto
0 0.6018 moveto
0.18153 0.66787 lineto
stroke
stroke
0.22338 0.7304 moveto
0 0 rlineto
0 0.64909 moveto
0.22338 0.7304 lineto
stroke
stroke
0.3254 0.81483 moveto
0 0 rlineto
0 0.69639 moveto
0.3254 0.81483 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
0.56861 0.1466 moveto
0 0 rlineto
0.16584 0 moveto
0.56861 0.1466 lineto
stroke
stroke
0.4362 0.1457 moveto
0 0 rlineto
0.03589 0 moveto
0.4362 0.1457 lineto
stroke
stroke
0.36395 0.1667 moveto
0 0 rlineto
0 0.03423 moveto
0.36395 0.1667 lineto
stroke
stroke
0.30986 0.19431 moveto
0 0 rlineto
0 0.08153 moveto
0.30986 0.19431 lineto
stroke
stroke
0.26664 0.22588 moveto
0 0 rlineto
0 0.12883 moveto
0.26664 0.22588 lineto
stroke
stroke
0.23137 0.26034 moveto
0 0 rlineto
0 0.17612 moveto
0.23137 0.26034 lineto
stroke
stroke
0.20259 0.29716 moveto
0 0 rlineto
0 0.22342 moveto
0.20259 0.29716 lineto
stroke
stroke
0.1795 0.33605 moveto
0 0 rlineto
0 0.27072 moveto
0.1795 0.33605 lineto
stroke
stroke
0.16171 0.37687 moveto
0 0 rlineto
0 0.31801 moveto
0.16171 0.37687 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.8205 0.66395 lineto
stroke
0.8205 0.66395 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.8509 0.58042 lineto
stroke
0.8509 0.58042 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.79741 0.70284 lineto
stroke
0.79741 0.70284 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.85822 0.53579 lineto
stroke
0.85822 0.53579 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.76863 0.73966 lineto
stroke
0.76863 0.73966 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.85983 0.48908 lineto
stroke
0.85983 0.48908 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.73336 0.77412 lineto
stroke
0.73336 0.77412 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.85497 0.44001 lineto
stroke
0.85497 0.44001 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.69014 0.80569 lineto
stroke
0.69014 0.80569 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.84215 0.38805 lineto
stroke
0.84215 0.38805 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.63605 0.8333 lineto
stroke
0.63605 0.8333 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.81847 0.33213 lineto
stroke
0.81847 0.33213 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.5638 0.8543 lineto
stroke
0.5638 0.8543 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.77662 0.2696 lineto
stroke
0.77662 0.2696 moveto
0 0 rlineto
stroke
0.83416 1 moveto
0.43139 0.8534 lineto
stroke
0.43139 0.8534 moveto
0 0 rlineto
stroke
1 0.30361 moveto
0.6746 0.18517 lineto
stroke
0.6746 0.18517 moveto
0 0 rlineto
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.5 0.1 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.5 0.9 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.75456 0.75456 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.75456 0.24544 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.82 0.5 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.1 0.5 moveto
0.5 0.9 lineto
stroke
0.1 0.5 moveto
0.5 0.1 lineto
stroke
0.1 0.5 moveto
0.82 0.5 lineto
stroke
0.1 0.5 moveto
0.75456 0.75456 lineto
stroke
0.1 0.5 moveto
0.75456 0.24544 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.1 0.5 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 0 0.030902 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(5)] 0.4875 0.15451 1 0 Msboxa
[(10)] 0.4875 0.30902 1 0 Msboxa
[(15)] 0.4875 0.46353 1 0 Msboxa
[(20)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.15451 moveto
0.50625 0.15451 lineto
stroke
grestore
[(5)] 0.4875 0.15451 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.30902 moveto
0.50625 0.30902 lineto
stroke
grestore
[(10)] 0.4875 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.46353 moveto
0.50625 0.46353 lineto
stroke
grestore
[(15)] 0.4875 0.46353 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(20)] 0.4875 0.61803 1 0 Mshowa
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
0 0.01114 moveto
0 0 rlineto
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.36 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.83829 0.62313 lineto
stroke
0.83829 0.62313 moveto
0 0 rlineto
0.1491 0.41958 moveto
0 0 rlineto
0 0.36531 moveto
0.1491 0.41958 lineto
stroke
stroke
0.14178 0.46421 moveto
0 0 rlineto
0 0.41261 moveto
0.14178 0.46421 lineto
stroke
stroke
0.14017 0.51092 moveto
0 0 rlineto
0 0.45991 moveto
0.14017 0.51092 lineto
stroke
stroke
0.14503 0.55999 moveto
0 0 rlineto
0 0.5072 moveto
0.14503 0.55999 lineto
stroke
stroke
0.15785 0.61195 moveto
0 0 rlineto
0 0.5545 moveto
0.15785 0.61195 lineto
stroke
stroke
0.18153 0.66787 moveto
0 0 rlineto
0 0.6018 moveto
0.18153 0.66787 lineto
stroke
stroke
0.22338 0.7304 moveto
0 0 rlineto
0 0.64909 moveto
0.22338 0.7304 lineto
stroke
stroke
0.3254 0.81483 moveto
0 0 rlineto
0 0.69639 moveto
0.3254 0.81483 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
0.56861 0.1466 moveto
0 0 rlineto
0.16584 0 moveto
0.56861 0.1466 lineto
stroke
stroke
0.4362 0.1457 moveto
0 0 rlineto
0.03589 0 moveto
0.4362 0.1457 lineto
stroke
stroke
0.36395 0.1667 moveto
0 0 rlineto
0 0.03423 moveto
0.36395 0.1667 lineto
stroke
stroke
0.30986 0.19431 moveto
0 0 rlineto
0 0.08153 moveto
0.30986 0.19431 lineto
stroke
stroke
0.26664 0.22588 moveto
0 0 rlineto
0 0.12883 moveto
0.26664 0.22588 lineto
stroke
stroke
0.23137 0.26034 moveto
0 0 rlineto
0 0.17612 moveto
0.23137 0.26034 lineto
stroke
stroke
0.20259 0.29716 moveto
0 0 rlineto
0 0.22342 moveto
0.20259 0.29716 lineto
stroke
stroke
0.1795 0.33605 moveto
0 0 rlineto
0 0.27072 moveto
0.1795 0.33605 lineto
stroke
stroke
0.16171 0.37687 moveto
0 0 rlineto
0 0.31801 moveto
0.16171 0.37687 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.8205 0.66395 lineto
stroke
0.8205 0.66395 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.8509 0.58042 lineto
stroke
0.8509 0.58042 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.79741 0.70284 lineto
stroke
0.79741 0.70284 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.85822 0.53579 lineto
stroke
0.85822 0.53579 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.76863 0.73966 lineto
stroke
0.76863 0.73966 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.85983 0.48908 lineto
stroke
0.85983 0.48908 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.73336 0.77412 lineto
stroke
0.73336 0.77412 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.85497 0.44001 lineto
stroke
0.85497 0.44001 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.69014 0.80569 lineto
stroke
0.69014 0.80569 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.84215 0.38805 lineto
stroke
0.84215 0.38805 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.63605 0.8333 lineto
stroke
0.63605 0.8333 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.81847 0.33213 lineto
stroke
0.81847 0.33213 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.5638 0.8543 lineto
stroke
0.5638 0.8543 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.77662 0.2696 lineto
stroke
0.77662 0.2696 moveto
0 0 rlineto
stroke
0.83416 1 moveto
0.43139 0.8534 lineto
stroke
0.43139 0.8534 moveto
0 0 rlineto
stroke
1 0.30361 moveto
0.6746 0.18517 lineto
stroke
0.6746 0.18517 moveto
0 0 rlineto
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.5 0.1 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.5 0.9 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.75456 0.75456 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.75456 0.24544 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.82 0.5 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.21716 0.21716 moveto
0.5 0.9 lineto
stroke
0.21716 0.21716 moveto
0.5 0.1 lineto
stroke
0.21716 0.21716 moveto
0.82 0.5 lineto
stroke
0.21716 0.21716 moveto
0.75456 0.75456 lineto
stroke
0.21716 0.21716 moveto
0.75456 0.24544 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.21716 0.21716 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 0 0.030902 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(5)] 0.4875 0.15451 1 0 Msboxa
[(10)] 0.4875 0.30902 1 0 Msboxa
[(15)] 0.4875 0.46353 1 0 Msboxa
[(20)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.15451 moveto
0.50625 0.15451 lineto
stroke
grestore
[(5)] 0.4875 0.15451 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.30902 moveto
0.50625 0.30902 lineto
stroke
grestore
[(10)] 0.4875 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.46353 moveto
0.50625 0.46353 lineto
stroke
grestore
[(15)] 0.4875 0.46353 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(20)] 0.4875 0.61803 1 0 Mshowa
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
0 0.01114 moveto
6e-05 0.01114 lineto
stroke
6e-05 0.01114 moveto
0.00022 0.01114 lineto
0.00039 0.01114 lineto
0.00055 0.01114 lineto
0.00072 0.01114 lineto
0.00088 0.01114 lineto
0.00105 0.01114 lineto
0.00171 0.01114 lineto
0.00203 0.01114 lineto
0.00236 0.01114 lineto
0.00302 0.01114 lineto
0.00368 0.01114 lineto
0.005 0.01114 lineto
0.00632 0.01114 lineto
0.00896 0.01113 lineto
0.0116 0.01113 lineto
0.01423 0.01113 lineto
0.01951 0.01112 lineto
0.02478 0.01111 lineto
0.03006 0.0111 lineto
0.03533 0.01109 lineto
0.04061 0.01107 lineto
0.04588 0.01105 lineto
0.05115 0.01103 lineto
0.05643 0.01101 lineto
0.0617 0.01098 lineto
0.06698 0.01095 lineto
0.07225 0.01091 lineto
0.07753 0.01088 lineto
0.0828 0.01083 lineto
0.08808 0.01078 lineto
0.09335 0.01073 lineto
0.09863 0.01067 lineto
0.1039 0.01061 lineto
0.10918 0.01053 lineto
0.11445 0.01045 lineto
0.11973 0.01037 lineto
0.125 0.01027 lineto
stroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.36 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.83829 0.62313 lineto
stroke
0.83829 0.62313 moveto
0 0 rlineto
0.1491 0.41958 moveto
0 0 rlineto
0 0.36531 moveto
0.1491 0.41958 lineto
stroke
stroke
0.14178 0.46421 moveto
0 0 rlineto
0 0.41261 moveto
0.14178 0.46421 lineto
stroke
stroke
0.14017 0.51092 moveto
0 0 rlineto
0 0.45991 moveto
0.14017 0.51092 lineto
stroke
stroke
0.14503 0.55999 moveto
0 0 rlineto
0 0.5072 moveto
0.14503 0.55999 lineto
stroke
stroke
0.15785 0.61195 moveto
0 0 rlineto
0 0.5545 moveto
0.15785 0.61195 lineto
stroke
stroke
0.18153 0.66787 moveto
0 0 rlineto
0 0.6018 moveto
0.18153 0.66787 lineto
stroke
stroke
0.22338 0.7304 moveto
0 0 rlineto
0 0.64909 moveto
0.22338 0.7304 lineto
stroke
stroke
0.3254 0.81483 moveto
0 0 rlineto
0 0.69639 moveto
0.3254 0.81483 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
0.56861 0.1466 moveto
0 0 rlineto
0.16584 0 moveto
0.56861 0.1466 lineto
stroke
stroke
0.4362 0.1457 moveto
0 0 rlineto
0.03589 0 moveto
0.4362 0.1457 lineto
stroke
stroke
0.36395 0.1667 moveto
0 0 rlineto
0 0.03423 moveto
0.36395 0.1667 lineto
stroke
stroke
0.30986 0.19431 moveto
0 0 rlineto
0 0.08153 moveto
0.30986 0.19431 lineto
stroke
stroke
0.26664 0.22588 moveto
0 0 rlineto
0 0.12883 moveto
0.26664 0.22588 lineto
stroke
stroke
0.23137 0.26034 moveto
0 0 rlineto
0 0.17612 moveto
0.23137 0.26034 lineto
stroke
stroke
0.20259 0.29716 moveto
0 0 rlineto
0 0.22342 moveto
0.20259 0.29716 lineto
stroke
stroke
0.1795 0.33605 moveto
0 0 rlineto
0 0.27072 moveto
0.1795 0.33605 lineto
stroke
stroke
0.16171 0.37687 moveto
0 0 rlineto
0 0.31801 moveto
0.16171 0.37687 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.8205 0.66395 lineto
stroke
0.8205 0.66395 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.8509 0.58042 lineto
stroke
0.8509 0.58042 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.79741 0.70284 lineto
stroke
0.79741 0.70284 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.85822 0.53579 lineto
stroke
0.85822 0.53579 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.76863 0.73966 lineto
stroke
0.76863 0.73966 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.85983 0.48908 lineto
stroke
0.85983 0.48908 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.73336 0.77412 lineto
stroke
0.73336 0.77412 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.85497 0.44001 lineto
stroke
0.85497 0.44001 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.69014 0.80569 lineto
stroke
0.69014 0.80569 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.84215 0.38805 lineto
stroke
0.84215 0.38805 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.63605 0.8333 lineto
stroke
0.63605 0.8333 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.81847 0.33213 lineto
stroke
0.81847 0.33213 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.5638 0.8543 lineto
stroke
0.5638 0.8543 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.77662 0.2696 lineto
stroke
0.77662 0.2696 moveto
0 0 rlineto
stroke
0.83416 1 moveto
0.43139 0.8534 lineto
stroke
0.43139 0.8534 moveto
0 0 rlineto
stroke
1 0.30361 moveto
0.6746 0.18517 lineto
stroke
0.6746 0.18517 moveto
0 0 rlineto
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.5 0.1 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.5 0.9 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.75456 0.75456 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.75456 0.24544 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.82 0.5 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.5 0.1 moveto
0.5 0.9 lineto
stroke
0.5 0.1 moveto
0.5 0.1 lineto
stroke
0.5 0.1 moveto
0.82 0.5 lineto
stroke
0.5 0.1 moveto
0.75456 0.75456 lineto
stroke
0.5 0.1 moveto
0.75456 0.24544 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.5 0.1 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 0 0.030902 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(5)] 0.4875 0.15451 1 0 Msboxa
[(10)] 0.4875 0.30902 1 0 Msboxa
[(15)] 0.4875 0.46353 1 0 Msboxa
[(20)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.15451 moveto
0.50625 0.15451 lineto
stroke
grestore
[(5)] 0.4875 0.15451 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.30902 moveto
0.50625 0.30902 lineto
stroke
grestore
[(10)] 0.4875 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.46353 moveto
0.50625 0.46353 lineto
stroke
grestore
[(15)] 0.4875 0.46353 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(20)] 0.4875 0.61803 1 0 Mshowa
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
stroke
stroke
stroke
stroke
0 0.01114 moveto
5e-05 0.01114 lineto
stroke
5e-05 0.01114 moveto
0.00037 0.01114 lineto
0.0007 0.01114 lineto
0.00103 0.01114 lineto
0.00168 0.01114 lineto
0.00201 0.01114 lineto
0.00234 0.01114 lineto
0.00299 0.01114 lineto
0.00365 0.01114 lineto
0.00496 0.01114 lineto
0.00627 0.01114 lineto
0.00889 0.01113 lineto
0.01151 0.01113 lineto
0.01413 0.01113 lineto
0.01937 0.01112 lineto
0.02462 0.01111 lineto
0.02986 0.0111 lineto
0.04034 0.01107 lineto
0.05082 0.01103 lineto
0.06131 0.01098 lineto
0.07179 0.01092 lineto
0.08227 0.01084 lineto
0.09276 0.01074 lineto
0.10324 0.01061 lineto
0.11372 0.01047 lineto
0.1242 0.01028 lineto
0.13469 0.01007 lineto
0.14517 0.0098 lineto
0.15565 0.00947 lineto
0.16614 0.00908 lineto
0.17662 0.0086 lineto
0.1871 0.00801 lineto
0.19759 0.00729 lineto
0.20807 0.0064 lineto
0.21855 0.0053 lineto
0.22903 0.00392 lineto
0.23952 0.00219 lineto
0.25 0 lineto
stroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.36 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.83829 0.62313 lineto
stroke
0.83829 0.62313 moveto
0 0 rlineto
0.1491 0.41958 moveto
0 0 rlineto
0 0.36531 moveto
0.1491 0.41958 lineto
stroke
stroke
0.14178 0.46421 moveto
0 0 rlineto
0 0.41261 moveto
0.14178 0.46421 lineto
stroke
stroke
0.14017 0.51092 moveto
0 0 rlineto
0 0.45991 moveto
0.14017 0.51092 lineto
stroke
stroke
0.14503 0.55999 moveto
0 0 rlineto
0 0.5072 moveto
0.14503 0.55999 lineto
stroke
stroke
0.15785 0.61195 moveto
0 0 rlineto
0 0.5545 moveto
0.15785 0.61195 lineto
stroke
stroke
0.18153 0.66787 moveto
0 0 rlineto
0 0.6018 moveto
0.18153 0.66787 lineto
stroke
stroke
0.22338 0.7304 moveto
0 0 rlineto
0 0.64909 moveto
0.22338 0.7304 lineto
stroke
stroke
0.3254 0.81483 moveto
0 0 rlineto
0 0.69639 moveto
0.3254 0.81483 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
0.56861 0.1466 moveto
0 0 rlineto
0.16584 0 moveto
0.56861 0.1466 lineto
stroke
stroke
0.4362 0.1457 moveto
0 0 rlineto
0.03589 0 moveto
0.4362 0.1457 lineto
stroke
stroke
0.36395 0.1667 moveto
0 0 rlineto
0 0.03423 moveto
0.36395 0.1667 lineto
stroke
stroke
0.30986 0.19431 moveto
0 0 rlineto
0 0.08153 moveto
0.30986 0.19431 lineto
stroke
stroke
0.26664 0.22588 moveto
0 0 rlineto
0 0.12883 moveto
0.26664 0.22588 lineto
stroke
stroke
0.23137 0.26034 moveto
0 0 rlineto
0 0.17612 moveto
0.23137 0.26034 lineto
stroke
stroke
0.20259 0.29716 moveto
0 0 rlineto
0 0.22342 moveto
0.20259 0.29716 lineto
stroke
stroke
0.1795 0.33605 moveto
0 0 rlineto
0 0.27072 moveto
0.1795 0.33605 lineto
stroke
stroke
0.16171 0.37687 moveto
0 0 rlineto
0 0.31801 moveto
0.16171 0.37687 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.8205 0.66395 lineto
stroke
0.8205 0.66395 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.8509 0.58042 lineto
stroke
0.8509 0.58042 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.79741 0.70284 lineto
stroke
0.79741 0.70284 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.85822 0.53579 lineto
stroke
0.85822 0.53579 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.76863 0.73966 lineto
stroke
0.76863 0.73966 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.85983 0.48908 lineto
stroke
0.85983 0.48908 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.73336 0.77412 lineto
stroke
0.73336 0.77412 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.85497 0.44001 lineto
stroke
0.85497 0.44001 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.69014 0.80569 lineto
stroke
0.69014 0.80569 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.84215 0.38805 lineto
stroke
0.84215 0.38805 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.63605 0.8333 lineto
stroke
0.63605 0.8333 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.81847 0.33213 lineto
stroke
0.81847 0.33213 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.5638 0.8543 lineto
stroke
0.5638 0.8543 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.77662 0.2696 lineto
stroke
0.77662 0.2696 moveto
0 0 rlineto
stroke
0.83416 1 moveto
0.43139 0.8534 lineto
stroke
0.43139 0.8534 moveto
0 0 rlineto
stroke
1 0.30361 moveto
0.6746 0.18517 lineto
stroke
0.6746 0.18517 moveto
0 0 rlineto
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.5 0.1 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.5 0.9 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.75456 0.75456 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.75456 0.24544 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.82 0.5 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.78284 0.21716 moveto
0.5 0.9 lineto
stroke
0.78284 0.21716 moveto
0.5 0.1 lineto
stroke
0.78284 0.21716 moveto
0.82 0.5 lineto
stroke
0.78284 0.21716 moveto
0.75456 0.75456 lineto
stroke
0.78284 0.21716 moveto
0.75456 0.24544 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.78284 0.21716 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 0 0.030902 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(5)] 0.4875 0.15451 1 0 Msboxa
[(10)] 0.4875 0.30902 1 0 Msboxa
[(15)] 0.4875 0.46353 1 0 Msboxa
[(20)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.15451 moveto
0.50625 0.15451 lineto
stroke
grestore
[(5)] 0.4875 0.15451 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.30902 moveto
0.50625 0.30902 lineto
stroke
grestore
[(10)] 0.4875 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.46353 moveto
0.50625 0.46353 lineto
stroke
grestore
[(15)] 0.4875 0.46353 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(20)] 0.4875 0.61803 1 0 Mshowa
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
stroke
stroke
stroke
0 0.01114 moveto
0.00037 0.01114 lineto
stroke
0.00037 0.01114 moveto
0.00086 0.01114 lineto
0.00135 0.01114 lineto
0.00233 0.01114 lineto
0.00282 0.01114 lineto
0.00331 0.01114 lineto
0.00429 0.01114 lineto
0.00625 0.01114 lineto
0.00822 0.01114 lineto
0.01018 0.01113 lineto
0.0141 0.01113 lineto
0.01802 0.01113 lineto
0.02195 0.01112 lineto
0.02979 0.0111 lineto
0.03764 0.01108 lineto
0.04548 0.01106 lineto
0.06117 0.01098 lineto
0.06902 0.01094 lineto
0.07687 0.01088 lineto
0.09256 0.01074 lineto
0.10825 0.01055 lineto
0.12394 0.01029 lineto
0.13963 0.00995 lineto
0.15532 0.00949 lineto
0.17101 0.00887 lineto
0.1867 0.00804 lineto
0.2024 0.0069 lineto
0.21809 0.00535 lineto
0.23378 0.00319 lineto
0.24162 0.00179 lineto
0.24555 0.001 lineto
0.24751 0.00057 lineto
0.24849 0.00035 lineto
0.24898 0.00024 lineto
0.24947 0.00012 lineto
0.24996 1e-05 lineto
0.25045 0.00011 lineto
0.25094 0.00022 lineto
0.25143 0.00034 lineto
0.25339 0.00083 lineto
0.25732 0.00188 lineto
0.26516 0.00432 lineto
0.28085 0.01094 lineto
0.2887 0.0155 lineto
0.29654 0.02124 lineto
0.30439 0.02858 lineto
0.31223 0.03812 lineto
0.32008 0.05079 lineto
0.32793 0.068 lineto
0.33577 0.0921 lineto
Mistroke
0.33969 0.10784 lineto
0.34362 0.12692 lineto
0.34754 0.15022 lineto
0.35146 0.17883 lineto
0.35931 0.25676 lineto
0.375 0.45547 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.36 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.83829 0.62313 lineto
stroke
0.83829 0.62313 moveto
0 0 rlineto
0.1491 0.41958 moveto
0 0 rlineto
0 0.36531 moveto
0.1491 0.41958 lineto
stroke
stroke
0.14178 0.46421 moveto
0 0 rlineto
0 0.41261 moveto
0.14178 0.46421 lineto
stroke
stroke
0.14017 0.51092 moveto
0 0 rlineto
0 0.45991 moveto
0.14017 0.51092 lineto
stroke
stroke
0.14503 0.55999 moveto
0 0 rlineto
0 0.5072 moveto
0.14503 0.55999 lineto
stroke
stroke
0.15785 0.61195 moveto
0 0 rlineto
0 0.5545 moveto
0.15785 0.61195 lineto
stroke
stroke
0.18153 0.66787 moveto
0 0 rlineto
0 0.6018 moveto
0.18153 0.66787 lineto
stroke
stroke
0.22338 0.7304 moveto
0 0 rlineto
0 0.64909 moveto
0.22338 0.7304 lineto
stroke
stroke
0.3254 0.81483 moveto
0 0 rlineto
0 0.69639 moveto
0.3254 0.81483 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
0.56861 0.1466 moveto
0 0 rlineto
0.16584 0 moveto
0.56861 0.1466 lineto
stroke
stroke
0.4362 0.1457 moveto
0 0 rlineto
0.03589 0 moveto
0.4362 0.1457 lineto
stroke
stroke
0.36395 0.1667 moveto
0 0 rlineto
0 0.03423 moveto
0.36395 0.1667 lineto
stroke
stroke
0.30986 0.19431 moveto
0 0 rlineto
0 0.08153 moveto
0.30986 0.19431 lineto
stroke
stroke
0.26664 0.22588 moveto
0 0 rlineto
0 0.12883 moveto
0.26664 0.22588 lineto
stroke
stroke
0.23137 0.26034 moveto
0 0 rlineto
0 0.17612 moveto
0.23137 0.26034 lineto
stroke
stroke
0.20259 0.29716 moveto
0 0 rlineto
0 0.22342 moveto
0.20259 0.29716 lineto
stroke
stroke
0.1795 0.33605 moveto
0 0 rlineto
0 0.27072 moveto
0.1795 0.33605 lineto
stroke
stroke
0.16171 0.37687 moveto
0 0 rlineto
0 0.31801 moveto
0.16171 0.37687 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.8205 0.66395 lineto
stroke
0.8205 0.66395 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.8509 0.58042 lineto
stroke
0.8509 0.58042 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.79741 0.70284 lineto
stroke
0.79741 0.70284 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.85822 0.53579 lineto
stroke
0.85822 0.53579 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.76863 0.73966 lineto
stroke
0.76863 0.73966 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.85983 0.48908 lineto
stroke
0.85983 0.48908 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.73336 0.77412 lineto
stroke
0.73336 0.77412 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.85497 0.44001 lineto
stroke
0.85497 0.44001 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.69014 0.80569 lineto
stroke
0.69014 0.80569 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.84215 0.38805 lineto
stroke
0.84215 0.38805 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.63605 0.8333 lineto
stroke
0.63605 0.8333 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.81847 0.33213 lineto
stroke
0.81847 0.33213 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.5638 0.8543 lineto
stroke
0.5638 0.8543 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.77662 0.2696 lineto
stroke
0.77662 0.2696 moveto
0 0 rlineto
stroke
0.83416 1 moveto
0.43139 0.8534 lineto
stroke
0.43139 0.8534 moveto
0 0 rlineto
stroke
1 0.30361 moveto
0.6746 0.18517 lineto
stroke
0.6746 0.18517 moveto
0 0 rlineto
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.5 0.1 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.5 0.9 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.75456 0.75456 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.75456 0.24544 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.82 0.5 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.9 0.5 moveto
0.5 0.9 lineto
stroke
0.9 0.5 moveto
0.5 0.1 lineto
stroke
0.9 0.5 moveto
0.82 0.5 lineto
stroke
0.9 0.5 moveto
0.75456 0.75456 lineto
stroke
0.9 0.5 moveto
0.75456 0.24544 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.9 0.5 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 0 0.030902 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(5)] 0.4875 0.15451 1 0 Msboxa
[(10)] 0.4875 0.30902 1 0 Msboxa
[(15)] 0.4875 0.46353 1 0 Msboxa
[(20)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.15451 moveto
0.50625 0.15451 lineto
stroke
grestore
[(5)] 0.4875 0.15451 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.30902 moveto
0.50625 0.30902 lineto
stroke
grestore
[(10)] 0.4875 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.46353 moveto
0.50625 0.46353 lineto
stroke
grestore
[(15)] 0.4875 0.46353 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(20)] 0.4875 0.61803 1 0 Mshowa
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
stroke
stroke
0 0.01114 moveto
0.00037 0.01114 lineto
stroke
0.00037 0.01114 moveto
0.00102 0.01114 lineto
0.00167 0.01114 lineto
0.00233 0.01114 lineto
0.00298 0.01114 lineto
0.00363 0.01114 lineto
0.00494 0.01114 lineto
0.00625 0.01114 lineto
0.00886 0.01113 lineto
0.01147 0.01113 lineto
0.01408 0.01113 lineto
0.01931 0.01112 lineto
0.02453 0.01111 lineto
0.02976 0.0111 lineto
0.04021 0.01107 lineto
0.05066 0.01104 lineto
0.06111 0.01098 lineto
0.07156 0.01092 lineto
0.08201 0.01084 lineto
0.09246 0.01074 lineto
0.10291 0.01062 lineto
0.11336 0.01047 lineto
0.12381 0.01029 lineto
0.14471 0.00981 lineto
0.15516 0.00949 lineto
0.16561 0.0091 lineto
0.18651 0.00805 lineto
0.19696 0.00734 lineto
0.2074 0.00646 lineto
0.21785 0.00538 lineto
0.2283 0.00403 lineto
0.23875 0.00233 lineto
0.24398 0.00132 lineto
0.24659 0.00077 lineto
0.2479 0.00048 lineto
0.24855 0.00034 lineto
0.2492 0.00019 lineto
0.24986 3e-05 lineto
0.25051 0.00012 lineto
0.25182 0.00044 lineto
0.25443 0.0011 lineto
0.25965 0.00256 lineto
0.2701 0.00612 lineto
0.28055 0.01079 lineto
0.291 0.01705 lineto
0.30145 0.02561 lineto
0.30668 0.0311 lineto
0.3119 0.03766 lineto
0.31713 0.04558 lineto
0.32235 0.05522 lineto
Mistroke
0.32758 0.06712 lineto
0.3328 0.08197 lineto
0.33803 0.10079 lineto
0.34325 0.12498 lineto
0.34848 0.15653 lineto
0.3537 0.19802 lineto
0.35893 0.25225 lineto
0.36415 0.31995 lineto
0.36938 0.39377 lineto
0.37199 0.4267 lineto
0.3733 0.44065 lineto
0.3746 0.45238 lineto
0.37591 0.46162 lineto
0.37656 0.46526 lineto
0.37721 0.46824 lineto
0.37787 0.47056 lineto
0.37852 0.47224 lineto
0.37917 0.47329 lineto
0.37983 0.47374 lineto
0.38048 0.47364 lineto
0.38113 0.47301 lineto
0.38179 0.47191 lineto
0.38244 0.47037 lineto
0.38505 0.46072 lineto
0.38766 0.4475 lineto
0.39028 0.43284 lineto
0.3955 0.40434 lineto
0.40073 0.3807 lineto
0.40595 0.36294 lineto
0.40856 0.35614 lineto
0.41118 0.35061 lineto
0.41379 0.34626 lineto
0.4151 0.3445 lineto
0.4164 0.343 lineto
0.41771 0.34176 lineto
0.41901 0.34076 lineto
0.41967 0.34035 lineto
0.42032 0.34 lineto
0.42097 0.3397 lineto
0.42163 0.33947 lineto
0.42228 0.33929 lineto
0.42293 0.33916 lineto
0.42359 0.33909 lineto
0.42424 0.33907 lineto
0.42489 0.33911 lineto
0.42555 0.3392 lineto
0.4262 0.33934 lineto
0.42685 0.33953 lineto
0.42816 0.34007 lineto
0.42946 0.34081 lineto
Mistroke
0.43208 0.34288 lineto
0.43469 0.34573 lineto
0.4373 0.34934 lineto
0.44253 0.35883 lineto
0.44775 0.37136 lineto
0.4582 0.40565 lineto
0.46865 0.45188 lineto
0.4791 0.50596 lineto
0.48433 0.53227 lineto
0.48955 0.55462 lineto
0.49216 0.5633 lineto
0.49478 0.56982 lineto
0.49608 0.57216 lineto
0.49739 0.57386 lineto
0.49804 0.57446 lineto
0.49869 0.57488 lineto
0.49935 0.57514 lineto
0.5 0.57523 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.36 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.83829 0.62313 lineto
stroke
0.83829 0.62313 moveto
0 0 rlineto
0.1491 0.41958 moveto
0 0 rlineto
0 0.36531 moveto
0.1491 0.41958 lineto
stroke
stroke
0.14178 0.46421 moveto
0 0 rlineto
0 0.41261 moveto
0.14178 0.46421 lineto
stroke
stroke
0.14017 0.51092 moveto
0 0 rlineto
0 0.45991 moveto
0.14017 0.51092 lineto
stroke
stroke
0.14503 0.55999 moveto
0 0 rlineto
0 0.5072 moveto
0.14503 0.55999 lineto
stroke
stroke
0.15785 0.61195 moveto
0 0 rlineto
0 0.5545 moveto
0.15785 0.61195 lineto
stroke
stroke
0.18153 0.66787 moveto
0 0 rlineto
0 0.6018 moveto
0.18153 0.66787 lineto
stroke
stroke
0.22338 0.7304 moveto
0 0 rlineto
0 0.64909 moveto
0.22338 0.7304 lineto
stroke
stroke
0.3254 0.81483 moveto
0 0 rlineto
0 0.69639 moveto
0.3254 0.81483 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
0.56861 0.1466 moveto
0 0 rlineto
0.16584 0 moveto
0.56861 0.1466 lineto
stroke
stroke
0.4362 0.1457 moveto
0 0 rlineto
0.03589 0 moveto
0.4362 0.1457 lineto
stroke
stroke
0.36395 0.1667 moveto
0 0 rlineto
0 0.03423 moveto
0.36395 0.1667 lineto
stroke
stroke
0.30986 0.19431 moveto
0 0 rlineto
0 0.08153 moveto
0.30986 0.19431 lineto
stroke
stroke
0.26664 0.22588 moveto
0 0 rlineto
0 0.12883 moveto
0.26664 0.22588 lineto
stroke
stroke
0.23137 0.26034 moveto
0 0 rlineto
0 0.17612 moveto
0.23137 0.26034 lineto
stroke
stroke
0.20259 0.29716 moveto
0 0 rlineto
0 0.22342 moveto
0.20259 0.29716 lineto
stroke
stroke
0.1795 0.33605 moveto
0 0 rlineto
0 0.27072 moveto
0.1795 0.33605 lineto
stroke
stroke
0.16171 0.37687 moveto
0 0 rlineto
0 0.31801 moveto
0.16171 0.37687 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.8205 0.66395 lineto
stroke
0.8205 0.66395 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.8509 0.58042 lineto
stroke
0.8509 0.58042 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.79741 0.70284 lineto
stroke
0.79741 0.70284 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.85822 0.53579 lineto
stroke
0.85822 0.53579 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.76863 0.73966 lineto
stroke
0.76863 0.73966 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.85983 0.48908 lineto
stroke
0.85983 0.48908 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.73336 0.77412 lineto
stroke
0.73336 0.77412 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.85497 0.44001 lineto
stroke
0.85497 0.44001 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.69014 0.80569 lineto
stroke
0.69014 0.80569 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.84215 0.38805 lineto
stroke
0.84215 0.38805 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.63605 0.8333 lineto
stroke
0.63605 0.8333 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.81847 0.33213 lineto
stroke
0.81847 0.33213 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.5638 0.8543 lineto
stroke
0.5638 0.8543 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.77662 0.2696 lineto
stroke
0.77662 0.2696 moveto
0 0 rlineto
stroke
0.83416 1 moveto
0.43139 0.8534 lineto
stroke
0.43139 0.8534 moveto
0 0 rlineto
stroke
1 0.30361 moveto
0.6746 0.18517 lineto
stroke
0.6746 0.18517 moveto
0 0 rlineto
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.5 0.1 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.5 0.9 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.75456 0.75456 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.75456 0.24544 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.82 0.5 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.78284 0.78284 moveto
0.5 0.9 lineto
stroke
0.78284 0.78284 moveto
0.5 0.1 lineto
stroke
0.78284 0.78284 moveto
0.82 0.5 lineto
stroke
0.78284 0.78284 moveto
0.75456 0.75456 lineto
stroke
0.78284 0.78284 moveto
0.75456 0.24544 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.78284 0.78284 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 0 0.030902 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(5)] 0.4875 0.15451 1 0 Msboxa
[(10)] 0.4875 0.30902 1 0 Msboxa
[(15)] 0.4875 0.46353 1 0 Msboxa
[(20)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.15451 moveto
0.50625 0.15451 lineto
stroke
grestore
[(5)] 0.4875 0.15451 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.30902 moveto
0.50625 0.30902 lineto
stroke
grestore
[(10)] 0.4875 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.46353 moveto
0.50625 0.46353 lineto
stroke
grestore
[(15)] 0.4875 0.46353 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(20)] 0.4875 0.61803 1 0 Mshowa
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
stroke
0 0.01114 moveto
4e-05 0.01114 lineto
stroke
4e-05 0.01114 moveto
0.00086 0.01114 lineto
0.00167 0.01114 lineto
0.00249 0.01114 lineto
0.0033 0.01114 lineto
0.00412 0.01114 lineto
0.00494 0.01114 lineto
0.00657 0.01114 lineto
0.0082 0.01114 lineto
0.01146 0.01113 lineto
0.01473 0.01113 lineto
0.01799 0.01113 lineto
0.02452 0.01111 lineto
0.03104 0.0111 lineto
0.03757 0.01108 lineto
0.05062 0.01104 lineto
0.06368 0.01097 lineto
0.07673 0.01088 lineto
0.08979 0.01077 lineto
0.10284 0.01062 lineto
0.11589 0.01043 lineto
0.12895 0.01019 lineto
0.142 0.00988 lineto
0.15506 0.00949 lineto
0.16811 0.009 lineto
0.18116 0.00836 lineto
0.19422 0.00754 lineto
0.20727 0.00647 lineto
0.22033 0.00508 lineto
0.23338 0.00325 lineto
0.23991 0.00212 lineto
0.24317 0.00149 lineto
0.24643 0.00081 lineto
0.24807 0.00045 lineto
0.24888 0.00026 lineto
0.2497 7e-05 lineto
0.25051 0.00012 lineto
0.25133 0.00032 lineto
0.25296 0.00072 lineto
0.25949 0.00251 lineto
0.27254 0.00709 lineto
0.2856 0.01357 lineto
0.29212 0.01784 lineto
0.29865 0.02303 lineto
0.30518 0.02942 lineto
0.3117 0.03739 lineto
0.31823 0.04745 lineto
0.32476 0.06038 lineto
0.33129 0.0773 lineto
0.33781 0.09992 lineto
Mistroke
0.34434 0.13086 lineto
0.35087 0.17409 lineto
0.35739 0.23488 lineto
0.36392 0.31671 lineto
0.36718 0.36309 lineto
0.37045 0.40792 lineto
0.37208 0.42772 lineto
0.37371 0.44463 lineto
0.37453 0.45177 lineto
0.37534 0.45794 lineto
0.37616 0.4631 lineto
0.37697 0.46722 lineto
0.37779 0.47032 lineto
0.37861 0.47241 lineto
0.37942 0.47353 lineto
0.38024 0.47374 lineto
0.38105 0.47312 lineto
0.38187 0.47174 lineto
0.38269 0.46968 lineto
0.3835 0.46704 lineto
0.38513 0.46035 lineto
0.38676 0.45231 lineto
0.39003 0.43425 lineto
0.39656 0.39911 lineto
0.40308 0.37197 lineto
0.40635 0.36183 lineto
0.40961 0.35378 lineto
0.41287 0.34766 lineto
0.4145 0.34526 lineto
0.41614 0.34329 lineto
0.41777 0.34171 lineto
0.4194 0.34051 lineto
0.42022 0.34005 lineto
0.42103 0.33968 lineto
0.42185 0.3394 lineto
0.42266 0.33921 lineto
0.42348 0.3391 lineto
0.42429 0.33907 lineto
0.42511 0.33913 lineto
0.42593 0.33927 lineto
0.42674 0.33949 lineto
0.42756 0.3398 lineto
0.42837 0.34018 lineto
0.42919 0.34064 lineto
0.43082 0.34179 lineto
0.43245 0.34324 lineto
0.43572 0.34706 lineto
0.43898 0.35206 lineto
0.44224 0.35824 lineto
0.44877 0.37416 lineto
Mistroke
0.4553 0.39489 lineto
0.46835 0.45041 lineto
0.48141 0.51786 lineto
0.48467 0.5339 lineto
0.48793 0.54832 lineto
0.4912 0.56033 lineto
0.49283 0.56518 lineto
0.49446 0.56916 lineto
0.49528 0.57079 lineto
0.49609 0.57218 lineto
0.49691 0.57331 lineto
0.49772 0.57419 lineto
0.49854 0.5748 lineto
0.49936 0.57514 lineto
0.50017 0.57522 lineto
0.50099 0.57503 lineto
0.5018 0.57457 lineto
0.50262 0.57385 lineto
0.50343 0.57287 lineto
0.50425 0.57163 lineto
0.50588 0.5684 lineto
0.50751 0.56423 lineto
0.51078 0.5534 lineto
0.51404 0.53984 lineto
0.52057 0.50769 lineto
0.53362 0.44091 lineto
0.54015 0.4122 lineto
0.54668 0.38811 lineto
0.5532 0.36885 lineto
0.55647 0.36101 lineto
0.55973 0.35436 lineto
0.56299 0.3489 lineto
0.56626 0.34461 lineto
0.56789 0.34291 lineto
0.56952 0.34152 lineto
0.57115 0.34044 lineto
0.57197 0.34001 lineto
0.57278 0.33966 lineto
0.5736 0.33939 lineto
0.57442 0.3392 lineto
0.57523 0.3391 lineto
0.57605 0.33907 lineto
0.57686 0.33913 lineto
0.57768 0.33928 lineto
0.5785 0.33951 lineto
0.57931 0.33982 lineto
0.58094 0.34073 lineto
0.58257 0.34201 lineto
0.58421 0.34367 lineto
0.58584 0.34573 lineto
Mistroke
0.5891 0.35114 lineto
0.59237 0.35841 lineto
0.59563 0.3677 lineto
0.59889 0.3792 lineto
0.625 0.45547 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.36 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.83829 0.62313 lineto
stroke
0.83829 0.62313 moveto
0 0 rlineto
0.1491 0.41958 moveto
0 0 rlineto
0 0.36531 moveto
0.1491 0.41958 lineto
stroke
stroke
0.14178 0.46421 moveto
0 0 rlineto
0 0.41261 moveto
0.14178 0.46421 lineto
stroke
stroke
0.14017 0.51092 moveto
0 0 rlineto
0 0.45991 moveto
0.14017 0.51092 lineto
stroke
stroke
0.14503 0.55999 moveto
0 0 rlineto
0 0.5072 moveto
0.14503 0.55999 lineto
stroke
stroke
0.15785 0.61195 moveto
0 0 rlineto
0 0.5545 moveto
0.15785 0.61195 lineto
stroke
stroke
0.18153 0.66787 moveto
0 0 rlineto
0 0.6018 moveto
0.18153 0.66787 lineto
stroke
stroke
0.22338 0.7304 moveto
0 0 rlineto
0 0.64909 moveto
0.22338 0.7304 lineto
stroke
stroke
0.3254 0.81483 moveto
0 0 rlineto
0 0.69639 moveto
0.3254 0.81483 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
0.56861 0.1466 moveto
0 0 rlineto
0.16584 0 moveto
0.56861 0.1466 lineto
stroke
stroke
0.4362 0.1457 moveto
0 0 rlineto
0.03589 0 moveto
0.4362 0.1457 lineto
stroke
stroke
0.36395 0.1667 moveto
0 0 rlineto
0 0.03423 moveto
0.36395 0.1667 lineto
stroke
stroke
0.30986 0.19431 moveto
0 0 rlineto
0 0.08153 moveto
0.30986 0.19431 lineto
stroke
stroke
0.26664 0.22588 moveto
0 0 rlineto
0 0.12883 moveto
0.26664 0.22588 lineto
stroke
stroke
0.23137 0.26034 moveto
0 0 rlineto
0 0.17612 moveto
0.23137 0.26034 lineto
stroke
stroke
0.20259 0.29716 moveto
0 0 rlineto
0 0.22342 moveto
0.20259 0.29716 lineto
stroke
stroke
0.1795 0.33605 moveto
0 0 rlineto
0 0.27072 moveto
0.1795 0.33605 lineto
stroke
stroke
0.16171 0.37687 moveto
0 0 rlineto
0 0.31801 moveto
0.16171 0.37687 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.8205 0.66395 lineto
stroke
0.8205 0.66395 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.8509 0.58042 lineto
stroke
0.8509 0.58042 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.79741 0.70284 lineto
stroke
0.79741 0.70284 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.85822 0.53579 lineto
stroke
0.85822 0.53579 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.76863 0.73966 lineto
stroke
0.76863 0.73966 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.85983 0.48908 lineto
stroke
0.85983 0.48908 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.73336 0.77412 lineto
stroke
0.73336 0.77412 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.85497 0.44001 lineto
stroke
0.85497 0.44001 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.69014 0.80569 lineto
stroke
0.69014 0.80569 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.84215 0.38805 lineto
stroke
0.84215 0.38805 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.63605 0.8333 lineto
stroke
0.63605 0.8333 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.81847 0.33213 lineto
stroke
0.81847 0.33213 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.5638 0.8543 lineto
stroke
0.5638 0.8543 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.77662 0.2696 lineto
stroke
0.77662 0.2696 moveto
0 0 rlineto
stroke
0.83416 1 moveto
0.43139 0.8534 lineto
stroke
0.43139 0.8534 moveto
0 0 rlineto
stroke
1 0.30361 moveto
0.6746 0.18517 lineto
stroke
0.6746 0.18517 moveto
0 0 rlineto
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.5 0.1 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.5 0.9 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.75456 0.75456 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.75456 0.24544 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.82 0.5 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.5 0.9 moveto
0.5 0.9 lineto
stroke
0.5 0.9 moveto
0.5 0.1 lineto
stroke
0.5 0.9 moveto
0.82 0.5 lineto
stroke
0.5 0.9 moveto
0.75456 0.75456 lineto
stroke
0.5 0.9 moveto
0.75456 0.24544 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.5 0.9 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 0 0.030902 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(5)] 0.4875 0.15451 1 0 Msboxa
[(10)] 0.4875 0.30902 1 0 Msboxa
[(15)] 0.4875 0.46353 1 0 Msboxa
[(20)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.15451 moveto
0.50625 0.15451 lineto
stroke
grestore
[(5)] 0.4875 0.15451 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.30902 moveto
0.50625 0.30902 lineto
stroke
grestore
[(10)] 0.4875 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.46353 moveto
0.50625 0.46353 lineto
stroke
grestore
[(15)] 0.4875 0.46353 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(20)] 0.4875 0.61803 1 0 Mshowa
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
stroke
0 0.01114 moveto
0.00037 0.01114 lineto
stroke
0.00037 0.01114 moveto
0.00134 0.01114 lineto
0.00232 0.01114 lineto
0.0033 0.01114 lineto
0.00428 0.01114 lineto
0.00624 0.01114 lineto
0.00819 0.01114 lineto
0.01015 0.01113 lineto
0.01407 0.01113 lineto
0.01798 0.01113 lineto
0.0219 0.01112 lineto
0.02972 0.0111 lineto
0.03755 0.01108 lineto
0.04538 0.01106 lineto
0.05321 0.01102 lineto
0.06104 0.01098 lineto
0.0767 0.01088 lineto
0.09236 0.01074 lineto
0.10802 0.01055 lineto
0.12367 0.01029 lineto
0.13933 0.00995 lineto
0.15499 0.0095 lineto
0.17065 0.00888 lineto
0.18631 0.00806 lineto
0.20196 0.00694 lineto
0.21762 0.0054 lineto
0.23328 0.00327 lineto
0.24111 0.00189 lineto
0.24502 0.00111 lineto
0.24698 0.00069 lineto
0.24796 0.00047 lineto
0.24894 0.00025 lineto
0.24992 2e-05 lineto
0.2509 0.00021 lineto
0.25285 0.0007 lineto
0.25677 0.00173 lineto
0.2646 0.00412 lineto
0.27243 0.00704 lineto
0.28026 0.01064 lineto
0.28808 0.0151 lineto
0.29591 0.02072 lineto
0.30374 0.0279 lineto
0.31157 0.03721 lineto
0.3194 0.04953 lineto
0.32723 0.06624 lineto
0.33114 0.07688 lineto
0.33506 0.08954 lineto
0.33897 0.10472 lineto
0.34289 0.12308 lineto
0.3468 0.14547 lineto
Mistroke
0.35072 0.17293 lineto
0.35855 0.24782 lineto
0.36638 0.35153 lineto
0.37029 0.40588 lineto
0.37225 0.42961 lineto
0.3742 0.44906 lineto
0.37518 0.45681 lineto
0.37616 0.46311 lineto
0.37714 0.46794 lineto
0.37812 0.47128 lineto
0.3791 0.47319 lineto
0.38008 0.47377 lineto
0.38105 0.47312 lineto
0.38203 0.47137 lineto
0.38399 0.46522 lineto
0.38595 0.45647 lineto
0.38986 0.43519 lineto
0.39769 0.39372 lineto
0.40161 0.3773 lineto
0.40552 0.36419 lineto
0.40944 0.35416 lineto
0.41335 0.34692 lineto
0.41531 0.34424 lineto
0.41726 0.34215 lineto
0.41922 0.34062 lineto
0.4202 0.34006 lineto
0.42118 0.33962 lineto
0.42216 0.33932 lineto
0.42314 0.33913 lineto
0.42411 0.33907 lineto
0.42509 0.33913 lineto
0.42607 0.33931 lineto
0.42705 0.3396 lineto
0.42803 0.34001 lineto
0.42901 0.34053 lineto
0.43097 0.3419 lineto
0.43292 0.34372 lineto
0.43684 0.34864 lineto
0.44075 0.35527 lineto
0.44467 0.3636 lineto
0.4525 0.38539 lineto
0.46032 0.41413 lineto
0.46815 0.44944 lineto
0.47598 0.48955 lineto
0.48381 0.52981 lineto
0.48773 0.54747 lineto
0.48968 0.55511 lineto
0.49164 0.56173 lineto
0.4936 0.56717 lineto
0.49458 0.5694 lineto
Mistroke
0.49555 0.57129 lineto
0.49653 0.57282 lineto
0.49751 0.57399 lineto
0.49849 0.57477 lineto
0.49947 0.57517 lineto
0.50045 0.57519 lineto
0.50143 0.57482 lineto
0.50241 0.57407 lineto
0.50338 0.57294 lineto
0.50436 0.57144 lineto
0.50534 0.56958 lineto
0.5073 0.56484 lineto
0.51121 0.55173 lineto
0.51513 0.53485 lineto
0.53079 0.45466 lineto
0.53861 0.41855 lineto
0.54644 0.38888 lineto
0.55427 0.36615 lineto
0.55819 0.35736 lineto
0.5621 0.35027 lineto
0.56406 0.34736 lineto
0.56602 0.34488 lineto
0.56797 0.34283 lineto
0.56993 0.34122 lineto
0.57091 0.34058 lineto
0.57189 0.34005 lineto
0.57287 0.33963 lineto
0.57385 0.33933 lineto
0.57482 0.33914 lineto
0.5758 0.33907 lineto
0.57678 0.33912 lineto
0.57776 0.3393 lineto
0.57874 0.33959 lineto
0.57972 0.34002 lineto
0.58167 0.34126 lineto
0.58265 0.34208 lineto
0.58363 0.34304 lineto
0.58559 0.34539 lineto
0.5895 0.35194 lineto
0.59342 0.36118 lineto
0.60908 0.42917 lineto
0.61299 0.45103 lineto
0.61495 0.46072 lineto
0.61691 0.46843 lineto
0.61788 0.47118 lineto
0.61886 0.47301 lineto
0.61984 0.47376 lineto
0.62082 0.47329 lineto
0.6218 0.4715 lineto
0.62278 0.46827 lineto
Mistroke
0.62376 0.46358 lineto
0.62473 0.4574 lineto
0.63256 0.36669 lineto
0.64039 0.26034 lineto
0.64431 0.21705 lineto
0.64822 0.1814 lineto
0.65214 0.15236 lineto
0.65605 0.12871 lineto
0.66388 0.09338 lineto
0.66779 0.08009 lineto
0.67171 0.06895 lineto
0.67954 0.0515 lineto
0.68737 0.03868 lineto
0.6952 0.02902 lineto
0.70303 0.0216 lineto
0.71085 0.01579 lineto
0.71868 0.01119 lineto
0.72651 0.00749 lineto
0.73434 0.00449 lineto
0.75 0 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.36 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.83829 0.62313 lineto
stroke
0.83829 0.62313 moveto
0 0 rlineto
0.1491 0.41958 moveto
0 0 rlineto
0 0.36531 moveto
0.1491 0.41958 lineto
stroke
stroke
0.14178 0.46421 moveto
0 0 rlineto
0 0.41261 moveto
0.14178 0.46421 lineto
stroke
stroke
0.14017 0.51092 moveto
0 0 rlineto
0 0.45991 moveto
0.14017 0.51092 lineto
stroke
stroke
0.14503 0.55999 moveto
0 0 rlineto
0 0.5072 moveto
0.14503 0.55999 lineto
stroke
stroke
0.15785 0.61195 moveto
0 0 rlineto
0 0.5545 moveto
0.15785 0.61195 lineto
stroke
stroke
0.18153 0.66787 moveto
0 0 rlineto
0 0.6018 moveto
0.18153 0.66787 lineto
stroke
stroke
0.22338 0.7304 moveto
0 0 rlineto
0 0.64909 moveto
0.22338 0.7304 lineto
stroke
stroke
0.3254 0.81483 moveto
0 0 rlineto
0 0.69639 moveto
0.3254 0.81483 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
0.56861 0.1466 moveto
0 0 rlineto
0.16584 0 moveto
0.56861 0.1466 lineto
stroke
stroke
0.4362 0.1457 moveto
0 0 rlineto
0.03589 0 moveto
0.4362 0.1457 lineto
stroke
stroke
0.36395 0.1667 moveto
0 0 rlineto
0 0.03423 moveto
0.36395 0.1667 lineto
stroke
stroke
0.30986 0.19431 moveto
0 0 rlineto
0 0.08153 moveto
0.30986 0.19431 lineto
stroke
stroke
0.26664 0.22588 moveto
0 0 rlineto
0 0.12883 moveto
0.26664 0.22588 lineto
stroke
stroke
0.23137 0.26034 moveto
0 0 rlineto
0 0.17612 moveto
0.23137 0.26034 lineto
stroke
stroke
0.20259 0.29716 moveto
0 0 rlineto
0 0.22342 moveto
0.20259 0.29716 lineto
stroke
stroke
0.1795 0.33605 moveto
0 0 rlineto
0 0.27072 moveto
0.1795 0.33605 lineto
stroke
stroke
0.16171 0.37687 moveto
0 0 rlineto
0 0.31801 moveto
0.16171 0.37687 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.8205 0.66395 lineto
stroke
0.8205 0.66395 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.8509 0.58042 lineto
stroke
0.8509 0.58042 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.79741 0.70284 lineto
stroke
0.79741 0.70284 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.85822 0.53579 lineto
stroke
0.85822 0.53579 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.76863 0.73966 lineto
stroke
0.76863 0.73966 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.85983 0.48908 lineto
stroke
0.85983 0.48908 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.73336 0.77412 lineto
stroke
0.73336 0.77412 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.85497 0.44001 lineto
stroke
0.85497 0.44001 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.69014 0.80569 lineto
stroke
0.69014 0.80569 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.84215 0.38805 lineto
stroke
0.84215 0.38805 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.63605 0.8333 lineto
stroke
0.63605 0.8333 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.81847 0.33213 lineto
stroke
0.81847 0.33213 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.5638 0.8543 lineto
stroke
0.5638 0.8543 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.77662 0.2696 lineto
stroke
0.77662 0.2696 moveto
0 0 rlineto
stroke
0.83416 1 moveto
0.43139 0.8534 lineto
stroke
0.43139 0.8534 moveto
0 0 rlineto
stroke
1 0.30361 moveto
0.6746 0.18517 lineto
stroke
0.6746 0.18517 moveto
0 0 rlineto
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.5 0.1 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.5 0.9 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.75456 0.75456 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.75456 0.24544 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.82 0.5 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.21716 0.78284 moveto
0.5 0.9 lineto
stroke
0.21716 0.78284 moveto
0.5 0.1 lineto
stroke
0.21716 0.78284 moveto
0.82 0.5 lineto
stroke
0.21716 0.78284 moveto
0.75456 0.75456 lineto
stroke
0.21716 0.78284 moveto
0.75456 0.24544 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.21716 0.78284 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 0 0.030902 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(5)] 0.4875 0.15451 1 0 Msboxa
[(10)] 0.4875 0.30902 1 0 Msboxa
[(15)] 0.4875 0.46353 1 0 Msboxa
[(20)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.15451 moveto
0.50625 0.15451 lineto
stroke
grestore
[(5)] 0.4875 0.15451 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.30902 moveto
0.50625 0.30902 lineto
stroke
grestore
[(10)] 0.4875 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.46353 moveto
0.50625 0.46353 lineto
stroke
grestore
[(15)] 0.4875 0.46353 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(20)] 0.4875 0.61803 1 0 Mshowa
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
stroke
0 0.01114 moveto
0.00069 0.01114 lineto
stroke
0.00069 0.01114 moveto
0.00183 0.01114 lineto
0.00297 0.01114 lineto
0.00412 0.01114 lineto
0.00526 0.01114 lineto
0.00754 0.01114 lineto
0.00982 0.01113 lineto
0.01211 0.01113 lineto
0.01667 0.01113 lineto
0.02124 0.01112 lineto
0.0258 0.01111 lineto
0.03493 0.01109 lineto
0.04406 0.01106 lineto
0.0532 0.01102 lineto
0.06233 0.01098 lineto
0.07146 0.01092 lineto
0.08059 0.01085 lineto
0.08972 0.01077 lineto
0.10798 0.01055 lineto
0.12624 0.01025 lineto
0.14451 0.00982 lineto
0.16277 0.00922 lineto
0.1719 0.00883 lineto
0.18103 0.00837 lineto
0.19016 0.00782 lineto
0.19929 0.00716 lineto
0.21756 0.00541 lineto
0.23582 0.00285 lineto
0.24038 0.00203 lineto
0.24495 0.00112 lineto
0.24723 0.00063 lineto
0.24837 0.00038 lineto
0.24952 0.00011 lineto
0.25066 0.00016 lineto
0.2518 0.00043 lineto
0.25408 0.00101 lineto
0.26321 0.00367 lineto
0.27234 0.00701 lineto
0.28147 0.01127 lineto
0.29061 0.01677 lineto
0.29974 0.024 lineto
0.30887 0.03371 lineto
0.318 0.04705 lineto
0.32256 0.05566 lineto
0.32713 0.06599 lineto
0.3317 0.07853 lineto
0.33626 0.09391 lineto
0.34083 0.11297 lineto
0.34539 0.13688 lineto
0.34996 0.16715 lineto
Mistroke
0.35452 0.20564 lineto
0.36365 0.31303 lineto
0.36822 0.37779 lineto
0.3705 0.40864 lineto
0.37279 0.43545 lineto
0.37393 0.44662 lineto
0.37507 0.45598 lineto
0.37621 0.46339 lineto
0.37735 0.46878 lineto
0.37849 0.47218 lineto
0.37963 0.47367 lineto
0.38078 0.47342 lineto
0.38192 0.47163 lineto
0.38306 0.46854 lineto
0.3842 0.46438 lineto
0.38648 0.45377 lineto
0.39105 0.42846 lineto
0.40018 0.3829 lineto
0.40475 0.36653 lineto
0.40703 0.35998 lineto
0.40931 0.35443 lineto
0.41159 0.34984 lineto
0.41388 0.34614 lineto
0.41616 0.34326 lineto
0.4173 0.34212 lineto
0.41844 0.34117 lineto
0.41958 0.3404 lineto
0.42072 0.33981 lineto
0.42187 0.33939 lineto
0.42301 0.33915 lineto
0.42415 0.33907 lineto
0.42529 0.33916 lineto
0.42643 0.3394 lineto
0.42757 0.3398 lineto
0.42871 0.34036 lineto
0.42986 0.34107 lineto
0.43214 0.34294 lineto
0.43442 0.3454 lineto
0.4367 0.34845 lineto
0.44127 0.35627 lineto
0.44584 0.36641 lineto
0.45497 0.39372 lineto
0.4641 0.43039 lineto
0.47323 0.47511 lineto
0.48236 0.52268 lineto
0.48693 0.54409 lineto
0.49149 0.56127 lineto
0.49377 0.5676 lineto
0.49492 0.5701 lineto
0.49606 0.57212 lineto
Mistroke
0.4972 0.57365 lineto
0.49834 0.57467 lineto
0.49948 0.57517 lineto
0.50062 0.57515 lineto
0.50176 0.5746 lineto
0.50291 0.57354 lineto
0.50519 0.56989 lineto
0.50633 0.56735 lineto
0.50747 0.56436 lineto
0.50975 0.55713 lineto
0.51888 0.51638 lineto
0.52802 0.46867 lineto
0.53715 0.42486 lineto
0.54628 0.38944 lineto
0.55084 0.37525 lineto
0.55541 0.36342 lineto
0.55997 0.35391 lineto
0.56226 0.35003 lineto
0.56454 0.34672 lineto
0.56682 0.34399 lineto
0.56911 0.34185 lineto
0.57025 0.341 lineto
0.57139 0.3403 lineto
0.57253 0.33976 lineto
0.57367 0.33937 lineto
0.57481 0.33914 lineto
0.57595 0.33907 lineto
0.5771 0.33916 lineto
0.57824 0.33942 lineto
0.57938 0.33986 lineto
0.58052 0.34046 lineto
0.58166 0.34125 lineto
0.5828 0.34222 lineto
0.58509 0.34473 lineto
0.58737 0.34805 lineto
0.58965 0.35223 lineto
0.59193 0.35733 lineto
0.5965 0.37055 lineto
0.60107 0.38814 lineto
0.6102 0.43553 lineto
0.61248 0.44828 lineto
0.61476 0.45987 lineto
0.6159 0.4648 lineto
0.61704 0.46887 lineto
0.61819 0.47185 lineto
0.61933 0.47351 lineto
0.62047 0.47361 lineto
0.62161 0.47195 lineto
0.62275 0.46838 lineto
0.62389 0.4628 lineto
Mistroke
0.62618 0.44568 lineto
0.62846 0.42148 lineto
0.63759 0.29607 lineto
0.64216 0.23987 lineto
0.64672 0.19422 lineto
0.65129 0.15817 lineto
0.65585 0.1298 lineto
0.66042 0.10735 lineto
0.66498 0.08939 lineto
0.66955 0.07486 lineto
0.67411 0.06298 lineto
0.68325 0.04496 lineto
0.69238 0.0322 lineto
0.70151 0.02289 lineto
0.71064 0.01593 lineto
0.71977 0.01062 lineto
0.7289 0.00651 lineto
0.73803 0.00327 lineto
0.7426 0.00191 lineto
0.74488 0.00128 lineto
0.74716 0.00069 lineto
0.74831 0.00041 lineto
0.74945 0.00013 lineto
0.75059 0.00014 lineto
0.75173 0.0004 lineto
0.75401 0.0009 lineto
0.75629 0.00138 lineto
0.76543 0.00306 lineto
0.77456 0.00443 lineto
0.78369 0.00555 lineto
0.80195 0.00725 lineto
0.81108 0.0079 lineto
0.82021 0.00843 lineto
0.83848 0.00926 lineto
0.85674 0.00985 lineto
0.875 0.01027 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = postscript; PostScript; formatAsPostScript; output; inactive; preserveAspect; pictureLeft = 25; pictureWidth = 400; pictureHeight = 190; endGroup; endGroup; endGroup; endGroup; animationSpeed = 30; ]
%!
%%Creator: Mathematica
%%AspectRatio: 0.47619 
MathPictureStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.02381 0.952381 0.011338 0.952381 [
[ 0 0 0 0 ]
[ 1 0.47619 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
0 setgray
gsave
grestore
0 0 moveto
1 0 lineto
1 0.47619 lineto
0 0.47619 lineto
closepath
clip
newpath
gsave
% Start of sub-graphic
gsave
0.02381 0.01134 0.47732 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.4 0.5 0.4 [
[(-1)] 0.1 0.5 0 2 Msboxa
[(-0.5)] 0.3 0.5 0 2 Msboxa
[(0.5)] 0.7 0.5 0 2 Msboxa
[(1)] 0.9 0.5 0 2 Msboxa
[(Re z)] 1.025 0.5 -1 0 Msboxa
[(-1)] 0.4875 0.1 1 0 Msboxa
[(-0.5)] 0.4875 0.3 1 0 Msboxa
[(0.5)] 0.4875 0.7 1 0 Msboxa
[(1)] 0.4875 0.9 1 0 Msboxa
[(Im z)] 0.5 1 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 1.001 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.1 0.5 moveto
0.1 0.50625 lineto
stroke
grestore
[(-1)] 0.1 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.3 0.5 moveto
0.3 0.50625 lineto
stroke
grestore
[(-0.5)] 0.3 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.7 0.5 moveto
0.7 0.50625 lineto
stroke
grestore
[(0.5)] 0.7 0.5 0 2 Mshowa
gsave
0.002 setlinewidth
0.9 0.5 moveto
0.9 0.50625 lineto
stroke
grestore
[(1)] 0.9 0.5 0 2 Mshowa
gsave
0.001 setlinewidth
0.14 0.5 moveto
0.14 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.18 0.5 moveto
0.18 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.22 0.5 moveto
0.22 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.26 0.5 moveto
0.26 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.34 0.5 moveto
0.34 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.38 0.5 moveto
0.38 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.42 0.5 moveto
0.42 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46 0.5 moveto
0.46 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.54 0.5 moveto
0.54 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.58 0.5 moveto
0.58 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62 0.5 moveto
0.62 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.66 0.5 moveto
0.66 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.74 0.5 moveto
0.74 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78 0.5 moveto
0.78 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.82 0.5 moveto
0.82 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.86 0.5 moveto
0.86 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.06 0.5 moveto
0.06 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.02 0.5 moveto
0.02 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94 0.5 moveto
0.94 0.50375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.98 0.5 moveto
0.98 0.50375 lineto
stroke
grestore
[(Re z)] 1.025 0.5 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0.5 moveto
1 0.5 lineto
stroke
grestore
gsave
0.002 setlinewidth
0.5 0.1 moveto
0.50625 0.1 lineto
stroke
grestore
[(-1)] 0.4875 0.1 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.3 moveto
0.50625 0.3 lineto
stroke
grestore
[(-0.5)] 0.4875 0.3 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.7 moveto
0.50625 0.7 lineto
stroke
grestore
[(0.5)] 0.4875 0.7 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.9 moveto
0.50625 0.9 lineto
stroke
grestore
[(1)] 0.4875 0.9 1 0 Mshowa
gsave
0.001 setlinewidth
0.5 0.14 moveto
0.50375 0.14 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.18 moveto
0.50375 0.18 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.22 moveto
0.50375 0.22 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.26 moveto
0.50375 0.26 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.34 moveto
0.50375 0.34 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.38 moveto
0.50375 0.38 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.42 moveto
0.50375 0.42 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.46 moveto
0.50375 0.46 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.54 moveto
0.50375 0.54 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.58 moveto
0.50375 0.58 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.62 moveto
0.50375 0.62 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.66 moveto
0.50375 0.66 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.74 moveto
0.50375 0.74 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.78 moveto
0.50375 0.78 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.82 moveto
0.50375 0.82 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.86 moveto
0.50375 0.86 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.06 moveto
0.50375 0.06 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.02 moveto
0.50375 0.02 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.94 moveto
0.50375 0.94 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.5 0.98 moveto
0.50375 0.98 lineto
stroke
grestore
[(Im z)] 0.5 1 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 1 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 1 lineto
0 1 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
newpath
0.5 0.5 0.4 0 365.729578 arc
stroke
grestore
gsave
gsave
[ 0.05 0.05 ] 0 setdash
0.004 setlinewidth
newpath
0.5 0.5 0.36 0 365.729578 arc
stroke
grestore
grestore
gsave
grestore
gsave
gsave
0.004 setlinewidth
stroke
1 0.68199 moveto
0.83829 0.62313 lineto
stroke
0.83829 0.62313 moveto
0 0 rlineto
0.1491 0.41958 moveto
0 0 rlineto
0 0.36531 moveto
0.1491 0.41958 lineto
stroke
stroke
0.14178 0.46421 moveto
0 0 rlineto
0 0.41261 moveto
0.14178 0.46421 lineto
stroke
stroke
0.14017 0.51092 moveto
0 0 rlineto
0 0.45991 moveto
0.14017 0.51092 lineto
stroke
stroke
0.14503 0.55999 moveto
0 0 rlineto
0 0.5072 moveto
0.14503 0.55999 lineto
stroke
stroke
0.15785 0.61195 moveto
0 0 rlineto
0 0.5545 moveto
0.15785 0.61195 lineto
stroke
stroke
0.18153 0.66787 moveto
0 0 rlineto
0 0.6018 moveto
0.18153 0.66787 lineto
stroke
stroke
0.22338 0.7304 moveto
0 0 rlineto
0 0.64909 moveto
0.22338 0.7304 lineto
stroke
stroke
0.3254 0.81483 moveto
0 0 rlineto
0 0.69639 moveto
0.3254 0.81483 lineto
stroke
stroke
stroke
0.70422 1 moveto
0 0.74369 lineto
stroke
stroke
0 0.74369 moveto
0.70422 1 lineto
stroke
stroke
stroke
0.57427 1 moveto
0 0.79098 lineto
stroke
stroke
0 0.79098 moveto
0.57427 1 lineto
stroke
stroke
stroke
0.44432 1 moveto
0 0.83828 lineto
stroke
stroke
0 0.83828 moveto
0.44432 1 lineto
stroke
stroke
stroke
0.31438 1 moveto
0 0.88558 lineto
stroke
stroke
0 0.88558 moveto
0.31438 1 lineto
stroke
stroke
stroke
0.18443 1 moveto
0 0.93287 lineto
stroke
stroke
0 0.93287 moveto
0.18443 1 lineto
stroke
stroke
stroke
0.05448 1 moveto
0 0.98017 lineto
stroke
stroke
0 0.98017 moveto
0.05448 1 lineto
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
stroke
1 0.01983 moveto
0.94552 0 lineto
stroke
stroke
0.94552 0 moveto
1 0.01983 lineto
stroke
stroke
stroke
1 0.06713 moveto
0.81557 0 lineto
stroke
stroke
0.81557 0 moveto
1 0.06713 lineto
stroke
stroke
stroke
1 0.11442 moveto
0.68562 0 lineto
stroke
stroke
0.68562 0 moveto
1 0.11442 lineto
stroke
stroke
stroke
1 0.16172 moveto
0.55568 0 lineto
stroke
stroke
0.55568 0 moveto
1 0.16172 lineto
stroke
stroke
stroke
1 0.20902 moveto
0.42573 0 lineto
stroke
stroke
0.42573 0 moveto
1 0.20902 lineto
stroke
stroke
stroke
1 0.25631 moveto
0.29578 0 lineto
stroke
stroke
0.29578 0 moveto
1 0.25631 lineto
stroke
stroke
0.56861 0.1466 moveto
0 0 rlineto
0.16584 0 moveto
0.56861 0.1466 lineto
stroke
stroke
0.4362 0.1457 moveto
0 0 rlineto
0.03589 0 moveto
0.4362 0.1457 lineto
stroke
stroke
0.36395 0.1667 moveto
0 0 rlineto
0 0.03423 moveto
0.36395 0.1667 lineto
stroke
stroke
0.30986 0.19431 moveto
0 0 rlineto
0 0.08153 moveto
0.30986 0.19431 lineto
stroke
stroke
0.26664 0.22588 moveto
0 0 rlineto
0 0.12883 moveto
0.26664 0.22588 lineto
stroke
stroke
0.23137 0.26034 moveto
0 0 rlineto
0 0.17612 moveto
0.23137 0.26034 lineto
stroke
stroke
0.20259 0.29716 moveto
0 0 rlineto
0 0.22342 moveto
0.20259 0.29716 lineto
stroke
stroke
0.1795 0.33605 moveto
0 0 rlineto
0 0.27072 moveto
0.1795 0.33605 lineto
stroke
stroke
0.16171 0.37687 moveto
0 0 rlineto
0 0.31801 moveto
0.16171 0.37687 lineto
stroke
stroke
stroke
1 0.72928 moveto
0.8205 0.66395 lineto
stroke
0.8205 0.66395 moveto
0 0 rlineto
stroke
1 0.63469 moveto
0.8509 0.58042 lineto
stroke
0.8509 0.58042 moveto
0 0 rlineto
stroke
1 0.77658 moveto
0.79741 0.70284 lineto
stroke
0.79741 0.70284 moveto
0 0 rlineto
stroke
1 0.58739 moveto
0.85822 0.53579 lineto
stroke
0.85822 0.53579 moveto
0 0 rlineto
stroke
1 0.82388 moveto
0.76863 0.73966 lineto
stroke
0.76863 0.73966 moveto
0 0 rlineto
stroke
1 0.54009 moveto
0.85983 0.48908 lineto
stroke
0.85983 0.48908 moveto
0 0 rlineto
stroke
1 0.87117 moveto
0.73336 0.77412 lineto
stroke
0.73336 0.77412 moveto
0 0 rlineto
stroke
1 0.4928 moveto
0.85497 0.44001 lineto
stroke
0.85497 0.44001 moveto
0 0 rlineto
stroke
1 0.91847 moveto
0.69014 0.80569 lineto
stroke
0.69014 0.80569 moveto
0 0 rlineto
stroke
1 0.4455 moveto
0.84215 0.38805 lineto
stroke
0.84215 0.38805 moveto
0 0 rlineto
stroke
1 0.96577 moveto
0.63605 0.8333 lineto
stroke
0.63605 0.8333 moveto
0 0 rlineto
stroke
1 0.3982 moveto
0.81847 0.33213 lineto
stroke
0.81847 0.33213 moveto
0 0 rlineto
stroke
0.96411 1 moveto
0.5638 0.8543 lineto
stroke
0.5638 0.8543 moveto
0 0 rlineto
stroke
1 0.35091 moveto
0.77662 0.2696 lineto
stroke
0.77662 0.2696 moveto
0 0 rlineto
stroke
0.83416 1 moveto
0.43139 0.8534 lineto
stroke
0.43139 0.8534 moveto
0 0 rlineto
stroke
1 0.30361 moveto
0.6746 0.18517 lineto
stroke
0.6746 0.18517 moveto
0 0 rlineto
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.5 0.1 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(O)] 0.5 0.9 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.75456 0.75456 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.75456 0.24544 0 0 Mshowa
grestore
gsave
/Bold findfont 18 scalefont setfont
[(X)] 0.82 0.5 0 0 Mshowa
grestore
grestore
grestore
gsave
gsave
0.004 setlinewidth
0.1 0.5 moveto
0.5 0.9 lineto
stroke
0.1 0.5 moveto
0.5 0.1 lineto
stroke
0.1 0.5 moveto
0.82 0.5 lineto
stroke
0.1 0.5 moveto
0.75456 0.75456 lineto
stroke
0.1 0.5 moveto
0.75456 0.24544 lineto
stroke
grestore
grestore
gsave
gsave
0.05 setlinewidth
0.1 0.5 Mdot
grestore
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
% Start of sub-graphic
gsave
0.52268 0.01134 0.97619 0.46485 MathSubStart
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.159155 0 0.030902 [
[(-3)] 0.02254 0 0 2 Msboxa
[(-2)] 0.18169 0 0 2 Msboxa
[(-1)] 0.34085 0 0 2 Msboxa
[(0)] 0.5 0 0 2 Msboxa
[(1)] 0.65915 0 0 2 Msboxa
[(2)] 0.81831 0 0 2 Msboxa
[(3)] 0.97746 0 0 2 Msboxa
[(w)] 1.025 0 -1 0 Msboxa
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotsboxa
[(5)] 0.4875 0.15451 1 0 Msboxa
[(10)] 0.4875 0.30902 1 0 Msboxa
[(15)] 0.4875 0.46353 1 0 Msboxa
[(20)] 0.4875 0.61803 1 0 Msboxa
[( )] 0.5 0.61803 0 -4 Msboxa
[ -0.001 -0.001 0 0 ]
[ 1.001 0.61903 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
%%Object: Graphics
[ ] 0 setdash
gsave
gsave
0.002 setlinewidth
0.02254 0 moveto
0.02254 0.00625 lineto
stroke
grestore
[(-3)] 0.02254 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.18169 0 moveto
0.18169 0.00625 lineto
stroke
grestore
[(-2)] 0.18169 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.34085 0 moveto
0.34085 0.00625 lineto
stroke
grestore
[(-1)] 0.34085 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.00625 lineto
stroke
grestore
[(0)] 0.5 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.65915 0 moveto
0.65915 0.00625 lineto
stroke
grestore
[(1)] 0.65915 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.81831 0 moveto
0.81831 0.00625 lineto
stroke
grestore
[(2)] 0.81831 0 0 2 Mshowa
gsave
0.002 setlinewidth
0.97746 0 moveto
0.97746 0.00625 lineto
stroke
grestore
[(3)] 0.97746 0 0 2 Mshowa
gsave
0.001 setlinewidth
0.05437 0 moveto
0.05437 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.0862 0 moveto
0.0862 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.11803 0 moveto
0.11803 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.14986 0 moveto
0.14986 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.21352 0 moveto
0.21352 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.24535 0 moveto
0.24535 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.27718 0 moveto
0.27718 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.30901 0 moveto
0.30901 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.37268 0 moveto
0.37268 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.40451 0 moveto
0.40451 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.43634 0 moveto
0.43634 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.46817 0 moveto
0.46817 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.53183 0 moveto
0.53183 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.56366 0 moveto
0.56366 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.59549 0 moveto
0.59549 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.62732 0 moveto
0.62732 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.69099 0 moveto
0.69099 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.72282 0 moveto
0.72282 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.75465 0 moveto
0.75465 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.78648 0 moveto
0.78648 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.85014 0 moveto
0.85014 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.88197 0 moveto
0.88197 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.9138 0 moveto
0.9138 0.00375 lineto
stroke
grestore
gsave
0.001 setlinewidth
0.94563 0 moveto
0.94563 0.00375 lineto
stroke
grestore
[(w)] 1.025 0 -1 0 Mshowa
gsave
0.002 setlinewidth
0 0 moveto
1 0 lineto
stroke
grestore
[(Magnitude Response)] 0.5 0.61803 0 -2 0 0 1 Mouter Mrotshowa
gsave
0.002 setlinewidth
0.5 0.15451 moveto
0.50625 0.15451 lineto
stroke
grestore
[(5)] 0.4875 0.15451 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.30902 moveto
0.50625 0.30902 lineto
stroke
grestore
[(10)] 0.4875 0.30902 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.46353 moveto
0.50625 0.46353 lineto
stroke
grestore
[(15)] 0.4875 0.46353 1 0 Mshowa
gsave
0.002 setlinewidth
0.5 0.61803 moveto
0.50625 0.61803 lineto
stroke
grestore
[(20)] 0.4875 0.61803 1 0 Mshowa
[( )] 0.5 0.61803 0 -4 Mshowa
gsave
0.002 setlinewidth
0.5 0 moveto
0.5 0.61803 lineto
stroke
grestore
grestore
0 0 moveto
1 0 lineto
1 0.61803 lineto
0 0.61803 lineto
closepath
clip
newpath
gsave
gsave
0.004 setlinewidth
stroke
stroke
0 0.01114 moveto
0.00102 0.01114 lineto
stroke
0.00102 0.01114 moveto
0.00232 0.01114 lineto
0.00363 0.01114 lineto
0.00493 0.01114 lineto
0.00623 0.01114 lineto
0.00884 0.01113 lineto
0.01145 0.01113 lineto
0.01406 0.01113 lineto
0.01927 0.01112 lineto
0.02449 0.01111 lineto
0.02971 0.0111 lineto
0.04014 0.01107 lineto
0.05057 0.01104 lineto
0.06101 0.01098 lineto
0.07144 0.01092 lineto
0.08187 0.01084 lineto
0.09231 0.01074 lineto
0.10274 0.01062 lineto
0.12361 0.0103 lineto
0.13404 0.01008 lineto
0.14447 0.00982 lineto
0.15491 0.0095 lineto
0.16534 0.00911 lineto
0.17577 0.00864 lineto
0.18621 0.00807 lineto
0.19664 0.00736 lineto
0.20707 0.00649 lineto
0.22794 0.00408 lineto
0.23837 0.0024 lineto
0.24359 0.0014 lineto
0.2462 0.00086 lineto
0.2475 0.00057 lineto
0.24881 0.00028 lineto
0.25011 3e-05 lineto
0.25141 0.00034 lineto
0.25402 0.00099 lineto
0.25924 0.00244 lineto
0.26967 0.00595 lineto
0.28011 0.01056 lineto
0.29054 0.01673 lineto
0.30097 0.02515 lineto
0.31141 0.03698 lineto
0.31662 0.04474 lineto
0.32184 0.05418 lineto
0.32706 0.06581 lineto
0.33227 0.0803 lineto
0.33749 0.09863 lineto
0.34271 0.12214 lineto
0.34792 0.15275 lineto
0.35314 0.19298 lineto
Mistroke
0.35836 0.24563 lineto
0.36357 0.31188 lineto
0.36879 0.38571 lineto
0.3714 0.41975 lineto
0.3727 0.43455 lineto
0.37401 0.44731 lineto
0.37531 0.45771 lineto
0.37661 0.46553 lineto
0.37792 0.47071 lineto
0.37922 0.47334 lineto
0.38053 0.47361 lineto
0.38183 0.47182 lineto
0.38313 0.4683 lineto
0.38444 0.4634 lineto
0.39487 0.40757 lineto
0.40009 0.38327 lineto
0.40531 0.36482 lineto
0.40791 0.35771 lineto
0.41052 0.35188 lineto
0.41313 0.34725 lineto
0.41574 0.34373 lineto
0.41704 0.34236 lineto
0.41835 0.34124 lineto
0.41965 0.34036 lineto
0.42095 0.33971 lineto
0.42226 0.33929 lineto
0.42356 0.33909 lineto
0.42487 0.33911 lineto
0.42617 0.33933 lineto
0.42748 0.33976 lineto
0.42878 0.3404 lineto
0.43139 0.34226 lineto
0.434 0.3449 lineto
0.4366 0.3483 lineto
0.44182 0.35738 lineto
0.44704 0.36947 lineto
0.45747 0.40286 lineto
0.47834 0.50196 lineto
0.48355 0.52857 lineto
0.48877 0.55167 lineto
0.49138 0.56091 lineto
0.49268 0.56479 lineto
0.49399 0.5681 lineto
0.49529 0.57082 lineto
0.4966 0.57291 lineto
0.4979 0.57434 lineto
0.4992 0.5751 lineto
0.50051 0.57518 lineto
0.50181 0.57457 lineto
0.50312 0.57328 lineto
Mistroke
0.50442 0.57134 lineto
0.50703 0.56557 lineto
0.50964 0.55753 lineto
0.51485 0.53613 lineto
0.52007 0.51027 lineto
0.5305 0.45606 lineto
0.54094 0.40903 lineto
0.54615 0.38986 lineto
0.55137 0.37377 lineto
0.55659 0.36075 lineto
0.5592 0.35537 lineto
0.5618 0.35075 lineto
0.56441 0.34689 lineto
0.56702 0.34378 lineto
0.56963 0.34144 lineto
0.57093 0.34056 lineto
0.57224 0.33988 lineto
0.57354 0.33941 lineto
0.57485 0.33914 lineto
0.57615 0.33908 lineto
0.57745 0.33923 lineto
0.57876 0.3396 lineto
0.58006 0.3402 lineto
0.58137 0.34103 lineto
0.58267 0.34209 lineto
0.58528 0.34498 lineto
0.58789 0.34892 lineto
0.5905 0.35401 lineto
0.5931 0.36032 lineto
0.59832 0.37702 lineto
0.60354 0.39956 lineto
0.60875 0.42734 lineto
0.61397 0.45606 lineto
0.61527 0.46217 lineto
0.61658 0.46732 lineto
0.61788 0.47118 lineto
0.61919 0.47338 lineto
0.62049 0.47359 lineto
0.62179 0.47151 lineto
0.6231 0.4669 lineto
0.6244 0.45966 lineto
0.63484 0.33422 lineto
0.64005 0.26447 lineto
0.64527 0.20761 lineto
0.65049 0.16388 lineto
0.6557 0.13063 lineto
0.66092 0.10518 lineto
0.66614 0.08543 lineto
0.67135 0.06989 lineto
0.67657 0.05747 lineto
Mistroke
0.68179 0.04742 lineto
0.687 0.0392 lineto
0.69744 0.0267 lineto
0.70787 0.01784 lineto
0.7183 0.01139 lineto
0.72874 0.00657 lineto
0.73917 0.00291 lineto
0.74439 0.00142 lineto
0.74699 0.00073 lineto
0.7483 0.00041 lineto
0.7496 9e-05 lineto
0.75221 0.00051 lineto
0.75482 0.00107 lineto
0.76004 0.00211 lineto
0.77047 0.00385 lineto
0.7809 0.00523 lineto
0.79134 0.00634 lineto
0.8122 0.00797 lineto
0.82263 0.00856 lineto
0.83307 0.00905 lineto
0.8435 0.00945 lineto
0.85393 0.00977 lineto
0.86437 0.01004 lineto
0.8748 0.01027 lineto
0.89567 0.0106 lineto
0.9061 0.01072 lineto
0.91653 0.01083 lineto
0.92697 0.01091 lineto
0.9374 0.01098 lineto
0.94783 0.01103 lineto
0.95827 0.01107 lineto
0.96348 0.01109 lineto
0.9687 0.0111 lineto
0.97392 0.01111 lineto
0.97913 0.01112 lineto
0.98435 0.01113 lineto
0.98696 0.01113 lineto
0.98957 0.01113 lineto
0.99218 0.01114 lineto
0.99348 0.01114 lineto
0.99478 0.01114 lineto
0.99609 0.01114 lineto
0.99739 0.01114 lineto
0.9987 0.01114 lineto
1 0.01114 lineto
Mfstroke
grestore
grestore
MathSubEnd
grestore
% End of sub-graphic
grestore
% End of Graphics
MathPictureEnd
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
References
:[font = subsection; inactive; preserveAspect; ]
Alan V. Oppenheim and Ronald W. Schafer.  Discrete-Time Signal Processing.  1989.  Chapters 4 & 5.
:[font = subsection; inactive; preserveAspect; ]
T.W. Parks and C.S. Burrus. Digital Filter Design.
:[font = subsection; inactive; preserveAspect; endGroup; ]
Churchill and Brown.  Complex Variables and Applications.
:[font = smalltext; inactive; ]
This work was supported in part by the Joint Services Electronics Program
contract #DAAL-03-90-C-0004.  
^*)